<?php
/**
 * @package 	OT Twitter Update for Joomla! 3.x
 * @version 	$Id: helper.php - May 2014 00:00:00Z OmegaTheme
 * @author 		OmegaTheme Extensions (services@omegatheme.com) - http://omegatheme.com
 * @copyright 	Copyright(C) 2012 - OmegaTheme Extensions
 * @license 	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
**/
// no direct access

defined('_JEXEC') or die;

class modOtTwitterUpdateHelper
{
	static function getTwitterStatus(&$params)
	{
		jimport('joomla.utilities.string');
		$twitterUsername = JString::trim($params->get('twitterUsername'));
		
		$isXmlMethod = false;
		
		if ($params->get('xml_curl') == 0 && $twitterUsername != '') {
			$url = 'http://api.twitter.com/1/statuses/user_timeline/' . $twitterUsername .'.xml';
			
			ini_set("user_agent","Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
			ini_set("max_execution_time", 0);
			ini_set("memory_limit", "10000M");
			
			$statusList = @simplexml_load_file($url)->status;
			
			if ($statusList === false) {
				return;
			}
			
			$isXmlMethod = true;
		} else if ($params->get('xml_curl') == 1 && $twitterUsername != '') {
			$ch = curl_init();
			
			curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
			curl_setopt($ch, CURLOPT_URL, 'http://api.twitter.com/1/statuses/user_timeline/' . $twitterUsername .'.json');
			
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 0);
			
			$file_contents = curl_exec($ch);
			curl_close($ch);
			
			$statusList = json_decode($file_contents);
		}
		
		$check = 0;
		$limit = intval($params->get('limit'));
		
		if ($limit == 0) {
			$limit = 3;
		}
		
		$userStatus = array();
		
		foreach ($statusList as $index => $status) {
			
			if ($check >= $limit) {
				break;
			}
			
			$text = ereg_replace("[[:alpha:]]+://[^<>[:space:]]+[[:alnum:]/]", "<a href=\"\\0\">\\0</a>", $status->text);
			
			jimport('joomla.utilities.date');
			$twitterNow = new JDate('now', 'UTC');
			$curentDatetimeTwitter = strtotime($twitterNow->format("D M d H:i:s O Y", true));
			$datetimeTwitterCreatedAt = strtotime($status->created_at);
			
			$statusCreatedAt = new JDate($status->created_at, 'UTC');
			$dateCreatedAt = $statusCreatedAt->format(JText::_('DATECREATEDAT'), true);
			$aTitle = $statusCreatedAt->format(JText::_('ATITLE'), true);
			
			if (round(abs($curentDatetimeTwitter - $datetimeTwitterCreatedAt)/60/60/24) > 1 ) {
				$datetimeAgo =  round(abs($curentDatetimeTwitter - $datetimeTwitterCreatedAt)/60/60/24) . JText::_('DAYS_AGO');
			} else if (round(abs($curentDatetimeTwitter - $datetimeTwitterCreatedAt)/60) < 1) {
				$datetimeAgo =  round(abs($curentDatetimeTwitter - $datetimeTwitterCreatedAt)) . JText::_('SECONDS_AGO');
			} else if (round(abs($curentDatetimeTwitter - $datetimeTwitterCreatedAt)/60/60) < 1) {
				$datetimeAgo =  round(abs($curentDatetimeTwitter - $datetimeTwitterCreatedAt)/60) . JText::_('MINUTES_AGO');
			} else if (round(abs($curentDatetimeTwitter - $datetimeTwitterCreatedAt)/60/60/24) < 1) {
				$datetimeAgo =  round(abs($curentDatetimeTwitter - $datetimeTwitterCreatedAt)/60/60) . JText::_('HOURS_AGO');
			}
			
			if ($isXmlMethod) {
				$statusId = $status->id;
			} else {
				$statusId = $status->id_str;
			}
			
			$userStatus[] = array(
				'reply_from' => $status->source,
				'replay_in' => $status->in_reply_to_screen_name,
				'retweet_count' => $status->retweet_count,
				'retweeted' => $status->retweeted,
				'location' => $status->user->location,
				'description' => $status->user->description,
				'followers' => $status->user->followers_count,
				'friends' => $status->user->friends_count,
				'date_ago' => $datetimeAgo,
				'create_at' => $dateCreatedAt,
				'a_title' => $aTitle,
				'status_id' => $statusId,
				'text' => $text,
				'screen_name' => $status->user->name,
				'user_name' => $status->user->screen_name,
				'description' => $status->user->description,
				'avatar' => $status->user->profile_image_url,
				'show_avatar' => $params->get('show_avatar'),
				'avatar_size' => intval($params->get('avatar_size', 48)),
				'show_username' => $params->get('show_username'),
				'show_screenname' => $params->get('show_screenname'),
				'show_calendar' => $params->get('show_datetime'),
				'calendar_positions' => $params->get('datetime_positions', 4),
				'url' => $status->user->url
			);
			$check++;
		}
		
		return $userStatus;
	}
}
