DROP TABLE IF EXISTS `#__assets`;
CREATE TABLE IF NOT EXISTS `#__assets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `level` int(10) unsigned NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=212 ;

INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(1, 0, 1, 500, 0, 'root.1', 'Root Asset', '{"core.login.site":{"6":1,"2":1},"core.login.admin":{"6":1},"core.login.offline":[],"core.admin":{"8":1},"core.manage":{"7":1},"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(2, 1, 2, 3, 1, 'com_admin', 'com_admin', '{}'),
(3, 1, 4, 11, 1, 'com_banners', 'com_banners', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(4, 1, 12, 13, 1, 'com_cache', 'com_cache', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(5, 1, 14, 15, 1, 'com_checkin', 'com_checkin', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(6, 1, 16, 17, 1, 'com_config', 'com_config', '{}'),
(7, 1, 18, 87, 1, 'com_contact', 'com_contact', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(8, 1, 88, 301, 1, 'com_content', 'com_content', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
(9, 1, 302, 303, 1, 'com_cpanel', 'com_cpanel', '{}'),
(10, 1, 304, 305, 1, 'com_installer', 'com_installer', '{"core.admin":[],"core.manage":{"7":0},"core.delete":{"7":0},"core.edit.state":{"7":0}}'),
(11, 1, 306, 307, 1, 'com_languages', 'com_languages', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(12, 1, 308, 309, 1, 'com_login', 'com_login', '{}'),
(13, 1, 310, 311, 1, 'com_mailto', 'com_mailto', '{}'),
(14, 1, 312, 313, 1, 'com_massmail', 'com_massmail', '{}'),
(15, 1, 314, 315, 1, 'com_media', 'com_media', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":{"5":1},"core.edit":[],"core.edit.state":[]}'),
(16, 1, 316, 317, 1, 'com_menus', 'com_menus', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(17, 1, 37, 38, 1, 'com_messages', 'com_messages', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(18, 1, 320, 383, 1, 'com_modules', 'com_modules', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(19, 1, 384, 391, 1, 'com_newsfeeds', 'com_newsfeeds', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(20, 1, 392, 393, 1, 'com_plugins', 'com_plugins', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(21, 1, 394, 395, 1, 'com_redirect', 'com_redirect', '{"core.admin":{"7":1},"core.manage":[]}'),
(22, 1, 396, 397, 1, 'com_search', 'com_search', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(23, 1, 398, 399, 1, 'com_templates', 'com_templates', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(24, 1, 400, 403, 1, 'com_users', 'com_users', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(25, 1, 404, 421, 1, 'com_weblinks', 'com_weblinks', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1,"10":0,"12":0},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1}}'),
(26, 1, 422, 423, 1, 'com_wrapper', 'com_wrapper', '{}'),
(33, 1, 484, 485, 1, 'com_finder', 'com_finder', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(34, 8, 105, 110, 2, 'com_content.category.9', 'Uncategorised', '{"core.create":{"10":0,"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(35, 3, 7, 8, 2, 'com_banners.category.10', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(36, 7, 23, 24, 2, 'com_contact.category.11', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(37, 19, 387, 388, 2, 'com_newsfeeds.category.12', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(38, 25, 411, 412, 2, 'com_weblinks.category.13', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(39, 8, 111, 300, 2, 'com_content.category.14', 'Sample Data-Articles', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(40, 3, 9, 10, 2, 'com_banners.category.15', 'Sample Data-Banners', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(41, 7, 25, 86, 2, 'com_contact.category.16', 'Sample Data-Contact', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(42, 19, 389, 390, 2, 'com_newsfeeds.category.17', 'Sample Data-Newsfeeds', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}');
INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(43, 25, 413, 420, 2, 'com_weblinks.category.18', 'Sample Data-Weblinks', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(44, 39, 112, 249, 3, 'com_content.category.19', 'Joomla!', '{"core.create":{"10":0,"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(45, 44, 113, 226, 4, 'com_content.category.20', 'Extensions', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(46, 45, 114, 129, 5, 'com_content.category.21', 'Components', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(47, 45, 130, 191, 5, 'com_content.category.22', 'Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(48, 45, 192, 203, 5, 'com_content.category.23', 'Templates', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(49, 45, 204, 205, 5, 'com_content.category.24', 'Languages', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(50, 45, 206, 225, 5, 'com_content.category.25', 'Plugins', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(51, 39, 250, 281, 3, 'com_content.category.26', 'Park Site', '{"core.create":{"10":0,"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(52, 51, 251, 256, 4, 'com_content.category.27', 'Park Blog', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(53, 51, 257, 278, 4, 'com_content.category.28', 'Photo Gallery', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(54, 39, 282, 295, 3, 'com_content.category.29', 'Fruit Shop Site', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(55, 54, 283, 288, 4, 'com_content.category.30', 'Growers', '{"core.create":{"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":{"10":1}}'),
(56, 43, 414, 415, 3, 'com_weblinks.category.31', 'Park Links', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(57, 43, 416, 419, 3, 'com_weblinks.category.32', 'Joomla! Specific Links', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(58, 57, 417, 418, 4, 'com_weblinks.category.33', 'Other Resources', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(59, 41, 26, 27, 3, 'com_contact.category.34', 'Park Site', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(60, 41, 28, 85, 3, 'com_contact.category.35', 'Shop Site', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(61, 60, 29, 30, 4, 'com_contact.category.36', 'Staff', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(62, 60, 31, 84, 4, 'com_contact.category.37', 'Fruit Encyclopedia', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(63, 62, 32, 33, 5, 'com_contact.category.38', 'A', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(64, 62, 34, 35, 5, 'com_contact.category.39', 'B', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(65, 62, 36, 37, 5, 'com_contact.category.40', 'C', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(66, 62, 38, 39, 5, 'com_contact.category.41', 'D', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(67, 62, 40, 41, 5, 'com_contact.category.42', 'E', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(68, 62, 42, 43, 5, 'com_contact.category.43', 'F', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(69, 62, 44, 45, 5, 'com_contact.category.44', 'G', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(70, 62, 46, 47, 5, 'com_contact.category.45', 'H', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(71, 62, 48, 49, 5, 'com_contact.category.46', 'I', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(72, 62, 50, 51, 5, 'com_contact.category.47', 'J', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(73, 62, 52, 53, 5, 'com_contact.category.48', 'K', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(74, 62, 54, 55, 5, 'com_contact.category.49', 'L', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(75, 62, 56, 57, 5, 'com_contact.category.50', 'M', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(76, 62, 58, 59, 5, 'com_contact.category.51', 'N', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(77, 62, 60, 61, 5, 'com_contact.category.52', 'O', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(78, 62, 62, 63, 5, 'com_contact.category.53', 'P', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}');
INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(79, 62, 64, 65, 5, 'com_contact.category.54', 'Q', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(80, 62, 66, 67, 5, 'com_contact.category.55', 'R', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(81, 62, 68, 69, 5, 'com_contact.category.56', 'S', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(82, 62, 70, 71, 5, 'com_contact.category.57', 'T', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(83, 62, 72, 73, 5, 'com_contact.category.58', 'U', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(84, 62, 74, 75, 5, 'com_contact.category.59', 'V', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(85, 62, 76, 77, 5, 'com_contact.category.60', 'W', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(86, 62, 78, 79, 5, 'com_contact.category.61', 'X', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(87, 62, 80, 81, 5, 'com_contact.category.62', 'Y', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(88, 62, 82, 83, 5, 'com_contact.category.63', 'Z', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(89, 46, 115, 116, 6, 'com_content.article.1', 'Administrator Components', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(90, 93, 132, 133, 7, 'com_content.article.2', 'Archive Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(91, 93, 134, 135, 7, 'com_content.article.3', 'Article Categories Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(92, 93, 136, 137, 7, 'com_content.article.4', 'Articles Category Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(93, 47, 131, 146, 6, 'com_content.category.64', 'Content Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(94, 47, 147, 154, 6, 'com_content.category.65', 'User Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(95, 47, 155, 168, 6, 'com_content.category.66', 'Display Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(96, 47, 169, 182, 6, 'com_content.category.67', 'Utility Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(97, 48, 193, 194, 6, 'com_content.category.68', 'Atomic', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(98, 48, 195, 196, 6, 'com_content.category.69', 'Beez 20', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(99, 48, 197, 198, 6, 'com_content.category.70', 'Beez5', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(100, 48, 199, 200, 6, 'com_content.category.71', 'Milky Way', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(101, 50, 207, 208, 6, 'com_content.article.5', 'Authentication', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(102, 51, 279, 280, 4, 'com_content.article.6', 'Australian Parks ', '{"core.delete":[],"core.edit":{"2":1},"core.edit.state":[]}'),
(103, 95, 156, 157, 7, 'com_content.article.7', 'Banner Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(104, 44, 227, 228, 4, 'com_content.article.8', 'Beginners', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(105, 46, 117, 118, 6, 'com_content.article.9', 'Contact', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(106, 46, 119, 120, 6, 'com_content.article.10', 'Content', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(107, 109, 269, 270, 6, 'com_content.article.11', 'Cradle Mountain', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(108, 53, 258, 267, 5, 'com_content.category.72', 'Animals', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(109, 53, 268, 277, 5, 'com_content.category.73', 'Scenery', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(110, 95, 158, 159, 7, 'com_content.article.12', 'Custom HTML Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(111, 54, 289, 290, 4, 'com_content.article.13', 'Directions', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(112, 50, 209, 210, 6, 'com_content.article.14', 'Editors', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(113, 50, 211, 212, 6, 'com_content.article.15', 'Editors-xtd', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(114, 95, 160, 161, 7, 'com_content.article.16', 'Feed Display', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(115, 52, 252, 253, 5, 'com_content.article.17', 'First Blog Post', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(116, 52, 254, 255, 5, 'com_content.article.18', 'Second Blog Post', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}');
INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(117, 95, 162, 163, 7, 'com_content.article.19', 'Footer Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(118, 54, 291, 292, 4, 'com_content.article.20', 'Fruit Shop', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(119, 44, 229, 230, 4, 'com_content.article.21', 'Getting Help', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(120, 44, 231, 232, 4, 'com_content.article.22', 'Getting Started', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(121, 55, 284, 285, 5, 'com_content.article.23', 'Happy Orange Orchard', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(122, 44, 233, 234, 4, 'com_content.article.24', 'Joomla!', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(123, 108, 259, 260, 6, 'com_content.article.25', 'Koala', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(124, 96, 170, 171, 7, 'com_content.article.26', 'Language Switcher', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(125, 93, 138, 139, 7, 'com_content.article.27', 'Latest Articles Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(126, 94, 148, 149, 7, 'com_content.article.28', 'Login Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(127, 166, 186, 187, 7, 'com_content.article.29', 'Menu Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(128, 93, 140, 141, 7, 'com_content.article.30', 'Most Read Content', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(129, 93, 142, 143, 7, 'com_content.article.31', 'News Flash', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(130, 44, 235, 236, 4, 'com_content.article.32', 'Parameters', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(131, 108, 261, 262, 6, 'com_content.article.33', 'Phyllopteryx', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(132, 109, 271, 272, 6, 'com_content.article.34', 'Pinnacles', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(133, 44, 237, 238, 4, 'com_content.article.35', 'Professionals', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(134, 95, 164, 165, 7, 'com_content.article.36', 'Random Image Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(135, 93, 144, 145, 7, 'com_content.article.37', 'Related Items Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(136, 44, 239, 240, 4, 'com_content.article.38', 'Sample Sites', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(137, 46, 121, 122, 6, 'com_content.article.39', 'Search', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(138, 96, 172, 173, 7, 'com_content.article.40', 'Search Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(139, 50, 213, 214, 6, 'com_content.article.41', 'Search ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(140, 39, 296, 297, 3, 'com_content.article.42', 'Site Map', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(141, 108, 263, 264, 6, 'com_content.article.43', 'Spotted Quoll', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(142, 96, 174, 175, 7, 'com_content.article.44', 'Statistics Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(143, 96, 176, 177, 7, 'com_content.article.45', 'Syndicate Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(144, 50, 215, 216, 6, 'com_content.article.46', 'System', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(145, 44, 241, 242, 4, 'com_content.article.47', 'The Joomla! Community', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(146, 44, 243, 244, 4, 'com_content.article.48', 'The Joomla! Project', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(147, 48, 201, 202, 6, 'com_content.article.49', 'Typography', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(148, 44, 245, 246, 4, 'com_content.article.50', 'Upgraders', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(149, 50, 217, 218, 6, 'com_content.article.51', 'User', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(150, 46, 123, 124, 6, 'com_content.article.52', 'Users', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(151, 44, 247, 248, 4, 'com_content.article.53', 'Using Joomla!', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(152, 46, 125, 126, 6, 'com_content.article.54', 'Weblinks', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(153, 95, 166, 167, 7, 'com_content.article.55', 'Weblinks Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(154, 94, 150, 151, 7, 'com_content.article.56', 'Who''s Online', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(155, 108, 265, 266, 6, 'com_content.article.57', 'Wobbegone', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}');
INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(156, 55, 286, 287, 5, 'com_content.article.58', 'Wonderful Watermelon', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(157, 96, 178, 179, 7, 'com_content.article.59', 'Wrapper Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(158, 46, 127, 128, 6, 'com_content.article.60', 'News Feeds', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(159, 166, 188, 189, 7, 'com_content.article.61', 'Breadcrumbs Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(160, 50, 219, 220, 6, 'com_content.article.62', 'Content', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(162, 109, 273, 274, 6, 'com_content.article.64', 'Blue Mountain Rain Forest', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(163, 109, 275, 276, 6, 'com_content.article.65', 'Ormiston Pound', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(165, 94, 152, 153, 7, 'com_content.article.66', 'Latest Users Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(166, 47, 185, 190, 6, 'com_content.category.75', 'Navigation Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(167, 54, 293, 294, 4, 'com_content.category.76', 'Recipes', '{"core.create":{"12":1,"10":1},"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":{"12":1,"10":1}}'),
(168, 34, 106, 107, 3, 'com_content.article.67', 'What''s New in 1.5?', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(169, 24, 401, 402, 2, 'com_users.category.77', 'Uncategorised', ''),
(170, 50, 221, 222, 6, 'com_content.article.68', 'Captcha', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(171, 50, 223, 224, 6, 'com_content.article.69', 'Quick Icons', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(172, 96, 180, 181, 7, 'com_content.article.70', 'Smart Search', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(173, 1, 486, 487, 1, 'com_joomlaupdate', 'com_joomlaupdate', '{"core.admin":[],"core.manage":[],"core.delete":[],"core.edit.state":[]}'),
(174, 1, 488, 489, 1, 'com_k2', 'com_k2', '{"core.admin":[],"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(175, 1, 490, 491, 1, 'com_otemplates', 'otemplates', '{}'),
(176, 1, 492, 493, 1, 'com_tags', 'com_tags', '{}'),
(177, 1, 494, 495, 1, 'com_contenthistory', 'com_contenthistory', '{}'),
(178, 1, 496, 497, 1, 'com_ajax', 'com_ajax', '{}'),
(179, 1, 498, 499, 1, 'com_postinstall', 'com_postinstall', '{}'),
(180, 18, 321, 322, 2, 'com_modules.module.125', 'OMG Menu', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(181, 18, 323, 324, 2, 'com_modules.module.126', 'Logo', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(182, 18, 325, 326, 2, 'com_modules.module.104', 'Our Professional Teamwork', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(183, 18, 327, 328, 2, 'com_modules.module.110', 'Flickr Photos', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(184, 18, 329, 330, 2, 'com_modules.module.100', 'Custom HTML', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(185, 18, 331, 332, 2, 'com_modules.module.96', 'Fresh & Clean Design', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(186, 18, 333, 334, 2, 'com_modules.module.97', 'Fully Responsive', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(187, 18, 335, 336, 2, 'com_modules.module.98', 'Very Flexible', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(188, 18, 337, 338, 2, 'com_modules.module.99', 'Ongoing Support', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(189, 18, 339, 340, 2, 'com_modules.module.101', 'Recent Works', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(190, 18, 341, 342, 2, 'com_modules.module.106', 'Client’s Testimonials', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(191, 18, 343, 344, 2, 'com_modules.module.108', 'Contact Us', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(192, 18, 345, 346, 2, 'com_modules.module.109', 'When And Where?', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(193, 18, 347, 348, 2, 'com_modules.module.118', 'Custom Twitter', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(194, 18, 349, 350, 2, 'com_modules.module.123', 'Recent Posts', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(195, 18, 351, 352, 2, 'com_modules.module.44', 'Login Panel', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}');
INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(196, 18, 353, 354, 2, 'com_modules.module.119', 'Video Clip', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(197, 34, 108, 109, 3, 'com_content.article.71', '404 Page Not Found', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(198, 18, 355, 356, 2, 'com_modules.module.35', 'Search', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(199, 18, 357, 358, 2, 'com_modules.module.127', 'OT MiniTabs', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(200, 18, 359, 360, 2, 'com_modules.module.115', 'Sub Page Name', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(201, 18, 361, 362, 2, 'com_modules.module.48', 'Custom HTML', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(202, 18, 363, 364, 2, 'com_modules.module.94', 'Custom Social', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(203, 18, 365, 366, 2, 'com_modules.module.114', 'Recents', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(204, 18, 367, 368, 2, 'com_modules.module.112', 'Custom Social', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(205, 18, 369, 370, 2, 'com_modules.module.128', 'Login Panel (2)', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(206, 18, 371, 372, 2, 'com_modules.module.129', 'Video Clip (2)', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(207, 18, 373, 374, 2, 'com_modules.module.87', 'Comments', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(208, 18, 375, 376, 2, 'com_modules.module.130', 'OT Scroller', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(209, 18, 377, 378, 2, 'com_modules.module.52', 'Breadcrumbs', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(210, 18, 379, 380, 2, 'com_modules.module.131', 'Recent Works', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(211, 18, 381, 382, 2, 'com_modules.module.132', 'Client’s Testimonials', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}');

DROP TABLE IF EXISTS `#__associations`;
CREATE TABLE IF NOT EXISTS `#__associations` (
  `id` int(11) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__banners`;
CREATE TABLE IF NOT EXISTS `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

INSERT INTO `#__banners` (`id`, `cid`, `type`, `name`, `alias`, `imptotal`, `impmade`, `clicks`, `clickurl`, `state`, `catid`, `description`, `custombannercode`, `sticky`, `ordering`, `metakey`, `params`, `own_prefix`, `metakey_prefix`, `purchase_type`, `track_clicks`, `track_impressions`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `reset`, `created`, `language`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `version`) VALUES
(2, 3, 0, 'Shop 1', 'shop-1', 0, 95, 2, 'http://shop.joomla.org/amazoncom-bookstores.html', 1, 15, 'Get books about Joomla! at the Joomla! Book Shop.', '', 0, 1, '', '{"imageurl":"images\\/banners\\/white.png","width":"","height":"","alt":"Joomla! Books"}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2011-01-01 00:00:01', 'en-GB', 0, '', '0000-00-00 00:00:00', 0, 1),
(3, 2, 0, 'Shop 2', 'shop-2', 0, 145, 2, 'http://shop.joomla.org', 1, 15, 'T Shirts, caps and more from the Joomla! Shop.', '', 0, 2, '', '{"imageurl":"images\\/banners\\/white.png","width":"","height":"","alt":"Joomla! Shop"}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2011-01-01 00:00:01', 'en-GB', 0, '', '0000-00-00 00:00:00', 0, 1),
(4, 1, 0, 'Support Joomla!', 'support-joomla', 0, 64, 1, 'http://contribute.joomla.org', 1, 15, 'Your contributions of time, talent and money make Joomla possible.', '', 0, 3, '', '{"imageurl":"images\\/banners\\/white.png","width":"","height":"","alt":""}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'en-GB', 0, '', '0000-00-00 00:00:00', 0, 1);

DROP TABLE IF EXISTS `#__banner_clients`;
CREATE TABLE IF NOT EXISTS `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` text NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

INSERT INTO `#__banner_clients` (`id`, `name`, `contact`, `email`, `extrainfo`, `state`, `checked_out`, `checked_out_time`, `metakey`, `own_prefix`, `metakey_prefix`, `purchase_type`, `track_clicks`, `track_impressions`) VALUES
(1, 'Joomla!', 'Administrator', 'email@email.com', '', 1, 0, '0000-00-00 00:00:00', '', 0, '', -1, -1, -1),
(2, 'Shop', 'Example', 'example@example.com', '', 1, 0, '0000-00-00 00:00:00', '', 0, '', -1, 0, 0),
(3, 'Bookstore', 'Bookstore Example', 'example@example.com', '', 1, 0, '0000-00-00 00:00:00', '', 0, '', -1, 0, 0);

DROP TABLE IF EXISTS `#__banner_tracks`;
CREATE TABLE IF NOT EXISTS `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__categories`;
CREATE TABLE IF NOT EXISTS `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=78 ;

INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES
(1, 0, 0, 0, 135, 0, '', 'system', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(9, 34, 1, 131, 132, 1, 'uncategorised', 'com_content', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*', 1),
(10, 35, 1, 129, 130, 1, 'uncategorised', 'com_banners', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":"","foobar":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(11, 36, 1, 125, 126, 1, 'uncategorised', 'com_contact', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(12, 37, 1, 61, 62, 1, 'uncategorised', 'com_newsfeeds', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(13, 38, 1, 57, 58, 1, 'uncategorised', 'com_weblinks', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(14, 39, 1, 9, 56, 1, 'sample-data-articles', 'com_content', 'Sample Data-Articles', 'sample-data-articles', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(15, 40, 1, 127, 128, 1, 'sample-data-banners', 'com_banners', 'Sample Data-Banners', 'sample-data-banners', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":"","foobar":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(16, 41, 1, 63, 124, 1, 'sample-data-contact', 'com_contact', 'Sample Data-Contact', 'sample-data-contact', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(17, 42, 1, 59, 60, 1, 'sample-data-newsfeeds', 'com_newsfeeds', 'Sample Data-Newsfeeds', 'sample-data-newsfeeds', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(18, 43, 1, 1, 8, 1, 'sample-data-weblinks', 'com_weblinks', 'Sample Data-Weblinks', 'sample-data-weblinks', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(19, 44, 14, 10, 39, 2, 'sample-data-articles/joomla', 'com_content', 'Joomla!', 'joomla', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*', 1),
(20, 45, 19, 11, 38, 3, 'sample-data-articles/joomla/extensions', 'com_content', 'Extensions', 'extensions', '', '<p>The Joomla! content management system lets you create webpages of various types using extensions. There are 5 basic types of extensions: components, modules, templates, languages, and plugins. Your website includes the extensions you need to create a basic website in English, but thousands of additional extensions of all types are available. The <a href="http://extensions.joomla.org" style="color: #1b57b1; text-decoration: none; font-weight: normal;">Joomla! Extensions Directory</a> is the largest directory of Joomla extensions.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-12-27 11:57:22', 0, '*', 1);
INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES
(21, 46, 20, 12, 13, 4, 'sample-data-articles/joomla/extensions/components', 'com_content', 'Components', 'components', '', '<p><img class="image-left" src="administrator/templates/bluestork/images/header/icon-48-component.png" border="0" alt="Component Image" />Components are larger extensions that produce the major content for your site. Each component has one or more "views" that control how content is displayed. In the Joomla administrator there are additional extensions such as Menus, Redirection, and the extension managers.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-12-27 11:58:12', 0, '*', 1),
(22, 47, 20, 14, 25, 4, 'sample-data-articles/joomla/extensions/modules', 'com_content', 'Modules', 'modules', '', '<p><img class="image-left" src="administrator/templates/bluestork/images/header/icon-48-module.png" border="0" alt="Media Image" />Modules are small blocks of content that can be displayed in positions on a web page. The menus on this site are displayed in modules. The core of Joomla! includes 24 separate modules ranging from login to search to random images. Each module has a name that starts mod_ but when it displays it has a title. In the descriptions in this section, the titles are the same as the names.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-12-27 11:59:44', 0, '*', 1),
(23, 48, 20, 26, 33, 4, 'sample-data-articles/joomla/extensions/templates', 'com_content', 'Templates', 'templates', '', '<p><img src="administrator/templates/bluestork/images/header/icon-48-themes.png" border="0" alt="Media Image" align="left" />Templates give your site its look and feel. They determine layout, colours, typefaces, graphics and other aspects of design that make your site unique. Your installation of Joomla comes prepackaged with three front end templates and two backend templates. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Template_Manager_Templates">Help</a></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-12-27 12:04:51', 0, '*', 1),
(24, 49, 20, 34, 35, 4, 'sample-data-articles/joomla/extensions/languages', 'com_content', 'Languages', 'languages', '', '<p><img src="administrator/templates/bluestork/images/header/icon-48-language.png" border="0" alt="Languages Image" align="left" />Joomla! installs in English, but translations of the interfaces, sample data and help screens are available in dozens of languages. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Language_Manager_Installed">Help</a></p>\r\n<p><a href="http://community.joomla.org/translations.html">Translation information</a></p>\r\n<p>If there is no language pack available for your language, instructions are available for creating your own translation, which you can also contribute to the community by starting a translation team to create an accredited translation. </p>\r\n<p>Translations of the interfaces are installed using the extensions manager in the site administrator and then managed using the language manager.</p>\r\n<p>If you have two or more languages installed you may enable the language switcher plugin and module. They should always be used together. If you create multilingual content and mark your content, menu items or modules as being in specific languages and follow <a href="http://docs.joomla.org/Language_Switcher_Tutorial_for_Joomla_1.6">the complete instructions</a> your users will be able to select a specific content language using the module. By default both the plugin and module are disabled.</p>\r\n<p>Joomla 2.5 installs with a language override manager that allows you to change the specific words (such as Edit or Search) used in the Joomla application.</p>\r\n<p>There are a number of extensions that can help you manage translations of content available in the<a href="http://extensions.joomla.org"> Joomla! Extensions Directory</a>.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2012-01-17 16:18:40', 0, '*', 1);
INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES
(25, 50, 20, 36, 37, 4, 'sample-data-articles/joomla/extensions/plugins', 'com_content', 'Plugins', 'plugins', '', '<p><img src="administrator/templates/bluestork/images/header/icon-48-plugin.png" border="0" alt="Plugin Image" align="left" />Plugins are small task oriented extensions that enhance the Joomla! framework. Some are associated with particular extensions and others, such as editors, are used across all of Joomla. Most beginning users do not need to change any of the plugins that install with Joomla. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Plugin_Manager_Edit">Help</a></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-12-27 12:11:56', 0, '*', 1),
(26, 51, 14, 40, 49, 2, 'sample-data-articles/park-site', 'com_content', 'Park Site', 'park-site', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB', 1),
(27, 52, 26, 41, 42, 3, 'sample-data-articles/park-site/park-blog', 'com_content', 'Park Blog', 'park-blog', '', '<p><span style="font-size: 12px;">Here is where I will blog all about the parks of Australia.</span></p>\r\n<p><em>You can make a blog on your website by creating a category to write your blog posts in (this one is called Park Blog). Each blog post will be an article in that category. If you make a category blog menu link with 1 column it will look like this page, if you display the category description then this part is displayed. </em></p>\r\n<p><em>To enhance your blog you may want to add extensions for <a href="http://extensions.joomla.org/extensions/contacts-and-feedback/articles-comments" style="color: #1b57b1; text-decoration: none; font-weight: normal;">comments</a>,<a href="http://extensions.joomla.org/extensions/social-web" style="color: #1b57b1; text-decoration: none; font-weight: normal;"> interacting with social network sites</a>, <a href="http://extensions.joomla.org/extensions/content-sharing" style="color: #1b57b1; text-decoration: none; font-weight: normal;">tagging</a>, and <a href="http://extensions.joomla.org/extensions/content-sharing" style="color: #1b57b1; text-decoration: none; font-weight: normal;">keeping in contact with your readers</a>. You can also enable the syndication that is included in Joomla (in the Integration Options set Show Feed Link to Show and make sure to display the syndication module on the page).</em></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/sampledata\\/parks\\/banner_cradle.jpg"}', '', '', '{"author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-12-27 12:15:40', 0, 'en-GB', 1),
(28, 53, 26, 43, 48, 3, 'sample-data-articles/park-site/photo-gallery', 'com_content', 'Photo Gallery', 'photo-gallery', '', '<p><img src="images/sampledata/parks/banner_cradle.jpg" border="0" /></p>\r\n<p>These are my photos from parks I have visited (I didn''t take them, they are all from <a href="http://commons.wikimedia.org/wiki/Main_Page">Wikimedia Commons</a>).</p>\r\n<p><em>This shows you how to make a simple image gallery using articles in com_content. </em></p>\r\n<p><em>In each article put a thumbnail image before a "readmore" and the full size image after it. Set the article to Show Intro Text: Hide. </em></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB', 1),
(29, 54, 14, 50, 55, 2, 'sample-data-articles/fruit-shop-site', 'com_content', 'Fruit Shop Site', 'fruit-shop-site', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*', 1);
INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES
(30, 55, 29, 51, 52, 3, 'sample-data-articles/fruit-shop-site/growers', 'com_content', 'Growers', 'growers', '', '<p>We search the whole countryside for the best fruit growers.</p>\r\n<p><em>You can let each supplier have a page that he or she can edit. To see this in action you will need to create a user who is in the suppliers group.  </em></p>\r\n<p><em>Create one page in the growers category for that user and make that supplier the author of the page. That user will be able to edit his or her page. </em></p>\r\n<p><em>This illustrates the use of the Edit Own permission. </em></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-12-27 12:17:40', 0, '*', 1),
(31, 56, 18, 2, 3, 2, 'sample-data-weblinks/park-links', 'com_weblinks', 'Park Links', 'park-links', '', '<p>Here are links to some of my favorite parks.</p>\r\n<p><em>The weblinks component provides an easy way to make links to external sites that are consistently formatted and categorised. You can create weblinks from the front end of your site.</em></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/sampledata\\/parks\\/banner_cradle.jpg"}', '', '', '{"author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB', 1),
(32, 57, 18, 4, 7, 2, 'sample-data-weblinks/joomla-specific-links', 'com_weblinks', 'Joomla! Specific Links', 'joomla-specific-links', '', '<p>A selection of links that are all related to the Joomla Project.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-12-27 12:32:00', 0, '*', 1),
(33, 58, 32, 5, 6, 3, 'sample-data-weblinks/joomla-specific-links/other-resources', 'com_weblinks', 'Other Resources', 'other-resources', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(34, 59, 16, 64, 65, 2, 'sample-data-contact/park-site', 'com_contact', 'Park Site', 'park-site', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB', 1),
(35, 60, 16, 66, 123, 2, 'sample-data-contact/shop-site', 'com_contact', 'Shop Site', 'shop-site', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(36, 61, 35, 67, 68, 3, 'sample-data-contact/shop-site/staff', 'com_contact', 'Staff', 'staff', '', '<p>Please feel free to contact our staff at any time should you need assistance.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(37, 62, 35, 69, 122, 3, 'sample-data-contact/shop-site/fruit-encyclopedia', 'com_contact', 'Fruit Encyclopedia', 'fruit-encyclopedia', '', '<p> </p><p>Our directory of information about different kinds of fruit.</p><p>We love fruit and want the world to know more about all of its many varieties.</p><p>Although it is small now, we work on it whenever we have a chance.</p><p>All of the images can be found in <a href="http://commons.wikimedia.org/wiki/Main_Page">Wikimedia Commons</a>.</p><p><img src="images/sampledata/fruitshop/apple.jpg" border="0" alt="Apples" title="Apples" /></p><p><em>This encyclopedia is implemented using the contact component, each fruit a separate contact and a category for each letter. A CSS style is used to create the horizontal layout of the alphabet headings. </em></p><p><em>If you wanted to, you could allow some users (such as your growers) to have access to just this category in the contact component and let them help you to create new content for the encyclopedia.</em></p><p> </p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(38, 63, 37, 70, 71, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/a', 'com_contact', 'A', 'a', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1);
INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES
(39, 64, 37, 72, 73, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/b', 'com_contact', 'B', 'b', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(40, 65, 37, 74, 75, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/c', 'com_contact', 'C', 'c', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(41, 66, 37, 76, 77, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/d', 'com_contact', 'D', 'd', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(42, 67, 37, 78, 79, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/e', 'com_contact', 'E', 'e', '', '', 0, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(43, 68, 37, 80, 81, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/f', 'com_contact', 'F', 'f', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(44, 69, 37, 82, 83, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/g', 'com_contact', 'G', 'g', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(45, 70, 37, 84, 85, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/h', 'com_contact', 'H', 'h', '', '', 0, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(46, 71, 37, 86, 87, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/i', 'com_contact', 'I', 'i', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(47, 72, 37, 88, 89, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/j', 'com_contact', 'J', 'j', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(48, 73, 37, 90, 91, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/k', 'com_contact', 'K', 'k', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(49, 74, 37, 92, 93, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/l', 'com_contact', 'L', 'l', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(50, 75, 37, 94, 95, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/m', 'com_contact', 'M', 'm', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(51, 76, 37, 96, 97, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/n', 'com_contact', 'N', 'n', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(52, 77, 37, 98, 99, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/o', 'com_contact', 'O', 'o', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(53, 78, 37, 100, 101, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/p', 'com_contact', 'P', 'p', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(54, 79, 37, 102, 103, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/q', 'com_contact', 'Q', 'q', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1);
INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES
(55, 80, 37, 104, 105, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/r', 'com_contact', 'R', 'r', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(56, 81, 37, 106, 107, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/s', 'com_contact', 'S', 's', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(57, 82, 37, 108, 109, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/t', 'com_contact', 'T', 't', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(58, 83, 37, 110, 111, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/u', 'com_contact', 'U', 'u', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(59, 84, 37, 112, 113, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/v', 'com_contact', 'V', 'v', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(60, 85, 37, 114, 115, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/w', 'com_contact', 'W', 'w', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(61, 86, 37, 116, 117, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/x', 'com_contact', 'X', 'x', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(62, 87, 37, 118, 119, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/y', 'com_contact', 'Y', 'y', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(63, 88, 37, 120, 121, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/z', 'com_contact', 'Z', 'z', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(64, 93, 22, 15, 16, 5, 'sample-data-articles/joomla/extensions/modules/articles-modules', 'com_content', 'Content Modules', 'articles-modules', '', '<p>Content modules display article and other information from the content component.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*', 1),
(65, 94, 22, 17, 18, 5, 'sample-data-articles/joomla/extensions/modules/user-modules', 'com_content', 'User Modules', 'user-modules', '', '<p>User modules interact with the user system, allowing users to login, show who is logged-in, and showing the most recently registered users.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-12-27 12:00:50', 0, '*', 1),
(66, 95, 22, 19, 20, 5, 'sample-data-articles/joomla/extensions/modules/display-modules', 'com_content', 'Display Modules', 'display-modules', '', '<p>These modules display information from components other than content and user. These include weblinks, news feeds and the media manager.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(67, 96, 22, 21, 22, 5, 'sample-data-articles/joomla/extensions/modules/utility-modules', 'com_content', 'Utility Modules', 'utility-modules', '', '<p>Utility modules provide useful functionality such as search, syndication and statistics.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-12-27 12:01:34', 0, '*', 1);
INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES
(68, 97, 23, 31, 32, 5, 'sample-data-articles/joomla/extensions/templates/atomic', 'com_content', 'Atomic', 'atomic', '', '<p><img src="templates/atomic/template_thumbnail.png" border="0" alt="The Atomic Template" style="border: 0; float: right;" /></p>\r\n<p>Atomic is a minimal template designed to be a skeleton for making your own template and to learn about Joomla! templating.</p>\r\n<ul>\r\n<li><a href="index.php?Itemid=285">Home Page</a></li>\r\n<li><a href="index.php?Itemid=316">Typography</a></li>\r\n</ul>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-12-27 12:08:16', 0, '*', 1),
(69, 98, 23, 27, 28, 5, 'sample-data-articles/joomla/extensions/templates/beez-20', 'com_content', 'Beez 20', 'beez-20', '', '<p><img src="templates/beez_20/template_thumbnail.png" border="0" alt="Beez_20 thumbnail" align="right" style="float: right;" /></p>\r\n<p>Beez 2.0 is a versatile, easy to customise template that works for a variety of sites. It meets major accessibility standards and demonstrates a range of css and javascript techniques. It is the default template that installs with Joomla!</p>\r\n<ul>\r\n<li><a href="index.php?Itemid=424">Home Page</a></li>\r\n<li><a href="index.php?Itemid=423">Typography</a></li>\r\n</ul>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*', 1),
(70, 99, 23, 29, 30, 5, 'sample-data-articles/joomla/extensions/templates/beez-5', 'com_content', 'Beez 5', 'beez-5', '', '<p><img src="templates/beez5/template_thumbnail.png" border="0" alt="Beez5 Thumbnail" align="right" style="float: right;" /></p>\r\n<p>Beez 5 is an html5 implementation of a Joomla! template. It uses a number of html5 techniques to enhance the presentation of a site. It is used as the template for the Fruit Shop sample site.</p>\r\n<ul>\r\n<li><a href="index.php?Itemid=458">Home Page</a></li>\r\n<li><a href="index.php?Itemid=457">Typography</a></li>\r\n</ul>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-12-27 12:06:57', 0, '*', 1),
(72, 108, 28, 44, 45, 4, 'sample-data-articles/park-site/photo-gallery/animals', 'com_content', 'Animals', 'animals', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB', 1),
(73, 109, 28, 46, 47, 4, 'sample-data-articles/park-site/photo-gallery/scenery', 'com_content', 'Scenery', 'scenery', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB', 1),
(75, 166, 22, 23, 24, 5, 'sample-data-articles/joomla/extensions/modules/navigation-modules', 'com_content', 'Navigation Modules', 'navigation-modules', '', '<p>Navigation modules help your visitors move through your site and find what they need.</p>\r\n<p>Menus provide your site with structure and help your visitors navigate your site.  Although they are all based on the same menu module, the variety of ways menus are used in the sample data show how flexible this module is.</p>\r\n<p>A menu can range from extremely simple (for example the top menu or the menu for the Australian Parks sample site) to extremely complex (for example the About Joomla! menu with its many levels). They can also be used for other types of presentation such as the site map linked from the "This Site" menu.</p>\r\n<p>Breadcrumbs provide users with information about where they are in a site.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*', 1);
INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES
(76, 167, 29, 53, 54, 3, 'sample-data-articles/fruit-shop-site/recipes', 'com_content', 'Recipes', 'recipes', '', '<p>Customers and suppliers can post their favorite recipes for fruit here.</p>\r\n<p>A good idea is to promote the use of metadata keywords to make finding other recipes for the same fruit easier.</p>\r\n<p><em>To see this in action, create a user assigned to the customer group and a user assigned to the suppliers group. These users will be able to create their own recipe pages and edit those pages. They will not be able to edit other users'' pages.</em><br /><br /></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 267, '2011-01-01 00:00:01', 42, '2011-12-27 12:18:25', 0, '*', 1),
(77, 169, 1, 133, 134, 1, 'uncategorised', 'com_users', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 267, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1);

DROP TABLE IF EXISTS `#__contact_details`;
CREATE TABLE IF NOT EXISTS `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `con_position` varchar(255) DEFAULT NULL,
  `address` text,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` mediumtext,
  `image` varchar(255) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL,
  `sortname2` varchar(255) NOT NULL,
  `sortname3` varchar(255) NOT NULL,
  `language` char(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `hits`) VALUES
(1, 'Contact Name Here', 'name', 'Position', 'Street Address', 'Suburb', 'State', 'Country', 'Zip Code', 'Telephone', 'Fax', '<p>Information about or by the contact.</p>', 'images/powered_by.png', 'email@example.com', 1, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Twitter","linka":"http:\\/\\/twitter.com\\/joomla","linkb_name":"YouTube","linkb":"http:\\/\\/www.youtube.com\\/user\\/joomla","linkc_name":"Facebook","linkc":"http:\\/\\/www.facebook.com\\/joomla","linkd_name":"FriendFeed","linkd":"http:\\/\\/friendfeed.com\\/joomla","linke_name":"Scribed","linke":"http:\\/\\/www.scribd.com\\/people\\/view\\/504592-joomla","contact_layout":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 16, 1, '', '', 'last', 'first', 'middle', 'en-GB', '2011-01-01 00:00:01', 267, '', '2011-12-27 12:23:32', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 29),
(2, 'Webmaster', 'webmaster', '', '', '', '', '', '', '', '', '', '', 'webmaster@example.com', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"1","custom_reply":"","redirect":""}', 0, 34, 1, '', '', '', '', '', 'en-GB', '2011-01-01 00:00:01', 267, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(3, 'Owner', 'owner', '', '', '', '', '', '', '', '', '<p>I''m the owner of this store.</p>', '', '', 0, 1, 0, '0000-00-00 00:00:00', 2, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 36, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 267, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0);
INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `hits`) VALUES
(4, 'Buyer', 'buyer', '', '', '', '', '', '', '', '', '<p>I am in charge of buying fruit. If you sell good fruit, contact me.</p>', '', '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"0","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 36, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 267, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(5, 'Bananas', 'bananas', 'Scientific Name: Musa', 'Image Credit: Enzik\r\nRights: Creative Commons Share Alike Unported 3.0\r\nSource: http://commons.wikimedia.org/wiki/File:Bananas_-_Morocco.jpg', '', 'Type: Herbaceous', 'Large Producers: India, China, Brasil', '', '', '', '<p>Bananas are a great source of potassium.</p>\r\n<p> </p>', 'images/sampledata/fruitshop/bananas_2.jpg', '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"show_with_link","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"1","show_email":"","show_street_address":"","show_suburb":"","show_state":"1","show_postcode":"","show_country":"1","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Wikipedia: Banana English","linka":"http:\\/\\/en.wikipedia.org\\/wiki\\/Banana","linkb_name":"Wikipedia:  \\u0939\\u093f\\u0928\\u094d\\u0926\\u0940 \\u0915\\u0947\\u0932\\u093e","linkb":"http:\\/\\/hi.wikipedia.org\\/wiki\\/%E0%A4%95%E0%A5%87%E0%A4%B2%E0%A4%BE","linkc_name":"Wikipedia:Banana Portugu\\u00eas","linkc":"http:\\/\\/pt.wikipedia.org\\/wiki\\/Banana","linkd_name":"Wikipedia: \\u0411\\u0430\\u043d\\u0430\\u043d  \\u0420\\u0443\\u0441\\u0441\\u043a\\u0438\\u0439","linkd":"http:\\/\\/ru.wikipedia.org\\/\\u0411\\u0430\\u043d\\u0430\\u043d","linke_name":"","linke":"","contact_layout":"beez5:encyclopedia"}', 0, 39, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 267, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(6, 'Apples', 'apples', 'Scientific Name: Malus domestica', 'Image Credit: Fievet\r\nRights: Public Domain\r\nSource: http://commons.wikimedia.org/wiki/File:Pommes_vertes.JPG', '', 'Family: Rosaceae', 'Large: Producers: China, United States', '', '', '', '<p>Apples are a versatile fruit, used for eating, cooking, and preserving.</p>\r\n<p>There are more that 7500 different kinds of apples grown around the world.</p>', 'images/sampledata/fruitshop/apple.jpg', '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Wikipedia: Apples English","linka":"http:\\/\\/en.wikipedia.org\\/wiki\\/Apple","linkb_name":"Wikipedia: Manzana Espa\\u00f1ol ","linkb":"http:\\/\\/es.wikipedia.org\\/wiki\\/Manzana","linkc_name":"Wikipedia: \\u82f9\\u679c \\u4e2d\\u6587","linkc":"http:\\/\\/zh.wikipedia.org\\/zh\\/\\u82f9\\u679c","linkd_name":"Wikipedia: Tofaa Kiswahili","linkd":"http:\\/\\/sw.wikipedia.org\\/wiki\\/Tofaa","linke_name":"","linke":"","contact_layout":"beez5:encyclopedia"}', 0, 38, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 267, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0);
INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `hits`) VALUES
(7, 'Tamarind', 'tamarind', 'Scientific Name: Tamarindus indica', 'Image Credit: Franz Eugen Köhler, Köhler''s Medizinal-Pflanzen \r\nRights: Public Domain\r\nSource:http://commons.wikimedia.org/wiki/File:Koeh-134.jpg', '', 'Family: Fabaceae', 'Large Producers: India, United States', '', '', '', '<p>Tamarinds are a versatile fruit used around the world. In its young form it is used in hot sauces; ripened it is the basis for many refreshing drinks.</p>\r\n<p> </p>', 'images/sampledata/fruitshop/tamarind.jpg', '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Wikipedia: Tamarind English","linka":"http:\\/\\/en.wikipedia.org\\/wiki\\/Tamarind","linkb_name":"Wikipedia: \\u09a4\\u09c7\\u0981\\u09a4\\u09c1\\u09b2  \\u09ac\\u09be\\u0982\\u09b2\\u09be  ","linkb":"http:\\/\\/bn.wikipedia.org\\/wiki\\/\\u09a4\\u09c7\\u0981\\u09a4\\u09c1\\u09b2 ","linkc_name":"Wikipedia: Tamarinier Fran\\u00e7ais","linkc":"http:\\/\\/fr.wikipedia.org\\/wiki\\/Tamarinier","linkd_name":"Wikipedia:Tamaline lea faka-Tonga","linkd":"http:\\/\\/to.wikipedia.org\\/wiki\\/Tamaline","linke_name":"","linke":"","contact_layout":"beez5:encyclopedia"}', 0, 57, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 267, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(8, 'Shop Address', 'shop-address', '', '', 'Our City', 'Our Province', 'Our Country', '', '555-555-5555', '', '<p>Here are directions for how to get to our shop.</p>', '', '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 35, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 267, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0);

DROP TABLE IF EXISTS `#__content`;
CREATE TABLE IF NOT EXISTS `#__content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=72 ;

INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(1, 89, 'Administrator Components', 'administrator-components', '<p>All components are also used in the administrator area of your website. In addition to the ones listed here, there are components in the administrator that do not have direct front end displays, but do help shape your site. The most important ones for most users are</p>\r\n<ul>\r\n<li>Media Manager</li>\r\n<li>Extensions Manager</li>\r\n<li>Menu Manager</li>\r\n<li>Global Configuration</li>\r\n<li>Banners</li>\r\n<li>Redirect</li>\r\n</ul>\r\n<hr title="Media Manager" alt="Media Manager" class="system-pagebreak" style="color: gray; border: 1px dashed gray;" />\r\n<p> </p>\r\n<h3>Media Manager</h3>\r\n<p>The media manager component lets you upload and insert images into content throughout your site. Optionally, you can enable the flash uploader which will allow you to to upload multiple images. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Content_Media_Manager">Help</a></p>\r\n<hr title="Extensions Manager" alt="Extensions Manager" class="system-pagebreak" style="color: gray; border: 1px dashed gray;" />\r\n<h3>Extensions Manager</h3>\r\n<p>The extensions manager lets you install, update, uninstall and manage all of your extensions. The extensions manager has been extensively redesigned, although the core install and uninstall functionality remains the same as in Joomla! 1.5. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Extension_Manager_Install">Help</a></p>\r\n<hr title="Menu Manager" alt="Menu Manager" class="system-pagebreak" style="color: gray; border: 1px dashed gray;" />\r\n<h3>Menu Manager</h3>\r\n<p>The menu manager lets you create the menus you see displayed on your site. It also allows you to assign modules and template styles to specific menu links. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Menus_Menu_Manager">Help</a></p>\r\n<hr title="Global Configuration" alt="Global Configuration" class="system-pagebreak" style="color: gray; border: 1px dashed gray;" />\r\n<h3>Global Configuration</h3>\r\n<p>The global configuration is where the site administrator configures things such as whether search engine friendly urls are enabled, the site meta data (descriptive text used by search engines and indexers) and other functions. For many beginning users simply leaving the settings on default is a good way to begin, although when your site is ready for the public you will want to change the meta data to match its content. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Site_Global_Configuration">Help</a></p>\r\n<hr title="Banners" alt="Banners" class="system-pagebreak" style="color: gray; border: 1px dashed gray;" />\r\n<h3>Banners</h3>\r\n<p>The banners component provides a simple way to display a rotating image in a module and, if you wish to have advertising, a way to track the number of times an image is viewed and clicked. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Banners_Banners_Edit">Help</a></p>\r\n<hr title="Redirect" class="system-pagebreak" />\r\n<h3><br />Redirect</h3>\r\n<p>The redirect component is used to manage broken links that produce Page Not Found (404) errors. If enabled it will allow you to redirect broken links to specific pages. It can also be used to manage migration related URL changes. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Redirect_Manager">Help</a></p>', '', 1, 21, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-12-27 11:03:19', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 7, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(2, 90, 'Archive Module', 'archive-module', '<p>This module shows a list of the calendar months containing archived articles. After you have changed the status of an article to archived, this list will be automatically generated. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Archive" title="Archive Module">Help</a></p>\r\n<div class="sample-module">{loadmodule articles_archive,Archived Articles}</div>', '', 1, 64, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-09-17 22:18:05', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","page_title":"","alternative_readmore":"","layout":""}', 5, 5, 'modules, content', '', 1, 151, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(3, 91, 'Article Categories Module', 'article-categories-module', '<p>This module displays a list of categories from one parent category. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Categories" title="Categories Module">Help</a></p>\r\n<div class="sample-module">{loadmodule articles_categories,Articles Categories}</div>\r\n<p> </p>', '', 1, 64, '2011-01-01 00:00:01', 267, '', '2011-09-17 22:13:31', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","page_title":"","alternative_readmore":"","layout":""}', 5, 6, 'modules, content', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(4, 92, 'Articles Category Module', 'articles-category-module', '<p>This module allows you to display the articles in a specific category. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Category">Help</a></p>\r\n<div class="sample-module">{loadmodule articles_category,Articles Category}</div>', '', 1, 64, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-09-17 22:18:26', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","page_title":"","alternative_readmore":"","layout":""}', 8, 7, '', 'articles,content', 1, 10, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(5, 101, 'Authentication', 'authentication', '<p>The authentication plugins operate when users login to your site or administrator. The Joomla! authentication plugin is in operation by default but you can enable Gmail or LDAP or install a plugin for a different system. An example is included that may be used to create a new authentication plugin.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>Joomla <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Authentication_-_GMail">Help</a></li>\r\n</ul>\r\n<p>Default off:</p>\r\n<ul>\r\n<li>Gmail <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Authentication_-_GMail">Help</a></li>\r\n<li>LDAP <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Authentication_-_LDAP">Help</a></li>\r\n</ul>', '', 1, 25, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-12-27 11:04:13', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 3, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(6, 102, 'Australian Parks ', 'australian-parks', '<p><img src="images/sampledata/parks/banner_cradle.jpg" border="0" alt="Cradle Park Banner" /></p>\r\n<p>Welcome!</p>\r\n<p>This is a basic site about the beautiful and fascinating parks of Australia.</p>\r\n<p>On this site you can read all about my travels to different parks, see photos, and find links to park websites.</p>\r\n<p><em>This sample site is an example of using the core of Joomla! to create a basic website, whether a "brochure site,"  a personal blog, or as a way to present information on a topic you are interested in.</em></p>\r\n<p><em> Read more about the site in the About Parks module.</em></p>\r\n<p> </p>', '', 1, 26, '2011-01-01 00:00:01', 267, 'Parks Webmaster', '2011-09-06 06:20:19', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 1, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(7, 103, 'Banner Module', 'banner-module', '<p>The banner module is used to display the banners that are managed by the banners component in the site administrator. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Banners">Help</a>.</p>\r\n<div class="sample-module">{loadmodule banners,Banners}</div>', '', 1, 66, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-09-17 22:32:58', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 4, 6, '', '', 1, 4, '', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(8, 104, 'Beginners', 'beginners', '<p>If this is your first Joomla! site or your first web site, you have come to the right place. Joomla will help you get your website up and running quickly and easily.</p>\r\n<p>Start off using your site by logging in using the administrator account you created when you installed Joomla.</p>\r\n', '\r\n<p>Explore the articles and other resources right here on your site data to learn more about how Joomla works. (When you''re done reading, you can delete or archive all of this.) You will also probably want to visit the Beginners'' Areas of the <a href="http://docs.joomla.org/Beginners">Joomla documentation</a> and <a href="http://forum.joomla.org">support forums</a>.</p>\r\n<p>You''ll also want to sign up for the Joomla Security Mailing list and the Announcements mailing list. For inspiration visit the <a href="http://community.joomla.org/showcase/">Joomla! Site Showcase</a> to see an amazing array of ways people use Joomla to tell their stories on the web.</p>\r\n<p>The basic Joomla installation will let you get a great site up and running, but when you are ready for more features the power of Joomla is in the creative ways that developers have extended it to do all kinds of things. Visit the <a href="http://extensions.joomla.org/">Joomla! Extensions Directory</a> to see thousands of extensions that can do almost anything you could want on a website. Can''t find what you need? You may want to find a Joomla professional in the <a href="http://resources.joomla.org/">Joomla! Resource Directory</a>.</p>\r\n<p>Want to learn more? Consider attending a <a href="http://community.joomla.org/events.html">Joomla! Day</a> or other event or joining a local <a href="http://community.joomla.org/user-groups.html">Joomla! Users Group</a>. Can''t find one near you? Start one yourself.</p>', 1, 19, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-12-27 11:10:49', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 4, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(9, 105, 'Contacts', 'contact', '<p>The contact component provides a way to provide contact forms and information for your site or to create a complex directory that can be used for many different purposes. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Contacts_Contacts">Help</a></p>', '', 1, 21, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-01-10 04:15:37', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 2, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(10, 106, 'Content', 'content', '<p>The content component (com_content) is what you use to write articles. It is extremely flexible and has the largest number of built in views. Articles can be created and edited from the front end, making content the easiest component to use to create your site content. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Content_Article_Manager">Help</a></p>', '', 1, 21, '2011-01-01 00:00:01', 267, '', '2011-01-10 04:28:12', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 1, '', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(11, 107, 'Cradle Mountain', 'cradle-mountain', '<p> </p>\r\n', '\r\n<p> </p>', 1, 73, '2011-01-01 00:00:01', 267, 'Parks Webmaster', '2012-01-17 04:42:36', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/landscape\\/250px_cradle_mountain_seen_from_barn_bluff.jpg","float_intro":"","image_intro_alt":"Cradle Mountain","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/landscape\\/800px_cradle_mountain_seen_from_barn_bluff.jpg","float_fulltext":"none","image_fulltext_alt":"Cradle Mountain","image_fulltext_caption":"Source: http:\\/\\/commons.wikimedia.org\\/wiki\\/File:Rainforest,bluemountainsNSW.jpg Author: Alan J.W.C. License: GNU Free Documentation License v . 1.2 or later"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 1, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(12, 110, 'Custom HTML Module', 'custom-html-module', '<p>This module allows you to create your own HTML Module using a WYSIWYG editor. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Custom_HTML" title="Custom HTML Module">Help</a></p>\r\n<div class="sample-module">{loadmodule custom,Custom HTML}</div>', '', 1, 66, '2011-01-01 00:00:01', 267, '', '2011-12-27 11:12:46', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 13, 1, '', '', 1, 13, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(13, 111, 'Directions', 'directions', '<p>Here''s how to find our shop.</p><p>By car</p><p>Drive along Main Street to the intersection with First Avenue.  Look for our sign.</p><p>By foot</p><p>From the center of town, walk north on Main Street until you see our sign.</p><p>By bus</p><p>Take the #73 Bus to the last stop. We are on the north east corner.</p>', '', 1, 29, '2011-01-01 00:00:01', 267, 'Fruit Shop Webmaster', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 2, '', '', 1, 0, '', 0, '*', ''),
(14, 112, 'Editors', 'editors', '<p>Editors are used thoughout Joomla! where content is created. TinyMCE is the default choice in most locations although CodeMirror is used in the template manager. No Editor provides a text box for html content.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>CodeMirror <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Editor_-_CodeMirror">Help</a></li>\r\n<li>TinyMCE<a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Editor_-_TinyMCE"> Help</a></li>\r\n<li>No Editor <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Editor_-_None">Help</a></li>\r\n</ul>\r\n<p>Default off:</p>\r\n<ul>\r\n<li>None</li>\r\n</ul>', '', 1, 25, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-09-06 05:45:40', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 5, '', '', 1, 0, '', 0, '*', ''),
(15, 113, 'Editors-xtd', 'editors-xtd', '<p>These plugins are the buttons found beneath your editor. They only run when an editor plugin runs.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>Editor Button: Image<a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Button_-_Image"> Help</a></li>\r\n<li>Editor Button: Readmore <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Button_-_Readmore">Help</a></li>\r\n<li>Editor Button: Page Break <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Button_-_Pagebreak">Help</a></li>\r\n<li>Editor Button: Article <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Button_-_Article">Help</a></li>\r\n</ul>\r\n<p>Default off:</p>\r\n<ul>\r\n<li>None</li>\r\n</ul>', '', 1, 25, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-12-27 11:14:12', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 6, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(16, 114, 'Feed Display', 'feed-display', '<p>This module allows the displaying of a syndicated feed. <a href="http://docs.joomla.org/Help15:Screen.modulessite.edit.15#Feed_Display" title="Feed Display Module">Help</a></p>\r\n<div class="sample-module">{loadmodule feed,Feed Display}</div>', '', 1, 66, '2011-01-01 00:00:01', 267, '', '2011-09-17 22:22:08', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 3, 2, '', '', 1, 3, '', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(17, 115, 'First Blog Post', 'first-blog-post', '<p><em>Lorem Ipsum is filler text that is commonly used by designers before the content for a new site is ready.</em></p><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed faucibus purus vitae diam posuere nec eleifend elit dictum. Aenean sit amet erat purus, id fermentum lorem. Integer elementum tristique lectus, non posuere quam pretium sed. Quisque scelerisque erat at urna condimentum euismod. Fusce vestibulum facilisis est, a accumsan massa aliquam in. In auctor interdum mauris a luctus. Morbi euismod tempor dapibus. Duis dapibus posuere quam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. In eu est nec erat sollicitudin hendrerit. Pellentesque sed turpis nunc, sit amet laoreet velit. Praesent vulputate semper nulla nec varius. Aenean aliquam, justo at blandit sodales, mauris leo viverra orci, sed sodales mauris orci vitae magna.</p>', '<p>Quisque a massa sed libero tristique suscipit. Morbi tristique molestie metus, vel vehicula nisl ultrices pretium. Sed sit amet est et sapien condimentum viverra. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Phasellus viverra tortor porta orci convallis ac cursus erat sagittis. Vivamus aliquam, purus non luctus adipiscing, orci urna imperdiet eros, sed tincidunt neque sapien et leo. Cras fermentum, dolor id tempor vestibulum, neque lectus luctus mauris, nec congue tellus arcu nec augue. Nulla quis mi arcu, in bibendum quam. Sed placerat laoreet fermentum. In varius lobortis consequat. Proin vulputate felis ac arcu lacinia adipiscing. Morbi molestie, massa id sagittis luctus, sem sapien sollicitudin quam, in vehicula quam lectus quis augue. Integer orci lectus, bibendum in fringilla sit amet, rutrum eget enim. Curabitur at libero vitae lectus gravida luctus. Nam mattis, ligula sit amet vestibulum feugiat, eros sem sodales mi, nec dignissim ante elit quis nisi. Nulla nec magna ut leo convallis sagittis ac non erat. Etiam in augue nulla, sed tristique orci. Vestibulum quis eleifend sapien.</p><p>Nam ut orci vel felis feugiat posuere ut eu lorem. In risus tellus, sodales eu eleifend sed, imperdiet id nulla. Nunc at enim lacus. Etiam dignissim, arcu quis accumsan varius, dui dui faucibus erat, in molestie mauris diam ac lacus. Sed sit amet egestas nunc. Nam sollicitudin lacinia sapien, non gravida eros convallis vitae. Integer vehicula dui a elit placerat venenatis. Nullam tincidunt ligula aliquet dui interdum feugiat. Maecenas ultricies, lacus quis facilisis vehicula, lectus diam consequat nunc, euismod eleifend metus felis eu mauris. Aliquam dapibus, ipsum a dapibus commodo, dolor arcu accumsan neque, et tempor metus arcu ut massa. Curabitur non risus vitae nisl ornare pellentesque. Pellentesque nec ipsum eu dolor sodales aliquet. Vestibulum egestas scelerisque tincidunt. Integer adipiscing ultrices erat vel rhoncus.</p><p>Integer ac lectus ligula. Nam ornare nisl id magna tincidunt ultrices. Phasellus est nisi, condimentum at sollicitudin vel, consequat eu ipsum. In venenatis ipsum in ligula tincidunt bibendum id et leo. Vivamus quis purus massa. Ut enim magna, pharetra ut condimentum malesuada, auctor ut ligula. Proin mollis, urna a aliquam rutrum, risus erat cursus odio, a convallis enim lectus ut lorem. Nullam semper egestas quam non mattis. Vestibulum venenatis aliquet arcu, consectetur pretium erat pulvinar vel. Vestibulum in aliquet arcu. Ut dolor sem, pellentesque sit amet vestibulum nec, tristique in orci. Sed lacinia metus vel purus pretium sit amet commodo neque condimentum.</p><p>Aenean laoreet aliquet ullamcorper. Nunc tincidunt luctus tellus, eu lobortis sapien tincidunt sed. Donec luctus accumsan sem, at porttitor arcu vestibulum in. Sed suscipit malesuada arcu, ac porttitor orci volutpat in. Vestibulum consectetur vulputate eros ut porttitor. Aenean dictum urna quis erat rutrum nec malesuada tellus elementum. Quisque faucibus, turpis nec consectetur vulputate, mi enim semper mi, nec porttitor libero magna ut lacus. Quisque sodales, leo ut fermentum ullamcorper, tellus augue gravida magna, eget ultricies felis dolor vitae justo. Vestibulum blandit placerat neque, imperdiet ornare ipsum malesuada sed. Quisque bibendum quam porta diam molestie luctus. Sed metus lectus, ornare eu vulputate vel, eleifend facilisis augue. Maecenas eget urna velit, ac volutpat velit. Nam id bibendum ligula. Donec pellentesque, velit eu convallis sodales, nisi dui egestas nunc, et scelerisque lectus quam ut ipsum.</p>', 1, 27, '2011-01-01 00:00:01', 267, '', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 2, '', '', 1, 0, '', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(18, 116, 'Second Blog Post', 'second-blog-post', '<p><em>Lorem Ipsum is text that is traditionally used by designers when working on a site before the content is ready.</em></p><p>Pellentesque bibendum metus ut dolor fermentum ut pulvinar tortor hendrerit. Nam vel odio vel diam tempus iaculis in non urna. Curabitur scelerisque, nunc id interdum vestibulum, felis elit luctus dui, ac dapibus tellus mauris tempus augue. Duis congue facilisis lobortis. Phasellus neque erat, tincidunt non lacinia sit amet, rutrum vitae nunc. Sed placerat lacinia fermentum. Integer justo sem, cursus id tristique eget, accumsan vel sapien. Curabitur ipsum neque, elementum vel vestibulum ut, lobortis a nisl. Fusce malesuada mollis purus consectetur auctor. Morbi tellus nunc, dapibus sit amet rutrum vel, laoreet quis mauris. Aenean nec sem nec purus bibendum venenatis. Mauris auctor commodo libero, in adipiscing dui adipiscing eu. Praesent eget orci ac nunc sodales varius.</p>', '<p>Nam eget venenatis lorem. Vestibulum a interdum sapien. Suspendisse potenti. Quisque auctor purus nec sapien venenatis vehicula malesuada velit vehicula. Fusce vel diam dolor, quis facilisis tortor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Pellentesque libero nisi, pellentesque quis cursus sit amet, vehicula vitae nisl. Curabitur nec nunc ac sem tincidunt auctor. Phasellus in mattis magna. Donec consequat orci eget tortor ultricies rutrum. Mauris luctus vulputate molestie. Proin tincidunt vehicula euismod. Nam congue leo non erat cursus a adipiscing ipsum congue. Nulla iaculis purus sit amet turpis aliquam sit amet dapibus odio tincidunt. Ut augue diam, congue ut commodo pellentesque, fermentum mattis leo. Sed iaculis urna id enim dignissim sodales at a ipsum. Quisque varius lobortis mollis. Nunc purus magna, pellentesque pellentesque convallis sed, varius id ipsum. Etiam commodo mi mollis erat scelerisque fringilla. Nullam bibendum massa sagittis diam ornare rutrum.</p><p>Praesent convallis metus ut elit faucibus tempus in quis dui. Donec fringilla imperdiet nibh, sit amet fringilla velit congue et. Quisque commodo luctus ligula, vitae porttitor eros venenatis in. Praesent aliquet commodo orci id varius. Nulla nulla nibh, varius id volutpat nec, sagittis nec eros. Cras et dui justo. Curabitur malesuada facilisis neque, sed tempus massa tincidunt ut. Sed suscipit odio in lacus auctor vehicula non ut lacus. In hac habitasse platea dictumst. Sed nulla nisi, lacinia in viverra at, blandit vel tellus. Nulla metus erat, ultrices non pretium vel, varius nec sem. Morbi sollicitudin mattis lacus quis pharetra. Donec tincidunt mollis pretium. Proin non libero justo, vitae mattis diam. Integer vel elit in enim varius posuere sed vitae magna. Duis blandit tempor elementum. Vestibulum molestie dui nisi.</p><p>Curabitur volutpat interdum lorem sed tempus. Sed placerat quam non ligula lacinia sodales. Cras ultrices justo at nisi luctus hendrerit. Quisque sit amet placerat justo. In id sapien eu neque varius pharetra sed in sapien. Etiam nisl nunc, suscipit sed gravida sed, scelerisque ut nisl. Mauris quis massa nisl, aliquet posuere ligula. Etiam eget tortor mauris. Sed pellentesque vestibulum commodo. Mauris vitae est a libero dapibus dictum fringilla vitae magna.</p><p>Nulla facilisi. Praesent eget elit et mauris gravida lobortis ac nec risus. Ut vulputate ullamcorper est, volutpat feugiat lacus convallis non. Maecenas quis sem odio, et aliquam libero. Integer vel tortor eget orci tincidunt pulvinar interdum at erat. Integer ullamcorper consequat eros a pellentesque. Cras sagittis interdum enim in malesuada. Etiam non nunc neque. Fusce non ligula at tellus porta venenatis. Praesent tortor orci, fermentum sed tincidunt vel, varius vel dui. Duis pulvinar luctus odio, eget porta justo vulputate ac. Nulla varius feugiat lorem sed tempor. Phasellus pulvinar dapibus magna eget egestas. In malesuada lectus at justo pellentesque vitae rhoncus nulla ultrices. Proin ut sem sem. Donec eu suscipit ipsum. Cras eu arcu porttitor massa feugiat aliquet at quis nisl.</p>', 1, 27, '2011-01-01 00:00:01', 267, '', '2011-01-01 00:00:01', 0, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 1, '', '', 1, 0, '', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(19, 117, 'Footer Module', 'footer-module', '<p>This module shows the Joomla! copyright information. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Footer" title="Footer Module">Help</a></p>\r\n<div class="sample-module">{loadmodule footer,Footer}</div>', '', 1, 66, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-09-17 22:22:47', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 4, 3, '', '', 1, 4, '', 0, '*', ''),
(20, 118, 'Fruit Shop', 'fruit-shop', '<h2>Welcome to the Fruit Shop</h2>\r\n<p>We sell fruits from around the world. Please use our website to learn more about our business. We hope you will come to our shop and buy some fruit.</p>\r\n<p><em>This mini site will show you how you might want to set up a site for a business, in this example one selling fruit. It shows how to use access controls to manage your site content. If you were building a real site, you might want to extend it with e-commerce, a catalog, mailing lists or other enhancements, many of which are available through the</em><a href="http://extensions.joomla.org"><em> Joomla! Extensions Directory</em></a>.</p>\r\n<p><em>To understand this site you will probably want to make one user with group set to customer and one with group set to grower. By logging in with different privileges you can see how access control works.</em></p>', '', 1, 29, '2011-01-01 00:00:01', 267, 'Fruit Shop Webmaster', '2011-12-27 11:17:59', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(21, 119, 'Getting Help', 'getting-help', '<p><img class="image-left" src="administrator/templates/hathor/images/header/icon-48-help_header.png" border="0" /> There are lots of places you can get help with Joomla!. In many places in your site administrator you will see the help icon. Click on this for more information about the options and functions of items on your screen. Other places to get help are:</p>\r\n<ul>\r\n<li><a href="http://forum.joomla.org">Support Forums</a></li>\r\n<li><a href="http://docs.joomla.org">Documentation</a></li>\r\n<li><a href="http://resources.joomla.org">Professionals</a></li>\r\n<li><a href="http://shop.joomla.org/amazoncom-bookstores.html">Books</a></li>\r\n</ul>', '', 1, 19, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-01-10 15:32:54', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 10, 8, '', '', 1, 17, '', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(22, 120, 'Getting Started', 'getting-started', '<p>It''s easy to get started creating your website. Knowing some of the basics will help.</p>\r\n<h3>What is a Content Management System?</h3>\r\n<p>A content management system is software that allows you to create and manage webpages easily by separating the creation of your content from the mechanics required to present it on the web.</p>\r\n<p>In this site, the content is stored in a <em>database</em>. The look and feel are created by a <em>template</em>. The Joomla! software brings together the template and the content to create web pages.</p>\r\n<h3>Site and Administrator</h3>\r\n<p>Your site actually has two separate sites. The site (also called the front end) is what visitors to your site will see. The administrator (also called the back end) is only used by people managing your site. You can access the administrator by clicking the "Site Administrator" link on the "This Site" menu or by adding /administrator to the end of you domain name.</p>\r\n<p>Log in to the administrator using the username and password created during the installation of Joomla.</p>\r\n<h3>Logging in</h3>\r\n<p>To login to the front end of your site use the login form or the login menu link on the "This Site" menu. Use the user name and password that were created as part of the installation process. Once logged-in you will be able to create and edit articles.</p>\r\n<p>In managing your site, you will be able to create content that only logged-in users are able to see.</p>\r\n<h3>Creating an article</h3>\r\n<p>Once you are logged-in, a new menu will be visible. To create a new article, click on the "submit article" link on that menu.</p>\r\n<p>The new article interface gives you a lot of options, but all you need to do is add a title and put something in the content area. To make it easy to find, set the state to published and put it in the Joomla category.</p>\r\n<div>You can edit an existing article by clicking on the edit icon (this only displays to users who have the right to edit).</div>\r\n<h3>Learn more</h3>\r\n<p>There is much more to learn about how to use Joomla! to create the web site you envision. You can learn much more at the <a href="http://docs.joomla.org">Joomla! documentation site</a> and on the<a href="http://forum.joomla.org"> Joomla! forums</a>.</p>', '', 1, 19, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-12-27 11:21:44', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 9, '', '', 1, 32, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(23, 121, 'Happy Orange Orchard', 'happy-orange-orchard', '<p>At our orchard we grow the world''s best oranges as well as other citrus fruit such as lemons and grapefruit. Our family has been tending this orchard for generations.</p>', '', 1, 30, '2011-01-01 00:00:01', 267, 'Fruit Shop Webmaster', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 2, '', '', 1, 0, '', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(24, 122, 'Joomla!', 'joomla', '<p>Congratulations! You have a Joomla site! Joomla makes it easy to build a website just the way you want it and keep it simple to update and maintain.</p>\r\n<p>Joomla is a flexible and powerful platform, whether you are building a small site for yourself or a huge site with hundreds of thousands of visitors. Joomla is open source, which means you can make it work just the way you want it to.</p>', '', 1, 19, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-12-27 11:22:23', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(25, 123, 'Koala', 'koala', '<p> </p>\r\n<p> </p>\r\n<p> </p>\r\n<p> </p>\r\n<p> </p>\r\n', '\r\n<p> </p>', 1, 72, '2011-01-01 00:00:01', 267, 'Parks Webmaster', '2012-01-17 05:15:00', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/animals\\/180px_koala_ag1.jpg","float_intro":"","image_intro_alt":"Koala  Thumbnail","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/animals\\/800px_koala_ag1.jpg","float_fulltext":"","image_fulltext_alt":"Koala Climbing Tree","image_fulltext_caption":"Source: http:\\/\\/commons.wikimedia.org\\/wiki\\/File:Koala-ag1.jpg Author: Arnaud Gaillard License: Creative Commons Share Alike Attribution Generic 1.0"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 2, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(26, 124, 'Language Switcher', 'language-switcher', '<p>The language switcher module allows you to take advantage of the language tags that are available when content, modules and menu links are created.</p>\r\n<p>This module displays a list of available Content Languages for switching between them.</p>\r\n<p>When switching languages, it redirects to the Home page, or associated menu item, defined for the chosen language. Thereafter, the navigation will be the one defined for that language.</p>\r\n<p><strong>The language filter plugin must be enabled for this module to work properly.</strong></p>\r\n<p><strong></strong> <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Language_Switcher" title="Language Switcher Module">Help</a></p>\r\n<p>To view an example of the language switch moduler module, go to the site administrator and enable the language filter plugin and the language switcher module labelled "language switcher" and visit the fruit shop or park sample sites. Then follow<a href="http://docs.joomla.org/Language_Switcher_Tutorial_for_Joomla_1.6"> the instructions in this tutorial</a>.</p>', '', 1, 67, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-12-27 11:25:00', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 3, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(27, 125, 'Latest Articles Module', 'latest-articles-module', '<p>This module shows a list of the most recently published and current Articles. Some that are shown may have expired even though they are the most recent. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Latest_News" title="Latest Articles">Help</a></p>\r\n<div class="sample-module">{loadmodule articles_latest,Latest News}</div>', '', 1, 64, '2011-01-01 00:00:01', 267, '', '2011-12-27 11:25:41', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 1, 'modules, content', '', 1, 15, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(28, 126, 'Login Module', 'login-module', '<p>This module displays a username and password login form. It also displays a link to retrieve a forgotten password. If user registration is enabled (in the Global Configuration settings), another link will be shown to enable self-registration for users. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Login" title="Login">Help</a></p>\r\n<div class="sample-module">{loadmodule login,login}</div>', '', 1, 65, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-09-17 22:20:35', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 4, 2, '', '', 1, 5, '', 0, '*', ''),
(29, 127, 'Menu Module', 'menu-module', '<p>This module displays a menu on the site (frontend).  Menus can be displayed in a wide variety of ways by using the menu options and css menu styles. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Menu">Help</a></p>\r\n<div class="sample-module">{loadmodule mod_menu,Menu Example}</div>', '', 1, 75, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-09-17 22:18:45', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 8, 1, '', '', 1, 12, '', 0, '*', ''),
(30, 128, 'Most Read Content', 'most-read-content', '<p>This module shows a list of the currently published Articles which have the highest number of page views. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Most_Read" title="Most Read Content">Help</a></p>\r\n<div class="sample-module">{loadmodule articles_popular,Articles Most Read}</div>', '', 1, 64, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-12-27 11:26:41', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 2, 'modules, content', '', 1, 10, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(31, 129, 'News Flash', 'news-flash', '<p>Displays a set number of articles from a category based on date or random selection. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Newsflash" title="News Flash Module">Help</a></p>\r\n<div class="sample-module">{loadmodule articles_news,News Flash}</div>', '', 1, 64, '2011-01-01 00:00:01', 267, '', '2011-09-17 22:16:46', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","page_title":"","alternative_readmore":"","layout":""}', 4, 3, 'modules, content', '', 1, 10, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(32, 130, 'Options', 'options', '<p>As you make your Joomla! site you will control the details of the display using <em>options</em> also referred to as <em>parameter</em><strong>s</strong>. Options control everything from whether the author''s name is displayed to who can view what to the number of items shown on a list.</p>\r\n<p>Default options for each component are changed using the Options button on the component toolbar.</p>\r\n<p>Options can also be set on an individual item, such as an article or contact and in menu links.</p>\r\n<p>If you are happy with how your site looks, it is fine to leave all of the options set to the defaults that were created when your site was installed. As you become more experienced with Joomla you will use options more.</p>\r\n<p> </p>', '', 1, 19, '2011-01-01 00:00:01', 267, 'Joomla!', '2012-01-17 16:21:24', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 10, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(33, 131, 'Phyllopteryx', 'phyllopteryx', '<p> </p>\r\n', '\r\n<p> </p>', 1, 72, '2011-01-01 00:00:01', 267, 'Parks Webmaster', '2012-01-17 04:57:58', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/animals\\/200px_phyllopteryx_taeniolatus1.jpg","float_intro":"","image_intro_alt":"Phyllopteryx","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/animals\\/800px_phyllopteryx_taeniolatus1.jpg","float_fulltext":"","image_fulltext_alt":"Phyllopteryx","image_fulltext_caption":"Source: http:\\/\\/en.wikipedia.org\\/wiki\\/File:Phyllopteryx_taeniolatus1.jpg Author: Richard Ling License: GNU Free Documentation License v 1.2 or later"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(34, 132, 'Pinnacles', 'pinnacles', '<p> </p>\r\n', '\r\n<p> </p>', 1, 73, '2011-01-01 00:00:01', 267, 'Parks Webmaster', '2012-01-17 04:41:30', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/landscape\\/120px_pinnacles_western_australia.jpg","float_intro":"","image_intro_alt":"Kings Canyon","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/landscape\\/800px_pinnacles_western_australia.jpg","float_fulltext":"","image_fulltext_alt":"Kings Canyon","image_fulltext_caption":"Source: http:\\/\\/commons.wikimedia.org\\/wiki\\/File:Pinnacles_Western_Australia.jpg  Author: Martin Gloss  License: GNU Free Documentation license v 1.2 or later."}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 4, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(35, 133, 'Professionals', 'professionals', '<p>Joomla! 2.5 continues development of the Joomla Framework and CMS as a powerful and flexible way to bring your vision of the web to reality. With the administrator now fully MVC, the ability to control its look and the management of extensions is now complete.</p>\r\n', '\r\n<p>Working with multiple template styles and overrides for the same views, creating the design you want is easier than it has ever been. Limiting support to PHP 5.2.4 and above makes Joomla lighter and faster than ever. Languages files can now be overridden without having your changes lost during an upgrade.  With the proper xml your users update extensions with a single click.</p>\r\n<p>Access control lists are now incorporated using a new system developed for Joomla. The ACL system is designed with developers in mind, so it is easy to incorporate into your extensions. The new nested sets libraries allow you to incorporate infinitely deep categories but also to use nested sets in a variety of other ways.</p>\r\n<p>A new forms library makes creating all kinds of user interaction simple. MooTools 1.3 provides a highly flexible javascript framework that is a major advance over MooTools 1.0.</p>\r\n<p>New events throughout the core make integration of your plugins where you want them a snap.</p>\r\n<p>The separation of the Joomla! Platform project from the Joomla! CMS project makes continuous development of new, powerful APIs  and continuous improvement of existing APIs possible while maintaining the stability of the CMS that millions of webmasters and professionals rely upon.</p>\r\n<p>Learn about:</p>\r\n<ul>\r\n<li><a href="http://docs.joomla.org/What''s_new_in_Joomla_1.6">Changes since 1.5</a></li>\r\n<li><a href="http://docs.joomla.org/ACL_Tutorial_for_Joomla_1.6">Working with ACL</a></li>\r\n<li><a href="http://docs.joomla.org/API16:JCategories">Working with nested categories</a></li>\r\n<li><a href="http://docs.joomla.org/API16:JForm">Forms library</a></li>\r\n<li><a href="http://docs.joomla.org/Working_with_Mootools_1.3">Working with Mootools 1.3</a></li>\r\n<li><a href="http://docs.joomla.org/Layout_Overrides_in_Joomla_1.6">Using new features of the override system</a></li>\r\n<li><a href="http://api.joomla.org">Joomla! API</a></li>\r\n<li><a href="http://docs.joomla.org/API16:JDatabaseQuery">Using JDatabaseQuery</a></li>\r\n<li><a href="http://docs.joomla.org/What''s_new_in_Joomla_1.6#Events">New and updated events</a></li>\r\n<li><a href="http://docs.joomla.org/Xml-rpc_changes_in_Joomla!_1.6">Xmlrpc</a></li>\r\n<li><a href="http://docs.joomla.org/What''s_new_in_Joomla_1.6#Extension_management">Installing and updating extensions</a></li>\r\n<li><a href="http://docs.joomla.org/Setting_up_your_workstation_for_Joomla!_development">Setting up your development environment</a></li>\r\n<li><a href="github.com/joomla">The Joomla! Platform Repository</a> </li>\r\n</ul>', 1, 19, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-12-27 11:36:13', 42, 0, '0000-00-00 00:00:00', '2011-01-09 16:41:13', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 16, 5, '', '', 1, 10, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(36, 134, 'Random Image Module', 'random-image-module', '<p>This module displays a random image from your chosen image directory. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Random_Image" title="Random Image Module">Help</a></p>\r\n<div class="sample-module">{loadmodule random_image,Random Image}</div>', '', 1, 66, '2011-01-01 00:00:01', 267, '', '2012-01-17 16:11:13', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 4, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(37, 135, 'Related Items Module', 'related-items-module', '<p>This module displays other Articles that are related to the one currently being viewed. These relations are established by the Meta Keywords.  All the keywords of the current Article are searched against all the keywords of all other published articles. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Related" title="Related Items Module">Help</a></p>\r\n<div class="sample-module">{loadmodule related_items,Articles Related Items}</div>', '', 1, 64, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-12-27 11:37:34', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 4, 'modules, content', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(38, 136, 'Sample Sites', 'sample-sites', '<p>Your installation includes sample data, designed to show you some of the options you have for building your website. In addition to information about Joomla! there are two sample "sites within a site" designed to help you get started with building your own site.</p>\r\n<p>The first site is a simple site about <a href="index.php?Itemid=243">Australian Parks</a>. It shows how you can quickly and easily build a personal site with just the building blocks that are part of Joomla. It includes a personal blog, weblinks, and a very simple image gallery.</p>\r\n<p>The second site is slightly more complex and represents what you might do if you are building a site for a small business, in this case a <a href="index.php/welcome.html"></a><a href="index.php?Itemid=429">Fruit Shop</a>.</p>\r\n<p>In building either style site, or something completely different, you will probably want to add <a href="http://extensions.joomla.org">extensions</a> and either create or purchase your own template. Many Joomla users start by modifying the <a href="http://docs.joomla.org/How_do_you_modify_a_template%3F">templates</a> that come with the core distribution so that they include special images and other design elements that relate to their site''s focus.</p>', '', 1, 19, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-12-27 11:39:07', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 11, '', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(39, 137, 'Search', 'search-component', '<p>Joomla! 2.5 offers two search options.</p>\r\n<p>The Basic Search component provides basic search functionality for the information contained in your core components. Many extensions can also be searched by the search component. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Search">Help</a></p>\r\n<p>The Smart Search component offers searching similar to that found in major search engines. Smart Search is disabled by default. If you choose to enable it you will need to take several steps. First, enable the Smart Search Plugin in the plugin manager. Then, if you are using the Basic Search Module replace it with the Smart Search Module. Finally, if you have already created content, go to the Smart Search component in your site administrator and click the Index icon. Once indexing of your content is complete, Smart Search will be ready to use. Help.</p>', '', 1, 21, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-12-27 11:41:48', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 3, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(40, 138, 'Search Module', 'search-module', '<p>This module will display a search box. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Search" title="Search">Help</a></p>\r\n<div class="sample-module">{loadmodule search,Search}</div>', '', 1, 67, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-09-17 22:35:56', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 4, 4, '', '', 1, 6, '', 0, '*', ''),
(41, 139, 'Search ', 'search-plugin', '<p>The search component uses plugins to control which parts of your Joomla! site are searched. You may choose to turn off some areas to improve performance or for other reasons. Many third party Joomla! extensions have search plugins that extend where search takes place.</p>\r\n<p>Default On:</p>\r\n<ul>\r\n<li>Content <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Search_-_Content">Help</a></li>\r\n<li>Contacts <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Search_-_Contacts">Help</a></li>\r\n<li>Weblinks <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Search_-_Weblinks">Help</a></li>\r\n<li>News Feeds <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Search_-_Newsfeeds">Help</a></li>\r\n<li>Categories <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Search_-_Categories">Help</a></li>\r\n</ul>', '', 1, 25, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-09-06 06:13:18', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 3, 1, '', '', 1, 0, '', 0, '*', ''),
(42, 140, 'Site Map', 'site-map', '<p>{loadposition sitemapload}</p><p><em>By putting all of your content into nested categories you can give users and search engines access to everything using a menu.</em></p>', '', 1, 14, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 1, '', '', 1, 0, '', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(43, 141, 'Spotted Quoll', 'spotted-quoll', '<p> </p>\r\n<p> </p>\r\n', '\r\n<p> </p>', 1, 72, '2011-01-01 00:00:01', 267, 'Parks Webmaster', '2012-01-17 05:02:58', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/animals\\/220px_spottedquoll_2005_seanmcclean.jpg","float_intro":"","image_intro_alt":"Spotted Quoll","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/animals\\/789px_spottedquoll_2005_seanmcclean.jpg","float_fulltext":"","image_fulltext_alt":"Spotted Quoll","image_fulltext_caption":"Source: http:\\/\\/en.wikipedia.org\\/wiki\\/File:SpottedQuoll_2005_SeanMcClean.jpg Author: Sean McClean License: GNU Free Documentation License v 1.2 or later"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(44, 142, 'Statistics Module', 'statistics', '<p>This module shows information about your server installation together with statistics on the Web site users, number of Articles in your database and the number of Web links you provide.</p>\r\n<div class="sample-module">{loadmodule mod_stats,Statistics}</div>', '', 1, 67, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-12-27 11:43:25', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 5, '', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(45, 143, 'Syndicate Module', 'syndicate-module', '<p>The syndicate module will display a link that allows users to take a feed from your site. It will only display on pages for which feeds are possible. That means it will not display on single article, contact or weblinks pages, such as this one. <a href="http://docs.joomla.org/Help15:Screen.modulessite.edit.15#Syndicate" title="Synicate Module">Help</a></p>\r\n<div class="sample-module">{loadposition syndicate,Syndicate}</div>', '', 1, 67, '2011-01-01 00:00:01', 267, '', '2011-12-27 11:44:16', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 6, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(46, 144, 'System', 'system', '<p>System plugins operate every time a page on your site loads. They control such things as your URLS, whether users can check a "remember me" box on the login module, and whether caching is enabled. New is the redirect plugin that together with the redirect component will assist you in managing changes in URLs.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>Remember me <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#System_-_Remember_Me">Help</a></li>\r\n<li>SEF <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#System_-_SEF">Help</a></li>\r\n<li>Debug <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#System_-_Debug">Help</a></li>\r\n</ul>\r\n<p>Default off:</p>\r\n<ul>\r\n<li>Cache <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#System_-_Cache">Help</a></li>\r\n<li>Log <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#System_-_Log">Help</a></li>\r\n<li>Redirect <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#System_-_Redirect">Help</a></li>\r\n</ul>', '', 1, 25, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-12-27 11:45:54', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 2, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(47, 145, 'The Joomla! Community', 'the-joomla-community', '<p>Joomla means All Together, and it is a community of people all working and having fun together that makes Joomla possible. Thousands of people each year participate in the Joomla community, and we hope you will be one of them.</p>\r\n<p>People with all kinds of skills, of all skill levels and from around the world are welcome to join in. Participate in the <a href="http://joomla.org">Joomla.org</a> family of websites (the<a href="http://forum.joomla.org"> forum </a>is a great place to start). Come to a <a href="http://community.joomla.org/events.html">Joomla! event</a>. Join or start a <a href="http://community.joomla.org/user-groups.html">Joomla! Users Group</a>. Whether you are a developer, site administrator, designer, end user or fan, there are ways for you to participate and contribute.</p>', '', 1, 19, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-12-27 11:47:56', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(48, 146, 'The Joomla! Project', 'the-joomla-project', '<p>The Joomla Project consists of all of the people who make and support the Joomla Web Platform and Content Management System.</p>\r\n<p>Our mission is to provide a flexible platform for digital publishing and collaboration.</p>\r\n<p>The core values are:</p>\r\n<ul>\r\n<li>Freedom</li>\r\n<li>Equality</li>\r\n<li>Trust</li>\r\n<li>Community</li>\r\n<li>Collaboration</li>\r\n<li>Usability</li>\r\n</ul>\r\n<p>In our vision, we see:</p>\r\n<ul>\r\n<li>People publishing and collaborating in their communities and around the world</li>\r\n<li>Software that is free, secure, and high-quality</li>\r\n<li>A community that is enjoyable and rewarding to participate in</li>\r\n<li>People around the world using their preferred languages</li>\r\n<li>A project that acts autonomously</li>\r\n<li>A project that is socially responsible</li>\r\n<li>A project dedicated to maintaining the trust of its users</li>\r\n</ul>\r\n<p>There are millions of users around the world and thousands of people who contribute to the Joomla Project. They work in three main groups: the Production Working Group, responsible for everything that goes into software and documentation; the Community Working Group, responsible for creating a nurturing the community; and Open Source Matters, the non profit organization responsible for managing legal, financial and organizational issues.</p>\r\n<p>Joomla is a free and open source project, which uses the GNU General Public License version 2 or later.</p>', '', 1, 19, '2011-01-01 00:00:01', 267, '', '2011-12-27 11:47:48', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 1, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(49, 147, 'Typography', 'typography', '<h1>H1 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h1><h2>H2 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h2><h3>H3 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h3><h4>H4 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h4><h5>H5 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h5><h6>H6 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h6><p>P The quick brown fox ran over the lazy dog. THE QUICK BROWN FOX RAN OVER THE LAZY DOG.</p><ul><li>Item</li><li>Item</li><li>Item<br /> <ul><li>Item</li><li>Item</li><li>Item<br /> <ul><li>Item</li><li>Item</li><li>Item</li></ul></li></ul></li></ul><ol><li>tem</li><li>Item</li><li>Item<br /> <ol><li>Item</li><li>Item</li><li>Item<br /><ol><li>Item</li><li>Item</li><li>Item</li></ol></li></ol> </li></ol>', '', 1, 23, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 1, '', '', 1, 0, '', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(50, 148, 'Upgraders', 'upgraders', '<p>If you are an experienced Joomla! 1.5 user, this Joomla site will seem very familiar. There are new templates and improved user interfaces, but most functionality is the same. The biggest changes are improved access control (ACL) and nested categories. This release of Joomla has strong continuity with Joomla! 1.7 while adding enhancements.</p>\r\n', '\r\n<p>The new user manager will let you manage who has access to what in your site. You can leave access groups exactly the way you had them in Joomla 1.5 or make them as complicated as you want. You can learn more about<a href="http://docs.joomla.org/ACL_Tutorial_for_Joomla_1.6"> how access control works</a> in on the <a href="http://docs.joomla.org">Joomla! Documentation site</a></p>\r\n<p>In Joomla 1.5 and 1.0 content was organized into sections and categories. From 1.6 forward sections are gone, and you can create categories within categories, going as deep as you want. The sample data provides many examples of the use of nested categories.</p>\r\n<p>All layouts have been redesigned to improve accessibility and flexibility. </p>\r\n<p>Updating your site and extensions when needed is easier than ever thanks to installer improvements.</p>\r\n<p> </p>', 1, 19, '2011-01-01 00:00:01', 267, '', '2012-01-17 04:28:10', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 6, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(51, 149, 'User', 'user-plugins', '<p>Default on:</p>\r\n<ul>\r\n<li>Joomla <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#User_-_Joomla.21">Help</a></li>\r\n</ul>\r\n<p>Default off:</p>\r\n<p>Two new plugins are available but are disabled by default.</p>\r\n<ul>\r\n<li>Contact Creator <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#User_-_Contact_Creator">Help</a><br />Creates a new linked contact record for each new user created.</li>\r\n<li>Profile <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#User_-_Profile">Help</a><br />This example profile plugin allows you to insert additional fields into user registration and profile display. This is intended as an example of the types of extensions to the profile you might want to create.</li>\r\n</ul>', '', 1, 25, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-12-27 11:51:25', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(52, 150, 'Users', 'users-component', '<p>The users extension lets your site visitors register, login and logout, change their passwords and other information, and recover lost passwords. In the administrator it allows you to create, block and manage users and create user groups and access levels. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Users_User_Manager">Help</a></p>\r\n<p>Please note that some of the user views will not display if you are not logged-in to the site.</p>', '', 1, 21, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-01-10 04:52:55', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 5, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(53, 151, 'Using Joomla!', 'using-joomla', '<p>With Joomla you can create anything from a simple personal website to a complex ecommerce or social site with millions of visitors.</p>\r\n<p>This section of the sample data provides you with a brief introduction to Joomla concepts and reference material to help you understand how Joomla works.</p>\r\n<p><em>When you no longer need the sample data, you can can simply unpublish the sample data category found within each extension in the site administrator or you may completely delete each item and all of the categories. </em></p>', '', 1, 19, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-12-27 11:52:45', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 7, '', '', 1, 11, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(54, 152, 'Weblinks', 'weblinks', '<p>Weblinks (com_weblinks) is a component that provides a structured way to organize external links and present them in a visually attractive, consistent and informative way. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Weblinks_Links">Help</a></p>', '', 1, 21, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-01-10 04:20:10', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 6, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(55, 153, 'Weblinks Module', 'weblinks-module', '<p>This module displays the list of weblinks in a category. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Weblinks" title="Weblinks Module">Help</a></p>\r\n<div class="sample-module">{loadmodule weblinks,Weblinks}</div>', '', 1, 66, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-09-17 22:32:10', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 7, 5, '', '', 1, 23, '', 0, '*', ''),
(56, 154, 'Who''s Online', 'whos-online', '<p>The Who''s Online Module displays the number of Anonymous Users (e.g. Guests) and Registered Users (ones logged-in) that are currently accessing the Web site. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Who_Online" title="Who''s Online">Help</a></p>\r\n<div class="sample-module">{loadmodule whosonline,Who''s Online}</div>', '', 1, 65, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-09-17 22:19:45', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 4, 1, '', '', 1, 5, '', 0, '*', ''),
(57, 155, 'Wobbegone', 'wobbegone', '<p> </p>\r\n', '\r\n<p> </p>', 1, 72, '2011-01-01 00:00:01', 267, 'Parks Webmaster', '2012-01-17 05:01:59', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/animals\\/180px_wobbegong.jpg","float_intro":"","image_intro_alt":"Wobbegon","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/animals\\/800px_wobbegong.jpg","float_fulltext":"","image_fulltext_alt":"Wobbegon","image_fulltext_caption":"Source: http:\\/\\/en.wikipedia.org\\/wiki\\/File:Wobbegong.jpg Author: Richard Ling Rights: GNU Free Documentation License v 1.2 or later"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(58, 156, 'Wonderful Watermelon', 'wonderful-watermelon', '<p>Watermelon is a wonderful and healthy treat. We grow the world''s sweetest watermelon. We have the largest watermelon patch in our country.</p>', '', 1, 30, '2011-01-01 00:00:01', 267, 'Fruit Shop Webmaster', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 1, '', '', 1, 0, '', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(59, 157, 'Wrapper Module', 'wrapper-module', '<p>This module shows an iFrame window to specified location. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Wrapper" title="Wrapper Module">Help</a></p>\r\n<div class="sample-module">{loadmodule wrapper,Wrapper}</div>', '', 1, 67, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-09-17 22:35:00', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 8, 1, '', '', 1, 15, '', 0, '*', ''),
(60, 158, 'News Feeds', 'news-feeds', '<p>News Feeds (com_newsfeeds) provides a way to organize and present news feeds. News feeds are a way that you present information from another site on your site. For example, the joomla.org website has numerous feeds that you can incorporate on your site. You an use menus to present a single feed, a list of feeds in a category, or a list of all feed categories. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Newsfeeds_Feeds">Help</a></p>', '', 1, 21, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-12-27 11:27:31', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 4, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(61, 159, 'Breadcrumbs Module', 'breadcrumbs-module', '<p>Breadcrumbs provide a pathway for users to navigate through the site. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Breadcrumbs" title="Breacrumbs Module">Help</a></p>\r\n<div class="sample-module">{loadmodule breadcrumbs,breadcrumbs}</div>', '', 1, 75, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-09-17 22:10:19', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 5, 2, '', '', 1, 9, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(62, 160, 'Content', 'content-plugins', '<p>Content plugins run when specific kinds of pages are loaded. They do things ranging from protecting email addresses from harvesters to creating page breaks.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>Email Cloaking <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Content_-_Email_Cloaking">Help</a></li>\r\n<li>Load Module <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Content_-_Load_Modules">Help</a></li>\r\n<li>Page Break <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Content_-_Pagebreak">Help</a></li>\r\n<li>Page Navigation<a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Content_-_Page_Navigation"> Help</a></li>\r\n<li>Vote <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Content_-_Vote">Help</a></li>\r\n</ul>\r\n<p>Default off:</p>\r\n<ul>\r\n<li>Code Highlighter (GeSHi) <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Content_-_Code_Highlighter_.28GeSHi.29">Help</a></li>\r\n</ul>', '', 1, 25, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-09-06 06:11:50', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 7, '', '', 1, 1, '', 0, '*', ''),
(64, 162, 'Blue Mountain Rain Forest', 'blue-mountain-rain-forest', '<p> </p>\r\n', '\r\n<p> </p>', 1, 73, '2011-01-01 00:00:01', 267, 'Parks Webmaster', '2012-01-17 04:36:30', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/landscape\\/120px_rainforest_bluemountainsnsw.jpg","float_intro":"none","image_intro_alt":"Rain Forest Blue Mountains","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/landscape\\/727px_rainforest_bluemountainsnsw.jpg","float_fulltext":"","image_fulltext_alt":"Rain Forest Blue Mountains","image_fulltext_caption":"Source: http:\\/\\/commons.wikimedia.org\\/wiki\\/File:Rainforest,bluemountainsNSW.jpg Author: Adam J.W.C. License: GNU Free Documentation License"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 2, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(65, 163, 'Ormiston Pound', 'ormiston-pound', '<p> </p>\r\n', '\r\n<p> </p>', 1, 73, '2011-01-01 00:00:01', 267, 'Parks Webmaster', '2012-01-17 04:51:33', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/landscape\\/180px_ormiston_pound.jpg","float_intro":"none","image_intro_alt":"Ormiston Pound","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/landscape\\/800px_ormiston_pound.jpg","float_fulltext":"","image_fulltext_alt":"Ormiston Pound","image_fulltext_caption":"Source: http:\\/\\/commons.wikimedia.org\\/wiki\\/File:Ormiston_Pound.JPG Author: License: GNU Free Public Documentation License"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 3, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(66, 165, 'Latest Users Module', 'latest-users-module', '<p>This module displays the latest registered users. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Latest_Users">Help</a></p>\r\n<div class="sample-module">{loadmodule users_latest,Users Latest}</div>', '', 1, 65, '2011-01-01 00:00:01', 267, 'Joomla!', '2011-09-17 22:21:05', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"1","link_titles":"","show_intro":"","show_category":"1","link_category":"1","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 4, 3, '', '', 1, 6, '', 0, '*', ''),
(67, 168, 'What''s New in 1.5?', 'whats-new-in-15', '<p>This article deliberately archived as an example.</p><p>As with previous releases, Joomla! provides a unified and easy-to-use framework for delivering content for Web sites of all kinds. To support the changing nature of the Internet and emerging Web technologies, Joomla! required substantial restructuring of its core functionality and we also used this effort to simplify many challenges within the current user interface. Joomla! 1.5 has many new features.</p>\r\n<p style="margin-bottom: 0in;">In Joomla! 1.5, you''''ll notice:</p>\r\n<ul>\r\n<li>Substantially improved usability, manageability, and scalability far beyond the original Mambo foundations</li>\r\n<li>Expanded accessibility to support internationalisation, double-byte characters and right-to-left support for Arabic, Farsi, and Hebrew languages among others</li>\r\n<li>Extended integration of external applications through Web services</li>\r\n<li>Enhanced content delivery, template and presentation capabilities to support accessibility standards and content delivery to any destination</li>\r\n<li>A more sustainable and flexible framework for Component and Extension developers</li>\r\n<li>Backward compatibility with previous releases of Components, Templates, Modules, and other Extensions</li>\r\n</ul>', '', 2, 9, '2011-01-01 00:00:01', 267, 'Joomla! 1.5', '2011-01-01 00:00:01', 0, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(68, 170, 'Captcha', 'captcha', '<p>The Captcha plugins are used to prevent spam submissions on your forms such as registration, contact and login. You basic installation of Joomla includes one Captcha plugin which leverages the ReCaptcha® service but you may install other plugins connecting to different Captcha systems.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>ReCaptcha <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit">help</a></li>\r\n</ul>\r\n<p>Note: ReCaptcha is a the trademark of Google Inc. and is an independent product not associated with or endorsed by the Joomla Project. You will need to register and agree to the Terms of Service at Recaptcha.net to use this plugin. Complete instructions are available if you edit the ReCaptcha plugin in the Plugin Manager.</p>', '', 1, 25, '2012-01-17 03:20:45', 267, 'Joomla!', '2012-01-17 03:35:46', 42, 0, '0000-00-00 00:00:00', '2012-01-17 03:20:45', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(69, 171, 'Quick Icons', 'quick-icons', '<p> The Quick Icon plugin group is used to provide notification that updates to Joomla! or installed extensions are available and should be applied. These notifications display on your administrator control panel, which is the page you see when you first log in to your site administrator.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>Quick icon - Joomla! extensions updates notification <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit">Help</a>.</li>\r\n<li>Quick icon - Joomla! update notification <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit">Help</a></li>\r\n</ul>', '', 1, 25, '2012-01-17 03:27:39', 267, 'Joomla!', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-01-17 03:27:39', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(70, 170, 'Smart Search', 'smart-search', '<p>This module provides search using the Smart Search component. You should only use it if you have indexed your content and either have enabled the Smart Search content plugin or are keeping the index of your site updated manually. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help25:Extensions_Module_Manager_Smart_Search">Help</a>.</p>\r\n<div class="sample-module">{loadmodule finder,Smart Search}</div>', '', 1, 67, '2012-01-17 03:42:36', 267, '', '2012-01-17 16:15:48', 42, 0, '0000-00-00 00:00:00', '2012-01-17 03:42:36', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 10, 0, '', '', 1, 13, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(71, 197, '404 Page Not Found', '404-page-not-found', '<div class="clearfix"> </div>\r\n<div class="row">\r\n<div class="col-xs-12 col-sm-4 col-sm-push-8 text-center">\r\n<h1 class="ot-title" style="font-size: 100px;">404</h1>\r\n</div>\r\n<div class="col-xs-12 col-sm-8 col-sm-pull-4">\r\n<h3 class="ot-title" style="font-size: 50px;">OOPS!</h3>\r\n<h4 class="text-uppercase ot-color">We are really sorry but the page you requested cannot be found.</h4>\r\n<p>It seems that the page you were looking for doesn''t exist any more, or maybe it has just moved. Please start again from the home page or feel free to contact us and we will try to fix the problem.</p>\r\n<p>Thank you very much.</p>\r\n</div>\r\n</div>\r\n<div class="clearfix"> </div>', '', 1, 9, '2014-08-07 02:20:12', 267, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2014-08-07 02:20:12', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, '', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');

DROP TABLE IF EXISTS `#__contentitem_tag_map`;
CREATE TABLE IF NOT EXISTS `#__contentitem_tag_map` (
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `core_content_id` int(10) unsigned NOT NULL COMMENT 'PK from the core content table',
  `content_item_id` int(11) NOT NULL COMMENT 'PK from the content type table',
  `tag_id` int(10) unsigned NOT NULL COMMENT 'PK from the tag table',
  `tag_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'Date of most recent save for this tag-item',
  `type_id` mediumint(8) NOT NULL COMMENT 'PK from the content_type table',
  UNIQUE KEY `uc_ItemnameTagid` (`type_id`,`content_item_id`,`tag_id`),
  KEY `idx_tag_type` (`tag_id`,`type_id`),
  KEY `idx_date_id` (`tag_date`,`tag_id`),
  KEY `idx_tag` (`tag_id`),
  KEY `idx_type` (`type_id`),
  KEY `idx_core_content_id` (`core_content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps items from content tables to tags';

DROP TABLE IF EXISTS `#__content_frontpage`;
CREATE TABLE IF NOT EXISTS `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__content_frontpage` (`content_id`, `ordering`) VALUES
(8, 2),
(24, 1),
(35, 4),
(50, 3);

DROP TABLE IF EXISTS `#__content_rating`;
CREATE TABLE IF NOT EXISTS `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(10) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(10) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__content_types`;
CREATE TABLE IF NOT EXISTS `#__content_types` (
  `type_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type_title` varchar(255) NOT NULL DEFAULT '',
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `table` varchar(255) NOT NULL DEFAULT '',
  `rules` text NOT NULL,
  `field_mappings` text NOT NULL,
  `router` varchar(255) NOT NULL DEFAULT '',
  `content_history_options` varchar(5120) NOT NULL COMMENT 'JSON string for com_contenthistory options',
  PRIMARY KEY (`type_id`),
  KEY `idx_alias` (`type_alias`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10005 ;

INSERT INTO `#__content_types` (`type_id`, `type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`) VALUES
(1, 'Article', 'com_content.article', '{"special":{"dbtable":"#__content","key":"id","type":"Content","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"state","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"introtext", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"attribs", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"asset_id"}, "special": {"fulltext":"fulltext"}}', 'ContentHelperRoute::getArticleRoute', '{"formFile":"administrator\\/components\\/com_content\\/models\\/forms\\/article.xml", "hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(2, 'Weblink', 'com_weblinks.weblink', '{"special":{"dbtable":"#__weblinks","key":"id","type":"Weblink","prefix":"WeblinksTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"state","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"url", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special": {}}', 'WeblinksHelperRoute::getWeblinkRoute', '{"formFile":"administrator\\/components\\/com_weblinks\\/models\\/forms\\/weblink.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","featured","images"], "ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"], "convertToInt":["publish_up", "publish_down", "featured", "ordering"], "displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}');
INSERT INTO `#__content_types` (`type_id`, `type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`) VALUES
(3, 'Contact', 'com_contact.contact', '{"special":{"dbtable":"#__contact_details","key":"id","type":"Contact","prefix":"ContactTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"address", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"image", "core_urls":"webpage", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special": {"con_position":"con_position","suburb":"suburb","state":"state","country":"country","postcode":"postcode","telephone":"telephone","fax":"fax","misc":"misc","email_to":"email_to","default_con":"default_con","user_id":"user_id","mobile":"mobile","sortname1":"sortname1","sortname2":"sortname2","sortname3":"sortname3"}}', 'ContactHelperRoute::getContactRoute', '{"formFile":"administrator\\/components\\/com_contact\\/models\\/forms\\/contact.xml","hideFields":["default_con","checked_out","checked_out_time","version","xreference"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"], "displayLookup":[ {"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ] }'),
(4, 'Newsfeed', 'com_newsfeeds.newsfeed', '{"special":{"dbtable":"#__newsfeeds","key":"id","type":"Newsfeed","prefix":"NewsfeedsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special": {"numarticles":"numarticles","cache_time":"cache_time","rtl":"rtl"}}', 'NewsfeedsHelperRoute::getNewsfeedRoute', '{"formFile":"administrator\\/components\\/com_newsfeeds\\/models\\/forms\\/newsfeed.xml","hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(5, 'User', 'com_users.user', '{"special":{"dbtable":"#__users","key":"id","type":"User","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"null","core_alias":"username","core_created_time":"registerdate","core_modified_time":"lastvisitDate","core_body":"null", "core_hits":"null","core_publish_up":"null","core_publish_down":"null","access":"null", "core_params":"params", "core_featured":"null", "core_metadata":"null", "core_language":"null", "core_images":"null", "core_urls":"null", "core_version":"null", "core_ordering":"null", "core_metakey":"null", "core_metadesc":"null", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special": {}}', 'UsersHelperRoute::getUserRoute', '');
INSERT INTO `#__content_types` (`type_id`, `type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`) VALUES
(6, 'Article Category', 'com_content.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'ContentHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(7, 'Contact Category', 'com_contact.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'ContactHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}');
INSERT INTO `#__content_types` (`type_id`, `type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`) VALUES
(8, 'Newsfeeds Category', 'com_newsfeeds.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'NewsfeedsHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(9, 'Weblinks Category', 'com_weblinks.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'WeblinksHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}');
INSERT INTO `#__content_types` (`type_id`, `type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`) VALUES
(10, 'Tag', 'com_tags.tag', '{"special":{"dbtable":"#__tags","key":"tag_id","type":"Tag","prefix":"TagsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path"}}', 'TagsHelperRoute::getTagRoute', '{"formFile":"administrator\\/components\\/com_tags\\/models\\/forms\\/tag.xml", "hideFields":["checked_out","checked_out_time","version", "lft", "rgt", "level", "path", "urls", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(10000, 'Banner', 'com_banners.banner', '{"special":{"dbtable":"#__banners","key":"id","type":"Banner","prefix":"BannersTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"null","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"null", "asset_id":"null"}, "special":{"imptotal":"imptotal", "impmade":"impmade", "clicks":"clicks", "clickurl":"clickurl", "custombannercode":"custombannercode", "cid":"cid", "purchase_type":"purchase_type", "track_impressions":"track_impressions", "track_clicks":"track_clicks"}}', '', '{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/banner.xml", "hideFields":["checked_out","checked_out_time","version", "reset"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "imptotal", "impmade", "reset"], "convertToInt":["publish_up", "publish_down", "ordering"], "displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"cid","targetTable":"#__banner_clients","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}');
INSERT INTO `#__content_types` (`type_id`, `type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`) VALUES
(10001, 'Banners Category', 'com_banners.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', '', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(10002, 'Banner Client', 'com_banners.client', '{"special":{"dbtable":"#__banner_clients","key":"id","type":"Client","prefix":"BannersTable"}}', '', '', '', '{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/client.xml", "hideFields":["checked_out","checked_out_time"], "ignoreChanges":["checked_out", "checked_out_time"], "convertToInt":[], "displayLookup":[]}'),
(10003, 'User Notes', 'com_users.note', '{"special":{"dbtable":"#__user_notes","key":"id","type":"Note","prefix":"UsersTable"}}', '', '', '', '{"formFile":"administrator\\/components\\/com_users\\/models\\/forms\\/note.xml", "hideFields":["checked_out","checked_out_time", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time"], "convertToInt":["publish_up", "publish_down"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}');
INSERT INTO `#__content_types` (`type_id`, `type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`) VALUES
(10004, 'User Notes Category', 'com_users.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', '', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}');

DROP TABLE IF EXISTS `#__core_log_searches`;
CREATE TABLE IF NOT EXISTS `#__core_log_searches` (
  `search_term` varchar(128) NOT NULL DEFAULT '',
  `hits` int(10) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__extensions`;
CREATE TABLE IF NOT EXISTS `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  `access` int(10) unsigned NOT NULL DEFAULT '1',
  `protected` tinyint(3) NOT NULL DEFAULT '0',
  `manifest_cache` text NOT NULL,
  `params` text NOT NULL,
  `custom_data` text NOT NULL,
  `system_data` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT '0',
  `state` int(11) DEFAULT '0',
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10041 ;

INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(1, 'com_mailto', 'component', 'com_mailto', '', 0, 1, 1, 1, '{"name":"com_mailto","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MAILTO_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(2, 'com_wrapper', 'component', 'com_wrapper', '', 0, 1, 1, 1, '{"name":"com_wrapper","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_WRAPPER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(3, 'com_admin', 'component', 'com_admin', '', 1, 1, 1, 1, '{"name":"com_admin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_ADMIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(4, 'com_banners', 'component', 'com_banners', '', 1, 1, 1, 0, '{"name":"com_banners","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_BANNERS_XML_DESCRIPTION","group":""}', '{"purchase_type":"3","track_impressions":"0","track_clicks":"0","metakey_prefix":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(5, 'com_cache', 'component', 'com_cache', '', 1, 1, 1, 1, '{"name":"com_cache","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CACHE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(6, 'com_categories', 'component', 'com_categories', '', 1, 1, 1, 1, '{"name":"com_categories","type":"component","creationDate":"December 2007","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CATEGORIES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(7, 'com_checkin', 'component', 'com_checkin', '', 1, 1, 1, 1, '{"name":"com_checkin","type":"component","creationDate":"Unknown","author":"Joomla! Project","copyright":"(C) 2005 - 2008 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CHECKIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(8, 'com_contact', 'component', 'com_contact', '', 1, 1, 1, 0, '{"name":"com_contact","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTACT_XML_DESCRIPTION","group":""}', '{"contact_layout":"_:default","show_contact_category":"hide","show_contact_list":"0","presentation_style":"tabs","show_name":"1","show_position":"1","show_email":"0","show_street_address":"1","show_suburb":"1","show_state":"1","show_postcode":"1","show_country":"1","show_telephone":"1","show_mobile":"1","show_fax":"1","show_webpage":"1","show_misc":"1","show_image":"1","image":"","allow_vcard":"0","show_articles":"0","show_profile":"0","show_links":"0","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","contact_icons":"0","icon_address":"","icon_email":"","icon_telephone":"","icon_mobile":"","icon_fax":"","icon_misc":"","category_layout":"_:default","show_category_title":"1","show_description":"1","show_description_image":"0","maxLevel":"-1","show_empty_categories":"0","show_subcat_desc":"1","show_cat_items":"1","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_items_cat":"1","show_pagination_limit":"1","show_headings":"1","show_position_headings":"1","show_email_headings":"0","show_telephone_headings":"1","show_mobile_headings":"0","show_fax_headings":"0","show_suburb_headings":"1","show_state_headings":"1","show_country_headings":"1","show_pagination":"2","show_pagination_results":"1","initial_sort":"ordering","captcha":"","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"1","custom_reply":"0","redirect":"","show_feed_link":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(9, 'com_cpanel', 'component', 'com_cpanel', '', 1, 1, 1, 1, '{"name":"com_cpanel","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CPANEL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10, 'com_installer', 'component', 'com_installer', '', 1, 1, 1, 1, '{"name":"com_installer","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_INSTALLER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(11, 'com_languages', 'component', 'com_languages', '', 1, 1, 1, 1, '{"name":"com_languages","type":"component","creationDate":"2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LANGUAGES_XML_DESCRIPTION","group":""}', '{"administrator":"en-GB","site":"en-GB"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(12, 'com_login', 'component', 'com_login', '', 1, 1, 1, 1, '{"name":"com_login","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(13, 'com_media', 'component', 'com_media', '', 1, 1, 0, 1, '{"name":"com_media","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MEDIA_XML_DESCRIPTION","group":""}', '{"upload_extensions":"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS","upload_maxsize":"10","file_path":"images","image_path":"images","restrict_uploads":"1","allowed_media_usergroup":"3","check_mime":"1","image_extensions":"bmp,gif,jpg,png","ignore_extensions":"","upload_mime":"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip","upload_mime_illegal":"text\\/html","enable_flash":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(14, 'com_menus', 'component', 'com_menus', '', 1, 1, 1, 1, '{"name":"com_menus","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MENUS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(15, 'com_messages', 'component', 'com_messages', '', 1, 1, 1, 1, '{"name":"com_messages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MESSAGES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(16, 'com_modules', 'component', 'com_modules', '', 1, 1, 1, 1, '{"name":"com_modules","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MODULES_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(17, 'com_newsfeeds', 'component', 'com_newsfeeds', '', 1, 1, 1, 0, '{"name":"com_newsfeeds","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_NEWSFEEDS_XML_DESCRIPTION","group":""}', '{"show_feed_image":"1","show_feed_description":"1","show_item_description":"1","feed_word_count":"0","show_headings":"1","show_name":"1","show_articles":"0","show_link":"1","show_description":"1","show_description_image":"1","display_num":"","show_pagination_limit":"1","show_pagination":"1","show_pagination_results":"1","show_cat_items":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(18, 'com_plugins', 'component', 'com_plugins', '', 1, 1, 1, 1, '{"name":"com_plugins","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_PLUGINS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(19, 'com_search', 'component', 'com_search', '', 1, 1, 1, 0, '{"name":"com_search","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_SEARCH_XML_DESCRIPTION","group":""}', '{"enabled":"0","show_date":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(20, 'com_templates', 'component', 'com_templates', '', 1, 1, 1, 1, '{"name":"com_templates","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_TEMPLATES_XML_DESCRIPTION","group":""}', '{"template_positions_display":"0","upload_limit":"2","image_formats":"gif,bmp,jpg,jpeg,png","source_formats":"txt,less,ini,xml,js,php,css","font_formats":"woff,ttf,otf","compressed_formats":"zip"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(21, 'com_weblinks', 'component', 'com_weblinks', '', 1, 1, 1, 0, '{"name":"com_weblinks","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_WEBLINKS_XML_DESCRIPTION","group":""}', '{"show_comp_description":"1","comp_description":"","show_link_hits":"1","show_link_description":"1","show_other_cats":"0","show_headings":"0","show_numbers":"0","show_report":"1","count_clicks":"1","target":"0","link_icons":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(22, 'com_content', 'component', 'com_content', '', 1, 1, 0, 1, '{"name":"com_content","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTENT_XML_DESCRIPTION","group":""}', '{"article_layout":"_:default","show_title":"1","link_titles":"1","show_intro":"1","show_category":"1","link_category":"1","show_parent_category":"0","link_parent_category":"0","show_author":"1","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"1","show_item_navigation":"1","show_vote":"0","show_readmore":"1","show_readmore_title":"1","readmore_limit":"100","show_icons":"1","show_print_icon":"1","show_email_icon":"1","show_hits":"1","show_noauth":"0","show_publishing_options":"1","show_article_options":"1","show_urls_images_frontend":"0","show_urls_images_backend":"1","targeta":0,"targetb":0,"targetc":0,"float_intro":"left","float_fulltext":"left","category_layout":"_:blog","show_category_title":"0","show_description":"0","show_description_image":"0","maxLevel":"1","show_empty_categories":"0","show_no_articles":"1","show_subcat_desc":"1","show_cat_num_articles":"0","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_num_articles_cat":"1","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"0","show_subcategory_content":"0","show_pagination_limit":"1","filter_field":"hide","show_headings":"1","list_show_date":"0","date_format":"","list_show_hits":"1","list_show_author":"1","orderby_pri":"order","orderby_sec":"rdate","order_date":"published","show_pagination":"2","show_pagination_results":"1","show_feed_link":"1","feed_summary":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(23, 'com_config', 'component', 'com_config', '', 1, 1, 0, 1, '{"name":"com_config","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONFIG_XML_DESCRIPTION","group":""}', '{"filters":{"1":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"6":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"7":{"filter_type":"NONE","filter_tags":"","filter_attributes":""},"2":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"3":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"4":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"5":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"10":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"12":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"8":{"filter_type":"NONE","filter_tags":"","filter_attributes":""}}}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(24, 'com_redirect', 'component', 'com_redirect', '', 1, 1, 0, 1, '{"name":"com_redirect","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_REDIRECT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(25, 'com_users', 'component', 'com_users', '', 1, 1, 0, 1, '{"name":"com_users","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_USERS_XML_DESCRIPTION","group":""}', '{"allowUserRegistration":"1","new_usertype":"2","useractivation":"1","frontend_userparams":"1","mailSubjectPrefix":"","mailBodySuffix":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(27, 'com_finder', 'component', 'com_finder', '', 1, 1, 0, 0, '{"name":"com_finder","type":"component","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_FINDER_XML_DESCRIPTION","group":""}', '{"show_description":"1","description_length":255,"allow_empty_query":"0","show_url":"1","show_advanced":"1","expand_advanced":"0","show_date_filters":"0","highlight_terms":"1","opensearch_name":"","opensearch_description":"","batch_size":"50","memory_table_limit":30000,"title_multiplier":"1.7","text_multiplier":"0.7","meta_multiplier":"1.2","path_multiplier":"2.0","misc_multiplier":"0.3","stemmer":"snowball"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(28, 'com_joomlaupdate', 'component', 'com_joomlaupdate', '', 1, 1, 0, 1, '{"name":"com_joomlaupdate","type":"component","creationDate":"February 2012","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_JOOMLAUPDATE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(29, 'com_tags', 'component', 'com_tags', '', 1, 1, 1, 1, '{"name":"com_tags","type":"component","creationDate":"December 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"COM_TAGS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(30, 'com_contenthistory', 'component', 'com_contenthistory', '', 1, 1, 1, 0, '{"name":"com_contenthistory","type":"component","creationDate":"May 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_CONTENTHISTORY_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(31, 'com_ajax', 'component', 'com_ajax', '', 1, 1, 1, 0, '{"name":"com_ajax","type":"component","creationDate":"August 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_AJAX_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(32, 'com_postinstall', 'component', 'com_postinstall', '', 1, 1, 1, 1, '{"name":"com_postinstall","type":"component","creationDate":"September 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_POSTINSTALL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(100, 'PHPMailer', 'library', 'phpmailer', '', 0, 1, 1, 1, '{"name":"PHPMailer","type":"library","creationDate":"2001","author":"PHPMailer","copyright":"(c) 2001-2003, Brent R. Matzelle, (c) 2004-2009, Andy Prevost. All Rights Reserved., (c) 2010-2013, Jim Jagielski. All Rights Reserved.","authorEmail":"jimjag@gmail.com","authorUrl":"https:\\/\\/github.com\\/PHPMailer\\/PHPMailer","version":"5.2.6","description":"LIB_PHPMAILER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(101, 'SimplePie', 'library', 'simplepie', '', 0, 1, 1, 1, '{"name":"SimplePie","type":"library","creationDate":"2004","author":"SimplePie","copyright":"Copyright (c) 2004-2009, Ryan Parman and Geoffrey Sneddon","authorEmail":"","authorUrl":"http:\\/\\/simplepie.org\\/","version":"1.2","description":"LIB_SIMPLEPIE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(102, 'phputf8', 'library', 'phputf8', '', 0, 1, 1, 1, '{"name":"phputf8","type":"library","creationDate":"2006","author":"Harry Fuecks","copyright":"Copyright various authors","authorEmail":"hfuecks@gmail.com","authorUrl":"http:\\/\\/sourceforge.net\\/projects\\/phputf8","version":"0.5","description":"LIB_PHPUTF8_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(103, 'Joomla! Platform', 'library', 'joomla', '', 0, 1, 1, 1, '{"name":"Joomla! Platform","type":"library","creationDate":"2008","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"http:\\/\\/www.joomla.org","version":"13.1","description":"LIB_JOOMLA_XML_DESCRIPTION","group":""}', '{"mediaversion":"965e92947222457d7bc1cda8ca7e8aa1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(104, 'IDNA Convert', 'library', 'idna_convert', '', 0, 1, 1, 1, '{"name":"IDNA Convert","type":"library","creationDate":"2004","author":"phlyLabs","copyright":"2004-2011 phlyLabs Berlin, http:\\/\\/phlylabs.de","authorEmail":"phlymail@phlylabs.de","authorUrl":"http:\\/\\/phlylabs.de","version":"0.8.0","description":"LIB_IDNA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(105, 'FOF', 'library', 'fof', '', 0, 1, 1, 1, '{"name":"FOF","type":"library","creationDate":"2014-03-09 12:54:48","author":"Nicholas K. Dionysopoulos \\/ Akeeba Ltd","copyright":"(C)2011-2014 Nicholas K. Dionysopoulos","authorEmail":"nicholas@akeebabackup.com","authorUrl":"https:\\/\\/www.akeebabackup.com","version":"2.2.1","description":"LIB_FOF_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(106, 'PHPass', 'library', 'phpass', '', 0, 1, 1, 1, '{"name":"PHPass","type":"library","creationDate":"2004-2006","author":"Solar Designer","copyright":"","authorEmail":"solar@openwall.com","authorUrl":"http:\\/\\/www.openwall.com\\/phpass\\/","version":"0.3","description":"LIB_PHPASS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(200, 'mod_articles_archive', 'module', 'mod_articles_archive', '', 0, 1, 1, 0, '{"name":"mod_articles_archive","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters.\\n\\t\\tAll rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(201, 'mod_articles_latest', 'module', 'mod_articles_latest', '', 0, 1, 1, 0, '{"name":"mod_articles_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_NEWS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(202, 'mod_articles_popular', 'module', 'mod_articles_popular', '', 0, 1, 1, 0, '{"name":"mod_articles_popular","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(203, 'mod_banners', 'module', 'mod_banners', '', 0, 1, 1, 0, '{"name":"mod_banners","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BANNERS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(204, 'mod_breadcrumbs', 'module', 'mod_breadcrumbs', '', 0, 1, 1, 1, '{"name":"mod_breadcrumbs","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BREADCRUMBS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(205, 'mod_custom', 'module', 'mod_custom', '', 0, 1, 1, 1, '{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(206, 'mod_feed', 'module', 'mod_feed', '', 0, 1, 1, 0, '{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(207, 'mod_footer', 'module', 'mod_footer', '', 0, 1, 1, 0, '{"name":"mod_footer","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FOOTER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(208, 'mod_login', 'module', 'mod_login', '', 0, 1, 1, 1, '{"name":"mod_login","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(209, 'mod_menu', 'module', 'mod_menu', '', 0, 1, 1, 1, '{"name":"mod_menu","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(210, 'mod_articles_news', 'module', 'mod_articles_news', '', 0, 1, 1, 0, '{"name":"mod_articles_news","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_NEWS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(211, 'mod_random_image', 'module', 'mod_random_image', '', 0, 1, 1, 0, '{"name":"mod_random_image","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RANDOM_IMAGE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(212, 'mod_related_items', 'module', 'mod_related_items', '', 0, 1, 1, 0, '{"name":"mod_related_items","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RELATED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(213, 'mod_search', 'module', 'mod_search', '', 0, 1, 1, 0, '{"name":"mod_search","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SEARCH_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(214, 'mod_stats', 'module', 'mod_stats', '', 0, 1, 1, 0, '{"name":"mod_stats","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(215, 'mod_syndicate', 'module', 'mod_syndicate', '', 0, 1, 1, 1, '{"name":"mod_syndicate","type":"module","creationDate":"May 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SYNDICATE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(216, 'mod_users_latest', 'module', 'mod_users_latest', '', 0, 1, 1, 0, '{"name":"mod_users_latest","type":"module","creationDate":"December 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_USERS_LATEST_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(217, 'mod_weblinks', 'module', 'mod_weblinks', '', 0, 1, 1, 0, '{"name":"mod_weblinks","type":"module","creationDate":"July 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WEBLINKS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(218, 'mod_whosonline', 'module', 'mod_whosonline', '', 0, 1, 1, 0, '{"name":"mod_whosonline","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WHOSONLINE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(219, 'mod_wrapper', 'module', 'mod_wrapper', '', 0, 1, 1, 0, '{"name":"mod_wrapper","type":"module","creationDate":"October 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WRAPPER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(220, 'mod_articles_category', 'module', 'mod_articles_category', '', 0, 1, 1, 0, '{"name":"mod_articles_category","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(221, 'mod_articles_categories', 'module', 'mod_articles_categories', '', 0, 1, 1, 0, '{"name":"mod_articles_categories","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(222, 'mod_languages', 'module', 'mod_languages', '', 0, 1, 1, 1, '{"name":"mod_languages","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LANGUAGES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(223, 'mod_finder', 'module', 'mod_finder', '', 0, 1, 0, 0, '{"name":"mod_finder","type":"module","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FINDER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(300, 'mod_custom', 'module', 'mod_custom', '', 1, 1, 1, 1, '{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(301, 'mod_feed', 'module', 'mod_feed', '', 1, 1, 1, 0, '{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(302, 'mod_latest', 'module', 'mod_latest', '', 1, 1, 1, 0, '{"name":"mod_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(303, 'mod_logged', 'module', 'mod_logged', '', 1, 1, 1, 0, '{"name":"mod_logged","type":"module","creationDate":"January 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGGED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(304, 'mod_login', 'module', 'mod_login', '', 1, 1, 1, 1, '{"name":"mod_login","type":"module","creationDate":"March 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(305, 'mod_menu', 'module', 'mod_menu', '', 1, 1, 1, 0, '{"name":"mod_menu","type":"module","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(307, 'mod_popular', 'module', 'mod_popular', '', 1, 1, 1, 0, '{"name":"mod_popular","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(308, 'mod_quickicon', 'module', 'mod_quickicon', '', 1, 1, 1, 1, '{"name":"mod_quickicon","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_QUICKICON_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(309, 'mod_status', 'module', 'mod_status', '', 1, 1, 1, 0, '{"name":"mod_status","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATUS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(310, 'mod_submenu', 'module', 'mod_submenu', '', 1, 1, 1, 0, '{"name":"mod_submenu","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SUBMENU_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(311, 'mod_title', 'module', 'mod_title', '', 1, 1, 1, 0, '{"name":"mod_title","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TITLE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(312, 'mod_toolbar', 'module', 'mod_toolbar', '', 1, 1, 1, 1, '{"name":"mod_toolbar","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TOOLBAR_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(313, 'mod_multilangstatus', 'module', 'mod_multilangstatus', '', 1, 1, 1, 0, '{"name":"mod_multilangstatus","type":"module","creationDate":"September 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MULTILANGSTATUS_XML_DESCRIPTION","group":""}', '{"cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(314, 'mod_version', 'module', 'mod_version', '', 1, 1, 1, 0, '{"name":"mod_version","type":"module","creationDate":"January 2012","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_VERSION_XML_DESCRIPTION","group":""}', '{"format":"short","product":"1","cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(315, 'mod_stats_admin', 'module', 'mod_stats_admin', '', 1, 1, 1, 0, '{"name":"mod_stats_admin","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":""}', '{"serverinfo":"0","siteinfo":"0","counter":"0","increase":"0","cache":"1","cache_time":"900","cachemode":"static"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(316, 'mod_tags_popular', 'module', 'mod_tags_popular', '', 0, 1, 1, 0, '{"name":"mod_tags_popular","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_POPULAR_XML_DESCRIPTION","group":""}', '{"maximum":"5","timeframe":"alltime","owncache":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(317, 'mod_tags_similar', 'module', 'mod_tags_similar', '', 0, 1, 1, 0, '{"name":"mod_tags_similar","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_SIMILAR_XML_DESCRIPTION","group":""}', '{"maximum":"5","matchtype":"any","owncache":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(400, 'plg_authentication_gmail', 'plugin', 'gmail', 'authentication', 0, 0, 1, 0, '{"name":"plg_authentication_gmail","type":"plugin","creationDate":"February 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_GMAIL_XML_DESCRIPTION","group":""}', '{"applysuffix":"0","suffix":"","verifypeer":"1","user_blacklist":""}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(401, 'plg_authentication_joomla', 'plugin', 'joomla', 'authentication', 0, 1, 1, 1, '{"name":"plg_authentication_joomla","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(402, 'plg_authentication_ldap', 'plugin', 'ldap', 'authentication', 0, 0, 1, 0, '{"name":"plg_authentication_ldap","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LDAP_XML_DESCRIPTION","group":""}', '{"host":"","port":"389","use_ldapV3":"0","negotiate_tls":"0","no_referrals":"0","auth_method":"bind","base_dn":"","search_string":"","users_dn":"","username":"admin","password":"bobby7","ldap_fullname":"fullName","ldap_email":"mail","ldap_uid":"uid"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(403, 'plg_content_contact', 'plugin', 'contact', 'content', 0, 1, 1, 0, '{"name":"plg_content_contact","type":"plugin","creationDate":"January 2014","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.2","description":"PLG_CONTENT_CONTACT_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(404, 'plg_content_emailcloak', 'plugin', 'emailcloak', 'content', 0, 1, 1, 0, '{"name":"plg_content_emailcloak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION","group":""}', '{"mode":"1"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(405, 'plg_content_geshi', 'plugin', 'geshi', 'content', 0, 0, 1, 0, '{"name":"plg_content_geshi","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"","authorUrl":"qbnz.com\\/highlighter","version":"2.5.0","description":"PLG_CONTENT_GESHI_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(406, 'plg_content_loadmodule', 'plugin', 'loadmodule', 'content', 0, 1, 1, 0, '{"name":"plg_content_loadmodule","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOADMODULE_XML_DESCRIPTION","group":""}', '{"style":"xhtml"}', '', '', 0, '2011-09-18 15:22:50', 0, 0),
(407, 'plg_content_pagebreak', 'plugin', 'pagebreak', 'content', 0, 1, 1, 0, '{"name":"plg_content_pagebreak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION","group":""}', '{"title":"1","multipage_toc":"1","showall":"1"}', '', '', 0, '0000-00-00 00:00:00', 4, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(408, 'plg_content_pagenavigation', 'plugin', 'pagenavigation', 'content', 0, 1, 1, 0, '{"name":"plg_content_pagenavigation","type":"plugin","creationDate":"January 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_PAGENAVIGATION_XML_DESCRIPTION","group":""}', '{"position":"1"}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(409, 'plg_content_vote', 'plugin', 'vote', 'content', 0, 1, 1, 0, '{"name":"plg_content_vote","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_VOTE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(410, 'plg_editors_codemirror', 'plugin', 'codemirror', 'editors', 0, 1, 1, 1, '{"name":"plg_editors_codemirror","type":"plugin","creationDate":"28 March 2011","author":"Marijn Haverbeke","copyright":"","authorEmail":"N\\/A","authorUrl":"","version":"3.15","description":"PLG_CODEMIRROR_XML_DESCRIPTION","group":""}', '{"lineNumbers":"1","lineWrapping":"1","matchTags":"1","matchBrackets":"1","marker-gutter":"1","autoCloseTags":"1","autoCloseBrackets":"1","autoFocus":"1","theme":"default","tabmode":"indent"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(411, 'plg_editors_none', 'plugin', 'none', 'editors', 0, 1, 1, 1, '{"name":"plg_editors_none","type":"plugin","creationDate":"August 2004","author":"Unknown","copyright":"","authorEmail":"N\\/A","authorUrl":"","version":"3.0.0","description":"PLG_NONE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(412, 'plg_editors_tinymce', 'plugin', 'tinymce', 'editors', 0, 1, 1, 0, '{"name":"plg_editors_tinymce","type":"plugin","creationDate":"2005-2014","author":"Moxiecode Systems AB","copyright":"Moxiecode Systems AB","authorEmail":"N\\/A","authorUrl":"tinymce.moxiecode.com","version":"4.1.2","description":"PLG_TINY_XML_DESCRIPTION","group":""}', '{"mode":"1","skin":"0","entity_encoding":"raw","lang_mode":"0","lang_code":"en","text_direction":"ltr","content_css":"1","content_css_custom":"","relative_urls":"1","newlines":"0","invalid_elements":"script,applet,iframe","extended_elements":"","toolbar":"top","toolbar_align":"left","html_height":"550","html_width":"750","resizing":"true","resize_horizontal":"false","element_path":"1","fonts":"1","paste":"1","searchreplace":"1","insertdate":"1","format_date":"%Y-%m-%d","inserttime":"1","format_time":"%H:%M:%S","colors":"1","table":"1","smilies":"1","media":"1","hr":"1","directionality":"1","fullscreen":"1","style":"1","layer":"1","xhtmlxtras":"1","visualchars":"1","nonbreaking":"1","template":"1","blockquote":"1","wordcount":"1","advimage":"1","advlink":"1","advlist":"1","autosave":"1","contextmenu":"1","inlinepopups":"1","custom_plugin":"","custom_button":""}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(413, 'plg_editors-xtd_article', 'plugin', 'article', 'editors-xtd', 0, 1, 1, 1, '{"name":"plg_editors-xtd_article","type":"plugin","creationDate":"October 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_ARTICLE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(414, 'plg_editors-xtd_image', 'plugin', 'image', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_image","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_IMAGE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(415, 'plg_editors-xtd_pagebreak', 'plugin', 'pagebreak', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_pagebreak","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(416, 'plg_editors-xtd_readmore', 'plugin', 'readmore', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_readmore","type":"plugin","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_READMORE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(417, 'plg_search_categories', 'plugin', 'categories', 'search', 0, 1, 1, 0, '{"name":"plg_search_categories","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(418, 'plg_search_contacts', 'plugin', 'contacts', 'search', 0, 1, 1, 0, '{"name":"plg_search_contacts","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTACTS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(419, 'plg_search_content', 'plugin', 'content', 'search', 0, 1, 1, 0, '{"name":"plg_search_content","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTENT_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(420, 'plg_search_newsfeeds', 'plugin', 'newsfeeds', 'search', 0, 1, 1, 0, '{"name":"plg_search_newsfeeds","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(421, 'plg_search_weblinks', 'plugin', 'weblinks', 'search', 0, 1, 1, 0, '{"name":"plg_search_weblinks","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_WEBLINKS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(422, 'plg_system_languagefilter', 'plugin', 'languagefilter', 'system', 0, 0, 1, 1, '{"name":"plg_system_languagefilter","type":"plugin","creationDate":"July 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(423, 'plg_system_p3p', 'plugin', 'p3p', 'system', 0, 1, 1, 0, '{"name":"plg_system_p3p","type":"plugin","creationDate":"September 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_P3P_XML_DESCRIPTION","group":""}', '{"headers":"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(424, 'plg_system_cache', 'plugin', 'cache', 'system', 0, 0, 1, 1, '{"name":"plg_system_cache","type":"plugin","creationDate":"February 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CACHE_XML_DESCRIPTION","group":""}', '{"browsercache":"0","cachetime":"15"}', '', '', 0, '0000-00-00 00:00:00', 9, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(425, 'plg_system_debug', 'plugin', 'debug', 'system', 0, 1, 1, 0, '{"name":"plg_system_debug","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_DEBUG_XML_DESCRIPTION","group":""}', '{"profile":"1","queries":"1","memory":"1","language_files":"1","language_strings":"1","strip-first":"1","strip-prefix":"","strip-suffix":""}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(426, 'plg_system_log', 'plugin', 'log', 'system', 0, 1, 1, 1, '{"name":"plg_system_log","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOG_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(427, 'plg_system_redirect', 'plugin', 'redirect', 'system', 0, 1, 1, 1, '{"name":"plg_system_redirect","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_REDIRECT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(428, 'plg_system_remember', 'plugin', 'remember', 'system', 0, 1, 1, 1, '{"name":"plg_system_remember","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_REMEMBER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(429, 'plg_system_sef', 'plugin', 'sef', 'system', 0, 1, 1, 0, '{"name":"plg_system_sef","type":"plugin","creationDate":"December 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEF_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 8, 0),
(430, 'plg_system_logout', 'plugin', 'logout', 'system', 0, 1, 1, 1, '{"name":"plg_system_logout","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(431, 'plg_user_contactcreator', 'plugin', 'contactcreator', 'user', 0, 0, 1, 0, '{"name":"plg_user_contactcreator","type":"plugin","creationDate":"August 2009","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTACTCREATOR_XML_DESCRIPTION","group":""}', '{"autowebpage":"","category":"34","autopublish":"0"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(432, 'plg_user_joomla', 'plugin', 'joomla', 'user', 0, 1, 1, 0, '{"name":"plg_user_joomla","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2009 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_JOOMLA_XML_DESCRIPTION","group":""}', '{"autoregister":"1"}', '', '', 0, '0000-00-00 00:00:00', 2, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(433, 'plg_user_profile', 'plugin', 'profile', 'user', 0, 0, 1, 0, '{"name":"plg_user_profile","type":"plugin","creationDate":"January 2008","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_PROFILE_XML_DESCRIPTION","group":""}', '{"register-require_address1":"1","register-require_address2":"1","register-require_city":"1","register-require_region":"1","register-require_country":"1","register-require_postal_code":"1","register-require_phone":"1","register-require_website":"1","register-require_favoritebook":"1","register-require_aboutme":"1","register-require_tos":"1","register-require_dob":"1","profile-require_address1":"1","profile-require_address2":"1","profile-require_city":"1","profile-require_region":"1","profile-require_country":"1","profile-require_postal_code":"1","profile-require_phone":"1","profile-require_website":"1","profile-require_favoritebook":"1","profile-require_aboutme":"1","profile-require_tos":"1","profile-require_dob":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(434, 'plg_extension_joomla', 'plugin', 'joomla', 'extension', 0, 1, 1, 1, '{"name":"plg_extension_joomla","type":"plugin","creationDate":"May 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(435, 'plg_content_joomla', 'plugin', 'joomla', 'content', 0, 1, 1, 0, '{"name":"plg_content_joomla","type":"plugin","creationDate":"November 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(436, 'plg_system_languagecode', 'plugin', 'languagecode', 'system', 0, 0, 1, 0, '{"name":"plg_system_languagecode","type":"plugin","creationDate":"November 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 10, 0),
(437, 'plg_quickicon_joomlaupdate', 'plugin', 'joomlaupdate', 'quickicon', 0, 1, 1, 1, '{"name":"plg_quickicon_joomlaupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(438, 'plg_quickicon_extensionupdate', 'plugin', 'extensionupdate', 'quickicon', 0, 1, 1, 1, '{"name":"plg_quickicon_extensionupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(439, 'plg_captcha_recaptcha', 'plugin', 'recaptcha', 'captcha', 0, 1, 1, 0, '{"name":"plg_captcha_recaptcha","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION","group":""}', '{"public_key":"","private_key":"","theme":"clean"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(440, 'plg_system_highlight', 'plugin', 'highlight', 'system', 0, 1, 1, 0, '{"name":"plg_system_highlight","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 7, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(441, 'plg_content_finder', 'plugin', 'finder', 'content', 0, 0, 1, 0, '{"name":"plg_content_finder","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_FINDER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(442, 'plg_finder_categories', 'plugin', 'categories', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_categories","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CATEGORIES_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(443, 'plg_finder_contacts', 'plugin', 'contacts', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_contacts","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTACTS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(444, 'plg_finder_content', 'plugin', 'content', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_content","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTENT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(445, 'plg_finder_newsfeeds', 'plugin', 'newsfeeds', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_newsfeeds","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(446, 'plg_finder_weblinks', 'plugin', 'weblinks', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_weblinks","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_WEBLINKS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(447, 'plg_finder_tags', 'plugin', 'tags', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_tags","type":"plugin","creationDate":"February 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_TAGS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(448, 'plg_twofactorauth_totp', 'plugin', 'totp', 'twofactorauth', 0, 0, 1, 0, '{"name":"plg_twofactorauth_totp","type":"plugin","creationDate":"August 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_TOTP_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(449, 'plg_authentication_cookie', 'plugin', 'cookie', 'authentication', 0, 1, 1, 0, '{"name":"plg_authentication_cookie","type":"plugin","creationDate":"July 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_COOKIE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(450, 'plg_twofactorauth_yubikey', 'plugin', 'yubikey', 'twofactorauth', 0, 0, 1, 0, '{"name":"plg_twofactorauth_yubikey","type":"plugin","creationDate":"September 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_YUBIKEY_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(451, 'plg_search_tags', 'plugin', 'tags', 'search', 0, 0, 1, 0, '{"name":"plg_search_tags","type":"plugin","creationDate":"March 2014","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_TAGS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","show_tagged_items":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(504, 'hathor', 'template', 'hathor', '', 1, 1, 1, 0, '{"name":"hathor","type":"template","creationDate":"May 2010","author":"Andrea Tarr","copyright":"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.","authorEmail":"hathor@tarrconsulting.com","authorUrl":"http:\\/\\/www.tarrconsulting.com","version":"3.0.0","description":"TPL_HATHOR_XML_DESCRIPTION","group":""}', '{"showSiteName":"0","colourChoice":"0","boldText":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(600, 'English (United Kingdom)', 'language', 'en-GB', '', 0, 1, 1, 1, '{"name":"English (United Kingdom)","type":"language","creationDate":"2013-03-07","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.3.1","description":"en-GB site language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(601, 'English (United Kingdom)', 'language', 'en-GB', '', 1, 1, 1, 1, '{"name":"English (United Kingdom)","type":"language","creationDate":"2013-03-07","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.3.1","description":"en-GB administrator language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(700, 'files_joomla', 'file', 'joomla', '', 0, 1, 1, 1, '{"name":"files_joomla","type":"file","creationDate":"July 2014","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.3.6","description":"FILES_JOOMLA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(10000, 'COM_K2', 'component', 'com_k2', '', 1, 1, 0, 0, '{"name":"COM_K2","type":"component","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"Thank you for installing K2 by JoomlaWorks, the powerful content extension for Joomla!","group":""}', '{"enable_css":"1","jQueryHandling":"1.8remote","backendJQueryHandling":"remote","userName":"1","userImage":"1","userDescription":"1","userURL":"1","userEmail":"0","userFeedLink":"1","userFeedIcon":"1","userItemCount":"10","userItemTitle":"1","userItemTitleLinked":"1","userItemDateCreated":"1","userItemImage":"1","userItemIntroText":"1","userItemCategory":"1","userItemTags":"1","userItemCommentsAnchor":"1","userItemReadMore":"1","userItemK2Plugins":"1","tagItemCount":"10","tagItemTitle":"1","tagItemTitleLinked":"1","tagItemDateCreated":"1","tagItemImage":"1","tagItemIntroText":"1","tagItemCategory":"1","tagItemReadMore":"1","tagItemExtraFields":"0","tagOrdering":"","tagFeedLink":"1","tagFeedIcon":"1","genericItemCount":"10","genericItemTitle":"1","genericItemTitleLinked":"1","genericItemDateCreated":"1","genericItemImage":"1","genericItemIntroText":"1","genericItemCategory":"1","genericItemReadMore":"1","genericItemExtraFields":"0","genericFeedLink":"1","genericFeedIcon":"1","feedLimit":"10","feedItemImage":"1","feedImgSize":"S","feedItemIntroText":"1","feedTextWordLimit":"","feedItemFullText":"1","feedItemTags":"0","feedItemVideo":"0","feedItemGallery":"0","feedItemAttachments":"0","feedBogusEmail":"","introTextCleanup":"0","introTextCleanupExcludeTags":"","introTextCleanupTagAttr":"","fullTextCleanup":"0","fullTextCleanupExcludeTags":"","fullTextCleanupTagAttr":"","xssFiltering":"0","linkPopupWidth":"900","linkPopupHeight":"600","imagesQuality":"100","itemImageXS":"100","itemImageS":"200","itemImageM":"400","itemImageL":"600","itemImageXL":"900","itemImageGeneric":"300","catImageWidth":"100","catImageDefault":"1","userImageWidth":"100","userImageDefault":"1","commenterImgWidth":"48","onlineImageEditor":"splashup","imageTimestamp":"0","imageMemoryLimit":"","socialButtonCode":"","twitterUsername":"","facebookImage":"XSmall","comments":"1","commentsOrdering":"DESC","commentsLimit":"10","commentsFormPosition":"below","commentsPublishing":"1","commentsReporting":"2","commentsReportRecipient":"","inlineCommentsModeration":"0","gravatar":"1","antispam":"0","recaptchaForRegistered":"1","akismetForRegistered":"1","commentsFormNotes":"1","commentsFormNotesText":"","frontendEditing":"1","showImageTab":"1","showImageGalleryTab":"1","showVideoTab":"1","showExtraFieldsTab":"1","showAttachmentsTab":"1","showK2Plugins":"1","sideBarDisplayFrontend":"0","mergeEditors":"1","sideBarDisplay":"1","attachmentsFolder":"","hideImportButton":"0","googleSearch":"0","googleSearchContainer":"k2GoogleSearchContainer","K2UserProfile":"0","K2UserGroup":"1","redirect":"437","adminSearch":"simple","cookieDomain":"","taggingSystem":"1","lockTags":"0","showTagFilter":"0","k2TagNorm":"0","k2TagNormCase":"lower","k2TagNormAdditionalReplacements":"","recaptcha_public_key":"","recaptcha_private_key":"","recaptcha_theme":"clean","recaptchaOnRegistration":"0","akismetApiKey":"","stopForumSpam":"0","stopForumSpamApiKey":"","showItemsCounterAdmin":"1","showChildCatItems":"1","disableCompactOrdering":"0","metaDescLimit":"150","enforceSEFReplacements":"0","SEFReplacements":"\\u00c0|A, \\u00c1|A, \\u00c2|A, \\u00c3|A, \\u00c4|A, \\u00c5|A, \\u00e0|a, \\u00e1|a, \\u00e2|a, \\u00e3|a, \\u00e4|a, \\u00e5|a, \\u0100|A, \\u0101|a, \\u0102|A, \\u0103|a, \\u0104|A, \\u0105|a, \\u00c7|C, \\u00e7|c, \\u0106|C, \\u0107|c, \\u0108|C, \\u0109|c, \\u010a|C, \\u010b|c, \\u010c|C, \\u010d|c, \\u00d0|D, \\u00f0|d, \\u010e|D, \\u010f|d, \\u0110|D, \\u0111|d, \\u00c8|E, \\u00c9|E, \\u00ca|E, \\u00cb|E, \\u00e8|e, \\u00e9|e, \\u00ea|e, \\u00eb|e, \\u0112|E, \\u0113|e, \\u0114|E, \\u0115|e, \\u0116|E, \\u0117|e, \\u0118|E, \\u0119|e, \\u011a|E, \\u011b|e, \\u011c|G, \\u011d|g, \\u011e|G, \\u011f|g, \\u0120|G, \\u0121|g, \\u0122|G, \\u0123|g, \\u0124|H, \\u0125|h, \\u0126|H, \\u0127|h, \\u00cc|I, \\u00cd|I, \\u00ce|I, \\u00cf|I, \\u00ec|i, \\u00ed|i, \\u00ee|i, \\u00ef|i, \\u0128|I, \\u0129|i, \\u012a|I, \\u012b|i, \\u012c|I, \\u012d|i, \\u012e|I, \\u012f|i, \\u0130|I, \\u0131|i, \\u0134|J, \\u0135|j, \\u0136|K, \\u0137|k, \\u0138|k, \\u0139|L, \\u013a|l, \\u013b|L, \\u013c|l, \\u013d|L, \\u013e|l, \\u013f|L, \\u0140|l, \\u0141|L, \\u0142|l, \\u00d1|N, \\u00f1|n, \\u0143|N, \\u0144|n, \\u0145|N, \\u0146|n, \\u0147|N, \\u0148|n, \\u0149|n, \\u014a|N, \\u014b|n, \\u00d2|O, \\u00d3|O, \\u00d4|O, \\u00d5|O, \\u00d6|O, \\u00d8|O, \\u00f2|o, \\u00f3|o, \\u00f4|o, \\u00f5|o, \\u00f6|o, \\u00f8|o, \\u014c|O, \\u014d|o, \\u014e|O, \\u014f|o, \\u0150|O, \\u0151|o, \\u0154|R, \\u0155|r, \\u0156|R, \\u0157|r, \\u0158|R, \\u0159|r, \\u015a|S, \\u015b|s, \\u015c|S, \\u015d|s, \\u015e|S, \\u015f|s, \\u0160|S, \\u0161|s, \\u017f|s, \\u0162|T, \\u0163|t, \\u0164|T, \\u0165|t, \\u0166|T, \\u0167|t, \\u00d9|U, \\u00da|U, \\u00db|U, \\u00dc|U, \\u00f9|u, \\u00fa|u, \\u00fb|u, \\u00fc|u, \\u0168|U, \\u0169|u, \\u016a|U, \\u016b|u, \\u016c|U, \\u016d|u, \\u016e|U, \\u016f|u, \\u0170|U, \\u0171|u, \\u0172|U, \\u0173|u, \\u0174|W, \\u0175|w, \\u00dd|Y, \\u00fd|y, \\u00ff|y, \\u0176|Y, \\u0177|y, \\u0178|Y, \\u0179|Z, \\u017a|z, \\u017b|Z, \\u017c|z, \\u017d|Z, \\u017e|z, \\u03b1|a, \\u03b2|b, \\u03b3|g, \\u03b4|d, \\u03b5|e, \\u03b6|z, \\u03b7|h, \\u03b8|th, \\u03b9|i, \\u03ba|k, \\u03bb|l, \\u03bc|m, \\u03bd|n, \\u03be|x, \\u03bf|o, \\u03c0|p, \\u03c1|r, \\u03c3|s, \\u03c4|t, \\u03c5|y, \\u03c6|f, \\u03c7|ch, \\u03c8|ps, \\u03c9|w, \\u0391|A, \\u0392|B, \\u0393|G, \\u0394|D, \\u0395|E, \\u0396|Z, \\u0397|H, \\u0398|Th, \\u0399|I, \\u039a|K, \\u039b|L, \\u039c|M, \\u039e|X, \\u039f|O, \\u03a0|P, \\u03a1|R, \\u03a3|S, \\u03a4|T, \\u03a5|Y, \\u03a6|F, \\u03a7|Ch, \\u03a8|Ps, \\u03a9|W, \\u03ac|a, \\u03ad|e, \\u03ae|h, \\u03af|i, \\u03cc|o, \\u03cd|y, \\u03ce|w, \\u0386|A, \\u0388|E, \\u0389|H, \\u038a|I, \\u038c|O, \\u038e|Y, \\u038f|W, \\u03ca|i, \\u0390|i, \\u03cb|y, \\u03c2|s, \\u0410|A, \\u04d0|A, \\u04d2|A, \\u04d8|E, \\u04da|E, \\u04d4|E, \\u0411|B, \\u0412|V, \\u0413|G, \\u0490|G, \\u0403|G, \\u0492|G, \\u04f6|G, y|Y, \\u0414|D, \\u0415|E, \\u0400|E, \\u0401|YO, \\u04d6|E, \\u04bc|E, \\u04be|E, \\u0404|YE, \\u0416|ZH, \\u04c1|DZH, \\u0496|ZH, \\u04dc|DZH, \\u0417|Z, \\u0498|Z, \\u04de|DZ, \\u04e0|DZ, \\u0405|DZ, \\u0418|I, \\u040d|I, \\u04e4|I, \\u04e2|I, \\u0406|I, \\u0407|JI, \\u04c0|I, \\u0419|Y, \\u048a|Y, \\u0408|J, \\u041a|K, \\u049a|Q, \\u049e|Q, \\u04a0|K, \\u04c3|Q, \\u049c|K, \\u041b|L, \\u04c5|L, \\u0409|L, \\u041c|M, \\u04cd|M, \\u041d|N, \\u04c9|N, \\u04a2|N, \\u04c7|N, \\u04a4|N, \\u040a|N, \\u041e|O, \\u04e6|O, \\u04e8|O, \\u04ea|O, \\u04a8|O, \\u041f|P, \\u04a6|PF, \\u0420|P, \\u048e|P, \\u0421|S, \\u04aa|S, \\u0422|T, \\u04ac|TH, \\u040b|T, \\u040c|K, \\u0423|U, \\u040e|U, \\u04f2|U, \\u04f0|U, \\u04ee|U, \\u04ae|U, \\u04b0|U, \\u0424|F, \\u0425|H, \\u04b2|H, \\u04ba|H, \\u0426|TS, \\u04b4|TS, \\u0427|CH, \\u04f4|CH, \\u04b6|CH, \\u04cb|CH, \\u04b8|CH, \\u040f|DZ, \\u0428|SH, \\u0429|SHT, \\u042a|A, \\u042b|Y, \\u04f8|Y, \\u042c|Y, \\u048c|Y, \\u042d|E, \\u04ec|E, \\u042e|YU, \\u042f|YA, \\u0430|a, \\u04d1|a, \\u04d3|a, \\u04d9|e, \\u04db|e, \\u04d5|e, \\u0431|b, \\u0432|v, \\u0433|g, \\u0491|g, \\u0453|g, \\u0493|g, \\u04f7|g, y|y, \\u0434|d, \\u0435|e, \\u0450|e, \\u0451|yo, \\u04d7|e, \\u04bd|e, \\u04bf|e, \\u0454|ye, \\u0436|zh, \\u04c2|dzh, \\u0497|zh, \\u04dd|dzh, \\u0437|z, \\u0499|z, \\u04df|dz, \\u04e1|dz, \\u0455|dz, \\u0438|i, \\u045d|i, \\u04e5|i, \\u04e3|i, \\u0456|i, \\u0457|ji, \\u04c0|i, \\u0439|y, \\u048b|y, \\u0458|j, \\u043a|k, \\u049b|q, \\u049f|q, \\u04a1|k, \\u04c4|q, \\u049d|k, \\u043b|l, \\u04c6|l, \\u0459|l, \\u043c|m, \\u04ce|m, \\u043d|n, \\u04ca|n, \\u04a3|n, \\u04c8|n, \\u04a5|n, \\u045a|n, \\u043e|o, \\u04e7|o, \\u04e9|o, \\u04eb|o, \\u04a9|o, \\u043f|p, \\u04a7|pf, \\u0440|p, \\u048f|p, \\u0441|s, \\u04ab|s, \\u0442|t, \\u04ad|th, \\u045b|t, \\u045c|k, \\u0443|u, \\u045e|u, \\u04f3|u, \\u04f1|u, \\u04ef|u, \\u04af|u, \\u04b1|u, \\u0444|f, \\u0445|h, \\u04b3|h, \\u04bb|h, \\u0446|ts, \\u04b5|ts, \\u0447|ch, \\u04f5|ch, \\u04b7|ch, \\u04cc|ch, \\u04b9|ch, \\u045f|dz, \\u0448|sh, \\u0449|sht, \\u044a|a, \\u044b|y, \\u04f9|y, \\u044c|y, \\u048d|y, \\u044d|e, \\u04ed|e, \\u044e|yu, \\u044f|ya","k2Sef":"0","k2SefLabelCat":"content","k2SefLabelTag":"tag","k2SefLabelUser":"author","k2SefLabelSearch":"search","k2SefLabelDate":"date","k2SefLabelItem":"0","k2SefLabelItemCustomPrefix":"","k2SefInsertItemId":"1","k2SefItemIdTitleAliasSep":"dash","k2SefUseItemTitleAlias":"1","k2SefInsertCatId":"1","k2SefCatIdTitleAliasSep":"dash","k2SefUseCatTitleAlias":"1","sh404SefLabelCat":"","sh404SefLabelUser":"blog","sh404SefLabelItem":"2","sh404SefTitleAlias":"alias","sh404SefModK2ContentFeedAlias":"feed","sh404SefInsertItemId":"0","sh404SefInsertUniqueItemId":"0","cbIntegration":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(10001, 'plg_finder_k2', 'plugin', 'k2', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_k2","type":"plugin","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"PLG_FINDER_K2_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10002, 'Search - K2', 'plugin', 'k2', 'search', 0, 1, 1, 0, '{"name":"Search - K2","type":"plugin","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"K2_THIS_PLUGIN_EXTENDS_THE_DEFAULT_JOOMLA_SEARCH_FUNCTIONALITY_TO_K2_CONTENT","group":""}', '{"search_limit":"50","search_tags":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10003, 'System - K2', 'plugin', 'k2', 'system', 0, 1, 1, 0, '{"name":"System - K2","type":"plugin","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"K2_THE_K2_SYSTEM_PLUGIN_IS_USED_TO_ASSIST_THE_PROPER_FUNCTIONALITY_OF_THE_K2_COMPONENT_SITE_WIDE_MAKE_SURE_ITS_ALWAYS_PUBLISHED_WHEN_THE_K2_COMPONENT_IS_INSTALLED","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10004, 'User - K2', 'plugin', 'k2', 'user', 0, 1, 1, 0, '{"name":"User - K2","type":"plugin","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"K2_A_USER_SYNCHRONIZATION_PLUGIN_FOR_K2","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10005, 'Josetta - K2 Categories', 'plugin', 'k2category', 'josetta_ext', 0, 1, 1, 0, '{"name":"Josetta - K2 Categories","type":"plugin","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10006, 'Josetta - K2 Items', 'plugin', 'k2item', 'josetta_ext', 0, 1, 1, 0, '{"name":"Josetta - K2 Items","type":"plugin","creationDate":"June 7th, 2012","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10007, 'K2 Comments', 'module', 'mod_k2_comments', '', 0, 1, 0, 0, '{"name":"K2 Comments","type":"module","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"MOD_K2_COMMENTS_DESCRIPTION","group":""}', '{"moduleclass_sfx":"","module_usage":"","":"K2_TOP_COMMENTERS","catfilter":"0","category_id":"","comments_limit":"5","comments_word_limit":"10","commenterName":"1","commentAvatar":"1","commentAvatarWidthSelect":"custom","commentAvatarWidth":"50","commentDate":"1","commentDateFormat":"absolute","commentLink":"1","itemTitle":"1","itemCategory":"1","feed":"1","commenters_limit":"5","commenterNameOrUsername":"1","commenterAvatar":"1","commenterAvatarWidthSelect":"custom","commenterAvatarWidth":"50","commenterLink":"1","commenterCommentsCounter":"1","commenterLatestComment":"1","cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(10008, 'K2 Content', 'module', 'mod_k2_content', '', 0, 1, 0, 0, '{"name":"K2 Content","type":"module","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"K2_MOD_K2_CONTENT_DESCRIPTION","group":""}', '{"moduleclass_sfx":"","getTemplate":"Default","source":"filter","":"K2_OTHER_OPTIONS","catfilter":"0","category_id":"","getChildren":"0","itemCount":"5","itemsOrdering":"","FeaturedItems":"1","popularityRange":"","videosOnly":"0","item":"","items":"","itemTitle":"1","itemAuthor":"1","itemAuthorAvatar":"1","itemAuthorAvatarWidthSelect":"custom","itemAuthorAvatarWidth":"50","userDescription":"1","itemIntroText":"1","itemIntroTextWordLimit":"","itemImage":"1","itemImgSize":"Small","itemVideo":"1","itemVideoCaption":"1","itemVideoCredits":"1","itemAttachments":"1","itemTags":"1","itemCategory":"1","itemDateCreated":"1","itemHits":"1","itemReadMore":"1","itemExtraFields":"0","itemCommentsCounter":"1","feed":"1","itemPreText":"","itemCustomLink":"0","itemCustomLinkTitle":"","itemCustomLinkURL":"http:\\/\\/","itemCustomLinkMenuItem":"","K2Plugins":"1","JPlugins":"1","cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10009, 'K2 Tools', 'module', 'mod_k2_tools', '', 0, 1, 0, 0, '{"name":"K2 Tools","type":"module","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"K2_TOOLS","group":""}', '{"moduleclass_sfx":"","module_usage":"0","":"K2_CUSTOM_CODE_SETTINGS","archiveItemsCounter":"1","archiveCategory":"","authors_module_category":"","authorItemsCounter":"1","authorAvatar":"1","authorAvatarWidthSelect":"custom","authorAvatarWidth":"50","authorLatestItem":"1","calendarCategory":"","home":"","seperator":"","root_id":"","end_level":"","categoriesListOrdering":"","categoriesListItemsCounter":"1","root_id2":"","catfilter":"0","category_id":"","getChildren":"0","liveSearch":"","width":"20","text":"","button":"","imagebutton":"","button_text":"","min_size":"75","max_size":"300","cloud_limit":"30","cloud_category":"0","cloud_category_recursive":"0","customCode":"","parsePhp":"0","K2Plugins":"0","JPlugins":"0","cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10010, 'K2 Users', 'module', 'mod_k2_users', '', 0, 1, 0, 0, '{"name":"K2 Users","type":"module","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"K2_MOD_K2_USERS_DESCRTIPTION","group":""}', '{"moduleclass_sfx":"","getTemplate":"Default","source":"0","":"K2_DISPLAY_OPTIONS","filter":"1","K2UserGroup":"","ordering":"1","limit":"4","userIDs":"","userName":"1","userAvatar":"1","userAvatarWidthSelect":"custom","userAvatarWidth":"50","userDescription":"1","userDescriptionWordLimit":"","userURL":"1","userEmail":"0","userFeed":"1","userItemCount":"1","cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10011, 'K2 User', 'module', 'mod_k2_user', '', 0, 1, 0, 0, '{"name":"K2 User","type":"module","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"K2_MOD_K2_USER_DESCRIPTION","group":""}', '{"moduleclass_sfx":"","pretext":"","":"K2_LOGIN_LOGOUT_REDIRECTION","name":"1","userAvatar":"1","userAvatarWidthSelect":"custom","userAvatarWidth":"50","menu":"","login":"","logout":"","usesecure":"0","cache":"0","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10012, 'K2 Quick Icons (admin)', 'module', 'mod_k2_quickicons', '', 1, 1, 2, 0, '{"name":"K2 Quick Icons (admin)","type":"module","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"K2_QUICKICONS_FOR_USE_IN_THE_JOOMLA_CONTROL_PANEL_DASHBOARD_PAGE","group":""}', '{"modCSSStyling":"1","modLogo":"1","cache":"0","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(10013, 'K2 Stats (admin)', 'module', 'mod_k2_stats', '', 1, 1, 2, 0, '{"name":"K2 Stats (admin)","type":"module","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"K2_STATS_FOR_USE_IN_THE_K2_DASHBOARD_PAGE","group":""}', '{"latestItems":"1","popularItems":"1","mostCommentedItems":"1","latestComments":"1","statistics":"1","cache":"0","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10016, 'OT_TWITTER_UPDATE', 'module', 'mod_ot_twitterupdate', '', 0, 1, 0, 0, '{"name":"OT_TWITTER_UPDATE","type":"module","creationDate":"Sep 2011","author":"OmegaTheme.com","copyright":"Copyright (C) 2008 - 2011 OmegaTheme. All rights reserved.","authorEmail":"services@omegatheme.com","authorUrl":"http:\\/\\/omegatheme.com","version":"1.7.0","description":"OT_TWITTER_UPDATE_DESCRIPTION","group":""}', '{"limit":"3","show_avatar":"1","avatar_size":"48","show_username":"1","show_screenname":"1","show_datetime":"1","datetime_positions":"4","xml_curl":"0","cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10018, 'OT_SIMPLE_VIDEO', 'module', 'mod_ot_simplevideo', '', 0, 1, 0, 0, '{"name":"OT_SIMPLE_VIDEO","type":"module","creationDate":"July 2011","author":"Omegatheme.com","copyright":"Copyright (C) 2011 Omegatheme. All rights reserved.","authorEmail":"services@omegatheme.com","authorUrl":"omegatheme.com","version":"1.7.0","description":"OT_SIMPLE_VIDEO_DESC","group":""}', '{"videoWidth":"240","videoHeight":"210","videoUrl":"http:\\/\\/www.youtube.com\\/v\\/OuvXLAA07jY","owncache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10020, 'OTemplates', 'component', 'com_otemplates', '', 1, 1, 0, 0, '{"name":"OTemplates","type":"component","creationDate":"Dec 2012","author":"OmegaTheme.com","copyright":"Copyright (C) 2009-2013 Omegatheme, NetQ Creative Software Co., Ltd. All Rights Reserved.","authorEmail":"services@omegatheme.com","authorUrl":"http:\\/\\/www.omagatheme.com","version":"2.0","description":"Template styles and settings management for Omegatheme Joomla! templates","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10021, 'OMG library', 'library', 'lib_omg', '', 0, 1, 1, 0, '{"name":"OMG library","type":"library","creationDate":"Dec 2012","author":"Omegatheme","copyright":"(C) 2009-2013 Omegatheme, NetQ Creative Software Co., Ltd. All rights reserved.","authorEmail":"services@omegatheme.com","authorUrl":"http:\\/\\/www.omegatheme.com","version":"2.0","description":"OMG template framework and third-party library for Omegatheme template","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10023, 'OMG Templates Framework', 'package', 'pkg_omg', '', 0, 1, 1, 0, '{"name":"OMG Templates Framework","type":"package","creationDate":"Dec 2012","author":"OmegaTheme.com","copyright":"Copyright (C) 2009-2013 Omegatheme, NetQ Creative Software Co., Ltd. All Rights Reserved.","authorEmail":"services@omegatheme.com","authorUrl":"http:\\/\\/www.omegatheme.com","version":"2.0","description":"\\n\\t OMG template framework for Joomla! 2.5 was made to use for Omegatheme''s Joomla! 2.5 templates. \\n\\t","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10026, 'OMG Menu package', 'package', 'pkg_omgmenu', '', 0, 1, 1, 0, '{"name":"OMG Menu package","type":"package","creationDate":"Dec 2012","author":"OmegaTheme.com","copyright":"Copyright (C) 2009-2013 Omegatheme, NetQ Creative Software Co., Ltd. All Rights Reserved.","authorEmail":"services@omegatheme.com","authorUrl":"http:\\/\\/www.omegatheme.com","version":"2.0","description":"\\n\\t OMG Menu - help you create dropdown menu and Mega menu system for Joomla! 2.5. This package include module and plugin. \\n\\t","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10027, 'definitions', 'plugin', 'definitions', 'josetta_ext', 0, 0, 1, 0, 'false', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10028, 'fields_common', 'plugin', 'fields_common', 'josetta_ext', 0, 0, 1, 0, 'false', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10029, 'definitions', 'plugin', 'definitions', 'josetta_ext', 0, 0, 1, 0, 'false', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10030, 'fields_common', 'plugin', 'fields_common', 'josetta_ext', 0, 0, 1, 0, 'false', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10031, 'parameters', 'plugin', 'parameters', 'system', 0, 0, 1, 0, 'false', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(10032, 'isis', 'template', 'isis', '', 1, 1, 1, 0, '{"name":"isis","type":"template","creationDate":"3\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_ISIS_XML_DESCRIPTION","group":""}', '{"templateColor":"","logoFile":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10033, 'protostar', 'template', 'protostar', '', 0, 1, 1, 0, '{"name":"protostar","type":"template","creationDate":"4\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_PROTOSTAR_XML_DESCRIPTION","group":""}', '{"templateColor":"","logoFile":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10034, 'beez3', 'template', 'beez3', '', 0, 1, 1, 0, '{"name":"beez3","type":"template","creationDate":"25 November 2009","author":"Angie Radtke","copyright":"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.","authorEmail":"a.radtke@derauftritt.de","authorUrl":"http:\\/\\/www.der-auftritt.de","version":"3.1.0","description":"TPL_BEEZ3_XML_DESCRIPTION","group":""}', '{"wrapperSmall":"53","wrapperLarge":"72","sitetitle":"","sitedescription":"","navposition":"center","templatecolor":"nature"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10035, 'ot_enterdesign', 'template', 'ot_enterdesign', '', 0, 1, 1, 0, '{"name":"ot_enterdesign","type":"template","creationDate":"July 2014","author":"OmegaTheme.com","copyright":"Copyright (C) 2014 Omegatheme. All rights reserved.","authorEmail":"services@omegatheme.com","authorUrl":"http:\\/\\/www.omegatheme.com","version":"1.0.0","description":"TPL_OT_ENTERDESIGN_XML_DESCRIPTION","group":"jarvis"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10036, 'plg_system_jarvis', 'plugin', 'jarvis', 'system', 0, 1, 1, 0, '{"name":"plg_system_jarvis","type":"plugin","creationDate":"March 2014","author":"Omegatheme.com","copyright":"Copyright (C) 2014 Omegatheme.com. All rights reserved.","authorEmail":"services@omegatheme.com","authorUrl":"www.omegatheme.com","version":"1.0.0","description":"PLG_JARVIS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10037, 'plg_system_omgmenu', 'plugin', 'omgmenu', 'system', 0, 1, 1, 0, '{"name":"plg_system_omgmenu","type":"plugin","creationDate":"Dec 2012","author":"OmegaTheme.com","copyright":"Copyright (C) 2009 - 2013 OmegaTheme. All Rights Reserved.","authorEmail":"services@omegatheme.com","authorUrl":"http:\\/\\/www.omegatheme.com","version":"2.5","description":"This Plugin helps build a mega menu system with module mod_omgmenu.","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10038, 'OMG Menu', 'module', 'mod_omgmenu', '', 0, 1, 0, 0, '{"name":"OMG Menu","type":"module","creationDate":"May 2014","author":"OmegaTheme.com","copyright":"Copyright (C) 2009 - 2013 Omegatheme.com. All rights reserved.","authorEmail":"services@omegatheme.com","authorUrl":"www.omegatheme.com","version":"3.0.0","description":"OMG_MENU_MODULE_XML_DESC","group":""}', '{"startLevel":"1","endLevel":"0","showAllChildren":"0","cache":"1","cache_time":"900","cachemode":"itemid","effect":"opacity,height","speed":"normal","customFont_on":"0","font_family":"s:Arial,Helvetica,sans-serif","customColor_on":"0","text_color":"#0088CC","text_color_hover":"#005580","customFontSize_on":"0","font_size":"12px"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10039, 'OT MiniTabs', 'module', 'mod_otminitabs', '', 0, 1, 0, 0, '{"name":"OT MiniTabs","type":"module","creationDate":"Apr 2014","author":"Omegatheme","copyright":"Copyright (C) 2014 omegatheme.com. All rights reserved.","authorEmail":"services@omegatheme.com","authorUrl":"http:\\/\\/www.omegatheme.com","version":"1.3.0","description":"MOD_OTMINITABS_XML_DESCRIPTION","group":""}', '{"tabs":"","unique_id":"","number_of_article":"4","number_of_character":"100","ordering":"published","user_id":"0","show_featured":"","show_link":"1","show_readmore":"0","show_date":"1","date_format":"d.m.Y","show_thumbnail":"1","default_image":"modules\\/mod_otminitabs\\/assets\\/images\\/sampledefault.jpg","thumb_width":"70","thumb_height":"50","show_view_all":"1","credit":"1","cache":"1","cache_time":"900","cachemode":"static"}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(10040, 'OT Scroller', 'module', 'mod_ot_scroller', '', 0, 1, 0, 0, '{"name":"OT Scroller","type":"module","creationDate":"May 2012","author":"OmegaTheme.com","copyright":"Copyright (C) 2012 OmegaTheme.com. All rights reserved.","authorEmail":"services@omegatheme.com","authorUrl":"http:\\/\\/omegatheme.com","version":"2.5.0","description":"OT Images Scroller","group":""}', '{"type":"png","folder":"modules\\/mod_ot_scroller\\/images\\/demo\\/","moduleclass_sfx":"","cache":"0","cache_time":"900","Loadjquery":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0);

DROP TABLE IF EXISTS `#__finder_filters`;
CREATE TABLE IF NOT EXISTS `#__finder_filters` (
  `filter_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '1',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL,
  `created_by_alias` varchar(255) NOT NULL,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `map_count` int(10) unsigned NOT NULL DEFAULT '0',
  `data` text NOT NULL,
  `params` mediumtext,
  PRIMARY KEY (`filter_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__finder_links`;
CREATE TABLE IF NOT EXISTS `#__finder_links` (
  `link_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `url` varchar(255) NOT NULL,
  `route` varchar(255) NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `indexdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `md5sum` varchar(32) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `state` int(5) DEFAULT '1',
  `access` int(5) DEFAULT '0',
  `language` varchar(8) NOT NULL,
  `publish_start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `list_price` double unsigned NOT NULL DEFAULT '0',
  `sale_price` double unsigned NOT NULL DEFAULT '0',
  `type_id` int(11) NOT NULL,
  `object` mediumblob NOT NULL,
  PRIMARY KEY (`link_id`),
  KEY `idx_type` (`type_id`),
  KEY `idx_title` (`title`),
  KEY `idx_md5` (`md5sum`),
  KEY `idx_url` (`url`(75)),
  KEY `idx_published_list` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`list_price`),
  KEY `idx_published_sale` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`sale_price`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=194 ;

DROP TABLE IF EXISTS `#__finder_links_terms0`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms0` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_terms0` (`link_id`, `term_id`, `weight`) VALUES
(1, 15, 0.88),
(1, 16, 5.18),
(1, 17, 1.00331),
(1, 18, 1.09669),
(1, 19, 0.98),
(1, 20, 0.91),
(1, 21, 1.23669),
(1, 22, 0.88669),
(1, 23, 1.00331),
(1, 24, 0.91),
(1, 25, 1.12),
(1, 26, 0.86331),
(1, 27, 0.98),
(1, 28, 0.98),
(1, 29, 1.07331),
(1, 30, 0.91),
(1, 31, 1.09669),
(1, 32, 0.88669),
(1, 33, 1.09669),
(1, 34, 0.14),
(1, 35, 0.91),
(1, 36, 0.98),
(1, 37, 0.37331),
(1, 38, 0.98),
(1, 39, 1.21331),
(1, 40, 0.18662),
(1, 41, 0.93331),
(1, 42, 1.14331),
(1, 43, 0.86331),
(1, 44, 0.93331),
(1, 45, 0.42),
(1, 46, 1.02669),
(1, 47, 1.14331),
(1, 350, 0.28),
(1, 351, 0.93331),
(1, 352, 1.07331),
(1, 353, 0.18669),
(1, 354, 1.02669),
(1, 355, 1.16669),
(1, 356, 0.32669),
(1, 357, 1.05),
(1, 358, 1.19),
(1, 359, 0.28),
(1, 360, 0.86331),
(1, 361, 1.00331),
(1, 362, 0.98),
(1, 363, 1.07331),
(1, 364, 0.23331),
(1, 365, 0.93331),
(1, 366, 1.07331),
(1, 367, 0.28),
(1, 368, 1.05),
(1, 369, 1.12),
(1, 370, 0.18669),
(1, 371, 0.98),
(1, 372, 1.12),
(1, 373, 0.18662),
(1, 374, 0.86331),
(1, 375, 0.95669),
(1, 376, 0.84),
(1, 377, 0.93331),
(1, 378, 0.23331),
(1, 379, 0.93331),
(1, 380, 1.16669),
(1, 381, 0.14),
(1, 382, 0.88669),
(1, 383, 1.12),
(1, 384, 0.28),
(1, 385, 0.95669),
(1, 386, 1.09669),
(1, 387, 0.79992),
(2, 387, 0.79992),
(4, 387, 0.79992),
(57, 387, 0.79992),
(58, 387, 0.79992),
(59, 387, 0.79992),
(60, 387, 0.79992),
(61, 387, 0.79992),
(62, 387, 0.79992),
(171, 387, 0.79992),
(174, 387, 0.79992),
(175, 387, 0.79992),
(176, 387, 0.79992),
(177, 387, 0.79992),
(178, 387, 0.79992),
(179, 387, 0.79992),
(180, 387, 0.79992),
(181, 387, 0.79992),
(182, 387, 0.79992),
(183, 387, 0.79992),
(184, 387, 0.79992),
(185, 387, 0.79992),
(186, 387, 0.79992),
(187, 387, 0.79992),
(188, 387, 0.79992),
(189, 387, 0.79992),
(190, 387, 0.79992),
(191, 387, 0.79992),
(192, 387, 0.79992),
(193, 387, 0.79992),
(1, 388, 3.19992),
(2, 388, 3.19992),
(4, 388, 3.19992),
(57, 388, 3.19992),
(58, 388, 3.19992),
(59, 388, 3.19992),
(60, 388, 3.19992),
(61, 388, 3.19992),
(62, 388, 3.19992),
(171, 388, 3.19992),
(174, 388, 3.19992),
(175, 388, 3.19992),
(176, 388, 3.19992),
(177, 388, 3.19992),
(178, 388, 3.19992),
(179, 388, 3.19992),
(180, 388, 3.19992),
(181, 388, 3.19992),
(182, 388, 3.19992),
(183, 388, 3.19992),
(184, 388, 3.19992),
(185, 388, 3.19992),
(186, 388, 3.19992),
(187, 388, 3.19992),
(188, 388, 3.19992),
(189, 388, 3.19992),
(190, 388, 3.19992),
(191, 388, 3.19992),
(192, 388, 3.19992),
(193, 388, 3.19992),
(1, 389, 0.65338),
(1, 390, 1.07331),
(1, 391, 1.30669),
(1, 392, 1.00331),
(1, 393, 1.21331),
(2, 513, 0.39996),
(193, 513, 0.39996),
(4, 513, 1.63317),
(62, 514, 0.18662),
(57, 514, 0.27993),
(58, 514, 0.27993),
(59, 514, 0.27993),
(60, 514, 0.27993),
(61, 514, 0.27993),
(2, 514, 0.65317),
(4, 514, 0.65317),
(193, 514, 0.65317),
(58, 515, 0.88669),
(59, 515, 0.88669),
(60, 515, 0.88669),
(62, 515, 0.88669),
(2, 515, 6.20683),
(4, 515, 6.20683),
(193, 515, 6.20683),
(58, 516, 1.05),
(59, 516, 1.05),
(60, 516, 1.05),
(62, 516, 1.05),
(2, 516, 7.35),
(4, 516, 7.35),
(193, 516, 7.35),
(58, 517, 0.51331),
(59, 517, 0.51331),
(60, 517, 0.51331),
(62, 517, 0.51331),
(193, 517, 3.07986),
(2, 517, 3.59317),
(4, 517, 3.59317),
(58, 518, 1.07331),
(59, 518, 1.07331),
(60, 518, 1.07331),
(62, 518, 1.07331),
(193, 518, 6.43986),
(2, 518, 7.51317),
(4, 518, 7.51317),
(58, 519, 1.16669),
(59, 519, 1.16669),
(60, 519, 1.16669),
(62, 519, 1.16669),
(193, 519, 7.00014),
(2, 519, 8.16683),
(4, 519, 8.16683),
(58, 520, 0.28),
(59, 520, 0.28),
(60, 520, 0.28),
(62, 520, 0.28),
(2, 520, 1.96),
(4, 520, 1.96),
(193, 520, 1.96),
(58, 521, 0.91),
(59, 521, 0.91),
(60, 521, 0.91),
(62, 521, 0.91),
(2, 521, 6.37),
(4, 521, 6.37),
(193, 521, 6.37),
(58, 522, 1.02669),
(59, 522, 1.02669),
(60, 522, 1.02669),
(62, 522, 1.02669),
(2, 522, 7.18683),
(4, 522, 7.18683),
(193, 522, 7.18683),
(58, 523, 0.32669),
(59, 523, 0.32669),
(60, 523, 0.32669),
(62, 523, 0.32669),
(2, 523, 2.28683),
(4, 523, 2.28683),
(193, 523, 2.28683),
(58, 524, 0.93331),
(59, 524, 0.93331),
(60, 524, 0.93331),
(62, 524, 0.93331),
(2, 524, 6.53317),
(4, 524, 6.53317),
(193, 524, 6.53317),
(58, 525, 1.00331),
(59, 525, 1.00331),
(60, 525, 1.00331),
(62, 525, 1.00331),
(2, 525, 7.02317),
(4, 525, 7.02317),
(193, 525, 7.02317),
(193, 526, 1.12014),
(2, 526, 1.30683),
(4, 526, 1.30683),
(57, 526, 1.54686),
(58, 526, 1.54686),
(59, 526, 1.54686),
(60, 526, 1.54686),
(61, 526, 1.54686),
(62, 526, 1.54686),
(171, 526, 1.54686),
(174, 526, 1.54686),
(175, 526, 1.54686),
(176, 526, 1.54686),
(177, 526, 1.54686),
(178, 526, 1.54686),
(179, 526, 1.54686),
(180, 526, 1.54686),
(181, 526, 1.54686),
(182, 526, 1.54686),
(183, 526, 1.54686),
(184, 526, 1.54686),
(185, 526, 1.54686),
(186, 526, 1.54686),
(187, 526, 1.54686),
(188, 526, 1.54686),
(189, 526, 1.54686),
(190, 526, 1.54686),
(191, 526, 1.54686),
(192, 526, 1.54686),
(58, 527, 1.07331),
(59, 527, 1.07331),
(60, 527, 1.07331),
(62, 527, 1.07331),
(193, 527, 6.43986),
(2, 527, 7.51317),
(4, 527, 7.51317),
(58, 528, 1.35331),
(59, 528, 1.35331),
(60, 528, 1.35331),
(62, 528, 1.35331),
(193, 528, 8.11986),
(2, 528, 9.47317),
(4, 528, 9.47317),
(58, 529, 0.37338),
(59, 529, 0.37338),
(60, 529, 0.37338),
(62, 529, 0.37338),
(2, 529, 1.30683),
(4, 529, 1.30683),
(193, 529, 1.30683),
(58, 530, 1.72662),
(59, 530, 1.72662),
(60, 530, 1.72662),
(62, 530, 1.72662),
(2, 530, 6.04317),
(4, 530, 6.04317),
(193, 530, 6.04317),
(58, 531, 1.91338),
(59, 531, 1.91338),
(60, 531, 1.91338),
(62, 531, 1.91338);
INSERT INTO `#__finder_links_terms0` (`link_id`, `term_id`, `weight`) VALUES
(2, 531, 6.69683),
(4, 531, 6.69683),
(193, 531, 6.69683),
(58, 532, 0.18669),
(59, 532, 0.18669),
(60, 532, 0.18669),
(62, 532, 0.18669),
(2, 532, 1.30683),
(4, 532, 1.30683),
(193, 532, 1.30683),
(58, 533, 0.93331),
(59, 533, 0.93331),
(60, 533, 0.93331),
(62, 533, 0.93331),
(2, 533, 6.53317),
(4, 533, 6.53317),
(193, 533, 6.53317),
(58, 534, 1.07331),
(59, 534, 1.07331),
(60, 534, 1.07331),
(62, 534, 1.07331),
(2, 534, 7.51317),
(4, 534, 7.51317),
(193, 534, 7.51317),
(171, 685, 0.42),
(174, 685, 0.42),
(175, 685, 0.42),
(176, 685, 0.42),
(177, 685, 0.42),
(178, 685, 0.42),
(179, 685, 0.42),
(180, 685, 0.42),
(181, 685, 0.42),
(182, 685, 0.42),
(183, 685, 0.42),
(184, 685, 0.42),
(185, 685, 0.42),
(186, 685, 0.42),
(187, 685, 0.42),
(188, 685, 0.42),
(189, 685, 0.42),
(190, 685, 0.42),
(191, 685, 0.42),
(192, 685, 0.42),
(57, 685, 0.7),
(61, 685, 0.7),
(62, 685, 0.7),
(58, 685, 0.84),
(59, 685, 0.84),
(60, 685, 0.84),
(193, 685, 0.84),
(2, 685, 0.98),
(4, 685, 0.98),
(58, 686, 0.84),
(59, 686, 0.84),
(60, 686, 0.84),
(62, 686, 0.84),
(193, 686, 5.04),
(2, 686, 5.88),
(4, 686, 5.88),
(58, 687, 1.02669),
(59, 687, 1.02669),
(60, 687, 1.02669),
(62, 687, 1.02669),
(193, 687, 6.16014),
(2, 687, 7.18683),
(4, 687, 7.18683),
(58, 688, 0.37338),
(59, 688, 0.37338),
(60, 688, 0.37338),
(62, 688, 0.37338),
(2, 688, 1.30683),
(4, 688, 1.30683),
(193, 688, 1.30683),
(58, 689, 2.00662),
(59, 689, 2.00662),
(60, 689, 2.00662),
(62, 689, 2.00662),
(2, 689, 7.02317),
(4, 689, 7.02317),
(193, 689, 7.02317),
(58, 690, 2.47338),
(59, 690, 2.47338),
(60, 690, 2.47338),
(62, 690, 2.47338),
(2, 690, 8.65683),
(4, 690, 8.65683),
(193, 690, 8.65683),
(193, 691, 0.84),
(2, 691, 0.98),
(4, 691, 0.98),
(57, 691, 1.16),
(58, 691, 1.16),
(59, 691, 1.16),
(60, 691, 1.16),
(61, 691, 1.16),
(62, 691, 1.16),
(171, 691, 1.16),
(174, 691, 1.16),
(175, 691, 1.16),
(176, 691, 1.16),
(177, 691, 1.16),
(178, 691, 1.16),
(179, 691, 1.16),
(180, 691, 1.16),
(181, 691, 1.16),
(182, 691, 1.16),
(183, 691, 1.16),
(184, 691, 1.16),
(185, 691, 1.16),
(186, 691, 1.16),
(187, 691, 1.16),
(188, 691, 1.16),
(189, 691, 1.16),
(190, 691, 1.16),
(191, 691, 1.16),
(192, 691, 1.16),
(193, 692, 5.32014),
(2, 692, 6.20683),
(4, 692, 6.20683),
(57, 692, 7.34686),
(58, 692, 7.34686),
(59, 692, 7.34686),
(60, 692, 7.34686),
(61, 692, 7.34686),
(62, 692, 7.34686),
(171, 692, 7.34686),
(174, 692, 7.34686),
(175, 692, 7.34686),
(176, 692, 7.34686),
(177, 692, 7.34686),
(178, 692, 7.34686),
(179, 692, 7.34686),
(180, 692, 7.34686),
(181, 692, 7.34686),
(182, 692, 7.34686),
(183, 692, 7.34686),
(184, 692, 7.34686),
(185, 692, 7.34686),
(186, 692, 7.34686),
(187, 692, 7.34686),
(188, 692, 7.34686),
(189, 692, 7.34686),
(190, 692, 7.34686),
(191, 692, 7.34686),
(192, 692, 7.34686),
(58, 693, 1.16669),
(59, 693, 1.16669),
(60, 693, 1.16669),
(62, 693, 1.16669),
(193, 693, 7.00014),
(2, 693, 8.16683),
(4, 693, 8.16683),
(58, 694, 0.37338),
(59, 694, 0.37338),
(60, 694, 0.37338),
(62, 694, 0.37338),
(2, 694, 1.30683),
(4, 694, 1.30683),
(193, 694, 1.30683),
(58, 695, 1.72662),
(59, 695, 1.72662),
(60, 695, 1.72662),
(62, 695, 1.72662),
(2, 695, 6.04317),
(4, 695, 6.04317),
(193, 695, 6.04317),
(58, 696, 2.00662),
(59, 696, 2.00662),
(60, 696, 2.00662),
(62, 696, 2.00662),
(2, 696, 7.02317),
(4, 696, 7.02317),
(193, 696, 7.02317),
(4, 775, 4.81),
(4, 776, 5.79679),
(171, 780, 0.09338),
(174, 780, 0.09338),
(175, 780, 0.09338),
(176, 780, 0.09338),
(177, 780, 0.09338),
(178, 780, 0.09338),
(179, 780, 0.09338),
(180, 780, 0.09338),
(181, 780, 0.09338),
(182, 780, 0.09338),
(183, 780, 0.09338),
(184, 780, 0.09338),
(185, 780, 0.09338),
(186, 780, 0.09338),
(187, 780, 0.09338),
(188, 780, 0.09338),
(189, 780, 0.09338),
(190, 780, 0.09338),
(191, 780, 0.09338),
(192, 780, 0.09338),
(58, 780, 0.18676),
(59, 780, 0.18676),
(60, 780, 0.18676),
(62, 780, 0.18676),
(57, 780, 0.28014),
(61, 780, 0.28014),
(58, 781, 1.68),
(59, 781, 1.68),
(60, 781, 1.68),
(62, 781, 1.68),
(57, 781, 2.52),
(61, 781, 2.52),
(58, 782, 2.00662),
(59, 782, 2.00662),
(60, 782, 2.00662),
(62, 782, 2.00662),
(57, 782, 3.00993),
(61, 782, 3.00993),
(58, 783, 1.77338),
(59, 783, 1.77338),
(60, 783, 1.77338),
(62, 783, 1.77338),
(57, 783, 2.66007),
(61, 783, 2.66007),
(58, 784, 2.05338),
(59, 784, 2.05338),
(60, 784, 2.05338),
(62, 784, 2.05338),
(57, 784, 3.08007),
(61, 784, 3.08007),
(62, 785, 0.46655),
(58, 785, 0.65317),
(59, 785, 0.65317),
(60, 785, 0.65317),
(57, 785, 0.83979),
(61, 785, 0.83979),
(62, 786, 0.88669),
(58, 786, 1.77338),
(59, 786, 1.77338),
(60, 786, 1.77338),
(57, 786, 2.66007),
(61, 786, 2.66007),
(62, 787, 1.00331),
(58, 787, 2.00662),
(59, 787, 2.00662),
(60, 787, 2.00662),
(57, 787, 3.00993),
(61, 787, 3.00993),
(62, 788, 1.68),
(57, 788, 2.52),
(58, 788, 2.52),
(59, 788, 2.52),
(60, 788, 2.52),
(61, 788, 2.52),
(57, 789, 2.05338),
(61, 789, 2.05338),
(62, 789, 2.05338),
(58, 789, 3.08007),
(59, 789, 3.08007),
(60, 789, 3.08007),
(58, 790, 1.96),
(59, 790, 1.96),
(60, 790, 1.96),
(62, 790, 1.96),
(57, 790, 2.94),
(61, 790, 2.94),
(58, 791, 2.24),
(59, 791, 2.24),
(60, 791, 2.24),
(62, 791, 2.24),
(57, 791, 3.36),
(61, 791, 3.36),
(62, 792, 0.91),
(58, 792, 1.82),
(59, 792, 1.82),
(60, 792, 1.82),
(57, 792, 2.73),
(61, 792, 2.73),
(62, 793, 1.12),
(58, 793, 2.24),
(59, 793, 2.24),
(60, 793, 2.24),
(57, 793, 3.36),
(61, 793, 3.36),
(58, 794, 0.56),
(59, 794, 0.56),
(60, 794, 0.56),
(62, 794, 0.56),
(57, 794, 0.84),
(61, 794, 0.84),
(58, 795, 1.91338),
(59, 795, 1.91338);
INSERT INTO `#__finder_links_terms0` (`link_id`, `term_id`, `weight`) VALUES
(60, 795, 1.91338),
(62, 795, 1.91338),
(57, 795, 2.87007),
(61, 795, 2.87007),
(58, 796, 2.14662),
(59, 796, 2.14662),
(60, 796, 2.14662),
(62, 796, 2.14662),
(57, 796, 3.21993),
(61, 796, 3.21993),
(62, 797, 2.28683),
(58, 797, 3.2669),
(59, 797, 3.2669),
(60, 797, 3.2669),
(57, 797, 3.59359),
(61, 797, 3.59359),
(58, 798, 1.82),
(59, 798, 1.82),
(60, 798, 1.82),
(62, 798, 1.82),
(57, 798, 2.73),
(61, 798, 2.73),
(58, 799, 2.05338),
(59, 799, 2.05338),
(60, 799, 2.05338),
(62, 799, 2.05338),
(57, 799, 3.08007),
(61, 799, 3.08007),
(62, 800, 1.86662),
(57, 800, 2.79993),
(58, 800, 2.79993),
(59, 800, 2.79993),
(60, 800, 2.79993),
(61, 800, 2.79993),
(62, 801, 2.05338),
(57, 801, 3.08007),
(58, 801, 3.08007),
(59, 801, 3.08007),
(60, 801, 3.08007),
(61, 801, 3.08007),
(57, 802, 1.91338),
(61, 802, 1.91338),
(62, 802, 1.91338),
(58, 802, 2.87007),
(59, 802, 2.87007),
(60, 802, 2.87007),
(57, 803, 2.14662),
(61, 803, 2.14662),
(62, 803, 2.14662),
(58, 803, 3.21993),
(59, 803, 3.21993),
(60, 803, 3.21993),
(62, 804, 1.09669),
(58, 804, 2.19338),
(59, 804, 2.19338),
(60, 804, 2.19338),
(57, 804, 3.29007),
(61, 804, 3.29007),
(62, 805, 1.26),
(58, 805, 2.52),
(59, 805, 2.52),
(60, 805, 2.52),
(57, 805, 3.78),
(61, 805, 3.78),
(62, 806, 1.30676),
(57, 806, 1.63345),
(58, 806, 1.63345),
(59, 806, 1.63345),
(60, 806, 1.63345),
(61, 806, 1.63345),
(62, 807, 3.73324),
(57, 807, 4.66655),
(58, 807, 4.66655),
(59, 807, 4.66655),
(60, 807, 4.66655),
(61, 807, 4.66655),
(57, 808, 2.1),
(61, 808, 2.1),
(62, 808, 2.1),
(58, 808, 3.15),
(59, 808, 3.15),
(60, 808, 3.15),
(58, 809, 2.19338),
(59, 809, 2.19338),
(60, 809, 2.19338),
(62, 809, 2.19338),
(57, 809, 3.29007),
(61, 809, 3.29007),
(58, 810, 1.96),
(59, 810, 1.96),
(60, 810, 1.96),
(62, 810, 1.96),
(57, 810, 2.94),
(61, 810, 2.94),
(58, 811, 2.1),
(59, 811, 2.1),
(60, 811, 2.1),
(62, 811, 2.1),
(57, 811, 3.15),
(61, 811, 3.15),
(62, 812, 0.28),
(58, 812, 0.56),
(59, 812, 0.56),
(60, 812, 0.56),
(57, 812, 0.84),
(61, 812, 0.84),
(62, 813, 1.00331),
(58, 813, 2.00662),
(59, 813, 2.00662),
(60, 813, 2.00662),
(57, 813, 3.00993),
(61, 813, 3.00993),
(62, 814, 1.21331),
(58, 814, 2.42662),
(59, 814, 2.42662),
(60, 814, 2.42662),
(57, 814, 3.63993),
(61, 814, 3.63993),
(58, 815, 0.37338),
(59, 815, 0.37338),
(60, 815, 0.37338),
(62, 815, 0.37338),
(171, 815, 0.37338),
(174, 815, 0.37338),
(175, 815, 0.37338),
(176, 815, 0.37338),
(177, 815, 0.37338),
(178, 815, 0.37338),
(179, 815, 0.37338),
(180, 815, 0.37338),
(181, 815, 0.37338),
(182, 815, 0.37338),
(183, 815, 0.37338),
(184, 815, 0.37338),
(185, 815, 0.37338),
(186, 815, 0.37338),
(187, 815, 0.37338),
(188, 815, 0.37338),
(189, 815, 0.37338),
(190, 815, 0.37338),
(191, 815, 0.37338),
(192, 815, 0.37338),
(57, 815, 0.56007),
(61, 815, 0.56007),
(58, 816, 1.82),
(59, 816, 1.82),
(60, 816, 1.82),
(62, 816, 1.82),
(57, 816, 2.73),
(61, 816, 2.73),
(58, 817, 2.19338),
(59, 817, 2.19338),
(60, 817, 2.19338),
(62, 817, 2.19338),
(57, 817, 3.29007),
(61, 817, 3.29007),
(62, 818, 0.37324),
(58, 818, 0.46655),
(59, 818, 0.46655),
(60, 818, 0.46655),
(57, 818, 0.55986),
(61, 818, 0.55986),
(58, 819, 1.96),
(59, 819, 1.96),
(60, 819, 1.96),
(62, 819, 1.96),
(57, 819, 2.94),
(61, 819, 2.94),
(58, 820, 2.38),
(59, 820, 2.38),
(60, 820, 2.38),
(62, 820, 2.38),
(57, 820, 3.57),
(61, 820, 3.57),
(62, 821, 1.77338),
(57, 821, 2.66007),
(58, 821, 2.66007),
(59, 821, 2.66007),
(60, 821, 2.66007),
(61, 821, 2.66007),
(62, 822, 2.14662),
(57, 822, 3.21993),
(58, 822, 3.21993),
(59, 822, 3.21993),
(60, 822, 3.21993),
(61, 822, 3.21993),
(62, 823, 0.93324),
(57, 823, 1.16655),
(58, 823, 1.16655),
(59, 823, 1.16655),
(60, 823, 1.16655),
(61, 823, 1.16655),
(58, 824, 1.96),
(59, 824, 1.96),
(60, 824, 1.96),
(62, 824, 1.96),
(57, 824, 2.94),
(61, 824, 2.94),
(58, 825, 2.05338),
(59, 825, 2.05338),
(60, 825, 2.05338),
(62, 825, 2.05338),
(57, 825, 3.08007),
(61, 825, 3.08007),
(57, 826, 1.91338),
(61, 826, 1.91338),
(62, 826, 1.91338),
(58, 826, 2.87007),
(59, 826, 2.87007),
(60, 826, 2.87007),
(57, 827, 2.24),
(61, 827, 2.24),
(62, 827, 2.24),
(58, 827, 3.36),
(59, 827, 3.36),
(60, 827, 3.36),
(62, 1040, 0.28),
(58, 1040, 0.56),
(59, 1040, 0.56),
(60, 1040, 0.56),
(57, 1040, 0.84),
(61, 1040, 0.84),
(62, 1041, 0.91),
(58, 1041, 1.82),
(59, 1041, 1.82),
(60, 1041, 1.82),
(57, 1041, 2.73),
(61, 1041, 2.73),
(62, 1042, 1.09669),
(58, 1042, 2.19338),
(59, 1042, 2.19338),
(60, 1042, 2.19338),
(57, 1042, 3.29007),
(61, 1042, 3.29007),
(57, 1043, 1.02662),
(61, 1043, 1.02662),
(62, 1043, 1.02662),
(58, 1043, 1.53993),
(59, 1043, 1.53993),
(60, 1043, 1.53993),
(57, 1044, 2.19338),
(61, 1044, 2.19338),
(62, 1044, 2.19338),
(58, 1044, 3.29007),
(59, 1044, 3.29007),
(60, 1044, 3.29007),
(57, 1045, 2.47338),
(61, 1045, 2.47338),
(62, 1045, 2.47338),
(58, 1045, 3.71007),
(59, 1045, 3.71007),
(60, 1045, 3.71007),
(57, 1046, 1.91338),
(61, 1046, 1.91338),
(62, 1046, 1.91338),
(58, 1046, 2.87007),
(59, 1046, 2.87007),
(60, 1046, 2.87007),
(57, 1047, 2.47338),
(61, 1047, 2.47338),
(62, 1047, 2.47338),
(58, 1047, 3.71007),
(59, 1047, 3.71007),
(60, 1047, 3.71007),
(58, 1048, 1.77338),
(59, 1048, 1.77338),
(60, 1048, 1.77338),
(62, 1048, 1.77338),
(57, 1048, 2.66007),
(61, 1048, 2.66007),
(171, 1048, 2.66007),
(174, 1048, 2.66007),
(175, 1048, 2.66007),
(176, 1048, 2.66007),
(177, 1048, 2.66007),
(178, 1048, 2.66007),
(179, 1048, 2.66007),
(180, 1048, 2.66007),
(181, 1048, 2.66007),
(182, 1048, 2.66007),
(183, 1048, 2.66007);
INSERT INTO `#__finder_links_terms0` (`link_id`, `term_id`, `weight`) VALUES
(184, 1048, 2.66007),
(185, 1048, 2.66007),
(186, 1048, 2.66007),
(187, 1048, 2.66007),
(188, 1048, 2.66007),
(189, 1048, 2.66007),
(190, 1048, 2.66007),
(191, 1048, 2.66007),
(192, 1048, 2.66007),
(58, 1049, 1.07331),
(59, 1049, 1.07331),
(60, 1049, 1.07331),
(62, 1049, 1.07331),
(57, 1049, 2.14662),
(61, 1049, 2.14662),
(62, 1050, 0.56),
(57, 1050, 0.7),
(58, 1050, 0.7),
(59, 1050, 0.7),
(60, 1050, 0.7),
(61, 1050, 0.7),
(58, 1051, 1.77338),
(59, 1051, 1.77338),
(60, 1051, 1.77338),
(62, 1051, 1.77338),
(57, 1051, 2.66007),
(61, 1051, 2.66007),
(58, 1052, 2.24),
(59, 1052, 2.24),
(60, 1052, 2.24),
(62, 1052, 2.24),
(57, 1052, 3.36),
(61, 1052, 3.36),
(57, 1053, 1.77338),
(61, 1053, 1.77338),
(62, 1053, 1.77338),
(58, 1053, 2.66007),
(59, 1053, 2.66007),
(60, 1053, 2.66007),
(57, 1054, 2.1),
(61, 1054, 2.1),
(62, 1054, 2.1),
(58, 1054, 3.15),
(59, 1054, 3.15),
(60, 1054, 3.15),
(171, 1055, 0.28),
(174, 1055, 0.28),
(175, 1055, 0.28),
(176, 1055, 0.28),
(177, 1055, 0.28),
(178, 1055, 0.28),
(179, 1055, 0.28),
(180, 1055, 0.28),
(181, 1055, 0.28),
(182, 1055, 0.28),
(183, 1055, 0.28),
(184, 1055, 0.28),
(185, 1055, 0.28),
(186, 1055, 0.28),
(187, 1055, 0.28),
(188, 1055, 0.28),
(189, 1055, 0.28),
(190, 1055, 0.28),
(191, 1055, 0.28),
(192, 1055, 0.28),
(62, 1055, 1.12),
(57, 1055, 1.4),
(61, 1055, 1.4),
(58, 1055, 1.68),
(59, 1055, 1.68),
(60, 1055, 1.68),
(62, 1056, 1.91338),
(57, 1056, 2.87007),
(58, 1056, 2.87007),
(59, 1056, 2.87007),
(60, 1056, 2.87007),
(61, 1056, 2.87007),
(62, 1057, 2.24),
(57, 1057, 3.36),
(58, 1057, 3.36),
(59, 1057, 3.36),
(60, 1057, 3.36),
(61, 1057, 3.36),
(57, 1058, 1.86662),
(61, 1058, 1.86662),
(62, 1058, 1.86662),
(58, 1058, 2.79993),
(59, 1058, 2.79993),
(60, 1058, 2.79993),
(57, 1059, 2.05338),
(61, 1059, 2.05338),
(62, 1059, 2.05338),
(58, 1059, 3.08007),
(59, 1059, 3.08007),
(60, 1059, 3.08007),
(58, 1060, 2.14662),
(59, 1060, 2.14662),
(60, 1060, 2.14662),
(62, 1060, 2.14662),
(57, 1060, 3.21993),
(61, 1060, 3.21993),
(62, 1061, 0.37331),
(58, 1061, 0.74662),
(59, 1061, 0.74662),
(60, 1061, 0.74662),
(57, 1061, 1.11993),
(61, 1061, 1.11993),
(62, 1062, 0.95669),
(58, 1062, 1.91338),
(59, 1062, 1.91338),
(60, 1062, 1.91338),
(57, 1062, 2.87007),
(61, 1062, 2.87007),
(62, 1063, 1.12),
(58, 1063, 2.24),
(59, 1063, 2.24),
(60, 1063, 2.24),
(57, 1063, 3.36),
(61, 1063, 3.36),
(62, 1064, 0.32669),
(58, 1064, 0.65338),
(59, 1064, 0.65338),
(60, 1064, 0.65338),
(57, 1064, 0.98007),
(61, 1064, 0.98007),
(62, 1065, 1.02669),
(58, 1065, 2.05338),
(59, 1065, 2.05338),
(60, 1065, 2.05338),
(57, 1065, 3.08007),
(61, 1065, 3.08007),
(62, 1066, 1.09669),
(58, 1066, 2.19338),
(59, 1066, 2.19338),
(60, 1066, 2.19338),
(57, 1066, 3.29007),
(61, 1066, 3.29007),
(57, 1350, 1.02669),
(61, 1350, 1.02669),
(171, 2780, 0.88669),
(174, 2780, 0.88669),
(175, 2780, 0.88669),
(176, 2780, 0.88669),
(177, 2780, 0.88669),
(178, 2780, 0.88669),
(179, 2780, 0.88669),
(180, 2780, 0.88669),
(181, 2780, 0.88669),
(182, 2780, 0.88669),
(183, 2780, 0.88669),
(184, 2780, 0.88669),
(185, 2780, 0.88669),
(186, 2780, 0.88669),
(187, 2780, 0.88669),
(188, 2780, 0.88669),
(189, 2780, 0.88669),
(190, 2780, 0.88669),
(191, 2780, 0.88669),
(192, 2780, 0.88669),
(171, 2781, 1.05),
(174, 2781, 1.05),
(175, 2781, 1.05),
(176, 2781, 1.05),
(177, 2781, 1.05),
(178, 2781, 1.05),
(179, 2781, 1.05),
(180, 2781, 1.05),
(181, 2781, 1.05),
(182, 2781, 1.05),
(183, 2781, 1.05),
(184, 2781, 1.05),
(185, 2781, 1.05),
(186, 2781, 1.05),
(187, 2781, 1.05),
(188, 2781, 1.05),
(189, 2781, 1.05),
(190, 2781, 1.05),
(191, 2781, 1.05),
(192, 2781, 1.05),
(171, 2782, 0.88669),
(174, 2782, 0.88669),
(175, 2782, 0.88669),
(176, 2782, 0.88669),
(177, 2782, 0.88669),
(178, 2782, 0.88669),
(179, 2782, 0.88669),
(180, 2782, 0.88669),
(181, 2782, 0.88669),
(182, 2782, 0.88669),
(183, 2782, 0.88669),
(184, 2782, 0.88669),
(185, 2782, 0.88669),
(186, 2782, 0.88669),
(187, 2782, 0.88669),
(188, 2782, 0.88669),
(189, 2782, 0.88669),
(190, 2782, 0.88669),
(191, 2782, 0.88669),
(192, 2782, 0.88669),
(171, 2783, 1.02669),
(174, 2783, 1.02669),
(175, 2783, 1.02669),
(176, 2783, 1.02669),
(177, 2783, 1.02669),
(178, 2783, 1.02669),
(179, 2783, 1.02669),
(180, 2783, 1.02669),
(181, 2783, 1.02669),
(182, 2783, 1.02669),
(183, 2783, 1.02669),
(184, 2783, 1.02669),
(185, 2783, 1.02669),
(186, 2783, 1.02669),
(187, 2783, 1.02669),
(188, 2783, 1.02669),
(189, 2783, 1.02669),
(190, 2783, 1.02669),
(191, 2783, 1.02669),
(192, 2783, 1.02669),
(171, 2784, 2.33345),
(174, 2784, 2.33345),
(175, 2784, 2.33345),
(176, 2784, 2.33345),
(177, 2784, 2.33345),
(178, 2784, 2.33345),
(179, 2784, 2.33345),
(180, 2784, 2.33345),
(181, 2784, 2.33345),
(182, 2784, 2.33345),
(183, 2784, 2.33345),
(184, 2784, 2.33345),
(185, 2784, 2.33345),
(186, 2784, 2.33345),
(187, 2784, 2.33345),
(188, 2784, 2.33345),
(189, 2784, 2.33345),
(190, 2784, 2.33345),
(191, 2784, 2.33345),
(192, 2784, 2.33345),
(171, 2785, 2.1),
(174, 2785, 2.1),
(175, 2785, 2.1),
(176, 2785, 2.1),
(177, 2785, 2.1),
(178, 2785, 2.1),
(179, 2785, 2.1),
(180, 2785, 2.1),
(181, 2785, 2.1),
(182, 2785, 2.1),
(183, 2785, 2.1),
(184, 2785, 2.1),
(185, 2785, 2.1),
(186, 2785, 2.1),
(187, 2785, 2.1),
(188, 2785, 2.1),
(189, 2785, 2.1),
(190, 2785, 2.1),
(191, 2785, 2.1),
(192, 2785, 2.1),
(171, 2786, 2.38),
(174, 2786, 2.38),
(175, 2786, 2.38),
(176, 2786, 2.38),
(177, 2786, 2.38),
(178, 2786, 2.38),
(179, 2786, 2.38),
(180, 2786, 2.38),
(181, 2786, 2.38);
INSERT INTO `#__finder_links_terms0` (`link_id`, `term_id`, `weight`) VALUES
(182, 2786, 2.38),
(183, 2786, 2.38),
(184, 2786, 2.38),
(185, 2786, 2.38),
(186, 2786, 2.38),
(187, 2786, 2.38),
(188, 2786, 2.38),
(189, 2786, 2.38),
(190, 2786, 2.38),
(191, 2786, 2.38),
(192, 2786, 2.38),
(171, 2787, 3.42993),
(174, 2787, 3.42993),
(175, 2787, 3.42993),
(176, 2787, 3.42993),
(177, 2787, 3.42993),
(178, 2787, 3.42993),
(179, 2787, 3.42993),
(180, 2787, 3.42993),
(181, 2787, 3.42993),
(182, 2787, 3.42993),
(183, 2787, 3.42993),
(184, 2787, 3.42993),
(185, 2787, 3.42993),
(186, 2787, 3.42993),
(187, 2787, 3.42993),
(188, 2787, 3.42993),
(189, 2787, 3.42993),
(190, 2787, 3.42993),
(191, 2787, 3.42993),
(192, 2787, 3.42993),
(171, 2788, 1.28331),
(174, 2788, 1.28331),
(175, 2788, 1.28331),
(176, 2788, 1.28331),
(177, 2788, 1.28331),
(178, 2788, 1.28331),
(179, 2788, 1.28331),
(180, 2788, 1.28331),
(181, 2788, 1.28331),
(182, 2788, 1.28331),
(183, 2788, 1.28331),
(184, 2788, 1.28331),
(185, 2788, 1.28331),
(186, 2788, 1.28331),
(187, 2788, 1.28331),
(188, 2788, 1.28331),
(189, 2788, 1.28331),
(190, 2788, 1.28331),
(191, 2788, 1.28331),
(192, 2788, 1.28331),
(171, 2789, 2.66),
(174, 2789, 2.66),
(175, 2789, 2.66),
(176, 2789, 2.66),
(177, 2789, 2.66),
(178, 2789, 2.66),
(179, 2789, 2.66),
(180, 2789, 2.66),
(181, 2789, 2.66),
(182, 2789, 2.66),
(183, 2789, 2.66),
(184, 2789, 2.66),
(185, 2789, 2.66),
(186, 2789, 2.66),
(187, 2789, 2.66),
(188, 2789, 2.66),
(189, 2789, 2.66),
(190, 2789, 2.66),
(191, 2789, 2.66),
(192, 2789, 2.66),
(171, 2790, 1.07331),
(174, 2790, 1.07331),
(175, 2790, 1.07331),
(176, 2790, 1.07331),
(177, 2790, 1.07331),
(178, 2790, 1.07331),
(179, 2790, 1.07331),
(180, 2790, 1.07331),
(181, 2790, 1.07331),
(182, 2790, 1.07331),
(183, 2790, 1.07331),
(184, 2790, 1.07331),
(185, 2790, 1.07331),
(186, 2790, 1.07331),
(187, 2790, 1.07331),
(188, 2790, 1.07331),
(189, 2790, 1.07331),
(190, 2790, 1.07331),
(191, 2790, 1.07331),
(192, 2790, 1.07331),
(171, 2791, 1.19),
(174, 2791, 1.19),
(175, 2791, 1.19),
(176, 2791, 1.19),
(177, 2791, 1.19),
(178, 2791, 1.19),
(179, 2791, 1.19),
(180, 2791, 1.19),
(181, 2791, 1.19),
(182, 2791, 1.19),
(183, 2791, 1.19),
(184, 2791, 1.19),
(185, 2791, 1.19),
(186, 2791, 1.19),
(187, 2791, 1.19),
(188, 2791, 1.19),
(189, 2791, 1.19),
(190, 2791, 1.19),
(191, 2791, 1.19),
(192, 2791, 1.19),
(171, 2792, 2.19338),
(174, 2792, 2.19338),
(175, 2792, 2.19338),
(176, 2792, 2.19338),
(177, 2792, 2.19338),
(178, 2792, 2.19338),
(179, 2792, 2.19338),
(180, 2792, 2.19338),
(181, 2792, 2.19338),
(182, 2792, 2.19338),
(183, 2792, 2.19338),
(184, 2792, 2.19338),
(185, 2792, 2.19338),
(186, 2792, 2.19338),
(187, 2792, 2.19338),
(188, 2792, 2.19338),
(189, 2792, 2.19338),
(190, 2792, 2.19338),
(191, 2792, 2.19338),
(192, 2792, 2.19338),
(171, 2793, 2.70662),
(174, 2793, 2.70662),
(175, 2793, 2.70662),
(176, 2793, 2.70662),
(177, 2793, 2.70662),
(178, 2793, 2.70662),
(179, 2793, 2.70662),
(180, 2793, 2.70662),
(181, 2793, 2.70662),
(182, 2793, 2.70662),
(183, 2793, 2.70662),
(184, 2793, 2.70662),
(185, 2793, 2.70662),
(186, 2793, 2.70662),
(187, 2793, 2.70662),
(188, 2793, 2.70662),
(189, 2793, 2.70662),
(190, 2793, 2.70662),
(191, 2793, 2.70662),
(192, 2793, 2.70662),
(171, 2794, 0.56007),
(174, 2794, 0.56007),
(175, 2794, 0.56007),
(176, 2794, 0.56007),
(177, 2794, 0.56007),
(178, 2794, 0.56007),
(179, 2794, 0.56007),
(180, 2794, 0.56007),
(181, 2794, 0.56007),
(182, 2794, 0.56007),
(183, 2794, 0.56007),
(184, 2794, 0.56007),
(185, 2794, 0.56007),
(186, 2794, 0.56007),
(187, 2794, 0.56007),
(188, 2794, 0.56007),
(189, 2794, 0.56007),
(190, 2794, 0.56007),
(191, 2794, 0.56007),
(192, 2794, 0.56007),
(171, 2795, 3.15),
(174, 2795, 3.15),
(175, 2795, 3.15),
(176, 2795, 3.15),
(177, 2795, 3.15),
(178, 2795, 3.15),
(179, 2795, 3.15),
(180, 2795, 3.15),
(181, 2795, 3.15),
(182, 2795, 3.15),
(183, 2795, 3.15),
(184, 2795, 3.15),
(185, 2795, 3.15),
(186, 2795, 3.15),
(187, 2795, 3.15),
(188, 2795, 3.15),
(189, 2795, 3.15),
(190, 2795, 3.15),
(191, 2795, 3.15),
(192, 2795, 3.15),
(171, 2796, 3.78),
(174, 2796, 3.78),
(175, 2796, 3.78),
(176, 2796, 3.78),
(177, 2796, 3.78),
(178, 2796, 3.78),
(179, 2796, 3.78),
(180, 2796, 3.78),
(181, 2796, 3.78),
(182, 2796, 3.78),
(183, 2796, 3.78),
(184, 2796, 3.78),
(185, 2796, 3.78),
(186, 2796, 3.78),
(187, 2796, 3.78),
(188, 2796, 3.78),
(189, 2796, 3.78),
(190, 2796, 3.78),
(191, 2796, 3.78),
(192, 2796, 3.78),
(171, 2797, 1.68),
(174, 2797, 1.68),
(175, 2797, 1.68),
(176, 2797, 1.68),
(177, 2797, 1.68),
(178, 2797, 1.68),
(179, 2797, 1.68),
(180, 2797, 1.68),
(181, 2797, 1.68),
(182, 2797, 1.68),
(183, 2797, 1.68),
(184, 2797, 1.68),
(185, 2797, 1.68),
(186, 2797, 1.68),
(187, 2797, 1.68),
(188, 2797, 1.68),
(189, 2797, 1.68),
(190, 2797, 1.68),
(191, 2797, 1.68),
(192, 2797, 1.68),
(171, 2798, 1.00331),
(174, 2798, 1.00331),
(175, 2798, 1.00331),
(176, 2798, 1.00331),
(177, 2798, 1.00331),
(178, 2798, 1.00331),
(179, 2798, 1.00331),
(180, 2798, 1.00331),
(181, 2798, 1.00331),
(182, 2798, 1.00331),
(183, 2798, 1.00331),
(184, 2798, 1.00331),
(185, 2798, 1.00331),
(186, 2798, 1.00331),
(187, 2798, 1.00331),
(188, 2798, 1.00331),
(189, 2798, 1.00331),
(190, 2798, 1.00331),
(191, 2798, 1.00331),
(192, 2798, 1.00331),
(171, 2799, 1.00331),
(174, 2799, 1.00331),
(175, 2799, 1.00331),
(176, 2799, 1.00331),
(177, 2799, 1.00331),
(178, 2799, 1.00331),
(179, 2799, 1.00331),
(180, 2799, 1.00331),
(181, 2799, 1.00331),
(182, 2799, 1.00331),
(183, 2799, 1.00331);
INSERT INTO `#__finder_links_terms0` (`link_id`, `term_id`, `weight`) VALUES
(184, 2799, 1.00331),
(185, 2799, 1.00331),
(186, 2799, 1.00331),
(187, 2799, 1.00331),
(188, 2799, 1.00331),
(189, 2799, 1.00331),
(190, 2799, 1.00331),
(191, 2799, 1.00331),
(192, 2799, 1.00331),
(171, 2882, 2.87007),
(174, 2882, 2.87007),
(175, 2882, 2.87007),
(176, 2882, 2.87007),
(177, 2882, 2.87007),
(178, 2882, 2.87007),
(179, 2882, 2.87007),
(180, 2882, 2.87007),
(181, 2882, 2.87007),
(182, 2882, 2.87007),
(183, 2882, 2.87007),
(184, 2882, 2.87007),
(185, 2882, 2.87007),
(186, 2882, 2.87007),
(187, 2882, 2.87007),
(188, 2882, 2.87007),
(189, 2882, 2.87007),
(190, 2882, 2.87007),
(191, 2882, 2.87007),
(192, 2882, 2.87007),
(171, 2883, 0.98),
(174, 2883, 0.98),
(175, 2883, 0.98),
(176, 2883, 0.98),
(177, 2883, 0.98),
(178, 2883, 0.98),
(179, 2883, 0.98),
(180, 2883, 0.98),
(181, 2883, 0.98),
(182, 2883, 0.98),
(183, 2883, 0.98),
(184, 2883, 0.98),
(185, 2883, 0.98),
(186, 2883, 0.98),
(187, 2883, 0.98),
(188, 2883, 0.98),
(189, 2883, 0.98),
(190, 2883, 0.98),
(191, 2883, 0.98),
(192, 2883, 0.98),
(171, 2884, 1.05),
(174, 2884, 1.05),
(175, 2884, 1.05),
(176, 2884, 1.05),
(177, 2884, 1.05),
(178, 2884, 1.05),
(179, 2884, 1.05),
(180, 2884, 1.05),
(181, 2884, 1.05),
(182, 2884, 1.05),
(183, 2884, 1.05),
(184, 2884, 1.05),
(185, 2884, 1.05),
(186, 2884, 1.05),
(187, 2884, 1.05),
(188, 2884, 1.05),
(189, 2884, 1.05),
(190, 2884, 1.05),
(191, 2884, 1.05),
(192, 2884, 1.05),
(171, 2885, 1.16669),
(174, 2885, 1.16669),
(175, 2885, 1.16669),
(176, 2885, 1.16669),
(177, 2885, 1.16669),
(178, 2885, 1.16669),
(179, 2885, 1.16669),
(180, 2885, 1.16669),
(181, 2885, 1.16669),
(182, 2885, 1.16669),
(183, 2885, 1.16669),
(184, 2885, 1.16669),
(185, 2885, 1.16669),
(186, 2885, 1.16669),
(187, 2885, 1.16669),
(188, 2885, 1.16669),
(189, 2885, 1.16669),
(190, 2885, 1.16669),
(191, 2885, 1.16669),
(192, 2885, 1.16669),
(171, 2886, 2.38),
(174, 2886, 2.38),
(175, 2886, 2.38),
(176, 2886, 2.38),
(177, 2886, 2.38),
(178, 2886, 2.38),
(179, 2886, 2.38),
(180, 2886, 2.38),
(181, 2886, 2.38),
(182, 2886, 2.38),
(183, 2886, 2.38),
(184, 2886, 2.38),
(185, 2886, 2.38),
(186, 2886, 2.38),
(187, 2886, 2.38),
(188, 2886, 2.38),
(189, 2886, 2.38),
(190, 2886, 2.38),
(191, 2886, 2.38),
(192, 2886, 2.38),
(193, 2922, 0.49321),
(193, 2923, 4.68679);

DROP TABLE IF EXISTS `#__finder_links_terms1`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms1` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms2`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms2` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_terms2` (`link_id`, `term_id`, `weight`) VALUES
(1, 184, 0.28),
(1, 185, 0.95669),
(1, 186, 1.14331),
(1, 187, 1.02669),
(1, 188, 1.12),
(1, 189, 0.7),
(1, 190, 1.4),
(1, 191, 1.4),
(1, 192, 0.18669),
(1, 193, 0.91),
(1, 194, 1.00331),
(1, 195, 0.18669),
(1, 196, 0.95669),
(1, 197, 1.09669),
(1, 198, 0.18669),
(1, 199, 0.88669),
(1, 200, 1.14331),
(1, 247, 0.18669),
(1, 248, 0.88669),
(1, 249, 1.02669),
(1, 250, 0.32669),
(1, 251, 1.00331),
(58, 630, 0.28),
(59, 630, 0.28),
(60, 630, 0.28),
(62, 630, 0.28),
(2, 630, 1.96),
(4, 630, 1.96),
(193, 630, 1.96),
(58, 631, 0.91),
(59, 631, 0.91),
(60, 631, 0.91),
(62, 631, 0.91),
(2, 631, 6.37),
(4, 631, 6.37),
(193, 631, 6.37),
(58, 632, 1.07331),
(59, 632, 1.07331),
(60, 632, 1.07331),
(62, 632, 1.07331),
(2, 632, 7.51317),
(4, 632, 7.51317),
(193, 632, 7.51317),
(58, 633, 0.32669),
(59, 633, 0.32669),
(60, 633, 0.32669),
(62, 633, 0.32669),
(2, 633, 2.28683),
(4, 633, 2.28683),
(193, 633, 2.28683),
(58, 634, 0.98),
(59, 634, 0.98),
(60, 634, 0.98),
(62, 634, 0.98),
(2, 634, 6.86),
(4, 634, 6.86),
(193, 634, 6.86),
(58, 635, 1.05),
(59, 635, 1.05),
(60, 635, 1.05),
(62, 635, 1.05),
(2, 635, 7.35),
(4, 635, 7.35),
(193, 635, 7.35),
(58, 636, 0.65338),
(59, 636, 0.65338),
(60, 636, 0.65338),
(62, 636, 0.65338),
(2, 636, 2.28683),
(4, 636, 2.28683),
(193, 636, 2.28683),
(58, 637, 1.00331),
(59, 637, 1.00331),
(60, 637, 1.00331),
(62, 637, 1.00331),
(4, 637, 5.01655),
(193, 637, 5.01655),
(2, 637, 6.01986),
(58, 638, 1.14331),
(59, 638, 1.14331),
(60, 638, 1.14331),
(62, 638, 1.14331),
(4, 638, 5.71655),
(193, 638, 5.71655),
(2, 638, 6.85986),
(57, 639, 1.23321),
(61, 639, 1.23321),
(193, 639, 1.39986),
(58, 639, 1.46652),
(59, 639, 1.46652),
(60, 639, 1.46652),
(62, 639, 1.46652),
(171, 639, 1.46652),
(174, 639, 1.46652),
(175, 639, 1.46652),
(176, 639, 1.46652),
(177, 639, 1.46652),
(178, 639, 1.46652),
(179, 639, 1.46652),
(180, 639, 1.46652),
(181, 639, 1.46652),
(182, 639, 1.46652),
(183, 639, 1.46652),
(184, 639, 1.46652),
(185, 639, 1.46652),
(186, 639, 1.46652),
(187, 639, 1.46652),
(188, 639, 1.46652),
(189, 639, 1.46652),
(190, 639, 1.46652),
(191, 639, 1.46652),
(192, 639, 1.46652),
(2, 639, 1.63317),
(4, 639, 1.63317),
(57, 640, 5.05679),
(61, 640, 5.05679),
(193, 640, 5.74014),
(58, 640, 6.01348),
(59, 640, 6.01348),
(60, 640, 6.01348),
(62, 640, 6.01348),
(171, 640, 6.01348),
(174, 640, 6.01348),
(175, 640, 6.01348),
(176, 640, 6.01348),
(177, 640, 6.01348),
(178, 640, 6.01348),
(179, 640, 6.01348),
(180, 640, 6.01348),
(181, 640, 6.01348),
(182, 640, 6.01348),
(183, 640, 6.01348),
(184, 640, 6.01348),
(185, 640, 6.01348),
(186, 640, 6.01348),
(187, 640, 6.01348),
(188, 640, 6.01348),
(189, 640, 6.01348),
(190, 640, 6.01348),
(191, 640, 6.01348),
(192, 640, 6.01348),
(2, 640, 6.69683),
(4, 640, 6.69683),
(57, 641, 5.79679),
(61, 641, 5.79679),
(193, 641, 6.58014),
(58, 641, 6.89348),
(59, 641, 6.89348),
(60, 641, 6.89348),
(62, 641, 6.89348),
(171, 641, 6.89348),
(174, 641, 6.89348),
(175, 641, 6.89348),
(176, 641, 6.89348),
(177, 641, 6.89348),
(178, 641, 6.89348),
(179, 641, 6.89348),
(180, 641, 6.89348),
(181, 641, 6.89348),
(182, 641, 6.89348),
(183, 641, 6.89348),
(184, 641, 6.89348),
(185, 641, 6.89348),
(186, 641, 6.89348),
(187, 641, 6.89348),
(188, 641, 6.89348),
(189, 641, 6.89348),
(190, 641, 6.89348),
(191, 641, 6.89348),
(192, 641, 6.89348),
(2, 641, 7.67683),
(4, 641, 7.67683),
(58, 907, 0.84),
(59, 907, 0.84),
(60, 907, 0.84),
(62, 907, 0.84),
(57, 907, 1.26),
(61, 907, 1.26),
(58, 908, 2.24),
(59, 908, 2.24),
(60, 908, 2.24),
(62, 908, 2.24),
(57, 908, 3.36),
(61, 908, 3.36),
(58, 909, 2.47338),
(59, 909, 2.47338),
(60, 909, 2.47338),
(62, 909, 2.47338),
(57, 909, 3.71007),
(61, 909, 3.71007),
(62, 910, 0.42),
(58, 910, 0.84),
(59, 910, 0.84),
(60, 910, 0.84),
(57, 910, 1.26),
(61, 910, 1.26),
(62, 911, 1.07331),
(58, 911, 2.14662),
(59, 911, 2.14662),
(60, 911, 2.14662),
(57, 911, 3.21993),
(61, 911, 3.21993),
(62, 912, 1.16669),
(58, 912, 2.33338),
(59, 912, 2.33338),
(60, 912, 2.33338),
(57, 912, 3.50007),
(61, 912, 3.50007),
(62, 933, 1.12),
(57, 933, 1.4),
(61, 933, 1.4),
(58, 933, 1.68),
(59, 933, 1.68),
(60, 933, 1.68),
(62, 934, 1.82),
(57, 934, 2.73),
(58, 934, 2.73),
(59, 934, 2.73),
(60, 934, 2.73),
(61, 934, 2.73),
(62, 935, 2.1),
(57, 935, 3.15),
(58, 935, 3.15),
(59, 935, 3.15),
(60, 935, 3.15),
(61, 935, 3.15),
(57, 936, 1.86662),
(61, 936, 1.86662),
(62, 936, 1.86662),
(58, 936, 2.79993),
(59, 936, 2.79993),
(60, 936, 2.79993),
(57, 937, 2.1),
(61, 937, 2.1),
(62, 937, 2.1),
(58, 937, 3.15),
(59, 937, 3.15),
(60, 937, 3.15),
(171, 938, 0.14),
(174, 938, 0.14),
(175, 938, 0.14),
(176, 938, 0.14),
(177, 938, 0.14),
(178, 938, 0.14),
(179, 938, 0.14),
(180, 938, 0.14),
(181, 938, 0.14),
(182, 938, 0.14),
(183, 938, 0.14),
(184, 938, 0.14),
(185, 938, 0.14),
(186, 938, 0.14),
(187, 938, 0.14),
(188, 938, 0.14),
(189, 938, 0.14),
(190, 938, 0.14),
(191, 938, 0.14),
(192, 938, 0.14),
(57, 938, 0.28),
(61, 938, 0.28),
(62, 938, 0.28),
(58, 938, 0.42),
(59, 938, 0.42),
(60, 938, 0.42),
(57, 939, 1.72662),
(61, 939, 1.72662),
(62, 939, 1.72662),
(58, 939, 2.58993),
(59, 939, 2.58993),
(60, 939, 2.58993),
(57, 940, 2.14662),
(61, 940, 2.14662),
(62, 940, 2.14662),
(58, 940, 3.21993),
(59, 940, 3.21993),
(60, 940, 3.21993),
(62, 941, 0.28),
(58, 941, 0.56),
(59, 941, 0.56),
(60, 941, 0.56),
(57, 941, 0.84),
(61, 941, 0.84),
(62, 942, 1.05),
(58, 942, 2.1),
(59, 942, 2.1),
(60, 942, 2.1),
(57, 942, 3.15),
(61, 942, 3.15),
(62, 943, 1.14331),
(58, 943, 2.28662);
INSERT INTO `#__finder_links_terms2` (`link_id`, `term_id`, `weight`) VALUES
(59, 943, 2.28662),
(60, 943, 2.28662),
(57, 943, 3.42993),
(61, 943, 3.42993),
(57, 944, 0.74662),
(61, 944, 0.74662),
(62, 944, 0.74662),
(58, 944, 1.11993),
(59, 944, 1.11993),
(60, 944, 1.11993),
(171, 944, 1.11993),
(174, 944, 1.11993),
(175, 944, 1.11993),
(176, 944, 1.11993),
(177, 944, 1.11993),
(178, 944, 1.11993),
(179, 944, 1.11993),
(180, 944, 1.11993),
(181, 944, 1.11993),
(182, 944, 1.11993),
(183, 944, 1.11993),
(184, 944, 1.11993),
(185, 944, 1.11993),
(186, 944, 1.11993),
(187, 944, 1.11993),
(188, 944, 1.11993),
(189, 944, 1.11993),
(190, 944, 1.11993),
(191, 944, 1.11993),
(192, 944, 1.11993),
(57, 945, 1.91338),
(61, 945, 1.91338),
(62, 945, 1.91338),
(58, 945, 2.87007),
(59, 945, 2.87007),
(60, 945, 2.87007),
(57, 946, 2.28662),
(61, 946, 2.28662),
(62, 946, 2.28662),
(58, 946, 3.42993),
(59, 946, 3.42993),
(60, 946, 3.42993),
(171, 2837, 0.23331),
(174, 2837, 0.23331),
(175, 2837, 0.23331),
(176, 2837, 0.23331),
(177, 2837, 0.23331),
(178, 2837, 0.23331),
(179, 2837, 0.23331),
(180, 2837, 0.23331),
(181, 2837, 0.23331),
(182, 2837, 0.23331),
(183, 2837, 0.23331),
(184, 2837, 0.23331),
(185, 2837, 0.23331),
(186, 2837, 0.23331),
(187, 2837, 0.23331),
(188, 2837, 0.23331),
(189, 2837, 0.23331),
(190, 2837, 0.23331),
(191, 2837, 0.23331),
(192, 2837, 0.23331),
(171, 2838, 0.91),
(174, 2838, 0.91),
(175, 2838, 0.91),
(176, 2838, 0.91),
(177, 2838, 0.91),
(178, 2838, 0.91),
(179, 2838, 0.91),
(180, 2838, 0.91),
(181, 2838, 0.91),
(182, 2838, 0.91),
(183, 2838, 0.91),
(184, 2838, 0.91),
(185, 2838, 0.91),
(186, 2838, 0.91),
(187, 2838, 0.91),
(188, 2838, 0.91),
(189, 2838, 0.91),
(190, 2838, 0.91),
(191, 2838, 0.91),
(192, 2838, 0.91),
(171, 2839, 1.02669),
(174, 2839, 1.02669),
(175, 2839, 1.02669),
(176, 2839, 1.02669),
(177, 2839, 1.02669),
(178, 2839, 1.02669),
(179, 2839, 1.02669),
(180, 2839, 1.02669),
(181, 2839, 1.02669),
(182, 2839, 1.02669),
(183, 2839, 1.02669),
(184, 2839, 1.02669),
(185, 2839, 1.02669),
(186, 2839, 1.02669),
(187, 2839, 1.02669),
(188, 2839, 1.02669),
(189, 2839, 1.02669),
(190, 2839, 1.02669),
(191, 2839, 1.02669),
(192, 2839, 1.02669),
(171, 2840, 0.88669),
(174, 2840, 0.88669),
(175, 2840, 0.88669),
(176, 2840, 0.88669),
(177, 2840, 0.88669),
(178, 2840, 0.88669),
(179, 2840, 0.88669),
(180, 2840, 0.88669),
(181, 2840, 0.88669),
(182, 2840, 0.88669),
(183, 2840, 0.88669),
(184, 2840, 0.88669),
(185, 2840, 0.88669),
(186, 2840, 0.88669),
(187, 2840, 0.88669),
(188, 2840, 0.88669),
(189, 2840, 0.88669),
(190, 2840, 0.88669),
(191, 2840, 0.88669),
(192, 2840, 0.88669),
(171, 2841, 1.05),
(174, 2841, 1.05),
(175, 2841, 1.05),
(176, 2841, 1.05),
(177, 2841, 1.05),
(178, 2841, 1.05),
(179, 2841, 1.05),
(180, 2841, 1.05),
(181, 2841, 1.05),
(182, 2841, 1.05),
(183, 2841, 1.05),
(184, 2841, 1.05),
(185, 2841, 1.05),
(186, 2841, 1.05),
(187, 2841, 1.05),
(188, 2841, 1.05),
(189, 2841, 1.05),
(190, 2841, 1.05),
(191, 2841, 1.05),
(192, 2841, 1.05),
(171, 2842, 0.18669),
(174, 2842, 0.18669),
(175, 2842, 0.18669),
(176, 2842, 0.18669),
(177, 2842, 0.18669),
(178, 2842, 0.18669),
(179, 2842, 0.18669),
(180, 2842, 0.18669),
(181, 2842, 0.18669),
(182, 2842, 0.18669),
(183, 2842, 0.18669),
(184, 2842, 0.18669),
(185, 2842, 0.18669),
(186, 2842, 0.18669),
(187, 2842, 0.18669),
(188, 2842, 0.18669),
(189, 2842, 0.18669),
(190, 2842, 0.18669),
(191, 2842, 0.18669),
(192, 2842, 0.18669),
(171, 2843, 0.98),
(174, 2843, 0.98),
(175, 2843, 0.98),
(176, 2843, 0.98),
(177, 2843, 0.98),
(178, 2843, 0.98),
(179, 2843, 0.98),
(180, 2843, 0.98),
(181, 2843, 0.98),
(182, 2843, 0.98),
(183, 2843, 0.98),
(184, 2843, 0.98),
(185, 2843, 0.98),
(186, 2843, 0.98),
(187, 2843, 0.98),
(188, 2843, 0.98),
(189, 2843, 0.98),
(190, 2843, 0.98),
(191, 2843, 0.98),
(192, 2843, 0.98),
(171, 2844, 1.07331),
(174, 2844, 1.07331),
(175, 2844, 1.07331),
(176, 2844, 1.07331),
(177, 2844, 1.07331),
(178, 2844, 1.07331),
(179, 2844, 1.07331),
(180, 2844, 1.07331),
(181, 2844, 1.07331),
(182, 2844, 1.07331),
(183, 2844, 1.07331),
(184, 2844, 1.07331),
(185, 2844, 1.07331),
(186, 2844, 1.07331),
(187, 2844, 1.07331),
(188, 2844, 1.07331),
(189, 2844, 1.07331),
(190, 2844, 1.07331),
(191, 2844, 1.07331),
(192, 2844, 1.07331),
(171, 2845, 1.02669),
(174, 2845, 1.02669),
(175, 2845, 1.02669),
(176, 2845, 1.02669),
(177, 2845, 1.02669),
(178, 2845, 1.02669),
(179, 2845, 1.02669),
(180, 2845, 1.02669),
(181, 2845, 1.02669),
(182, 2845, 1.02669),
(183, 2845, 1.02669),
(184, 2845, 1.02669),
(185, 2845, 1.02669),
(186, 2845, 1.02669),
(187, 2845, 1.02669),
(188, 2845, 1.02669),
(189, 2845, 1.02669),
(190, 2845, 1.02669),
(191, 2845, 1.02669),
(192, 2845, 1.02669),
(171, 2846, 1.16669),
(174, 2846, 1.16669),
(175, 2846, 1.16669),
(176, 2846, 1.16669),
(177, 2846, 1.16669),
(178, 2846, 1.16669),
(179, 2846, 1.16669),
(180, 2846, 1.16669),
(181, 2846, 1.16669),
(182, 2846, 1.16669),
(183, 2846, 1.16669),
(184, 2846, 1.16669),
(185, 2846, 1.16669),
(186, 2846, 1.16669),
(187, 2846, 1.16669),
(188, 2846, 1.16669),
(189, 2846, 1.16669),
(190, 2846, 1.16669),
(191, 2846, 1.16669),
(192, 2846, 1.16669),
(171, 2847, 2.14662),
(174, 2847, 2.14662),
(175, 2847, 2.14662),
(176, 2847, 2.14662),
(177, 2847, 2.14662),
(178, 2847, 2.14662),
(179, 2847, 2.14662),
(180, 2847, 2.14662),
(181, 2847, 2.14662),
(182, 2847, 2.14662),
(183, 2847, 2.14662),
(184, 2847, 2.14662),
(185, 2847, 2.14662),
(186, 2847, 2.14662),
(187, 2847, 2.14662),
(188, 2847, 2.14662);
INSERT INTO `#__finder_links_terms2` (`link_id`, `term_id`, `weight`) VALUES
(189, 2847, 2.14662),
(190, 2847, 2.14662),
(191, 2847, 2.14662),
(192, 2847, 2.14662),
(171, 2848, 1.28331),
(174, 2848, 1.28331),
(175, 2848, 1.28331),
(176, 2848, 1.28331),
(177, 2848, 1.28331),
(178, 2848, 1.28331),
(179, 2848, 1.28331),
(180, 2848, 1.28331),
(181, 2848, 1.28331),
(182, 2848, 1.28331),
(183, 2848, 1.28331),
(184, 2848, 1.28331),
(185, 2848, 1.28331),
(186, 2848, 1.28331),
(187, 2848, 1.28331),
(188, 2848, 1.28331),
(189, 2848, 1.28331),
(190, 2848, 1.28331),
(191, 2848, 1.28331),
(192, 2848, 1.28331),
(171, 2849, 1.28331),
(174, 2849, 1.28331),
(175, 2849, 1.28331),
(176, 2849, 1.28331),
(177, 2849, 1.28331),
(178, 2849, 1.28331),
(179, 2849, 1.28331),
(180, 2849, 1.28331),
(181, 2849, 1.28331),
(182, 2849, 1.28331),
(183, 2849, 1.28331),
(184, 2849, 1.28331),
(185, 2849, 1.28331),
(186, 2849, 1.28331),
(187, 2849, 1.28331),
(188, 2849, 1.28331),
(189, 2849, 1.28331),
(190, 2849, 1.28331),
(191, 2849, 1.28331),
(192, 2849, 1.28331);

DROP TABLE IF EXISTS `#__finder_links_terms3`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms3` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_terms3` (`link_id`, `term_id`, `weight`) VALUES
(1, 234, 0.56),
(1, 235, 0.93331),
(1, 236, 1.09669),
(1, 237, 1.05),
(1, 238, 1.23669),
(1, 239, 0.7),
(1, 240, 1.4),
(1, 241, 1.4),
(58, 930, 0.46662),
(59, 930, 0.46662),
(60, 930, 0.46662),
(62, 930, 0.46662),
(57, 930, 0.69993),
(61, 930, 0.69993),
(58, 931, 1.91338),
(59, 931, 1.91338),
(60, 931, 1.91338),
(62, 931, 1.91338),
(57, 931, 2.87007),
(61, 931, 2.87007),
(58, 932, 2.19338),
(59, 932, 2.19338),
(60, 932, 2.19338),
(62, 932, 2.19338),
(57, 932, 3.29007),
(61, 932, 3.29007);

DROP TABLE IF EXISTS `#__finder_links_terms4`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms4` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_terms4` (`link_id`, `term_id`, `weight`) VALUES
(1, 63, 0.28),
(1, 64, 0.93331),
(1, 65, 1.02669),
(1, 66, 0.93331),
(1, 67, 1.12),
(1, 68, 0.28),
(1, 69, 0.93331),
(1, 70, 1.07331),
(1, 71, 0.46669),
(1, 72, 1.07331),
(1, 73, 1.14331),
(1, 74, 0.28),
(1, 75, 1.00331),
(1, 76, 1.09669),
(1, 77, 0.23331),
(1, 78, 0.91),
(1, 79, 1.02669),
(1, 80, 0.32669),
(1, 81, 1.00331),
(1, 82, 1.09669),
(1, 83, 0.37338),
(1, 84, 1.02669),
(1, 85, 1.12),
(1, 86, 0.93331),
(1, 87, 1.05),
(1, 88, 0.51331),
(1, 89, 1.12),
(1, 90, 1.35331),
(1, 91, 0.46662),
(1, 92, 0.88669),
(1, 93, 1.09669),
(1, 94, 0.88669),
(1, 95, 1.05),
(1, 96, 0.32669),
(1, 97, 0.93331),
(1, 98, 1.05),
(1, 99, 0.14),
(1, 100, 0.88669),
(1, 101, 1.28331),
(1, 102, 0.37331),
(1, 103, 0.95669),
(1, 104, 1.05),
(1, 105, 0.28),
(1, 106, 0.86331),
(1, 107, 0.95669),
(1, 108, 0.88669),
(1, 109, 1.14331),
(1, 110, 0.56),
(1, 111, 1.05),
(1, 112, 1.30669),
(1, 341, 0.23331),
(1, 342, 1.00331),
(1, 343, 1.07331),
(1, 344, 0.32669),
(1, 345, 1.02669),
(1, 346, 1.35331),
(1, 347, 0.14),
(1, 348, 0.84),
(1, 349, 0.93331),
(1, 481, 0.28),
(1, 482, 1.72662),
(1, 483, 1.02669),
(1, 484, 1.02669),
(1, 485, 0.37338),
(1, 486, 0.91),
(1, 487, 1.09669),
(1, 488, 0.93331),
(1, 489, 1.02669),
(58, 535, 0.28),
(59, 535, 0.28),
(60, 535, 0.28),
(62, 535, 0.28),
(2, 535, 1.96),
(4, 535, 1.96),
(193, 535, 1.96),
(58, 536, 1.00331),
(59, 536, 1.00331),
(60, 536, 1.00331),
(62, 536, 1.00331),
(2, 536, 7.02317),
(4, 536, 7.02317),
(193, 536, 7.02317),
(58, 537, 1.07331),
(59, 537, 1.07331),
(60, 537, 1.07331),
(62, 537, 1.07331),
(2, 537, 7.51317),
(4, 537, 7.51317),
(193, 537, 7.51317),
(171, 538, 0.32669),
(174, 538, 0.32669),
(175, 538, 0.32669),
(176, 538, 0.32669),
(177, 538, 0.32669),
(178, 538, 0.32669),
(179, 538, 0.32669),
(180, 538, 0.32669),
(181, 538, 0.32669),
(182, 538, 0.32669),
(183, 538, 0.32669),
(184, 538, 0.32669),
(185, 538, 0.32669),
(186, 538, 0.32669),
(187, 538, 0.32669),
(188, 538, 0.32669),
(189, 538, 0.32669),
(190, 538, 0.32669),
(191, 538, 0.32669),
(192, 538, 0.32669),
(2, 538, 2.28683),
(4, 538, 2.28683),
(58, 538, 2.28683),
(59, 538, 2.28683),
(60, 538, 2.28683),
(62, 538, 2.28683),
(193, 538, 2.28683),
(57, 538, 2.94021),
(61, 538, 2.94021),
(58, 539, 1.09669),
(59, 539, 1.09669),
(60, 539, 1.09669),
(62, 539, 1.09669),
(2, 539, 7.67683),
(4, 539, 7.67683),
(193, 539, 7.67683),
(58, 540, 1.21331),
(59, 540, 1.21331),
(60, 540, 1.21331),
(62, 540, 1.21331),
(4, 540, 7.27986),
(2, 540, 8.49317),
(193, 540, 8.49317),
(58, 541, 0.51331),
(59, 541, 0.51331),
(60, 541, 0.51331),
(62, 541, 0.51331),
(193, 541, 3.07986),
(2, 541, 3.59317),
(4, 541, 3.59317),
(58, 542, 1.23669),
(59, 542, 1.23669),
(60, 542, 1.23669),
(62, 542, 1.23669),
(193, 542, 7.42014),
(2, 542, 8.65683),
(4, 542, 8.65683),
(58, 543, 1.35331),
(59, 543, 1.35331),
(60, 543, 1.35331),
(62, 543, 1.35331),
(193, 543, 8.11986),
(2, 543, 9.47317),
(4, 543, 9.47317),
(58, 544, 0.42),
(59, 544, 0.42),
(60, 544, 0.42),
(62, 544, 0.42),
(2, 544, 2.94),
(4, 544, 2.94),
(193, 544, 2.94),
(58, 545, 1.02669),
(59, 545, 1.02669),
(60, 545, 1.02669),
(62, 545, 1.02669),
(4, 545, 6.16014),
(2, 545, 7.18683),
(193, 545, 7.18683),
(58, 546, 1.14331),
(59, 546, 1.14331),
(60, 546, 1.14331),
(62, 546, 1.14331),
(4, 546, 6.85986),
(2, 546, 8.00317),
(193, 546, 8.00317),
(58, 547, 0.46662),
(59, 547, 0.46662),
(60, 547, 0.46662),
(62, 547, 0.46662),
(2, 547, 1.63317),
(4, 547, 1.63317),
(193, 547, 1.63317),
(58, 548, 1.82),
(59, 548, 1.82),
(60, 548, 1.82),
(62, 548, 1.82),
(2, 548, 6.37),
(4, 548, 6.37),
(193, 548, 6.37),
(58, 549, 2.19338),
(59, 549, 2.19338),
(60, 549, 2.19338),
(62, 549, 2.19338),
(2, 549, 7.67683),
(4, 549, 7.67683),
(193, 549, 7.67683),
(58, 550, 0.84),
(59, 550, 0.84),
(60, 550, 0.84),
(62, 550, 0.84),
(2, 550, 2.94),
(4, 550, 2.94),
(193, 550, 2.94),
(58, 551, 2.00662),
(59, 551, 2.00662),
(60, 551, 2.00662),
(62, 551, 2.00662),
(2, 551, 7.02317),
(4, 551, 7.02317),
(193, 551, 7.02317),
(58, 552, 2.42662),
(59, 552, 2.42662),
(60, 552, 2.42662),
(62, 552, 2.42662),
(2, 552, 8.49317),
(4, 552, 8.49317),
(193, 552, 8.49317),
(58, 682, 0.60669),
(59, 682, 0.60669),
(60, 682, 0.60669),
(62, 682, 0.60669),
(2, 682, 4.24683),
(4, 682, 4.24683),
(193, 682, 4.24683),
(58, 683, 1.07331),
(59, 683, 1.07331),
(60, 683, 1.07331),
(62, 683, 1.07331),
(2, 683, 7.51317),
(4, 683, 7.51317),
(193, 683, 7.51317),
(58, 684, 1.30669),
(59, 684, 1.30669),
(60, 684, 1.30669),
(62, 684, 1.30669),
(2, 684, 9.14683),
(4, 684, 9.14683),
(193, 684, 9.14683),
(4, 777, 1.72679),
(62, 828, 0.23331),
(58, 828, 0.46662),
(59, 828, 0.46662),
(60, 828, 0.46662),
(57, 828, 0.69993),
(61, 828, 0.69993),
(62, 829, 0.98),
(58, 829, 1.96),
(59, 829, 1.96),
(60, 829, 1.96),
(57, 829, 2.94),
(61, 829, 2.94),
(62, 830, 1.14331),
(58, 830, 2.28662),
(59, 830, 2.28662),
(60, 830, 2.28662),
(57, 830, 3.42993),
(61, 830, 3.42993),
(171, 831, 0.98),
(174, 831, 0.98),
(175, 831, 0.98),
(176, 831, 0.98),
(177, 831, 0.98),
(178, 831, 0.98),
(179, 831, 0.98),
(180, 831, 0.98),
(181, 831, 0.98),
(182, 831, 0.98),
(183, 831, 0.98),
(184, 831, 0.98),
(185, 831, 0.98),
(186, 831, 0.98),
(187, 831, 0.98),
(188, 831, 0.98),
(189, 831, 0.98),
(190, 831, 0.98),
(191, 831, 0.98),
(192, 831, 0.98),
(58, 831, 1.96),
(59, 831, 1.96),
(60, 831, 1.96),
(62, 831, 1.96),
(57, 831, 2.94),
(61, 831, 2.94),
(58, 832, 2.14662),
(59, 832, 2.14662),
(60, 832, 2.14662),
(62, 832, 2.14662),
(57, 832, 3.21993),
(61, 832, 3.21993),
(58, 833, 1.96),
(59, 833, 1.96),
(60, 833, 1.96),
(62, 833, 1.96);
INSERT INTO `#__finder_links_terms4` (`link_id`, `term_id`, `weight`) VALUES
(57, 833, 2.94),
(61, 833, 2.94),
(58, 834, 2.1),
(59, 834, 2.1),
(60, 834, 2.1),
(62, 834, 2.1),
(57, 834, 3.15),
(61, 834, 3.15),
(58, 835, 1.86662),
(59, 835, 1.86662),
(60, 835, 1.86662),
(62, 835, 1.86662),
(57, 835, 2.79993),
(61, 835, 2.79993),
(58, 836, 2.19338),
(59, 836, 2.19338),
(60, 836, 2.19338),
(62, 836, 2.19338),
(57, 836, 3.29007),
(61, 836, 3.29007),
(58, 837, 1.12),
(59, 837, 1.12),
(60, 837, 1.12),
(62, 837, 1.12),
(171, 837, 1.12),
(174, 837, 1.12),
(175, 837, 1.12),
(176, 837, 1.12),
(177, 837, 1.12),
(178, 837, 1.12),
(179, 837, 1.12),
(180, 837, 1.12),
(181, 837, 1.12),
(182, 837, 1.12),
(183, 837, 1.12),
(184, 837, 1.12),
(185, 837, 1.12),
(186, 837, 1.12),
(187, 837, 1.12),
(188, 837, 1.12),
(189, 837, 1.12),
(190, 837, 1.12),
(191, 837, 1.12),
(192, 837, 1.12),
(57, 837, 1.68),
(61, 837, 1.68),
(58, 838, 2.19338),
(59, 838, 2.19338),
(60, 838, 2.19338),
(62, 838, 2.19338),
(57, 838, 3.29007),
(61, 838, 3.29007),
(58, 839, 2.33338),
(59, 839, 2.33338),
(60, 839, 2.33338),
(62, 839, 2.33338),
(57, 839, 3.50007),
(61, 839, 3.50007),
(62, 840, 0.32669),
(58, 840, 0.65338),
(59, 840, 0.65338),
(60, 840, 0.65338),
(57, 840, 0.98007),
(61, 840, 0.98007),
(62, 841, 1.02669),
(58, 841, 2.05338),
(59, 841, 2.05338),
(60, 841, 2.05338),
(57, 841, 3.08007),
(61, 841, 3.08007),
(62, 842, 1.12),
(58, 842, 2.24),
(59, 842, 2.24),
(60, 842, 2.24),
(57, 842, 3.36),
(61, 842, 3.36),
(57, 843, 0.84),
(61, 843, 0.84),
(62, 843, 0.84),
(58, 843, 1.26),
(59, 843, 1.26),
(60, 843, 1.26),
(57, 844, 1.09669),
(58, 844, 1.09669),
(59, 844, 1.09669),
(60, 844, 1.09669),
(61, 844, 1.09669),
(57, 845, 1.23669),
(58, 845, 1.23669),
(59, 845, 1.23669),
(60, 845, 1.23669),
(61, 845, 1.23669),
(171, 1035, 0.23331),
(174, 1035, 0.23331),
(175, 1035, 0.23331),
(176, 1035, 0.23331),
(177, 1035, 0.23331),
(178, 1035, 0.23331),
(179, 1035, 0.23331),
(180, 1035, 0.23331),
(181, 1035, 0.23331),
(182, 1035, 0.23331),
(183, 1035, 0.23331),
(184, 1035, 0.23331),
(185, 1035, 0.23331),
(186, 1035, 0.23331),
(187, 1035, 0.23331),
(188, 1035, 0.23331),
(189, 1035, 0.23331),
(190, 1035, 0.23331),
(191, 1035, 0.23331),
(192, 1035, 0.23331),
(62, 1035, 0.93324),
(58, 1035, 1.16655),
(59, 1035, 1.16655),
(60, 1035, 1.16655),
(57, 1035, 1.39986),
(61, 1035, 1.39986),
(62, 1036, 1.86662),
(57, 1036, 2.79993),
(58, 1036, 2.79993),
(59, 1036, 2.79993),
(60, 1036, 2.79993),
(61, 1036, 2.79993),
(62, 1037, 2.24),
(57, 1037, 3.36),
(58, 1037, 3.36),
(59, 1037, 3.36),
(60, 1037, 3.36),
(61, 1037, 3.36),
(58, 1038, 1.91338),
(59, 1038, 1.91338),
(60, 1038, 1.91338),
(62, 1038, 1.91338),
(57, 1038, 2.87007),
(61, 1038, 2.87007),
(58, 1039, 2.1),
(59, 1039, 2.1),
(60, 1039, 2.1),
(62, 1039, 2.1),
(57, 1039, 3.15),
(61, 1039, 3.15),
(58, 1291, 1.14331),
(59, 1291, 1.14331),
(60, 1291, 1.14331),
(62, 1291, 1.14331),
(58, 1292, 1.26),
(59, 1292, 1.26),
(60, 1292, 1.26),
(62, 1292, 1.26),
(58, 1293, 1.09669),
(59, 1293, 1.09669),
(60, 1293, 1.09669),
(62, 1293, 1.09669),
(58, 1294, 1.33),
(59, 1294, 1.33),
(60, 1294, 1.33),
(62, 1294, 1.33),
(171, 2800, 1.19),
(174, 2800, 1.19),
(175, 2800, 1.19),
(176, 2800, 1.19),
(177, 2800, 1.19),
(178, 2800, 1.19),
(179, 2800, 1.19),
(180, 2800, 1.19),
(181, 2800, 1.19),
(182, 2800, 1.19),
(183, 2800, 1.19),
(184, 2800, 1.19),
(185, 2800, 1.19),
(186, 2800, 1.19),
(187, 2800, 1.19),
(188, 2800, 1.19),
(189, 2800, 1.19),
(190, 2800, 1.19),
(191, 2800, 1.19),
(192, 2800, 1.19),
(171, 2801, 0.51331),
(174, 2801, 0.51331),
(175, 2801, 0.51331),
(176, 2801, 0.51331),
(177, 2801, 0.51331),
(178, 2801, 0.51331),
(179, 2801, 0.51331),
(180, 2801, 0.51331),
(181, 2801, 0.51331),
(182, 2801, 0.51331),
(183, 2801, 0.51331),
(184, 2801, 0.51331),
(185, 2801, 0.51331),
(186, 2801, 0.51331),
(187, 2801, 0.51331),
(188, 2801, 0.51331),
(189, 2801, 0.51331),
(190, 2801, 0.51331),
(191, 2801, 0.51331),
(192, 2801, 0.51331),
(171, 2802, 1.07331),
(174, 2802, 1.07331),
(175, 2802, 1.07331),
(176, 2802, 1.07331),
(177, 2802, 1.07331),
(178, 2802, 1.07331),
(179, 2802, 1.07331),
(180, 2802, 1.07331),
(181, 2802, 1.07331),
(182, 2802, 1.07331),
(183, 2802, 1.07331),
(184, 2802, 1.07331),
(185, 2802, 1.07331),
(186, 2802, 1.07331),
(187, 2802, 1.07331),
(188, 2802, 1.07331),
(189, 2802, 1.07331),
(190, 2802, 1.07331),
(191, 2802, 1.07331),
(192, 2802, 1.07331),
(171, 2803, 1.26),
(174, 2803, 1.26),
(175, 2803, 1.26),
(176, 2803, 1.26),
(177, 2803, 1.26),
(178, 2803, 1.26),
(179, 2803, 1.26),
(180, 2803, 1.26),
(181, 2803, 1.26),
(182, 2803, 1.26),
(183, 2803, 1.26),
(184, 2803, 1.26),
(185, 2803, 1.26),
(186, 2803, 1.26),
(187, 2803, 1.26),
(188, 2803, 1.26),
(189, 2803, 1.26),
(190, 2803, 1.26),
(191, 2803, 1.26),
(192, 2803, 1.26),
(171, 2804, 2.47338),
(174, 2804, 2.47338),
(175, 2804, 2.47338),
(176, 2804, 2.47338),
(177, 2804, 2.47338),
(178, 2804, 2.47338),
(179, 2804, 2.47338),
(180, 2804, 2.47338),
(181, 2804, 2.47338),
(182, 2804, 2.47338),
(183, 2804, 2.47338),
(184, 2804, 2.47338),
(185, 2804, 2.47338),
(186, 2804, 2.47338),
(187, 2804, 2.47338),
(188, 2804, 2.47338),
(189, 2804, 2.47338),
(190, 2804, 2.47338),
(191, 2804, 2.47338),
(192, 2804, 2.47338),
(171, 2805, 2.70662),
(174, 2805, 2.70662),
(175, 2805, 2.70662),
(176, 2805, 2.70662),
(177, 2805, 2.70662),
(178, 2805, 2.70662),
(179, 2805, 2.70662),
(180, 2805, 2.70662),
(181, 2805, 2.70662),
(182, 2805, 2.70662),
(183, 2805, 2.70662),
(184, 2805, 2.70662),
(185, 2805, 2.70662),
(186, 2805, 2.70662);
INSERT INTO `#__finder_links_terms4` (`link_id`, `term_id`, `weight`) VALUES
(187, 2805, 2.70662),
(188, 2805, 2.70662),
(189, 2805, 2.70662),
(190, 2805, 2.70662),
(191, 2805, 2.70662),
(192, 2805, 2.70662),
(171, 2877, 0.37331),
(174, 2877, 0.37331),
(175, 2877, 0.37331),
(176, 2877, 0.37331),
(177, 2877, 0.37331),
(178, 2877, 0.37331),
(179, 2877, 0.37331),
(180, 2877, 0.37331),
(181, 2877, 0.37331),
(182, 2877, 0.37331),
(183, 2877, 0.37331),
(184, 2877, 0.37331),
(185, 2877, 0.37331),
(186, 2877, 0.37331),
(187, 2877, 0.37331),
(188, 2877, 0.37331),
(189, 2877, 0.37331),
(190, 2877, 0.37331),
(191, 2877, 0.37331),
(192, 2877, 0.37331),
(171, 2878, 1.00331),
(174, 2878, 1.00331),
(175, 2878, 1.00331),
(176, 2878, 1.00331),
(177, 2878, 1.00331),
(178, 2878, 1.00331),
(179, 2878, 1.00331),
(180, 2878, 1.00331),
(181, 2878, 1.00331),
(182, 2878, 1.00331),
(183, 2878, 1.00331),
(184, 2878, 1.00331),
(185, 2878, 1.00331),
(186, 2878, 1.00331),
(187, 2878, 1.00331),
(188, 2878, 1.00331),
(189, 2878, 1.00331),
(190, 2878, 1.00331),
(191, 2878, 1.00331),
(192, 2878, 1.00331),
(171, 2879, 1.12),
(174, 2879, 1.12),
(175, 2879, 1.12),
(176, 2879, 1.12),
(177, 2879, 1.12),
(178, 2879, 1.12),
(179, 2879, 1.12),
(180, 2879, 1.12),
(181, 2879, 1.12),
(182, 2879, 1.12),
(183, 2879, 1.12),
(184, 2879, 1.12),
(185, 2879, 1.12),
(186, 2879, 1.12),
(187, 2879, 1.12),
(188, 2879, 1.12),
(189, 2879, 1.12),
(190, 2879, 1.12),
(191, 2879, 1.12),
(192, 2879, 1.12),
(171, 2880, 0.95669),
(174, 2880, 0.95669),
(175, 2880, 0.95669),
(176, 2880, 0.95669),
(177, 2880, 0.95669),
(178, 2880, 0.95669),
(179, 2880, 0.95669),
(180, 2880, 0.95669),
(181, 2880, 0.95669),
(182, 2880, 0.95669),
(183, 2880, 0.95669),
(184, 2880, 0.95669),
(185, 2880, 0.95669),
(186, 2880, 0.95669),
(187, 2880, 0.95669),
(188, 2880, 0.95669),
(189, 2880, 0.95669),
(190, 2880, 0.95669),
(191, 2880, 0.95669),
(192, 2880, 0.95669),
(171, 2881, 1.19),
(174, 2881, 1.19),
(175, 2881, 1.19),
(176, 2881, 1.19),
(177, 2881, 1.19),
(178, 2881, 1.19),
(179, 2881, 1.19),
(180, 2881, 1.19),
(181, 2881, 1.19),
(182, 2881, 1.19),
(183, 2881, 1.19),
(184, 2881, 1.19),
(185, 2881, 1.19),
(186, 2881, 1.19),
(187, 2881, 1.19),
(188, 2881, 1.19),
(189, 2881, 1.19),
(190, 2881, 1.19),
(191, 2881, 1.19),
(192, 2881, 1.19);

DROP TABLE IF EXISTS `#__finder_links_terms5`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms5` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms6`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms6` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_terms6` (`link_id`, `term_id`, `weight`) VALUES
(1, 252, 0.23331),
(1, 253, 0.88669),
(1, 254, 1.00331),
(1, 255, 0.46669),
(1, 256, 1.05),
(1, 257, 1.19),
(1, 258, 0.84),
(1, 259, 2.14662),
(1, 260, 1.23669),
(1, 261, 1.30669),
(1, 262, 1.16669),
(1, 263, 1.26),
(1, 264, 0.46662),
(1, 265, 0.88669),
(1, 266, 1.00331),
(1, 267, 0.88669),
(1, 268, 1.07331),
(58, 642, 0.23331),
(59, 642, 0.23331),
(60, 642, 0.23331),
(62, 642, 0.23331),
(2, 642, 1.63317),
(4, 642, 1.63317),
(193, 642, 1.63317),
(58, 643, 0.98),
(59, 643, 0.98),
(60, 643, 0.98),
(62, 643, 0.98),
(2, 643, 6.86),
(4, 643, 6.86),
(193, 643, 6.86),
(58, 644, 1.05),
(59, 644, 1.05),
(60, 644, 1.05),
(62, 644, 1.05),
(2, 644, 7.35),
(4, 644, 7.35),
(193, 644, 7.35),
(58, 645, 0.23331),
(59, 645, 0.23331),
(60, 645, 0.23331),
(62, 645, 0.23331),
(2, 645, 1.63317),
(4, 645, 1.63317),
(193, 645, 1.63317),
(58, 646, 0.98),
(59, 646, 0.98),
(60, 646, 0.98),
(62, 646, 0.98),
(2, 646, 6.86),
(4, 646, 6.86),
(193, 646, 6.86),
(58, 647, 1.09669),
(59, 647, 1.09669),
(60, 647, 1.09669),
(62, 647, 1.09669),
(2, 647, 7.67683),
(4, 647, 7.67683),
(193, 647, 7.67683),
(58, 648, 0.56),
(59, 648, 0.56),
(60, 648, 0.56),
(62, 648, 0.56),
(2, 648, 1.96),
(4, 648, 1.96),
(193, 648, 1.96),
(58, 649, 1.91338),
(59, 649, 1.91338),
(60, 649, 1.91338),
(62, 649, 1.91338),
(2, 649, 6.69683),
(4, 649, 6.69683),
(193, 649, 6.69683),
(58, 650, 2.05338),
(59, 650, 2.05338),
(60, 650, 2.05338),
(62, 650, 2.05338),
(2, 650, 7.18683),
(4, 650, 7.18683),
(193, 650, 7.18683),
(171, 947, 0.23331),
(174, 947, 0.23331),
(175, 947, 0.23331),
(176, 947, 0.23331),
(177, 947, 0.23331),
(178, 947, 0.23331),
(179, 947, 0.23331),
(180, 947, 0.23331),
(181, 947, 0.23331),
(182, 947, 0.23331),
(183, 947, 0.23331),
(184, 947, 0.23331),
(185, 947, 0.23331),
(186, 947, 0.23331),
(187, 947, 0.23331),
(188, 947, 0.23331),
(189, 947, 0.23331),
(190, 947, 0.23331),
(191, 947, 0.23331),
(192, 947, 0.23331),
(58, 947, 0.46662),
(59, 947, 0.46662),
(60, 947, 0.46662),
(62, 947, 0.46662),
(57, 947, 0.69993),
(61, 947, 0.69993),
(58, 948, 1.91338),
(59, 948, 1.91338),
(60, 948, 1.91338),
(62, 948, 1.91338),
(57, 948, 2.87007),
(61, 948, 2.87007),
(58, 949, 2.28662),
(59, 949, 2.28662),
(60, 949, 2.28662),
(62, 949, 2.28662),
(57, 949, 3.42993),
(61, 949, 3.42993),
(58, 950, 1.12),
(59, 950, 1.12),
(60, 950, 1.12),
(62, 950, 1.12),
(57, 950, 1.68),
(61, 950, 1.68),
(58, 951, 1.77338),
(59, 951, 1.77338),
(60, 951, 1.77338),
(62, 951, 1.77338),
(57, 951, 2.66007),
(61, 951, 2.66007),
(58, 952, 2.1),
(59, 952, 2.1),
(60, 952, 2.1),
(62, 952, 2.1),
(57, 952, 3.15),
(61, 952, 3.15),
(58, 953, 2.28662),
(59, 953, 2.28662),
(60, 953, 2.28662),
(62, 953, 2.28662),
(57, 953, 3.42993),
(61, 953, 3.42993),
(58, 954, 2.52),
(59, 954, 2.52),
(60, 954, 2.52),
(62, 954, 2.52),
(57, 954, 3.78),
(61, 954, 3.78),
(62, 955, 0.23331),
(58, 955, 0.46662),
(59, 955, 0.46662),
(60, 955, 0.46662),
(57, 955, 0.69993),
(61, 955, 0.69993),
(62, 956, 1.00331),
(58, 956, 2.00662),
(59, 956, 2.00662),
(60, 956, 2.00662),
(57, 956, 3.00993),
(61, 956, 3.00993),
(62, 957, 1.23669),
(58, 957, 2.47338),
(59, 957, 2.47338),
(60, 957, 2.47338),
(57, 957, 3.71007),
(61, 957, 3.71007),
(58, 958, 0.56),
(59, 958, 0.56),
(60, 958, 0.56),
(62, 958, 0.56),
(57, 958, 0.84),
(61, 958, 0.84),
(58, 959, 2.14662),
(59, 959, 2.14662),
(60, 959, 2.14662),
(62, 959, 2.14662),
(57, 959, 3.21993),
(61, 959, 3.21993),
(58, 960, 2.47338),
(59, 960, 2.47338),
(60, 960, 2.47338),
(62, 960, 2.47338),
(57, 960, 3.71007),
(61, 960, 3.71007),
(171, 2850, 0.23331),
(174, 2850, 0.23331),
(175, 2850, 0.23331),
(176, 2850, 0.23331),
(177, 2850, 0.23331),
(178, 2850, 0.23331),
(179, 2850, 0.23331),
(180, 2850, 0.23331),
(181, 2850, 0.23331),
(182, 2850, 0.23331),
(183, 2850, 0.23331),
(184, 2850, 0.23331),
(185, 2850, 0.23331),
(186, 2850, 0.23331),
(187, 2850, 0.23331),
(188, 2850, 0.23331),
(189, 2850, 0.23331),
(190, 2850, 0.23331),
(191, 2850, 0.23331),
(192, 2850, 0.23331),
(171, 2851, 0.88669),
(174, 2851, 0.88669),
(175, 2851, 0.88669),
(176, 2851, 0.88669),
(177, 2851, 0.88669),
(178, 2851, 0.88669),
(179, 2851, 0.88669),
(180, 2851, 0.88669),
(181, 2851, 0.88669),
(182, 2851, 0.88669),
(183, 2851, 0.88669),
(184, 2851, 0.88669),
(185, 2851, 0.88669),
(186, 2851, 0.88669),
(187, 2851, 0.88669),
(188, 2851, 0.88669),
(189, 2851, 0.88669),
(190, 2851, 0.88669),
(191, 2851, 0.88669),
(192, 2851, 0.88669),
(171, 2852, 1.00331),
(174, 2852, 1.00331),
(175, 2852, 1.00331),
(176, 2852, 1.00331),
(177, 2852, 1.00331),
(178, 2852, 1.00331),
(179, 2852, 1.00331),
(180, 2852, 1.00331),
(181, 2852, 1.00331),
(182, 2852, 1.00331),
(183, 2852, 1.00331),
(184, 2852, 1.00331),
(185, 2852, 1.00331),
(186, 2852, 1.00331),
(187, 2852, 1.00331),
(188, 2852, 1.00331),
(189, 2852, 1.00331),
(190, 2852, 1.00331),
(191, 2852, 1.00331),
(192, 2852, 1.00331),
(171, 2853, 0.88669),
(174, 2853, 0.88669),
(175, 2853, 0.88669),
(176, 2853, 0.88669),
(177, 2853, 0.88669),
(178, 2853, 0.88669),
(179, 2853, 0.88669),
(180, 2853, 0.88669),
(181, 2853, 0.88669),
(182, 2853, 0.88669),
(183, 2853, 0.88669),
(184, 2853, 0.88669),
(185, 2853, 0.88669),
(186, 2853, 0.88669),
(187, 2853, 0.88669),
(188, 2853, 0.88669),
(189, 2853, 0.88669),
(190, 2853, 0.88669),
(191, 2853, 0.88669),
(192, 2853, 0.88669),
(171, 2854, 1.00331),
(174, 2854, 1.00331),
(175, 2854, 1.00331),
(176, 2854, 1.00331),
(177, 2854, 1.00331),
(178, 2854, 1.00331),
(179, 2854, 1.00331),
(180, 2854, 1.00331),
(181, 2854, 1.00331);
INSERT INTO `#__finder_links_terms6` (`link_id`, `term_id`, `weight`) VALUES
(182, 2854, 1.00331),
(183, 2854, 1.00331),
(184, 2854, 1.00331),
(185, 2854, 1.00331),
(186, 2854, 1.00331),
(187, 2854, 1.00331),
(188, 2854, 1.00331),
(189, 2854, 1.00331),
(190, 2854, 1.00331),
(191, 2854, 1.00331),
(192, 2854, 1.00331),
(171, 2855, 0.09331),
(174, 2855, 0.09331),
(175, 2855, 0.09331),
(176, 2855, 0.09331),
(177, 2855, 0.09331),
(178, 2855, 0.09331),
(179, 2855, 0.09331),
(180, 2855, 0.09331),
(181, 2855, 0.09331),
(182, 2855, 0.09331),
(183, 2855, 0.09331),
(184, 2855, 0.09331),
(185, 2855, 0.09331),
(186, 2855, 0.09331),
(187, 2855, 0.09331),
(188, 2855, 0.09331),
(189, 2855, 0.09331),
(190, 2855, 0.09331),
(191, 2855, 0.09331),
(192, 2855, 0.09331),
(171, 2856, 0.86331),
(174, 2856, 0.86331),
(175, 2856, 0.86331),
(176, 2856, 0.86331),
(177, 2856, 0.86331),
(178, 2856, 0.86331),
(179, 2856, 0.86331),
(180, 2856, 0.86331),
(181, 2856, 0.86331),
(182, 2856, 0.86331),
(183, 2856, 0.86331),
(184, 2856, 0.86331),
(185, 2856, 0.86331),
(186, 2856, 0.86331),
(187, 2856, 0.86331),
(188, 2856, 0.86331),
(189, 2856, 0.86331),
(190, 2856, 0.86331),
(191, 2856, 0.86331),
(192, 2856, 0.86331),
(171, 2857, 1.00331),
(174, 2857, 1.00331),
(175, 2857, 1.00331),
(176, 2857, 1.00331),
(177, 2857, 1.00331),
(178, 2857, 1.00331),
(179, 2857, 1.00331),
(180, 2857, 1.00331),
(181, 2857, 1.00331),
(182, 2857, 1.00331),
(183, 2857, 1.00331),
(184, 2857, 1.00331),
(185, 2857, 1.00331),
(186, 2857, 1.00331),
(187, 2857, 1.00331),
(188, 2857, 1.00331),
(189, 2857, 1.00331),
(190, 2857, 1.00331),
(191, 2857, 1.00331),
(192, 2857, 1.00331),
(193, 2925, 1.48),
(193, 2926, 4.81),
(193, 2927, 5.55);

DROP TABLE IF EXISTS `#__finder_links_terms7`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms7` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_terms7` (`link_id`, `term_id`, `weight`) VALUES
(1, 269, 0.28),
(1, 270, 0.93331),
(1, 271, 1.16669),
(1, 272, 0.23331),
(1, 273, 0.91),
(1, 274, 1.02669),
(1, 275, 0.28),
(1, 276, 2.00662),
(1, 277, 2.28662),
(1, 336, 0.93338),
(1, 337, 1.23669),
(1, 338, 1.4),
(1, 339, 1.02669),
(1, 340, 1.14331),
(1, 443, 0.64008),
(2, 443, 0.64008),
(4, 443, 0.64008),
(57, 443, 0.64008),
(58, 443, 0.64008),
(59, 443, 0.64008),
(60, 443, 0.64008),
(61, 443, 0.64008),
(62, 443, 0.64008),
(171, 443, 0.64008),
(174, 443, 0.64008),
(175, 443, 0.64008),
(176, 443, 0.64008),
(177, 443, 0.64008),
(178, 443, 0.64008),
(179, 443, 0.64008),
(180, 443, 0.64008),
(181, 443, 0.64008),
(182, 443, 0.64008),
(183, 443, 0.64008),
(184, 443, 0.64008),
(185, 443, 0.64008),
(186, 443, 0.64008),
(187, 443, 0.64008),
(188, 443, 0.64008),
(189, 443, 0.64008),
(190, 443, 0.64008),
(191, 443, 0.64008),
(192, 443, 0.64008),
(193, 443, 0.64008),
(58, 651, 0.18669),
(59, 651, 0.18669),
(60, 651, 0.18669),
(62, 651, 0.18669),
(2, 651, 1.30683),
(4, 651, 1.30683),
(193, 651, 1.30683),
(58, 652, 0.86331),
(59, 652, 0.86331),
(60, 652, 0.86331),
(62, 652, 0.86331),
(2, 652, 6.04317),
(4, 652, 6.04317),
(193, 652, 6.04317),
(58, 653, 1.05),
(59, 653, 1.05),
(60, 653, 1.05),
(62, 653, 1.05),
(2, 653, 7.35),
(4, 653, 7.35),
(193, 653, 7.35),
(2, 654, 0.98),
(4, 654, 0.98),
(57, 654, 0.98),
(61, 654, 0.98),
(193, 654, 0.98),
(62, 654, 1.12),
(58, 654, 1.54),
(59, 654, 1.54),
(60, 654, 1.54),
(58, 655, 1.96),
(59, 655, 1.96),
(60, 655, 1.96),
(62, 655, 1.96),
(2, 655, 6.86),
(4, 655, 6.86),
(193, 655, 6.86),
(58, 656, 2.19338),
(59, 656, 2.19338),
(60, 656, 2.19338),
(62, 656, 2.19338),
(2, 656, 7.67683),
(4, 656, 7.67683),
(193, 656, 7.67683),
(58, 657, 0.32669),
(59, 657, 0.32669),
(60, 657, 0.32669),
(62, 657, 0.32669),
(2, 657, 2.28683),
(4, 657, 2.28683),
(193, 657, 2.28683),
(58, 658, 1.16669),
(59, 658, 1.16669),
(60, 658, 1.16669),
(62, 658, 1.16669),
(2, 658, 8.16683),
(4, 658, 8.16683),
(193, 658, 8.16683),
(58, 659, 1.35331),
(59, 659, 1.35331),
(60, 659, 1.35331),
(62, 659, 1.35331),
(2, 659, 9.47317),
(4, 659, 9.47317),
(193, 659, 9.47317),
(2, 660, 1.63317),
(4, 660, 1.63317),
(58, 660, 1.63317),
(59, 660, 1.63317),
(60, 660, 1.63317),
(62, 660, 1.63317),
(193, 660, 1.63317),
(57, 660, 2.09979),
(61, 660, 2.09979),
(58, 661, 1.02669),
(59, 661, 1.02669),
(60, 661, 1.02669),
(62, 661, 1.02669),
(2, 661, 6.16014),
(193, 661, 6.16014),
(4, 661, 7.18683),
(58, 662, 1.26),
(59, 662, 1.26),
(60, 662, 1.26),
(62, 662, 1.26),
(2, 662, 7.56),
(193, 662, 7.56),
(4, 662, 8.82),
(58, 676, 0.28),
(59, 676, 0.28),
(60, 676, 0.28),
(62, 676, 0.28),
(2, 676, 0.98),
(4, 676, 0.98),
(193, 676, 0.98),
(58, 677, 1.91338),
(59, 677, 1.91338),
(60, 677, 1.91338),
(62, 677, 1.91338),
(2, 677, 6.69683),
(4, 677, 6.69683),
(193, 677, 6.69683),
(58, 678, 2.33338),
(59, 678, 2.33338),
(60, 678, 2.33338),
(62, 678, 2.33338),
(2, 678, 8.16683),
(4, 678, 8.16683),
(193, 678, 8.16683),
(57, 679, 0.56007),
(58, 679, 0.56007),
(59, 679, 0.56007),
(60, 679, 0.56007),
(61, 679, 0.56007),
(62, 679, 0.56007),
(2, 679, 1.30683),
(4, 679, 1.30683),
(193, 679, 1.30683),
(58, 680, 0.98),
(59, 680, 0.98),
(60, 680, 0.98),
(62, 680, 0.98),
(2, 680, 6.86),
(4, 680, 6.86),
(193, 680, 6.86),
(58, 681, 1.28331),
(59, 681, 1.28331),
(60, 681, 1.28331),
(62, 681, 1.28331),
(2, 681, 8.98317),
(4, 681, 8.98317),
(193, 681, 8.98317),
(58, 701, 0.32669),
(59, 701, 0.32669),
(60, 701, 0.32669),
(62, 701, 0.32669),
(2, 701, 2.28683),
(4, 701, 2.28683),
(193, 701, 2.28683),
(62, 702, 1.05),
(2, 702, 7.35),
(4, 702, 7.35),
(193, 702, 7.35),
(62, 703, 1.16669),
(2, 703, 8.16683),
(4, 703, 8.16683),
(193, 703, 8.16683),
(57, 704, 0.74648),
(61, 704, 0.74648),
(62, 704, 0.83979),
(58, 704, 0.9331),
(59, 704, 0.9331),
(60, 704, 0.9331),
(193, 704, 1.8662),
(2, 704, 1.95951),
(4, 704, 1.95951),
(58, 705, 0.93331),
(59, 705, 0.93331),
(60, 705, 0.93331),
(62, 705, 0.93331),
(2, 705, 6.53317),
(4, 705, 6.53317),
(193, 705, 6.53317),
(58, 706, 1.00331),
(59, 706, 1.00331),
(60, 706, 1.00331),
(62, 706, 1.00331),
(2, 706, 7.02317),
(4, 706, 7.02317),
(193, 706, 7.02317),
(58, 707, 0.86331),
(59, 707, 0.86331),
(60, 707, 0.86331),
(62, 707, 0.86331),
(2, 707, 6.04317),
(4, 707, 6.04317),
(193, 707, 6.04317),
(58, 708, 0.93331),
(59, 708, 0.93331),
(60, 708, 0.93331),
(62, 708, 0.93331),
(2, 708, 6.53317),
(4, 708, 6.53317),
(193, 708, 6.53317),
(58, 709, 0.91),
(59, 709, 0.91),
(60, 709, 0.91),
(62, 709, 0.91),
(2, 709, 5.46),
(193, 709, 5.46),
(4, 709, 6.37),
(58, 710, 0.98),
(59, 710, 0.98),
(60, 710, 0.98),
(62, 710, 0.98),
(2, 710, 5.88),
(193, 710, 5.88),
(4, 710, 6.86),
(58, 961, 0.37338),
(59, 961, 0.37338),
(60, 961, 0.37338),
(62, 961, 0.37338),
(57, 961, 0.56007),
(61, 961, 0.56007),
(58, 962, 1.72662),
(59, 962, 1.72662),
(60, 962, 1.72662),
(62, 962, 1.72662),
(57, 962, 2.58993),
(61, 962, 2.58993),
(58, 963, 2.19338),
(59, 963, 2.19338),
(60, 963, 2.19338),
(62, 963, 2.19338),
(57, 963, 3.29007),
(61, 963, 3.29007),
(58, 964, 0.37338),
(59, 964, 0.37338),
(60, 964, 0.37338),
(62, 964, 0.37338),
(57, 964, 0.56007),
(61, 964, 0.56007),
(58, 965, 1.72662),
(59, 965, 1.72662),
(60, 965, 1.72662),
(62, 965, 1.72662),
(57, 965, 2.58993),
(61, 965, 2.58993),
(58, 966, 2.19338),
(59, 966, 2.19338),
(60, 966, 2.19338),
(62, 966, 2.19338),
(57, 966, 3.29007),
(61, 966, 3.29007),
(57, 967, 1.96),
(61, 967, 1.96),
(62, 967, 1.96),
(58, 967, 2.94),
(59, 967, 2.94),
(60, 967, 2.94),
(57, 968, 2.28662),
(61, 968, 2.28662);
INSERT INTO `#__finder_links_terms7` (`link_id`, `term_id`, `weight`) VALUES
(62, 968, 2.28662),
(58, 968, 3.42993),
(59, 968, 3.42993),
(60, 968, 3.42993),
(57, 969, 1.96),
(61, 969, 1.96),
(62, 969, 1.96),
(58, 969, 2.94),
(59, 969, 2.94),
(60, 969, 2.94),
(57, 970, 2.33338),
(61, 970, 2.33338),
(62, 970, 2.33338),
(58, 970, 3.50007),
(59, 970, 3.50007),
(60, 970, 3.50007),
(62, 971, 1.86662),
(57, 971, 2.79993),
(58, 971, 2.79993),
(59, 971, 2.79993),
(60, 971, 2.79993),
(61, 971, 2.79993),
(62, 972, 2.1),
(57, 972, 3.15),
(58, 972, 3.15),
(59, 972, 3.15),
(60, 972, 3.15),
(61, 972, 3.15),
(62, 973, 0.65338),
(57, 973, 0.98007),
(58, 973, 0.98007),
(59, 973, 0.98007),
(60, 973, 0.98007),
(61, 973, 0.98007),
(62, 974, 2.00662),
(57, 974, 3.00993),
(58, 974, 3.00993),
(59, 974, 3.00993),
(60, 974, 3.00993),
(61, 974, 3.00993),
(62, 975, 2.19338),
(57, 975, 3.29007),
(58, 975, 3.29007),
(59, 975, 3.29007),
(60, 975, 3.29007),
(61, 975, 3.29007),
(62, 976, 0.28),
(58, 976, 0.56),
(59, 976, 0.56),
(60, 976, 0.56),
(57, 976, 0.84),
(61, 976, 0.84),
(62, 977, 0.93331),
(58, 977, 1.86662),
(59, 977, 1.86662),
(60, 977, 1.86662),
(57, 977, 2.79993),
(61, 977, 2.79993),
(62, 978, 1.14331),
(58, 978, 2.28662),
(59, 978, 2.28662),
(60, 978, 2.28662),
(57, 978, 3.42993),
(61, 978, 3.42993),
(58, 979, 2.00662),
(59, 979, 2.00662),
(60, 979, 2.00662),
(62, 979, 2.00662),
(57, 979, 3.00993),
(61, 979, 3.00993),
(58, 980, 2.1),
(59, 980, 2.1),
(60, 980, 2.1),
(62, 980, 2.1),
(57, 980, 3.15),
(61, 980, 3.15),
(58, 981, 1.96),
(59, 981, 1.96),
(60, 981, 1.96),
(62, 981, 1.96),
(57, 981, 2.94),
(61, 981, 2.94),
(58, 982, 2.42662),
(59, 982, 2.42662),
(60, 982, 2.42662),
(62, 982, 2.42662),
(57, 982, 3.63993),
(61, 982, 3.63993),
(58, 983, 2.1),
(59, 983, 2.1),
(60, 983, 2.1),
(62, 983, 2.1),
(57, 983, 3.15),
(61, 983, 3.15),
(58, 984, 2.42662),
(59, 984, 2.42662),
(60, 984, 2.42662),
(62, 984, 2.42662),
(57, 984, 3.63993),
(61, 984, 3.63993),
(171, 985, 0.28),
(174, 985, 0.28),
(175, 985, 0.28),
(176, 985, 0.28),
(177, 985, 0.28),
(178, 985, 0.28),
(179, 985, 0.28),
(180, 985, 0.28),
(181, 985, 0.28),
(182, 985, 0.28),
(183, 985, 0.28),
(184, 985, 0.28),
(185, 985, 0.28),
(186, 985, 0.28),
(187, 985, 0.28),
(188, 985, 0.28),
(189, 985, 0.28),
(190, 985, 0.28),
(191, 985, 0.28),
(192, 985, 0.28),
(62, 985, 0.84),
(58, 985, 1.12),
(59, 985, 1.12),
(60, 985, 1.12),
(57, 985, 1.68),
(61, 985, 1.68),
(171, 986, 1.02669),
(174, 986, 1.02669),
(175, 986, 1.02669),
(176, 986, 1.02669),
(177, 986, 1.02669),
(178, 986, 1.02669),
(179, 986, 1.02669),
(180, 986, 1.02669),
(181, 986, 1.02669),
(182, 986, 1.02669),
(183, 986, 1.02669),
(184, 986, 1.02669),
(185, 986, 1.02669),
(186, 986, 1.02669),
(187, 986, 1.02669),
(188, 986, 1.02669),
(189, 986, 1.02669),
(190, 986, 1.02669),
(191, 986, 1.02669),
(192, 986, 1.02669),
(58, 986, 2.05338),
(59, 986, 2.05338),
(60, 986, 2.05338),
(62, 986, 2.05338),
(57, 986, 3.08007),
(61, 986, 3.08007),
(171, 987, 1.14331),
(174, 987, 1.14331),
(175, 987, 1.14331),
(176, 987, 1.14331),
(177, 987, 1.14331),
(178, 987, 1.14331),
(179, 987, 1.14331),
(180, 987, 1.14331),
(181, 987, 1.14331),
(182, 987, 1.14331),
(183, 987, 1.14331),
(184, 987, 1.14331),
(185, 987, 1.14331),
(186, 987, 1.14331),
(187, 987, 1.14331),
(188, 987, 1.14331),
(189, 987, 1.14331),
(190, 987, 1.14331),
(191, 987, 1.14331),
(192, 987, 1.14331),
(58, 987, 2.28662),
(59, 987, 2.28662),
(60, 987, 2.28662),
(62, 987, 2.28662),
(57, 987, 3.42993),
(61, 987, 3.42993),
(62, 988, 0.93331),
(58, 988, 1.86662),
(59, 988, 1.86662),
(60, 988, 1.86662),
(57, 988, 2.79993),
(61, 988, 2.79993),
(62, 989, 1.07331),
(58, 989, 2.14662),
(59, 989, 2.14662),
(60, 989, 2.14662),
(57, 989, 3.21993),
(61, 989, 3.21993),
(62, 990, 0.18669),
(58, 990, 0.37338),
(59, 990, 0.37338),
(60, 990, 0.37338),
(57, 990, 0.56007),
(61, 990, 0.56007),
(62, 991, 0.98),
(58, 991, 1.96),
(59, 991, 1.96),
(60, 991, 1.96),
(57, 991, 2.94),
(61, 991, 2.94),
(62, 992, 1.14331),
(58, 992, 2.28662),
(59, 992, 2.28662),
(60, 992, 2.28662),
(57, 992, 3.42993),
(61, 992, 3.42993),
(62, 1025, 0.74676),
(57, 1025, 0.93345),
(58, 1025, 0.93345),
(59, 1025, 0.93345),
(60, 1025, 0.93345),
(61, 1025, 0.93345),
(58, 1026, 1.82),
(59, 1026, 1.82),
(60, 1026, 1.82),
(62, 1026, 1.82),
(57, 1026, 2.73),
(61, 1026, 2.73),
(58, 1027, 2.28662),
(59, 1027, 2.28662),
(60, 1027, 2.28662),
(62, 1027, 2.28662),
(57, 1027, 3.42993),
(61, 1027, 3.42993),
(57, 1028, 1.91338),
(61, 1028, 1.91338),
(62, 1028, 1.91338),
(58, 1028, 2.87007),
(59, 1028, 2.87007),
(60, 1028, 2.87007),
(57, 1029, 2.05338),
(61, 1029, 2.05338),
(62, 1029, 2.05338),
(58, 1029, 3.08007),
(59, 1029, 3.08007),
(60, 1029, 3.08007),
(58, 1030, 2.00662),
(59, 1030, 2.00662),
(60, 1030, 2.00662),
(62, 1030, 2.00662),
(57, 1030, 3.00993),
(61, 1030, 3.00993),
(58, 1031, 2.19338),
(59, 1031, 2.19338),
(60, 1031, 2.19338),
(62, 1031, 2.19338),
(57, 1031, 3.29007),
(61, 1031, 3.29007),
(58, 1032, 0.65338),
(59, 1032, 0.65338),
(60, 1032, 0.65338),
(62, 1032, 0.65338),
(57, 1032, 0.98007),
(61, 1032, 0.98007),
(171, 1032, 0.98007),
(174, 1032, 0.98007),
(175, 1032, 0.98007),
(176, 1032, 0.98007),
(177, 1032, 0.98007),
(178, 1032, 0.98007),
(179, 1032, 0.98007),
(180, 1032, 0.98007),
(181, 1032, 0.98007),
(182, 1032, 0.98007),
(183, 1032, 0.98007),
(184, 1032, 0.98007),
(185, 1032, 0.98007),
(186, 1032, 0.98007),
(187, 1032, 0.98007),
(188, 1032, 0.98007),
(189, 1032, 0.98007),
(190, 1032, 0.98007),
(191, 1032, 0.98007),
(192, 1032, 0.98007),
(58, 1033, 1.86662);
INSERT INTO `#__finder_links_terms7` (`link_id`, `term_id`, `weight`) VALUES
(59, 1033, 1.86662),
(60, 1033, 1.86662),
(62, 1033, 1.86662),
(57, 1033, 2.79993),
(61, 1033, 2.79993),
(58, 1034, 2.14662),
(59, 1034, 2.14662),
(60, 1034, 2.14662),
(62, 1034, 2.14662),
(57, 1034, 3.21993),
(61, 1034, 3.21993),
(58, 1096, 0.84),
(59, 1096, 0.84),
(60, 1096, 0.84),
(62, 1096, 0.84),
(57, 1096, 1.26),
(61, 1096, 1.26),
(58, 1097, 2.14662),
(59, 1097, 2.14662),
(60, 1097, 2.14662),
(62, 1097, 2.14662),
(57, 1097, 3.21993),
(61, 1097, 3.21993),
(58, 1098, 2.75338),
(59, 1098, 2.75338),
(60, 1098, 2.75338),
(62, 1098, 2.75338),
(57, 1098, 4.13007),
(61, 1098, 4.13007),
(57, 1099, 1.91338),
(61, 1099, 1.91338),
(62, 1099, 1.91338),
(58, 1099, 2.87007),
(59, 1099, 2.87007),
(60, 1099, 2.87007),
(57, 1100, 2.05338),
(61, 1100, 2.05338),
(62, 1100, 2.05338),
(58, 1100, 3.08007),
(59, 1100, 3.08007),
(60, 1100, 3.08007),
(58, 1101, 1.77338),
(59, 1101, 1.77338),
(60, 1101, 1.77338),
(62, 1101, 1.77338),
(57, 1101, 2.66007),
(61, 1101, 2.66007),
(58, 1102, 2.14662),
(59, 1102, 2.14662),
(60, 1102, 2.14662),
(62, 1102, 2.14662),
(57, 1102, 3.21993),
(61, 1102, 3.21993),
(58, 1103, 1.82),
(59, 1103, 1.82),
(60, 1103, 1.82),
(62, 1103, 1.82),
(57, 1103, 2.73),
(61, 1103, 2.73),
(58, 1104, 2.19338),
(59, 1104, 2.19338),
(60, 1104, 2.19338),
(62, 1104, 2.19338),
(57, 1104, 3.29007),
(61, 1104, 3.29007),
(171, 2858, 0.23331),
(174, 2858, 0.23331),
(175, 2858, 0.23331),
(176, 2858, 0.23331),
(177, 2858, 0.23331),
(178, 2858, 0.23331),
(179, 2858, 0.23331),
(180, 2858, 0.23331),
(181, 2858, 0.23331),
(182, 2858, 0.23331),
(183, 2858, 0.23331),
(184, 2858, 0.23331),
(185, 2858, 0.23331),
(186, 2858, 0.23331),
(187, 2858, 0.23331),
(188, 2858, 0.23331),
(189, 2858, 0.23331),
(190, 2858, 0.23331),
(191, 2858, 0.23331),
(192, 2858, 0.23331),
(171, 2859, 1.05),
(174, 2859, 1.05),
(175, 2859, 1.05),
(176, 2859, 1.05),
(177, 2859, 1.05),
(178, 2859, 1.05),
(179, 2859, 1.05),
(180, 2859, 1.05),
(181, 2859, 1.05),
(182, 2859, 1.05),
(183, 2859, 1.05),
(184, 2859, 1.05),
(185, 2859, 1.05),
(186, 2859, 1.05),
(187, 2859, 1.05),
(188, 2859, 1.05),
(189, 2859, 1.05),
(190, 2859, 1.05),
(191, 2859, 1.05),
(192, 2859, 1.05),
(171, 2860, 1.16669),
(174, 2860, 1.16669),
(175, 2860, 1.16669),
(176, 2860, 1.16669),
(177, 2860, 1.16669),
(178, 2860, 1.16669),
(179, 2860, 1.16669),
(180, 2860, 1.16669),
(181, 2860, 1.16669),
(182, 2860, 1.16669),
(183, 2860, 1.16669),
(184, 2860, 1.16669),
(185, 2860, 1.16669),
(186, 2860, 1.16669),
(187, 2860, 1.16669),
(188, 2860, 1.16669),
(189, 2860, 1.16669),
(190, 2860, 1.16669),
(191, 2860, 1.16669),
(192, 2860, 1.16669),
(171, 2861, 0.14),
(174, 2861, 0.14),
(175, 2861, 0.14),
(176, 2861, 0.14),
(177, 2861, 0.14),
(178, 2861, 0.14),
(179, 2861, 0.14),
(180, 2861, 0.14),
(181, 2861, 0.14),
(182, 2861, 0.14),
(183, 2861, 0.14),
(184, 2861, 0.14),
(185, 2861, 0.14),
(186, 2861, 0.14),
(187, 2861, 0.14),
(188, 2861, 0.14),
(189, 2861, 0.14),
(190, 2861, 0.14),
(191, 2861, 0.14),
(192, 2861, 0.14),
(171, 2873, 1.07331),
(174, 2873, 1.07331),
(175, 2873, 1.07331),
(176, 2873, 1.07331),
(177, 2873, 1.07331),
(178, 2873, 1.07331),
(179, 2873, 1.07331),
(180, 2873, 1.07331),
(181, 2873, 1.07331),
(182, 2873, 1.07331),
(183, 2873, 1.07331),
(184, 2873, 1.07331),
(185, 2873, 1.07331),
(186, 2873, 1.07331),
(187, 2873, 1.07331),
(188, 2873, 1.07331),
(189, 2873, 1.07331),
(190, 2873, 1.07331),
(191, 2873, 1.07331),
(192, 2873, 1.07331),
(171, 2874, 1.19),
(174, 2874, 1.19),
(175, 2874, 1.19),
(176, 2874, 1.19),
(177, 2874, 1.19),
(178, 2874, 1.19),
(179, 2874, 1.19),
(180, 2874, 1.19),
(181, 2874, 1.19),
(182, 2874, 1.19),
(183, 2874, 1.19),
(184, 2874, 1.19),
(185, 2874, 1.19),
(186, 2874, 1.19),
(187, 2874, 1.19),
(188, 2874, 1.19),
(189, 2874, 1.19),
(190, 2874, 1.19),
(191, 2874, 1.19),
(192, 2874, 1.19),
(171, 2875, 2.14662),
(174, 2875, 2.14662),
(175, 2875, 2.14662),
(176, 2875, 2.14662),
(177, 2875, 2.14662),
(178, 2875, 2.14662),
(179, 2875, 2.14662),
(180, 2875, 2.14662),
(181, 2875, 2.14662),
(182, 2875, 2.14662),
(183, 2875, 2.14662),
(184, 2875, 2.14662),
(185, 2875, 2.14662),
(186, 2875, 2.14662),
(187, 2875, 2.14662),
(188, 2875, 2.14662),
(189, 2875, 2.14662),
(190, 2875, 2.14662),
(191, 2875, 2.14662),
(192, 2875, 2.14662),
(171, 2876, 2.42662),
(174, 2876, 2.42662),
(175, 2876, 2.42662),
(176, 2876, 2.42662),
(177, 2876, 2.42662),
(178, 2876, 2.42662),
(179, 2876, 2.42662),
(180, 2876, 2.42662),
(181, 2876, 2.42662),
(182, 2876, 2.42662),
(183, 2876, 2.42662),
(184, 2876, 2.42662),
(185, 2876, 2.42662),
(186, 2876, 2.42662),
(187, 2876, 2.42662),
(188, 2876, 2.42662),
(189, 2876, 2.42662),
(190, 2876, 2.42662),
(191, 2876, 2.42662),
(192, 2876, 2.42662);

DROP TABLE IF EXISTS `#__finder_links_terms8`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms8` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_terms8` (`link_id`, `term_id`, `weight`) VALUES
(1, 113, 0.32669),
(1, 114, 0.91),
(1, 115, 1.00331),
(1, 116, 0.37331),
(1, 117, 1.12),
(1, 118, 1.4),
(1, 119, 0.60669),
(1, 120, 1.12),
(1, 121, 1.4),
(1, 122, 0.18669),
(1, 123, 1.02669),
(1, 124, 1.14331),
(1, 154, 2.61317),
(1, 155, 0.18669),
(1, 156, 1.00331),
(1, 157, 1.16669),
(1, 158, 0.23331),
(1, 159, 1.02669),
(1, 160, 1.28331),
(1, 161, 0.32669),
(1, 162, 1.02669),
(1, 163, 1.19),
(1, 164, 0.23331),
(1, 165, 1.02669),
(1, 166, 1.12),
(1, 167, 1.26),
(1, 168, 1.00331),
(1, 169, 1.23669),
(1, 170, 1.05),
(1, 171, 1.14331),
(1, 172, 1.05),
(1, 173, 1.19),
(1, 174, 0.23331),
(1, 175, 0.37331),
(1, 176, 0.98),
(1, 177, 1.09669),
(1, 178, 0.23331),
(1, 179, 1.09669),
(1, 180, 1.26),
(1, 181, 0.60669),
(1, 182, 1.16669),
(1, 183, 1.37669),
(1, 201, 0.14),
(1, 202, 0.95669),
(1, 203, 1.12),
(1, 204, 0.37324),
(58, 204, 0.37324),
(59, 204, 0.37324),
(60, 204, 0.37324),
(62, 204, 0.37324),
(2, 204, 1.95951),
(4, 204, 1.95951),
(193, 204, 1.95951),
(1, 205, 0.84),
(1, 206, 0.93331),
(1, 207, 0.84),
(1, 208, 1.02669),
(1, 209, 1.00331),
(1, 210, 1.07331),
(1, 211, 0.95669),
(1, 212, 1.12),
(1, 213, 0.74662),
(1, 214, 1.14331),
(1, 215, 1.4),
(1, 216, 1.05),
(1, 217, 1.12),
(1, 218, 0.46669),
(1, 219, 1.12),
(1, 220, 1.33),
(1, 221, 0.6666),
(2, 221, 0.6666),
(4, 221, 0.6666),
(57, 221, 0.6666),
(58, 221, 0.6666),
(59, 221, 0.6666),
(60, 221, 0.6666),
(61, 221, 0.6666),
(62, 221, 0.6666),
(171, 221, 0.6666),
(174, 221, 0.6666),
(175, 221, 0.6666),
(176, 221, 0.6666),
(177, 221, 0.6666),
(178, 221, 0.6666),
(179, 221, 0.6666),
(180, 221, 0.6666),
(181, 221, 0.6666),
(182, 221, 0.6666),
(183, 221, 0.6666),
(184, 221, 0.6666),
(185, 221, 0.6666),
(186, 221, 0.6666),
(187, 221, 0.6666),
(188, 221, 0.6666),
(189, 221, 0.6666),
(190, 221, 0.6666),
(191, 221, 0.6666),
(192, 221, 0.6666),
(193, 221, 0.6666),
(1, 222, 1.68),
(1, 223, 1.23669),
(1, 224, 1.4),
(1, 225, 1.19),
(1, 226, 1.4),
(1, 227, 0.09331),
(1, 228, 0.91),
(1, 229, 1.21331),
(1, 230, 0.09331),
(1, 231, 0.86331),
(1, 232, 0.93331),
(1, 233, 0.32004),
(2, 233, 0.32004),
(4, 233, 0.32004),
(57, 233, 0.32004),
(58, 233, 0.32004),
(59, 233, 0.32004),
(60, 233, 0.32004),
(61, 233, 0.32004),
(62, 233, 0.32004),
(171, 233, 0.32004),
(174, 233, 0.32004),
(175, 233, 0.32004),
(176, 233, 0.32004),
(177, 233, 0.32004),
(178, 233, 0.32004),
(179, 233, 0.32004),
(180, 233, 0.32004),
(181, 233, 0.32004),
(182, 233, 0.32004),
(183, 233, 0.32004),
(184, 233, 0.32004),
(185, 233, 0.32004),
(186, 233, 0.32004),
(187, 233, 0.32004),
(188, 233, 0.32004),
(189, 233, 0.32004),
(190, 233, 0.32004),
(191, 233, 0.32004),
(192, 233, 0.32004),
(193, 233, 0.32004),
(1, 242, 0.15996),
(2, 242, 0.15996),
(4, 242, 0.15996),
(57, 242, 0.15996),
(58, 242, 0.15996),
(59, 242, 0.15996),
(60, 242, 0.15996),
(61, 242, 0.15996),
(62, 242, 0.15996),
(171, 242, 0.15996),
(174, 242, 0.15996),
(175, 242, 0.15996),
(176, 242, 0.15996),
(177, 242, 0.15996),
(178, 242, 0.15996),
(179, 242, 0.15996),
(180, 242, 0.15996),
(181, 242, 0.15996),
(182, 242, 0.15996),
(183, 242, 0.15996),
(184, 242, 0.15996),
(185, 242, 0.15996),
(186, 242, 0.15996),
(187, 242, 0.15996),
(188, 242, 0.15996),
(189, 242, 0.15996),
(190, 242, 0.15996),
(191, 242, 0.15996),
(192, 242, 0.15996),
(193, 242, 0.15996),
(1, 243, 1.47996),
(2, 243, 1.47996),
(4, 243, 1.47996),
(57, 243, 1.47996),
(58, 243, 1.47996),
(59, 243, 1.47996),
(60, 243, 1.47996),
(61, 243, 1.47996),
(62, 243, 1.47996),
(171, 243, 1.47996),
(174, 243, 1.47996),
(175, 243, 1.47996),
(176, 243, 1.47996),
(177, 243, 1.47996),
(178, 243, 1.47996),
(179, 243, 1.47996),
(180, 243, 1.47996),
(181, 243, 1.47996),
(182, 243, 1.47996),
(183, 243, 1.47996),
(184, 243, 1.47996),
(185, 243, 1.47996),
(186, 243, 1.47996),
(187, 243, 1.47996),
(188, 243, 1.47996),
(189, 243, 1.47996),
(190, 243, 1.47996),
(191, 243, 1.47996),
(192, 243, 1.47996),
(193, 243, 1.47996),
(1, 244, 0.18669),
(1, 245, 0.91),
(1, 246, 1.02669),
(1, 301, 0.32669),
(1, 302, 1.09669),
(1, 303, 1.23669),
(1, 304, 0.46669),
(1, 305, 1.00331),
(1, 306, 1.09669),
(1, 307, 0.14),
(1, 308, 0.88669),
(1, 309, 1.02669),
(1, 310, 0.18669),
(1, 311, 0.93331),
(1, 312, 1.21331),
(1, 313, 0.84),
(1, 314, 1.07331),
(1, 315, 1.30669),
(1, 316, 1.14331),
(1, 317, 1.26),
(1, 318, 0.51331),
(1, 319, 1.12),
(1, 320, 1.23669),
(1, 321, 0.60669),
(1, 322, 1.09669),
(1, 323, 1.35331),
(1, 324, 0.37331),
(1, 325, 0.98),
(1, 326, 1.09669),
(1, 327, 0.56),
(1, 328, 1.21331),
(1, 329, 1.30669),
(1, 330, 0.14),
(1, 331, 0.88669),
(1, 332, 1.09669),
(1, 333, 0.37331),
(1, 334, 0.95669),
(1, 335, 1.21331),
(58, 553, 0.74662),
(59, 553, 0.74662),
(60, 553, 0.74662),
(62, 553, 0.74662),
(2, 553, 2.61317),
(4, 553, 2.61317),
(193, 553, 2.61317),
(58, 554, 2.1),
(59, 554, 2.1),
(60, 554, 2.1),
(62, 554, 2.1),
(2, 554, 7.35),
(4, 554, 7.35),
(193, 554, 7.35),
(58, 555, 2.33338),
(59, 555, 2.33338),
(60, 555, 2.33338),
(62, 555, 2.33338),
(2, 555, 8.16683),
(4, 555, 8.16683),
(193, 555, 8.16683),
(58, 556, 0.09331),
(59, 556, 0.09331),
(60, 556, 0.09331),
(62, 556, 0.09331),
(193, 556, 0.55986),
(2, 556, 0.65317),
(4, 556, 0.65317),
(58, 557, 0.93331),
(59, 557, 0.93331),
(60, 557, 0.93331),
(62, 557, 0.93331),
(193, 557, 5.59986),
(2, 557, 6.53317),
(4, 557, 6.53317),
(58, 558, 1.09669),
(59, 558, 1.09669),
(60, 558, 1.09669),
(62, 558, 1.09669),
(193, 558, 6.58014),
(2, 558, 7.67683),
(4, 558, 7.67683),
(57, 559, 1.93314),
(61, 559, 1.93314),
(62, 559, 1.93314),
(171, 559, 1.93314),
(174, 559, 1.93314);
INSERT INTO `#__finder_links_terms8` (`link_id`, `term_id`, `weight`) VALUES
(175, 559, 1.93314),
(176, 559, 1.93314),
(177, 559, 1.93314),
(178, 559, 1.93314),
(179, 559, 1.93314),
(180, 559, 1.93314),
(181, 559, 1.93314),
(182, 559, 1.93314),
(183, 559, 1.93314),
(184, 559, 1.93314),
(185, 559, 1.93314),
(186, 559, 1.93314),
(187, 559, 1.93314),
(188, 559, 1.93314),
(189, 559, 1.93314),
(190, 559, 1.93314),
(191, 559, 1.93314),
(192, 559, 1.93314),
(58, 559, 2.16645),
(59, 559, 2.16645),
(60, 559, 2.16645),
(193, 559, 3.03303),
(2, 559, 3.26634),
(4, 559, 3.26634),
(58, 560, 0.88669),
(59, 560, 0.88669),
(60, 560, 0.88669),
(62, 560, 0.88669),
(2, 560, 6.20683),
(4, 560, 6.20683),
(193, 560, 6.20683),
(58, 561, 1.21331),
(59, 561, 1.21331),
(60, 561, 1.21331),
(62, 561, 1.21331),
(2, 561, 8.49317),
(4, 561, 8.49317),
(193, 561, 8.49317),
(57, 562, 4.81),
(61, 562, 4.81),
(193, 562, 5.46),
(58, 562, 5.72),
(59, 562, 5.72),
(60, 562, 5.72),
(62, 562, 5.72),
(2, 562, 6.37),
(4, 562, 6.37),
(171, 562, 7.54),
(174, 562, 7.54),
(175, 562, 7.54),
(176, 562, 7.54),
(177, 562, 7.54),
(178, 562, 7.54),
(179, 562, 7.54),
(180, 562, 7.54),
(181, 562, 7.54),
(182, 562, 7.54),
(183, 562, 7.54),
(184, 562, 7.54),
(185, 562, 7.54),
(186, 562, 7.54),
(187, 562, 7.54),
(188, 562, 7.54),
(189, 562, 7.54),
(190, 562, 7.54),
(191, 562, 7.54),
(192, 562, 7.54),
(57, 563, 5.42679),
(61, 563, 5.42679),
(193, 563, 6.16014),
(58, 563, 6.45348),
(59, 563, 6.45348),
(60, 563, 6.45348),
(62, 563, 6.45348),
(2, 563, 7.18683),
(4, 563, 7.18683),
(171, 563, 8.50686),
(174, 563, 8.50686),
(175, 563, 8.50686),
(176, 563, 8.50686),
(177, 563, 8.50686),
(178, 563, 8.50686),
(179, 563, 8.50686),
(180, 563, 8.50686),
(181, 563, 8.50686),
(182, 563, 8.50686),
(183, 563, 8.50686),
(184, 563, 8.50686),
(185, 563, 8.50686),
(186, 563, 8.50686),
(187, 563, 8.50686),
(188, 563, 8.50686),
(189, 563, 8.50686),
(190, 563, 8.50686),
(191, 563, 8.50686),
(192, 563, 8.50686),
(58, 564, 0.56),
(59, 564, 0.56),
(60, 564, 0.56),
(62, 564, 0.56),
(2, 564, 3.92),
(4, 564, 3.92),
(193, 564, 3.92),
(58, 565, 0.91),
(59, 565, 0.91),
(60, 565, 0.91),
(62, 565, 0.91),
(2, 565, 6.37),
(4, 565, 6.37),
(193, 565, 6.37),
(58, 566, 1.07331),
(59, 566, 1.07331),
(60, 566, 1.07331),
(62, 566, 1.07331),
(2, 566, 7.51317),
(4, 566, 7.51317),
(193, 566, 7.51317),
(58, 567, 0.98),
(59, 567, 0.98),
(60, 567, 0.98),
(62, 567, 0.98),
(2, 567, 6.86),
(4, 567, 6.86),
(193, 567, 6.86),
(58, 568, 1.14331),
(59, 568, 1.14331),
(60, 568, 1.14331),
(62, 568, 1.14331),
(2, 568, 8.00317),
(4, 568, 8.00317),
(193, 568, 8.00317),
(57, 569, 0.56007),
(58, 569, 0.56007),
(59, 569, 0.56007),
(60, 569, 0.56007),
(61, 569, 0.56007),
(62, 569, 0.56007),
(2, 569, 1.30683),
(4, 569, 1.30683),
(193, 569, 1.30683),
(58, 570, 0.91),
(59, 570, 0.91),
(60, 570, 0.91),
(62, 570, 0.91),
(2, 570, 6.37),
(4, 570, 6.37),
(193, 570, 6.37),
(58, 571, 1.05),
(59, 571, 1.05),
(60, 571, 1.05),
(62, 571, 1.05),
(2, 571, 7.35),
(4, 571, 7.35),
(193, 571, 7.35),
(2, 605, 1.72679),
(171, 606, 0.18669),
(174, 606, 0.18669),
(175, 606, 0.18669),
(176, 606, 0.18669),
(177, 606, 0.18669),
(178, 606, 0.18669),
(179, 606, 0.18669),
(180, 606, 0.18669),
(181, 606, 0.18669),
(182, 606, 0.18669),
(183, 606, 0.18669),
(184, 606, 0.18669),
(185, 606, 0.18669),
(186, 606, 0.18669),
(187, 606, 0.18669),
(188, 606, 0.18669),
(189, 606, 0.18669),
(190, 606, 0.18669),
(191, 606, 0.18669),
(192, 606, 0.18669),
(2, 606, 0.98679),
(2, 607, 4.68679),
(2, 608, 5.67321),
(58, 609, 0.28),
(59, 609, 0.28),
(60, 609, 0.28),
(62, 609, 0.28),
(2, 609, 1.96),
(4, 609, 1.96),
(193, 609, 1.96),
(58, 610, 0.98),
(59, 610, 0.98),
(60, 610, 0.98),
(62, 610, 0.98),
(2, 610, 6.86),
(4, 610, 6.86),
(193, 610, 6.86),
(58, 611, 1.19),
(59, 611, 1.19),
(60, 611, 1.19),
(62, 611, 1.19),
(2, 611, 7.14),
(193, 611, 7.14),
(4, 611, 8.33),
(57, 612, 0.46655),
(61, 612, 0.46655),
(62, 612, 0.46655),
(2, 612, 0.65317),
(4, 612, 0.65317),
(58, 612, 0.65317),
(59, 612, 0.65317),
(60, 612, 0.65317),
(193, 612, 0.65317),
(58, 613, 1.68),
(59, 613, 1.68),
(60, 613, 1.68),
(62, 613, 1.68),
(2, 613, 5.88),
(4, 613, 5.88),
(193, 613, 5.88),
(58, 614, 2.05338),
(59, 614, 2.05338),
(60, 614, 2.05338),
(62, 614, 2.05338),
(2, 614, 7.18683),
(4, 614, 7.18683),
(193, 614, 7.18683),
(58, 615, 1.77338),
(59, 615, 1.77338),
(60, 615, 1.77338),
(62, 615, 1.77338),
(2, 615, 6.20683),
(4, 615, 6.20683),
(193, 615, 6.20683),
(58, 616, 1.96),
(59, 616, 1.96),
(60, 616, 1.96),
(62, 616, 1.96),
(2, 616, 6.86),
(4, 616, 6.86),
(193, 616, 6.86),
(58, 617, 1.07331),
(59, 617, 1.07331),
(60, 617, 1.07331),
(62, 617, 1.07331),
(2, 617, 7.51317),
(4, 617, 7.51317),
(193, 617, 7.51317),
(58, 618, 1.14331),
(59, 618, 1.14331),
(60, 618, 1.14331),
(62, 618, 1.14331),
(2, 618, 8.00317),
(4, 618, 8.00317),
(193, 618, 8.00317),
(58, 619, 0.98),
(59, 619, 0.98),
(60, 619, 0.98),
(62, 619, 0.98),
(2, 619, 6.86),
(4, 619, 6.86),
(193, 619, 6.86),
(58, 620, 1.12),
(59, 620, 1.12),
(60, 620, 1.12),
(62, 620, 1.12),
(2, 620, 7.84),
(4, 620, 7.84),
(193, 620, 7.84),
(58, 621, 0.46669),
(59, 621, 0.46669),
(60, 621, 0.46669),
(62, 621, 0.46669),
(193, 621, 2.80014),
(2, 621, 3.26683),
(4, 621, 3.26683),
(58, 622, 1.00331),
(59, 622, 1.00331),
(60, 622, 1.00331),
(62, 622, 1.00331),
(193, 622, 6.01986),
(2, 622, 7.02317),
(4, 622, 7.02317),
(58, 623, 1.16669),
(59, 623, 1.16669),
(60, 623, 1.16669),
(62, 623, 1.16669),
(2, 623, 7.00014),
(193, 623, 7.00014),
(4, 623, 8.16683),
(193, 624, 1.39986),
(2, 624, 1.63317),
(4, 624, 1.63317),
(62, 624, 1.93314);
INSERT INTO `#__finder_links_terms8` (`link_id`, `term_id`, `weight`) VALUES
(171, 624, 2.16645),
(174, 624, 2.16645),
(175, 624, 2.16645),
(176, 624, 2.16645),
(177, 624, 2.16645),
(178, 624, 2.16645),
(179, 624, 2.16645),
(180, 624, 2.16645),
(181, 624, 2.16645),
(182, 624, 2.16645),
(183, 624, 2.16645),
(184, 624, 2.16645),
(185, 624, 2.16645),
(186, 624, 2.16645),
(187, 624, 2.16645),
(188, 624, 2.16645),
(189, 624, 2.16645),
(190, 624, 2.16645),
(191, 624, 2.16645),
(192, 624, 2.16645),
(58, 624, 2.39976),
(59, 624, 2.39976),
(60, 624, 2.39976),
(57, 624, 2.63307),
(61, 624, 2.63307),
(57, 625, 5.05679),
(61, 625, 5.05679),
(193, 625, 5.74014),
(58, 625, 6.01348),
(59, 625, 6.01348),
(60, 625, 6.01348),
(62, 625, 6.01348),
(2, 625, 6.69683),
(4, 625, 6.69683),
(171, 625, 7.92686),
(174, 625, 7.92686),
(175, 625, 7.92686),
(176, 625, 7.92686),
(177, 625, 7.92686),
(178, 625, 7.92686),
(179, 625, 7.92686),
(180, 625, 7.92686),
(181, 625, 7.92686),
(182, 625, 7.92686),
(183, 625, 7.92686),
(184, 625, 7.92686),
(185, 625, 7.92686),
(186, 625, 7.92686),
(187, 625, 7.92686),
(188, 625, 7.92686),
(189, 625, 7.92686),
(190, 625, 7.92686),
(191, 625, 7.92686),
(192, 625, 7.92686),
(57, 626, 5.55),
(61, 626, 5.55),
(193, 626, 6.3),
(58, 626, 6.6),
(59, 626, 6.6),
(60, 626, 6.6),
(62, 626, 6.6),
(2, 626, 7.35),
(4, 626, 7.35),
(171, 626, 8.7),
(174, 626, 8.7),
(175, 626, 8.7),
(176, 626, 8.7),
(177, 626, 8.7),
(178, 626, 8.7),
(179, 626, 8.7),
(180, 626, 8.7),
(181, 626, 8.7),
(182, 626, 8.7),
(183, 626, 8.7),
(184, 626, 8.7),
(185, 626, 8.7),
(186, 626, 8.7),
(187, 626, 8.7),
(188, 626, 8.7),
(189, 626, 8.7),
(190, 626, 8.7),
(191, 626, 8.7),
(192, 626, 8.7),
(58, 627, 0.23331),
(59, 627, 0.23331),
(60, 627, 0.23331),
(62, 627, 0.23331),
(2, 627, 1.63317),
(4, 627, 1.63317),
(193, 627, 1.63317),
(58, 628, 0.95669),
(59, 628, 0.95669),
(60, 628, 0.95669),
(62, 628, 0.95669),
(2, 628, 6.69683),
(4, 628, 6.69683),
(193, 628, 6.69683),
(58, 629, 1.02669),
(59, 629, 1.02669),
(60, 629, 1.02669),
(62, 629, 1.02669),
(2, 629, 7.18683),
(4, 629, 7.18683),
(193, 629, 7.18683),
(58, 670, 0.37331),
(59, 670, 0.37331),
(60, 670, 0.37331),
(62, 670, 0.37331),
(2, 670, 2.61317),
(4, 670, 2.61317),
(193, 670, 2.61317),
(58, 671, 1.12),
(59, 671, 1.12),
(60, 671, 1.12),
(62, 671, 1.12),
(2, 671, 7.84),
(4, 671, 7.84),
(193, 671, 7.84),
(58, 672, 1.23669),
(59, 672, 1.23669),
(60, 672, 1.23669),
(62, 672, 1.23669),
(2, 672, 8.65683),
(4, 672, 8.65683),
(193, 672, 8.65683),
(58, 673, 0.74662),
(59, 673, 0.74662),
(60, 673, 0.74662),
(62, 673, 0.74662),
(2, 673, 2.61317),
(4, 673, 2.61317),
(193, 673, 2.61317),
(58, 674, 2.00662),
(59, 674, 2.00662),
(60, 674, 2.00662),
(62, 674, 2.00662),
(2, 674, 7.02317),
(4, 674, 7.02317),
(193, 674, 7.02317),
(58, 675, 2.14662),
(59, 675, 2.14662),
(60, 675, 2.14662),
(62, 675, 2.14662),
(2, 675, 7.51317),
(4, 675, 7.51317),
(193, 675, 7.51317),
(62, 846, 0.84),
(57, 846, 1.26),
(58, 846, 1.26),
(59, 846, 1.26),
(60, 846, 1.26),
(61, 846, 1.26),
(62, 847, 2.1),
(57, 847, 3.15),
(58, 847, 3.15),
(59, 847, 3.15),
(60, 847, 3.15),
(61, 847, 3.15),
(62, 848, 2.33338),
(57, 848, 3.50007),
(58, 848, 3.50007),
(59, 848, 3.50007),
(60, 848, 3.50007),
(61, 848, 3.50007),
(62, 849, 0.93331),
(58, 849, 1.86662),
(59, 849, 1.86662),
(60, 849, 1.86662),
(57, 849, 2.79993),
(61, 849, 2.79993),
(62, 850, 1.12),
(58, 850, 2.24),
(59, 850, 2.24),
(60, 850, 2.24),
(57, 850, 3.36),
(61, 850, 3.36),
(62, 851, 0.28),
(57, 851, 0.42),
(58, 851, 0.42),
(59, 851, 0.42),
(60, 851, 0.42),
(61, 851, 0.42),
(57, 852, 1.91338),
(61, 852, 1.91338),
(62, 852, 1.91338),
(58, 852, 2.87007),
(59, 852, 2.87007),
(60, 852, 2.87007),
(57, 853, 2.1),
(61, 853, 2.1),
(62, 853, 2.1),
(58, 853, 3.15),
(59, 853, 3.15),
(60, 853, 3.15),
(58, 854, 2.05338),
(59, 854, 2.05338),
(60, 854, 2.05338),
(62, 854, 2.05338),
(57, 854, 3.08007),
(61, 854, 3.08007),
(58, 855, 2.28662),
(59, 855, 2.28662),
(60, 855, 2.28662),
(62, 855, 2.28662),
(57, 855, 3.42993),
(61, 855, 3.42993),
(58, 895, 0.84),
(59, 895, 0.84),
(60, 895, 0.84),
(62, 895, 0.84),
(57, 895, 1.26),
(61, 895, 1.26),
(58, 896, 2.1),
(59, 896, 2.1),
(60, 896, 2.1),
(62, 896, 2.1),
(57, 896, 3.15),
(61, 896, 3.15),
(58, 897, 2.38),
(59, 897, 2.38),
(60, 897, 2.38),
(62, 897, 2.38),
(57, 897, 3.57),
(61, 897, 3.57),
(58, 898, 0.84),
(59, 898, 0.84),
(60, 898, 0.84),
(62, 898, 0.84),
(57, 898, 1.26),
(61, 898, 1.26),
(58, 899, 2.05338),
(59, 899, 2.05338),
(60, 899, 2.05338),
(62, 899, 2.05338),
(57, 899, 3.08007),
(61, 899, 3.08007),
(58, 900, 2.19338),
(59, 900, 2.19338),
(60, 900, 2.19338),
(62, 900, 2.19338),
(57, 900, 3.29007),
(61, 900, 3.29007),
(58, 901, 0.84),
(59, 901, 0.84),
(60, 901, 0.84),
(62, 901, 0.84),
(57, 901, 1.26),
(61, 901, 1.26),
(58, 902, 2.14662),
(59, 902, 2.14662),
(60, 902, 2.14662),
(62, 902, 2.14662),
(57, 902, 3.21993),
(61, 902, 3.21993),
(58, 903, 2.38),
(59, 903, 2.38),
(60, 903, 2.38),
(62, 903, 2.38),
(57, 903, 3.57),
(61, 903, 3.57),
(57, 913, 1.86662),
(61, 913, 1.86662),
(62, 913, 1.86662),
(58, 913, 2.79993),
(59, 913, 2.79993),
(60, 913, 2.79993),
(57, 914, 2.00662),
(61, 914, 2.00662),
(62, 914, 2.00662),
(58, 914, 3.00993),
(59, 914, 3.00993),
(60, 914, 3.00993),
(62, 915, 0.88669),
(58, 915, 1.77338),
(59, 915, 1.77338),
(60, 915, 1.77338),
(57, 915, 2.66007),
(61, 915, 2.66007),
(62, 916, 1.02669),
(58, 916, 2.05338),
(59, 916, 2.05338),
(60, 916, 2.05338),
(57, 916, 3.08007),
(61, 916, 3.08007),
(62, 917, 0.37331),
(58, 917, 0.74662),
(59, 917, 0.74662),
(60, 917, 0.74662),
(57, 917, 1.11993);
INSERT INTO `#__finder_links_terms8` (`link_id`, `term_id`, `weight`) VALUES
(61, 917, 1.11993),
(62, 918, 1.12),
(58, 918, 2.24),
(59, 918, 2.24),
(60, 918, 2.24),
(57, 918, 3.36),
(61, 918, 3.36),
(62, 919, 1.28331),
(58, 919, 2.56662),
(59, 919, 2.56662),
(60, 919, 2.56662),
(57, 919, 3.84993),
(61, 919, 3.84993),
(62, 920, 0.32669),
(58, 920, 0.65338),
(59, 920, 0.65338),
(60, 920, 0.65338),
(57, 920, 0.98007),
(61, 920, 0.98007),
(62, 921, 1.07331),
(58, 921, 2.14662),
(59, 921, 2.14662),
(60, 921, 2.14662),
(57, 921, 3.21993),
(61, 921, 3.21993),
(62, 922, 1.21331),
(58, 922, 2.42662),
(59, 922, 2.42662),
(60, 922, 2.42662),
(57, 922, 3.63993),
(61, 922, 3.63993),
(57, 923, 0.74662),
(61, 923, 0.74662),
(62, 923, 0.74662),
(58, 923, 1.11993),
(59, 923, 1.11993),
(60, 923, 1.11993),
(57, 924, 2.1),
(61, 924, 2.1),
(62, 924, 2.1),
(58, 924, 3.15),
(59, 924, 3.15),
(60, 924, 3.15),
(57, 925, 2.28662),
(61, 925, 2.28662),
(62, 925, 2.28662),
(58, 925, 3.42993),
(59, 925, 3.42993),
(60, 925, 3.42993),
(62, 926, 0.88669),
(58, 926, 1.77338),
(59, 926, 1.77338),
(60, 926, 1.77338),
(57, 926, 2.66007),
(61, 926, 2.66007),
(62, 927, 1.02669),
(58, 927, 2.05338),
(59, 927, 2.05338),
(60, 927, 2.05338),
(57, 927, 3.08007),
(61, 927, 3.08007),
(62, 928, 0.95669),
(58, 928, 1.91338),
(59, 928, 1.91338),
(60, 928, 1.91338),
(57, 928, 2.87007),
(61, 928, 2.87007),
(62, 929, 1.12),
(58, 929, 2.24),
(59, 929, 2.24),
(60, 929, 2.24),
(57, 929, 3.36),
(61, 929, 3.36),
(57, 997, 0.37338),
(61, 997, 0.37338),
(62, 997, 0.37338),
(58, 997, 0.56007),
(59, 997, 0.56007),
(60, 997, 0.56007),
(57, 998, 1.96),
(61, 998, 1.96),
(62, 998, 1.96),
(58, 998, 2.94),
(59, 998, 2.94),
(60, 998, 2.94),
(57, 999, 2.42662),
(61, 999, 2.42662),
(62, 999, 2.42662),
(58, 999, 3.63993),
(59, 999, 3.63993),
(60, 999, 3.63993),
(62, 1000, 0.28),
(58, 1000, 0.56),
(59, 1000, 0.56),
(60, 1000, 0.56),
(57, 1000, 0.84),
(61, 1000, 0.84),
(62, 1001, 0.95669),
(58, 1001, 1.91338),
(59, 1001, 1.91338),
(60, 1001, 1.91338),
(57, 1001, 2.87007),
(61, 1001, 2.87007),
(62, 1002, 1.12),
(58, 1002, 2.24),
(59, 1002, 2.24),
(60, 1002, 2.24),
(57, 1002, 3.36),
(61, 1002, 3.36),
(62, 1003, 0.98),
(58, 1003, 1.96),
(59, 1003, 1.96),
(60, 1003, 1.96),
(57, 1003, 2.94),
(61, 1003, 2.94),
(62, 1004, 1.21331),
(58, 1004, 2.42662),
(59, 1004, 2.42662),
(60, 1004, 2.42662),
(57, 1004, 3.63993),
(61, 1004, 3.63993),
(62, 1005, 1.11993),
(57, 1005, 1.86655),
(58, 1005, 1.86655),
(59, 1005, 1.86655),
(60, 1005, 1.86655),
(61, 1005, 1.86655),
(62, 1006, 1.02669),
(58, 1006, 2.05338),
(59, 1006, 2.05338),
(60, 1006, 2.05338),
(57, 1006, 3.08007),
(61, 1006, 3.08007),
(62, 1007, 1.09669),
(58, 1007, 2.19338),
(59, 1007, 2.19338),
(60, 1007, 2.19338),
(57, 1007, 3.29007),
(61, 1007, 3.29007),
(57, 1008, 2.1),
(61, 1008, 2.1),
(62, 1008, 2.1),
(58, 1008, 3.15),
(59, 1008, 3.15),
(60, 1008, 3.15),
(57, 1009, 2.28662),
(61, 1009, 2.28662),
(62, 1009, 2.28662),
(58, 1009, 3.42993),
(59, 1009, 3.42993),
(60, 1009, 3.42993),
(171, 1010, 0.80004),
(174, 1010, 0.80004),
(175, 1010, 0.80004),
(176, 1010, 0.80004),
(177, 1010, 0.80004),
(178, 1010, 0.80004),
(179, 1010, 0.80004),
(180, 1010, 0.80004),
(181, 1010, 0.80004),
(182, 1010, 0.80004),
(183, 1010, 0.80004),
(184, 1010, 0.80004),
(185, 1010, 0.80004),
(186, 1010, 0.80004),
(187, 1010, 0.80004),
(188, 1010, 0.80004),
(189, 1010, 0.80004),
(190, 1010, 0.80004),
(191, 1010, 0.80004),
(192, 1010, 0.80004),
(57, 1011, 0.65338),
(61, 1011, 0.65338),
(62, 1011, 0.65338),
(58, 1011, 0.98007),
(59, 1011, 0.98007),
(60, 1011, 0.98007),
(57, 1012, 1.96),
(61, 1012, 1.96),
(62, 1012, 1.96),
(58, 1012, 2.94),
(59, 1012, 2.94),
(60, 1012, 2.94),
(57, 1013, 1.14331),
(61, 1013, 1.14331),
(62, 1013, 2.28662),
(58, 1013, 3.42993),
(59, 1013, 3.42993),
(60, 1013, 3.42993),
(57, 1014, 0.46662),
(61, 1014, 0.46662),
(62, 1014, 0.46662),
(58, 1014, 0.69993),
(59, 1014, 0.69993),
(60, 1014, 0.69993),
(171, 1014, 0.69993),
(174, 1014, 0.69993),
(175, 1014, 0.69993),
(176, 1014, 0.69993),
(177, 1014, 0.69993),
(178, 1014, 0.69993),
(179, 1014, 0.69993),
(180, 1014, 0.69993),
(181, 1014, 0.69993),
(182, 1014, 0.69993),
(183, 1014, 0.69993),
(184, 1014, 0.69993),
(185, 1014, 0.69993),
(186, 1014, 0.69993),
(187, 1014, 0.69993),
(188, 1014, 0.69993),
(189, 1014, 0.69993),
(190, 1014, 0.69993),
(191, 1014, 0.69993),
(192, 1014, 0.69993),
(57, 1015, 1.96),
(61, 1015, 1.96),
(62, 1015, 1.96),
(58, 1015, 2.94),
(59, 1015, 2.94),
(60, 1015, 2.94),
(57, 1016, 2.14662),
(61, 1016, 2.14662),
(62, 1016, 2.14662),
(58, 1016, 3.21993),
(59, 1016, 3.21993),
(60, 1016, 3.21993),
(62, 1017, 1.49324),
(57, 1017, 1.86655),
(58, 1017, 1.86655),
(59, 1017, 1.86655),
(60, 1017, 1.86655),
(61, 1017, 1.86655),
(57, 1018, 2.14662),
(61, 1018, 2.14662),
(62, 1018, 2.14662),
(58, 1018, 3.21993),
(59, 1018, 3.21993),
(60, 1018, 3.21993),
(57, 1019, 2.38),
(61, 1019, 2.38),
(62, 1019, 2.38),
(58, 1019, 3.57),
(59, 1019, 3.57),
(60, 1019, 3.57),
(58, 1020, 1.96),
(59, 1020, 1.96),
(60, 1020, 1.96),
(62, 1020, 1.96),
(57, 1020, 2.94),
(61, 1020, 2.94),
(58, 1021, 2.19338),
(59, 1021, 2.19338),
(60, 1021, 2.19338),
(62, 1021, 2.19338),
(57, 1021, 3.29007),
(61, 1021, 3.29007),
(62, 1022, 0.46662),
(57, 1022, 0.69993),
(58, 1022, 0.69993),
(59, 1022, 0.69993),
(60, 1022, 0.69993),
(61, 1022, 0.69993),
(62, 1023, 1.82),
(57, 1023, 2.73),
(58, 1023, 2.73),
(59, 1023, 2.73),
(60, 1023, 2.73),
(61, 1023, 2.73),
(62, 1024, 2.14662),
(57, 1024, 3.21993),
(58, 1024, 3.21993),
(59, 1024, 3.21993),
(60, 1024, 3.21993);
INSERT INTO `#__finder_links_terms8` (`link_id`, `term_id`, `weight`) VALUES
(61, 1024, 3.21993),
(57, 1352, 0.95669),
(61, 1352, 0.95669),
(57, 1353, 1.09669),
(61, 1353, 1.09669),
(171, 2806, 0.18669),
(174, 2806, 0.18669),
(175, 2806, 0.18669),
(176, 2806, 0.18669),
(177, 2806, 0.18669),
(178, 2806, 0.18669),
(179, 2806, 0.18669),
(180, 2806, 0.18669),
(181, 2806, 0.18669),
(182, 2806, 0.18669),
(183, 2806, 0.18669),
(184, 2806, 0.18669),
(185, 2806, 0.18669),
(186, 2806, 0.18669),
(187, 2806, 0.18669),
(188, 2806, 0.18669),
(189, 2806, 0.18669),
(190, 2806, 0.18669),
(191, 2806, 0.18669),
(192, 2806, 0.18669),
(171, 2807, 0.91),
(174, 2807, 0.91),
(175, 2807, 0.91),
(176, 2807, 0.91),
(177, 2807, 0.91),
(178, 2807, 0.91),
(179, 2807, 0.91),
(180, 2807, 0.91),
(181, 2807, 0.91),
(182, 2807, 0.91),
(183, 2807, 0.91),
(184, 2807, 0.91),
(185, 2807, 0.91),
(186, 2807, 0.91),
(187, 2807, 0.91),
(188, 2807, 0.91),
(189, 2807, 0.91),
(190, 2807, 0.91),
(191, 2807, 0.91),
(192, 2807, 0.91),
(171, 2808, 1.05),
(174, 2808, 1.05),
(175, 2808, 1.05),
(176, 2808, 1.05),
(177, 2808, 1.05),
(178, 2808, 1.05),
(179, 2808, 1.05),
(180, 2808, 1.05),
(181, 2808, 1.05),
(182, 2808, 1.05),
(183, 2808, 1.05),
(184, 2808, 1.05),
(185, 2808, 1.05),
(186, 2808, 1.05),
(187, 2808, 1.05),
(188, 2808, 1.05),
(189, 2808, 1.05),
(190, 2808, 1.05),
(191, 2808, 1.05),
(192, 2808, 1.05),
(171, 2809, 0.51331),
(174, 2809, 0.51331),
(175, 2809, 0.51331),
(176, 2809, 0.51331),
(177, 2809, 0.51331),
(178, 2809, 0.51331),
(179, 2809, 0.51331),
(180, 2809, 0.51331),
(181, 2809, 0.51331),
(182, 2809, 0.51331),
(183, 2809, 0.51331),
(184, 2809, 0.51331),
(185, 2809, 0.51331),
(186, 2809, 0.51331),
(187, 2809, 0.51331),
(188, 2809, 0.51331),
(189, 2809, 0.51331),
(190, 2809, 0.51331),
(191, 2809, 0.51331),
(192, 2809, 0.51331),
(171, 2810, 1.09669),
(174, 2810, 1.09669),
(175, 2810, 1.09669),
(176, 2810, 1.09669),
(177, 2810, 1.09669),
(178, 2810, 1.09669),
(179, 2810, 1.09669),
(180, 2810, 1.09669),
(181, 2810, 1.09669),
(182, 2810, 1.09669),
(183, 2810, 1.09669),
(184, 2810, 1.09669),
(185, 2810, 1.09669),
(186, 2810, 1.09669),
(187, 2810, 1.09669),
(188, 2810, 1.09669),
(189, 2810, 1.09669),
(190, 2810, 1.09669),
(191, 2810, 1.09669),
(192, 2810, 1.09669),
(171, 2811, 1.19),
(174, 2811, 1.19),
(175, 2811, 1.19),
(176, 2811, 1.19),
(177, 2811, 1.19),
(178, 2811, 1.19),
(179, 2811, 1.19),
(180, 2811, 1.19),
(181, 2811, 1.19),
(182, 2811, 1.19),
(183, 2811, 1.19),
(184, 2811, 1.19),
(185, 2811, 1.19),
(186, 2811, 1.19),
(187, 2811, 1.19),
(188, 2811, 1.19),
(189, 2811, 1.19),
(190, 2811, 1.19),
(191, 2811, 1.19),
(192, 2811, 1.19),
(171, 2812, 0.28),
(174, 2812, 0.28),
(175, 2812, 0.28),
(176, 2812, 0.28),
(177, 2812, 0.28),
(178, 2812, 0.28),
(179, 2812, 0.28),
(180, 2812, 0.28),
(181, 2812, 0.28),
(182, 2812, 0.28),
(183, 2812, 0.28),
(184, 2812, 0.28),
(185, 2812, 0.28),
(186, 2812, 0.28),
(187, 2812, 0.28),
(188, 2812, 0.28),
(189, 2812, 0.28),
(190, 2812, 0.28),
(191, 2812, 0.28),
(192, 2812, 0.28),
(171, 2813, 1.00331),
(174, 2813, 1.00331),
(175, 2813, 1.00331),
(176, 2813, 1.00331),
(177, 2813, 1.00331),
(178, 2813, 1.00331),
(179, 2813, 1.00331),
(180, 2813, 1.00331),
(181, 2813, 1.00331),
(182, 2813, 1.00331),
(183, 2813, 1.00331),
(184, 2813, 1.00331),
(185, 2813, 1.00331),
(186, 2813, 1.00331),
(187, 2813, 1.00331),
(188, 2813, 1.00331),
(189, 2813, 1.00331),
(190, 2813, 1.00331),
(191, 2813, 1.00331),
(192, 2813, 1.00331),
(171, 2814, 1.14331),
(174, 2814, 1.14331),
(175, 2814, 1.14331),
(176, 2814, 1.14331),
(177, 2814, 1.14331),
(178, 2814, 1.14331),
(179, 2814, 1.14331),
(180, 2814, 1.14331),
(181, 2814, 1.14331),
(182, 2814, 1.14331),
(183, 2814, 1.14331),
(184, 2814, 1.14331),
(185, 2814, 1.14331),
(186, 2814, 1.14331),
(187, 2814, 1.14331),
(188, 2814, 1.14331),
(189, 2814, 1.14331),
(190, 2814, 1.14331),
(191, 2814, 1.14331),
(192, 2814, 1.14331),
(171, 2815, 0.23331),
(174, 2815, 0.23331),
(175, 2815, 0.23331),
(176, 2815, 0.23331),
(177, 2815, 0.23331),
(178, 2815, 0.23331),
(179, 2815, 0.23331),
(180, 2815, 0.23331),
(181, 2815, 0.23331),
(182, 2815, 0.23331),
(183, 2815, 0.23331),
(184, 2815, 0.23331),
(185, 2815, 0.23331),
(186, 2815, 0.23331),
(187, 2815, 0.23331),
(188, 2815, 0.23331),
(189, 2815, 0.23331),
(190, 2815, 0.23331),
(191, 2815, 0.23331),
(192, 2815, 0.23331),
(171, 2816, 0.95669),
(174, 2816, 0.95669),
(175, 2816, 0.95669),
(176, 2816, 0.95669),
(177, 2816, 0.95669),
(178, 2816, 0.95669),
(179, 2816, 0.95669),
(180, 2816, 0.95669),
(181, 2816, 0.95669),
(182, 2816, 0.95669),
(183, 2816, 0.95669),
(184, 2816, 0.95669),
(185, 2816, 0.95669),
(186, 2816, 0.95669),
(187, 2816, 0.95669),
(188, 2816, 0.95669),
(189, 2816, 0.95669),
(190, 2816, 0.95669),
(191, 2816, 0.95669),
(192, 2816, 0.95669),
(171, 2817, 1.05),
(174, 2817, 1.05),
(175, 2817, 1.05),
(176, 2817, 1.05),
(177, 2817, 1.05),
(178, 2817, 1.05),
(179, 2817, 1.05),
(180, 2817, 1.05),
(181, 2817, 1.05),
(182, 2817, 1.05),
(183, 2817, 1.05),
(184, 2817, 1.05),
(185, 2817, 1.05),
(186, 2817, 1.05),
(187, 2817, 1.05),
(188, 2817, 1.05),
(189, 2817, 1.05),
(190, 2817, 1.05),
(191, 2817, 1.05),
(192, 2817, 1.05),
(171, 2833, 0.95669),
(174, 2833, 0.95669),
(175, 2833, 0.95669),
(176, 2833, 0.95669),
(177, 2833, 0.95669),
(178, 2833, 0.95669),
(179, 2833, 0.95669),
(180, 2833, 0.95669),
(181, 2833, 0.95669),
(182, 2833, 0.95669),
(183, 2833, 0.95669),
(184, 2833, 0.95669),
(185, 2833, 0.95669),
(186, 2833, 0.95669),
(187, 2833, 0.95669),
(188, 2833, 0.95669);
INSERT INTO `#__finder_links_terms8` (`link_id`, `term_id`, `weight`) VALUES
(189, 2833, 0.95669),
(190, 2833, 0.95669),
(191, 2833, 0.95669),
(192, 2833, 0.95669),
(171, 2834, 1.14331),
(174, 2834, 1.14331),
(175, 2834, 1.14331),
(176, 2834, 1.14331),
(177, 2834, 1.14331),
(178, 2834, 1.14331),
(179, 2834, 1.14331),
(180, 2834, 1.14331),
(181, 2834, 1.14331),
(182, 2834, 1.14331),
(183, 2834, 1.14331),
(184, 2834, 1.14331),
(185, 2834, 1.14331),
(186, 2834, 1.14331),
(187, 2834, 1.14331),
(188, 2834, 1.14331),
(189, 2834, 1.14331),
(190, 2834, 1.14331),
(191, 2834, 1.14331),
(192, 2834, 1.14331),
(171, 2835, 0.95669),
(174, 2835, 0.95669),
(175, 2835, 0.95669),
(176, 2835, 0.95669),
(177, 2835, 0.95669),
(178, 2835, 0.95669),
(179, 2835, 0.95669),
(180, 2835, 0.95669),
(181, 2835, 0.95669),
(182, 2835, 0.95669),
(183, 2835, 0.95669),
(184, 2835, 0.95669),
(185, 2835, 0.95669),
(186, 2835, 0.95669),
(187, 2835, 0.95669),
(188, 2835, 0.95669),
(189, 2835, 0.95669),
(190, 2835, 0.95669),
(191, 2835, 0.95669),
(192, 2835, 0.95669),
(171, 2836, 1.09669),
(174, 2836, 1.09669),
(175, 2836, 1.09669),
(176, 2836, 1.09669),
(177, 2836, 1.09669),
(178, 2836, 1.09669),
(179, 2836, 1.09669),
(180, 2836, 1.09669),
(181, 2836, 1.09669),
(182, 2836, 1.09669),
(183, 2836, 1.09669),
(184, 2836, 1.09669),
(185, 2836, 1.09669),
(186, 2836, 1.09669),
(187, 2836, 1.09669),
(188, 2836, 1.09669),
(189, 2836, 1.09669),
(190, 2836, 1.09669),
(191, 2836, 1.09669),
(192, 2836, 1.09669),
(171, 2867, 2.73),
(174, 2867, 2.73),
(175, 2867, 2.73),
(176, 2867, 2.73),
(177, 2867, 2.73),
(178, 2867, 2.73),
(179, 2867, 2.73),
(180, 2867, 2.73),
(181, 2867, 2.73),
(182, 2867, 2.73),
(183, 2867, 2.73),
(184, 2867, 2.73),
(185, 2867, 2.73),
(186, 2867, 2.73),
(187, 2867, 2.73),
(188, 2867, 2.73),
(189, 2867, 2.73),
(190, 2867, 2.73),
(191, 2867, 2.73),
(192, 2867, 2.73),
(171, 2868, 3.08007),
(174, 2868, 3.08007),
(175, 2868, 3.08007),
(176, 2868, 3.08007),
(177, 2868, 3.08007),
(178, 2868, 3.08007),
(179, 2868, 3.08007),
(180, 2868, 3.08007),
(181, 2868, 3.08007),
(182, 2868, 3.08007),
(183, 2868, 3.08007),
(184, 2868, 3.08007),
(185, 2868, 3.08007),
(186, 2868, 3.08007),
(187, 2868, 3.08007),
(188, 2868, 3.08007),
(189, 2868, 3.08007),
(190, 2868, 3.08007),
(191, 2868, 3.08007),
(192, 2868, 3.08007),
(171, 2869, 0.65338),
(174, 2869, 0.65338),
(175, 2869, 0.65338),
(176, 2869, 0.65338),
(177, 2869, 0.65338),
(178, 2869, 0.65338),
(179, 2869, 0.65338),
(180, 2869, 0.65338),
(181, 2869, 0.65338),
(182, 2869, 0.65338),
(183, 2869, 0.65338),
(184, 2869, 0.65338),
(185, 2869, 0.65338),
(186, 2869, 0.65338),
(187, 2869, 0.65338),
(188, 2869, 0.65338),
(189, 2869, 0.65338),
(190, 2869, 0.65338),
(191, 2869, 0.65338),
(192, 2869, 0.65338),
(171, 2870, 1.14331),
(174, 2870, 1.14331),
(175, 2870, 1.14331),
(176, 2870, 1.14331),
(177, 2870, 1.14331),
(178, 2870, 1.14331),
(179, 2870, 1.14331),
(180, 2870, 1.14331),
(181, 2870, 1.14331),
(182, 2870, 1.14331),
(183, 2870, 1.14331),
(184, 2870, 1.14331),
(185, 2870, 1.14331),
(186, 2870, 1.14331),
(187, 2870, 1.14331),
(188, 2870, 1.14331),
(189, 2870, 1.14331),
(190, 2870, 1.14331),
(191, 2870, 1.14331),
(192, 2870, 1.14331),
(171, 2871, 1.28331),
(174, 2871, 1.28331),
(175, 2871, 1.28331),
(176, 2871, 1.28331),
(177, 2871, 1.28331),
(178, 2871, 1.28331),
(179, 2871, 1.28331),
(180, 2871, 1.28331),
(181, 2871, 1.28331),
(182, 2871, 1.28331),
(183, 2871, 1.28331),
(184, 2871, 1.28331),
(185, 2871, 1.28331),
(186, 2871, 1.28331),
(187, 2871, 1.28331),
(188, 2871, 1.28331),
(189, 2871, 1.28331),
(190, 2871, 1.28331),
(191, 2871, 1.28331),
(192, 2871, 1.28331),
(171, 2872, 0.95669),
(174, 2872, 0.95669),
(175, 2872, 0.95669),
(176, 2872, 0.95669),
(177, 2872, 0.95669),
(178, 2872, 0.95669),
(179, 2872, 0.95669),
(180, 2872, 0.95669),
(181, 2872, 0.95669),
(182, 2872, 0.95669),
(183, 2872, 0.95669),
(184, 2872, 0.95669),
(185, 2872, 0.95669),
(186, 2872, 0.95669),
(187, 2872, 0.95669),
(188, 2872, 0.95669),
(189, 2872, 0.95669),
(190, 2872, 0.95669),
(191, 2872, 0.95669),
(192, 2872, 0.95669);

DROP TABLE IF EXISTS `#__finder_links_terms9`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms9` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_terms9` (`link_id`, `term_id`, `weight`) VALUES
(1, 48, 0.18669),
(1, 49, 0.98),
(1, 50, 1.12),
(1, 51, 0.23331),
(1, 52, 1.07331),
(1, 53, 1.37669),
(1, 54, 0.18669),
(1, 55, 1.19),
(1, 56, 1.4),
(1, 57, 0.18669),
(1, 58, 0.95669),
(1, 59, 1.16669),
(1, 60, 0.37331),
(1, 61, 1.05),
(1, 62, 1.14331),
(1, 444, 0.42),
(1, 445, 1.02669),
(1, 446, 1.16669),
(1, 447, 0.46669),
(1, 448, 1.16669),
(1, 449, 1.26),
(1, 478, 0.23331),
(1, 479, 0.91),
(1, 480, 1.21331),
(62, 711, 1.16655),
(57, 711, 1.39986),
(58, 711, 1.39986),
(59, 711, 1.39986),
(60, 711, 1.39986),
(61, 711, 1.39986),
(2, 711, 1.63317),
(4, 711, 1.63317),
(193, 711, 1.63317),
(58, 712, 0.93331),
(59, 712, 0.93331),
(60, 712, 0.93331),
(62, 712, 0.93331),
(2, 712, 6.53317),
(4, 712, 6.53317),
(193, 712, 6.53317),
(58, 713, 1.09669),
(59, 713, 1.09669),
(60, 713, 1.09669),
(62, 713, 1.09669),
(2, 713, 7.67683),
(4, 713, 7.67683),
(193, 713, 7.67683),
(58, 714, 0.28),
(59, 714, 0.28),
(60, 714, 0.28),
(62, 714, 0.28),
(2, 714, 1.96),
(4, 714, 1.96),
(193, 714, 1.96),
(58, 715, 0.95669),
(59, 715, 0.95669),
(60, 715, 0.95669),
(62, 715, 0.95669),
(2, 715, 6.69683),
(4, 715, 6.69683),
(193, 715, 6.69683),
(58, 716, 1.14331),
(59, 716, 1.14331),
(60, 716, 1.14331),
(62, 716, 1.14331),
(2, 716, 8.00317),
(4, 716, 8.00317),
(193, 716, 8.00317),
(58, 717, 0.42),
(59, 717, 0.42),
(60, 717, 0.42),
(62, 717, 0.42),
(2, 717, 2.94),
(4, 717, 2.94),
(193, 717, 2.94),
(58, 718, 1.05),
(59, 718, 1.05),
(60, 718, 1.05),
(62, 718, 1.05),
(2, 718, 7.35),
(4, 718, 7.35),
(193, 718, 7.35),
(58, 719, 1.16669),
(59, 719, 1.16669),
(60, 719, 1.16669),
(62, 719, 1.16669),
(2, 719, 8.16683),
(4, 719, 8.16683),
(193, 719, 8.16683),
(58, 1105, 0.74662),
(59, 1105, 0.74662),
(60, 1105, 0.74662),
(62, 1105, 0.74662),
(57, 1105, 1.11993),
(61, 1105, 1.11993),
(58, 1106, 2.00662),
(59, 1106, 2.00662),
(60, 1106, 2.00662),
(62, 1106, 2.00662),
(57, 1106, 3.00993),
(61, 1106, 3.00993),
(58, 1107, 2.24),
(59, 1107, 2.24),
(60, 1107, 2.24),
(62, 1107, 2.24),
(57, 1107, 3.36),
(61, 1107, 3.36),
(62, 1108, 0.7),
(58, 1108, 0.84),
(59, 1108, 0.84),
(60, 1108, 0.84),
(57, 1108, 1.26),
(61, 1108, 1.26),
(58, 1109, 1.96),
(59, 1109, 1.96),
(60, 1109, 1.96),
(62, 1109, 1.96),
(57, 1109, 2.94),
(61, 1109, 2.94),
(58, 1110, 2.19338),
(59, 1110, 2.19338),
(60, 1110, 2.19338),
(62, 1110, 2.19338),
(57, 1110, 3.29007),
(61, 1110, 3.29007),
(62, 1111, 0.91),
(58, 1111, 1.82),
(59, 1111, 1.82),
(60, 1111, 1.82),
(57, 1111, 2.73),
(61, 1111, 2.73),
(62, 1112, 1.09669),
(58, 1112, 2.19338),
(59, 1112, 2.19338),
(60, 1112, 2.19338),
(57, 1112, 3.29007),
(61, 1112, 3.29007),
(58, 1113, 1.82),
(59, 1113, 1.82),
(60, 1113, 1.82),
(62, 1113, 1.82),
(57, 1113, 2.73),
(61, 1113, 2.73),
(58, 1114, 2.14662),
(59, 1114, 2.14662),
(60, 1114, 2.14662),
(62, 1114, 2.14662),
(57, 1114, 3.21993),
(61, 1114, 3.21993),
(62, 1115, 2.00662),
(57, 1115, 3.00993),
(58, 1115, 3.00993),
(59, 1115, 3.00993),
(60, 1115, 3.00993),
(61, 1115, 3.00993),
(62, 1116, 2.14662),
(57, 1116, 3.21993),
(58, 1116, 3.21993),
(59, 1116, 3.21993),
(60, 1116, 3.21993),
(61, 1116, 3.21993),
(58, 1117, 2.00662),
(59, 1117, 2.00662),
(60, 1117, 2.00662),
(62, 1117, 2.00662),
(57, 1117, 3.00993),
(61, 1117, 3.00993),
(58, 1118, 2.14662),
(59, 1118, 2.14662),
(60, 1118, 2.14662),
(62, 1118, 2.14662),
(57, 1118, 3.21993),
(61, 1118, 3.21993),
(58, 1119, 0.46662),
(59, 1119, 0.46662),
(60, 1119, 0.46662),
(62, 1119, 0.46662),
(57, 1119, 0.69993),
(61, 1119, 0.69993),
(58, 1120, 1.82),
(59, 1120, 1.82),
(60, 1120, 1.82),
(62, 1120, 1.82),
(57, 1120, 2.73),
(61, 1120, 2.73),
(58, 1121, 2.05338),
(59, 1121, 2.05338),
(60, 1121, 2.05338),
(62, 1121, 2.05338),
(57, 1121, 3.08007),
(61, 1121, 3.08007),
(62, 1122, 1.30676),
(57, 1122, 1.63345),
(58, 1122, 1.63345),
(59, 1122, 1.63345),
(60, 1122, 1.63345),
(61, 1122, 1.63345),
(57, 1123, 2.19338),
(61, 1123, 2.19338),
(62, 1123, 2.19338),
(58, 1123, 3.29007),
(59, 1123, 3.29007),
(60, 1123, 3.29007),
(57, 1124, 1.28331),
(58, 1124, 1.28331),
(59, 1124, 1.28331),
(60, 1124, 1.28331),
(61, 1124, 1.28331),
(58, 1125, 2.00662),
(59, 1125, 2.00662),
(60, 1125, 2.00662),
(62, 1125, 2.00662),
(57, 1125, 3.00993),
(61, 1125, 3.00993),
(58, 1126, 2.28662),
(59, 1126, 2.28662),
(60, 1126, 2.28662),
(62, 1126, 2.28662),
(57, 1126, 3.42993),
(61, 1126, 3.42993),
(58, 1298, 1.33),
(59, 1298, 1.33),
(60, 1298, 1.33),
(62, 1298, 1.33),
(58, 1299, 1.28331),
(59, 1299, 1.28331),
(60, 1299, 1.28331),
(62, 1299, 1.28331),
(57, 1351, 0.39996),
(58, 1351, 0.39996),
(59, 1351, 0.39996),
(60, 1351, 0.39996),
(61, 1351, 0.39996),
(62, 1351, 0.39996),
(171, 2887, 0.28),
(174, 2887, 0.28),
(175, 2887, 0.28),
(176, 2887, 0.28),
(177, 2887, 0.28),
(178, 2887, 0.28),
(179, 2887, 0.28),
(180, 2887, 0.28),
(181, 2887, 0.28),
(182, 2887, 0.28),
(183, 2887, 0.28),
(184, 2887, 0.28),
(185, 2887, 0.28),
(186, 2887, 0.28),
(187, 2887, 0.28),
(188, 2887, 0.28),
(189, 2887, 0.28),
(190, 2887, 0.28),
(191, 2887, 0.28),
(192, 2887, 0.28),
(171, 2888, 0.98),
(174, 2888, 0.98),
(175, 2888, 0.98),
(176, 2888, 0.98),
(177, 2888, 0.98),
(178, 2888, 0.98),
(179, 2888, 0.98),
(180, 2888, 0.98),
(181, 2888, 0.98),
(182, 2888, 0.98),
(183, 2888, 0.98),
(184, 2888, 0.98),
(185, 2888, 0.98),
(186, 2888, 0.98),
(187, 2888, 0.98),
(188, 2888, 0.98),
(189, 2888, 0.98),
(190, 2888, 0.98),
(191, 2888, 0.98),
(192, 2888, 0.98),
(171, 2889, 1.12),
(174, 2889, 1.12),
(175, 2889, 1.12),
(176, 2889, 1.12),
(177, 2889, 1.12),
(178, 2889, 1.12),
(179, 2889, 1.12),
(180, 2889, 1.12);
INSERT INTO `#__finder_links_terms9` (`link_id`, `term_id`, `weight`) VALUES
(181, 2889, 1.12),
(182, 2889, 1.12),
(183, 2889, 1.12),
(184, 2889, 1.12),
(185, 2889, 1.12),
(186, 2889, 1.12),
(187, 2889, 1.12),
(188, 2889, 1.12),
(189, 2889, 1.12),
(190, 2889, 1.12),
(191, 2889, 1.12),
(192, 2889, 1.12),
(171, 2890, 0.42),
(174, 2890, 0.42),
(175, 2890, 0.42),
(176, 2890, 0.42),
(177, 2890, 0.42),
(178, 2890, 0.42),
(179, 2890, 0.42),
(180, 2890, 0.42),
(181, 2890, 0.42),
(182, 2890, 0.42),
(183, 2890, 0.42),
(184, 2890, 0.42),
(185, 2890, 0.42),
(186, 2890, 0.42),
(187, 2890, 0.42),
(188, 2890, 0.42),
(189, 2890, 0.42),
(190, 2890, 0.42),
(191, 2890, 0.42),
(192, 2890, 0.42),
(171, 2891, 1.02669),
(174, 2891, 1.02669),
(175, 2891, 1.02669),
(176, 2891, 1.02669),
(177, 2891, 1.02669),
(178, 2891, 1.02669),
(179, 2891, 1.02669),
(180, 2891, 1.02669),
(181, 2891, 1.02669),
(182, 2891, 1.02669),
(183, 2891, 1.02669),
(184, 2891, 1.02669),
(185, 2891, 1.02669),
(186, 2891, 1.02669),
(187, 2891, 1.02669),
(188, 2891, 1.02669),
(189, 2891, 1.02669),
(190, 2891, 1.02669),
(191, 2891, 1.02669),
(192, 2891, 1.02669),
(171, 2892, 1.07331),
(174, 2892, 1.07331),
(175, 2892, 1.07331),
(176, 2892, 1.07331),
(177, 2892, 1.07331),
(178, 2892, 1.07331),
(179, 2892, 1.07331),
(180, 2892, 1.07331),
(181, 2892, 1.07331),
(182, 2892, 1.07331),
(183, 2892, 1.07331),
(184, 2892, 1.07331),
(185, 2892, 1.07331),
(186, 2892, 1.07331),
(187, 2892, 1.07331),
(188, 2892, 1.07331),
(189, 2892, 1.07331),
(190, 2892, 1.07331),
(191, 2892, 1.07331),
(192, 2892, 1.07331);

DROP TABLE IF EXISTS `#__finder_links_termsa`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsa` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_termsa` (`link_id`, `term_id`, `weight`) VALUES
(179, 2907, 0.34),
(180, 2908, 0.34),
(181, 2909, 0.34),
(182, 2910, 0.34),
(183, 2911, 0.34),
(184, 2912, 0.34),
(185, 2913, 0.34),
(186, 2914, 0.34),
(187, 2915, 0.34),
(188, 2916, 0.34);

DROP TABLE IF EXISTS `#__finder_links_termsb`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsb` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_termsb` (`link_id`, `term_id`, `weight`) VALUES
(62, 904, 0.65338),
(57, 904, 0.98007),
(58, 904, 0.98007),
(59, 904, 0.98007),
(60, 904, 0.98007),
(61, 904, 0.98007),
(62, 905, 2.19338),
(57, 905, 3.29007),
(58, 905, 3.29007),
(59, 905, 3.29007),
(60, 905, 3.29007),
(61, 905, 3.29007),
(62, 906, 2.47338),
(57, 906, 3.71007),
(58, 906, 3.71007),
(59, 906, 3.71007),
(60, 906, 3.71007),
(61, 906, 3.71007),
(193, 2924, 1.23321);

DROP TABLE IF EXISTS `#__finder_links_termsc`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsc` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_termsc` (`link_id`, `term_id`, `weight`) VALUES
(1, 2, 0.17),
(1, 3, 0.21),
(1, 4, 1.07331),
(1, 5, 1.16669),
(1, 6, 0.21),
(1, 7, 1.00331),
(1, 8, 1.09669),
(1, 9, 0.07),
(1, 10, 0.81669),
(1, 11, 1.05),
(1, 12, 0.21),
(1, 13, 0.93331),
(1, 14, 1.02669),
(2, 512, 0.34),
(4, 774, 0.34),
(171, 2773, 0.14),
(174, 2773, 0.14),
(175, 2773, 0.14),
(176, 2773, 0.14),
(177, 2773, 0.14),
(178, 2773, 0.14),
(179, 2773, 0.14),
(180, 2773, 0.14),
(181, 2773, 0.14),
(182, 2773, 0.14),
(183, 2773, 0.14),
(184, 2773, 0.14),
(185, 2773, 0.14),
(186, 2773, 0.14),
(187, 2773, 0.14),
(188, 2773, 0.14),
(189, 2773, 0.14),
(190, 2773, 0.14),
(191, 2773, 0.14),
(192, 2773, 0.14),
(171, 2774, 0.86331),
(174, 2774, 0.86331),
(175, 2774, 0.86331),
(176, 2774, 0.86331),
(177, 2774, 0.86331),
(178, 2774, 0.86331),
(179, 2774, 0.86331),
(180, 2774, 0.86331),
(181, 2774, 0.86331),
(182, 2774, 0.86331),
(183, 2774, 0.86331),
(184, 2774, 0.86331),
(185, 2774, 0.86331),
(186, 2774, 0.86331),
(187, 2774, 0.86331),
(188, 2774, 0.86331),
(189, 2774, 0.86331),
(190, 2774, 0.86331),
(191, 2774, 0.86331),
(192, 2774, 0.86331),
(171, 2775, 1.05),
(174, 2775, 1.05),
(175, 2775, 1.05),
(176, 2775, 1.05),
(177, 2775, 1.05),
(178, 2775, 1.05),
(179, 2775, 1.05),
(180, 2775, 1.05),
(181, 2775, 1.05),
(182, 2775, 1.05),
(183, 2775, 1.05),
(184, 2775, 1.05),
(185, 2775, 1.05),
(186, 2775, 1.05),
(187, 2775, 1.05),
(188, 2775, 1.05),
(189, 2775, 1.05),
(190, 2775, 1.05),
(191, 2775, 1.05),
(192, 2775, 1.05),
(171, 2776, 0.28),
(174, 2776, 0.28),
(175, 2776, 0.28),
(176, 2776, 0.28),
(177, 2776, 0.28),
(178, 2776, 0.28),
(179, 2776, 0.28),
(180, 2776, 0.28),
(181, 2776, 0.28),
(182, 2776, 0.28),
(183, 2776, 0.28),
(184, 2776, 0.28),
(185, 2776, 0.28),
(186, 2776, 0.28),
(187, 2776, 0.28),
(188, 2776, 0.28),
(189, 2776, 0.28),
(190, 2776, 0.28),
(191, 2776, 0.28),
(192, 2776, 0.28),
(171, 2777, 0.93331),
(174, 2777, 0.93331),
(175, 2777, 0.93331),
(176, 2777, 0.93331),
(177, 2777, 0.93331),
(178, 2777, 0.93331),
(179, 2777, 0.93331),
(180, 2777, 0.93331),
(181, 2777, 0.93331),
(182, 2777, 0.93331),
(183, 2777, 0.93331),
(184, 2777, 0.93331),
(185, 2777, 0.93331),
(186, 2777, 0.93331),
(187, 2777, 0.93331),
(188, 2777, 0.93331),
(189, 2777, 0.93331),
(190, 2777, 0.93331),
(191, 2777, 0.93331),
(192, 2777, 0.93331),
(171, 2778, 1.00331),
(174, 2778, 1.00331),
(175, 2778, 1.00331),
(176, 2778, 1.00331),
(177, 2778, 1.00331),
(178, 2778, 1.00331),
(179, 2778, 1.00331),
(180, 2778, 1.00331),
(181, 2778, 1.00331),
(182, 2778, 1.00331),
(183, 2778, 1.00331),
(184, 2778, 1.00331),
(185, 2778, 1.00331),
(186, 2778, 1.00331),
(187, 2778, 1.00331),
(188, 2778, 1.00331),
(189, 2778, 1.00331),
(190, 2778, 1.00331),
(191, 2778, 1.00331),
(192, 2778, 1.00331),
(193, 2921, 0.34);

DROP TABLE IF EXISTS `#__finder_links_termsd`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsd` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_termsd` (`link_id`, `term_id`, `weight`) VALUES
(1, 1, 0),
(2, 1, 0),
(4, 1, 0),
(57, 1, 0),
(58, 1, 0),
(59, 1, 0),
(60, 1, 0),
(61, 1, 0),
(62, 1, 0),
(171, 1, 0),
(174, 1, 0),
(175, 1, 0),
(176, 1, 0),
(177, 1, 0),
(178, 1, 0),
(179, 1, 0),
(180, 1, 0),
(181, 1, 0),
(182, 1, 0),
(183, 1, 0),
(184, 1, 0),
(185, 1, 0),
(186, 1, 0),
(187, 1, 0),
(188, 1, 0),
(189, 1, 0),
(190, 1, 0),
(191, 1, 0),
(192, 1, 0),
(193, 1, 0),
(1, 278, 0.09331),
(1, 279, 0.86331),
(1, 280, 0.95669),
(1, 281, 0.46669),
(1, 282, 1.02669),
(1, 283, 1.14331),
(1, 284, 0.14),
(1, 285, 1.00331),
(1, 286, 1.14331),
(1, 287, 0.09331),
(1, 288, 0.84),
(1, 289, 0.95669),
(1, 290, 0.23331),
(1, 291, 1.02669),
(1, 292, 1.19),
(1, 293, 0.09331),
(1, 294, 1.00331),
(1, 295, 1.12),
(1, 296, 0.15996),
(2, 296, 0.15996),
(4, 296, 0.15996),
(57, 296, 0.15996),
(58, 296, 0.15996),
(59, 296, 0.15996),
(60, 296, 0.15996),
(61, 296, 0.15996),
(62, 296, 0.15996),
(171, 296, 0.15996),
(174, 296, 0.15996),
(175, 296, 0.15996),
(176, 296, 0.15996),
(177, 296, 0.15996),
(178, 296, 0.15996),
(179, 296, 0.15996),
(180, 296, 0.15996),
(181, 296, 0.15996),
(182, 296, 0.15996),
(183, 296, 0.15996),
(184, 296, 0.15996),
(185, 296, 0.15996),
(186, 296, 0.15996),
(187, 296, 0.15996),
(188, 296, 0.15996),
(189, 296, 0.15996),
(190, 296, 0.15996),
(191, 296, 0.15996),
(192, 296, 0.15996),
(193, 296, 0.15996),
(1, 297, 1.64004),
(1, 298, 0.32669),
(1, 299, 1.07331),
(1, 300, 1.21331),
(58, 663, 0.74662),
(59, 663, 0.74662),
(60, 663, 0.74662),
(62, 663, 0.74662),
(2, 663, 2.61317),
(4, 663, 2.61317),
(193, 663, 2.61317),
(58, 664, 2.24),
(59, 664, 2.24),
(60, 664, 2.24),
(62, 664, 2.24),
(2, 664, 7.84),
(4, 664, 7.84),
(193, 664, 7.84),
(58, 665, 2.42662),
(59, 665, 2.42662),
(60, 665, 2.42662),
(62, 665, 2.42662),
(2, 665, 8.49317),
(4, 665, 8.49317),
(193, 665, 8.49317),
(58, 666, 0.65338),
(59, 666, 0.65338),
(60, 666, 0.65338),
(62, 666, 0.65338),
(2, 666, 2.28683),
(4, 666, 2.28683),
(193, 666, 2.28683),
(58, 667, 2.14662),
(59, 667, 2.14662),
(60, 667, 2.14662),
(62, 667, 2.14662),
(2, 667, 7.51317),
(4, 667, 7.51317),
(193, 667, 7.51317),
(58, 668, 2.47338),
(59, 668, 2.47338),
(60, 668, 2.47338),
(62, 668, 2.47338),
(2, 668, 8.65683),
(4, 668, 8.65683),
(193, 668, 8.65683),
(2, 669, 1.52004),
(4, 669, 1.52004),
(193, 669, 1.52004),
(58, 993, 0.37338),
(59, 993, 0.37338),
(60, 993, 0.37338),
(62, 993, 0.37338),
(57, 993, 0.56007),
(61, 993, 0.56007),
(171, 993, 0.56007),
(174, 993, 0.56007),
(175, 993, 0.56007),
(176, 993, 0.56007),
(177, 993, 0.56007),
(178, 993, 0.56007),
(179, 993, 0.56007),
(180, 993, 0.56007),
(181, 993, 0.56007),
(182, 993, 0.56007),
(183, 993, 0.56007),
(184, 993, 0.56007),
(185, 993, 0.56007),
(186, 993, 0.56007),
(187, 993, 0.56007),
(188, 993, 0.56007),
(189, 993, 0.56007),
(190, 993, 0.56007),
(191, 993, 0.56007),
(192, 993, 0.56007),
(58, 994, 0.98),
(59, 994, 0.98),
(60, 994, 0.98),
(62, 994, 0.98),
(57, 994, 1.96),
(61, 994, 1.96),
(58, 995, 1.19),
(59, 995, 1.19),
(60, 995, 1.19),
(62, 995, 1.19),
(57, 995, 2.38),
(61, 995, 2.38),
(171, 996, 1.71996),
(174, 996, 1.71996),
(175, 996, 1.71996),
(176, 996, 1.71996),
(177, 996, 1.71996),
(178, 996, 1.71996),
(179, 996, 1.71996),
(180, 996, 1.71996),
(181, 996, 1.71996),
(182, 996, 1.71996),
(183, 996, 1.71996),
(184, 996, 1.71996),
(185, 996, 1.71996),
(186, 996, 1.71996),
(187, 996, 1.71996),
(188, 996, 1.71996),
(189, 996, 1.71996),
(190, 996, 1.71996),
(191, 996, 1.71996),
(192, 996, 1.71996),
(57, 1354, 1.52004),
(58, 1354, 1.52004),
(59, 1354, 1.52004),
(60, 1354, 1.52004),
(61, 1354, 1.52004),
(62, 1354, 1.52004),
(171, 2862, 2.58993),
(174, 2862, 2.58993),
(175, 2862, 2.58993),
(176, 2862, 2.58993),
(177, 2862, 2.58993),
(178, 2862, 2.58993),
(179, 2862, 2.58993),
(180, 2862, 2.58993),
(181, 2862, 2.58993),
(182, 2862, 2.58993),
(183, 2862, 2.58993),
(184, 2862, 2.58993),
(185, 2862, 2.58993),
(186, 2862, 2.58993),
(187, 2862, 2.58993),
(188, 2862, 2.58993),
(189, 2862, 2.58993),
(190, 2862, 2.58993),
(191, 2862, 2.58993),
(192, 2862, 2.58993),
(171, 2863, 2.94),
(174, 2863, 2.94),
(175, 2863, 2.94),
(176, 2863, 2.94),
(177, 2863, 2.94),
(178, 2863, 2.94),
(179, 2863, 2.94),
(180, 2863, 2.94),
(181, 2863, 2.94),
(182, 2863, 2.94),
(183, 2863, 2.94),
(184, 2863, 2.94),
(185, 2863, 2.94),
(186, 2863, 2.94),
(187, 2863, 2.94),
(188, 2863, 2.94),
(189, 2863, 2.94),
(190, 2863, 2.94),
(191, 2863, 2.94),
(192, 2863, 2.94),
(171, 2864, 0.23331),
(174, 2864, 0.23331),
(175, 2864, 0.23331),
(176, 2864, 0.23331),
(177, 2864, 0.23331),
(178, 2864, 0.23331),
(179, 2864, 0.23331),
(180, 2864, 0.23331),
(181, 2864, 0.23331),
(182, 2864, 0.23331),
(183, 2864, 0.23331),
(184, 2864, 0.23331),
(185, 2864, 0.23331),
(186, 2864, 0.23331),
(187, 2864, 0.23331),
(188, 2864, 0.23331),
(189, 2864, 0.23331),
(190, 2864, 0.23331),
(191, 2864, 0.23331),
(192, 2864, 0.23331),
(171, 2865, 0.95669),
(174, 2865, 0.95669),
(175, 2865, 0.95669),
(176, 2865, 0.95669),
(177, 2865, 0.95669),
(178, 2865, 0.95669),
(179, 2865, 0.95669),
(180, 2865, 0.95669),
(181, 2865, 0.95669),
(182, 2865, 0.95669),
(183, 2865, 0.95669),
(184, 2865, 0.95669),
(185, 2865, 0.95669),
(186, 2865, 0.95669),
(187, 2865, 0.95669),
(188, 2865, 0.95669),
(189, 2865, 0.95669),
(190, 2865, 0.95669),
(191, 2865, 0.95669),
(192, 2865, 0.95669),
(171, 2866, 1.09669),
(174, 2866, 1.09669),
(175, 2866, 1.09669),
(176, 2866, 1.09669),
(177, 2866, 1.09669),
(178, 2866, 1.09669),
(179, 2866, 1.09669),
(180, 2866, 1.09669),
(181, 2866, 1.09669);
INSERT INTO `#__finder_links_termsd` (`link_id`, `term_id`, `weight`) VALUES
(182, 2866, 1.09669),
(183, 2866, 1.09669),
(184, 2866, 1.09669),
(185, 2866, 1.09669),
(186, 2866, 1.09669),
(187, 2866, 1.09669),
(188, 2866, 1.09669),
(189, 2866, 1.09669),
(190, 2866, 1.09669),
(191, 2866, 1.09669),
(192, 2866, 1.09669);

DROP TABLE IF EXISTS `#__finder_links_termse`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termse` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_termse` (`link_id`, `term_id`, `weight`) VALUES
(1, 125, 0.18669),
(1, 126, 0.93331),
(1, 127, 1.00331),
(1, 128, 0.84),
(1, 129, 1.14331),
(1, 130, 1.21331),
(1, 131, 0.93331),
(1, 132, 1.12),
(1, 133, 1.02669),
(1, 134, 1.21331),
(1, 135, 0.18669),
(1, 136, 0.86331),
(1, 137, 1.00331),
(1, 138, 0.32669),
(1, 139, 1.05),
(1, 140, 1.21331),
(1, 141, 0.46662),
(1, 142, 1.91338),
(1, 143, 1.02669),
(1, 144, 1.02669),
(1, 145, 0.42),
(1, 146, 1.05),
(1, 147, 1.26),
(1, 148, 0.46669),
(1, 149, 1.23669),
(1, 150, 1.4),
(1, 151, 0.23331),
(1, 152, 1.14331),
(1, 153, 1.30669),
(1, 394, 0.42),
(1, 395, 1.00331),
(1, 396, 1.12),
(1, 397, 0.28),
(1, 398, 0.98),
(1, 399, 1.23669),
(1, 400, 1.49324),
(1, 401, 1.05),
(1, 402, 1.14331),
(1, 403, 1.19),
(1, 404, 1.07331),
(1, 405, 1.30669),
(1, 406, 1.02669),
(1, 407, 1.16669),
(1, 408, 2.1),
(1, 409, 1.00331),
(1, 410, 1.23669),
(1, 411, 1.23669),
(1, 412, 1.35331),
(1, 413, 2.1),
(1, 414, 2.38),
(1, 415, 1.00331),
(1, 416, 1.07331),
(1, 417, 0.28),
(1, 418, 0.91),
(1, 419, 1.00331),
(1, 420, 0.18669),
(1, 421, 0.88669),
(1, 422, 0.98),
(1, 423, 0.28),
(2, 423, 0.74),
(4, 423, 0.74),
(1, 424, 0.88669),
(1, 425, 1.07331),
(1, 426, 0.88669),
(1, 427, 1.12),
(1, 428, 0.23331),
(1, 429, 0.91),
(1, 430, 1.00331),
(1, 431, 0.23331),
(1, 432, 1.09669),
(1, 433, 1.26),
(1, 434, 0.09331),
(1, 435, 0.88669),
(1, 436, 1.00331),
(1, 437, 0.56),
(1, 438, 1.07331),
(1, 439, 1.28331),
(1, 440, 0.42),
(1, 441, 1.00331),
(1, 442, 1.21331),
(58, 572, 0.09331),
(59, 572, 0.09331),
(60, 572, 0.09331),
(62, 572, 0.09331),
(2, 572, 0.65317),
(4, 572, 0.65317),
(193, 572, 0.65317),
(58, 573, 0.93331),
(59, 573, 0.93331),
(60, 573, 0.93331),
(62, 573, 0.93331),
(2, 573, 6.53317),
(4, 573, 6.53317),
(193, 573, 6.53317),
(58, 574, 1.16669),
(59, 574, 1.16669),
(60, 574, 1.16669),
(62, 574, 1.16669),
(2, 574, 8.16683),
(4, 574, 8.16683),
(193, 574, 8.16683),
(58, 575, 0.32669),
(59, 575, 0.32669),
(60, 575, 0.32669),
(62, 575, 0.32669),
(193, 575, 1.96014),
(2, 575, 2.28683),
(4, 575, 2.28683),
(58, 576, 1.02669),
(59, 576, 1.02669),
(60, 576, 1.02669),
(62, 576, 1.02669),
(193, 576, 6.16014),
(2, 576, 7.18683),
(4, 576, 7.18683),
(58, 577, 1.28331),
(59, 577, 1.28331),
(60, 577, 1.28331),
(62, 577, 1.28331),
(193, 577, 7.69986),
(2, 577, 8.98317),
(4, 577, 8.98317),
(57, 578, 0.56007),
(58, 578, 0.56007),
(59, 578, 0.56007),
(60, 578, 0.56007),
(61, 578, 0.56007),
(62, 578, 0.56007),
(171, 578, 0.56007),
(174, 578, 0.56007),
(175, 578, 0.56007),
(176, 578, 0.56007),
(177, 578, 0.56007),
(178, 578, 0.56007),
(179, 578, 0.56007),
(180, 578, 0.56007),
(181, 578, 0.56007),
(182, 578, 0.56007),
(183, 578, 0.56007),
(184, 578, 0.56007),
(185, 578, 0.56007),
(186, 578, 0.56007),
(187, 578, 0.56007),
(188, 578, 0.56007),
(189, 578, 0.56007),
(190, 578, 0.56007),
(191, 578, 0.56007),
(192, 578, 0.56007),
(193, 578, 1.12014),
(2, 578, 1.30683),
(4, 578, 1.30683),
(58, 579, 0.88669),
(59, 579, 0.88669),
(60, 579, 0.88669),
(62, 579, 0.88669),
(193, 579, 5.32014),
(2, 579, 6.20683),
(4, 579, 6.20683),
(58, 580, 0.95669),
(59, 580, 0.95669),
(60, 580, 0.95669),
(62, 580, 0.95669),
(193, 580, 5.74014),
(2, 580, 6.69683),
(4, 580, 6.69683),
(62, 581, 0.93345),
(57, 581, 1.12014),
(58, 581, 1.12014),
(59, 581, 1.12014),
(60, 581, 1.12014),
(61, 581, 1.12014),
(2, 581, 1.30683),
(4, 581, 1.30683),
(193, 581, 1.30683),
(58, 582, 0.86331),
(59, 582, 0.86331),
(60, 582, 0.86331),
(62, 582, 0.86331),
(2, 582, 6.04317),
(4, 582, 6.04317),
(193, 582, 6.04317),
(58, 583, 1.00331),
(59, 583, 1.00331),
(60, 583, 1.00331),
(62, 583, 1.00331),
(2, 583, 7.02317),
(4, 583, 7.02317),
(193, 583, 7.02317),
(58, 584, 0.18669),
(59, 584, 0.18669),
(60, 584, 0.18669),
(62, 584, 0.18669),
(2, 584, 1.30683),
(4, 584, 1.30683),
(193, 584, 1.30683),
(58, 585, 0.95669),
(59, 585, 0.95669),
(60, 585, 0.95669),
(62, 585, 0.95669),
(2, 585, 6.69683),
(4, 585, 6.69683),
(193, 585, 6.69683),
(58, 586, 1.12),
(59, 586, 1.12),
(60, 586, 1.12),
(62, 586, 1.12),
(2, 586, 7.84),
(4, 586, 7.84),
(193, 586, 7.84),
(57, 587, 0.28),
(61, 587, 0.28),
(62, 587, 0.56),
(58, 587, 0.7),
(59, 587, 0.7),
(60, 587, 0.7),
(2, 587, 0.98),
(4, 587, 0.98),
(193, 587, 0.98),
(58, 588, 1.91338),
(59, 588, 1.91338),
(60, 588, 1.91338),
(62, 588, 1.91338),
(2, 588, 6.69683),
(4, 588, 6.69683),
(193, 588, 6.69683),
(58, 589, 1.09669),
(59, 589, 1.09669),
(60, 589, 1.09669),
(62, 589, 1.09669),
(4, 589, 5.48345),
(193, 589, 5.48345),
(2, 589, 6.58014),
(171, 590, 0.27993),
(174, 590, 0.27993),
(175, 590, 0.27993),
(176, 590, 0.27993),
(177, 590, 0.27993),
(178, 590, 0.27993),
(179, 590, 0.27993),
(180, 590, 0.27993),
(181, 590, 0.27993),
(182, 590, 0.27993),
(183, 590, 0.27993),
(184, 590, 0.27993),
(185, 590, 0.27993),
(186, 590, 0.27993),
(187, 590, 0.27993),
(188, 590, 0.27993),
(189, 590, 0.27993),
(190, 590, 0.27993),
(191, 590, 0.27993),
(192, 590, 0.27993),
(2, 590, 0.65317),
(4, 590, 0.65317),
(193, 590, 0.65317),
(62, 590, 0.74648),
(58, 590, 0.9331),
(59, 590, 0.9331),
(60, 590, 0.9331),
(57, 590, 1.02641),
(61, 590, 1.02641),
(58, 591, 0.91),
(59, 591, 0.91),
(60, 591, 0.91),
(62, 591, 0.91),
(2, 591, 6.37),
(4, 591, 6.37),
(193, 591, 6.37),
(58, 592, 1.05),
(59, 592, 1.05),
(60, 592, 1.05),
(62, 592, 1.05),
(2, 592, 7.35),
(4, 592, 7.35),
(193, 592, 7.35),
(58, 593, 0.09331),
(59, 593, 0.09331),
(60, 593, 0.09331),
(62, 593, 0.09331),
(2, 593, 0.65317),
(4, 593, 0.65317),
(193, 593, 0.65317),
(58, 594, 0.91),
(59, 594, 0.91),
(60, 594, 0.91),
(62, 594, 0.91),
(2, 594, 6.37);
INSERT INTO `#__finder_links_termse` (`link_id`, `term_id`, `weight`) VALUES
(4, 594, 6.37),
(193, 594, 6.37),
(58, 595, 1.05),
(59, 595, 1.05),
(60, 595, 1.05),
(62, 595, 1.05),
(2, 595, 7.35),
(4, 595, 7.35),
(193, 595, 7.35),
(58, 596, 0.09331),
(59, 596, 0.09331),
(60, 596, 0.09331),
(62, 596, 0.09331),
(2, 596, 0.65317),
(4, 596, 0.65317),
(193, 596, 0.65317),
(58, 597, 0.81669),
(59, 597, 0.81669),
(60, 597, 0.81669),
(62, 597, 0.81669),
(2, 597, 5.71683),
(4, 597, 5.71683),
(193, 597, 5.71683),
(58, 598, 1.00331),
(59, 598, 1.00331),
(60, 598, 1.00331),
(62, 598, 1.00331),
(2, 598, 7.02317),
(4, 598, 7.02317),
(193, 598, 7.02317),
(58, 599, 0.84),
(59, 599, 0.84),
(60, 599, 0.84),
(62, 599, 0.84),
(2, 599, 2.94),
(4, 599, 2.94),
(193, 599, 2.94),
(58, 600, 2.05338),
(59, 600, 2.05338),
(60, 600, 2.05338),
(62, 600, 2.05338),
(2, 600, 7.18683),
(4, 600, 7.18683),
(193, 600, 7.18683),
(58, 601, 2.47338),
(59, 601, 2.47338),
(60, 601, 2.47338),
(62, 601, 2.47338),
(2, 601, 8.65683),
(4, 601, 8.65683),
(193, 601, 8.65683),
(58, 602, 0.56),
(59, 602, 0.56),
(60, 602, 0.56),
(62, 602, 0.56),
(2, 602, 3.92),
(4, 602, 3.92),
(193, 602, 3.92),
(58, 603, 1.16669),
(59, 603, 1.16669),
(60, 603, 1.16669),
(62, 603, 1.16669),
(2, 603, 8.16683),
(4, 603, 8.16683),
(193, 603, 8.16683),
(62, 604, 1.35331),
(2, 604, 9.47317),
(4, 604, 9.47317),
(193, 604, 9.47317),
(57, 697, 0.84),
(58, 697, 0.84),
(59, 697, 0.84),
(60, 697, 0.84),
(61, 697, 0.84),
(62, 697, 0.84),
(193, 697, 1.68),
(2, 697, 1.96),
(4, 697, 1.96),
(58, 698, 1.09669),
(59, 698, 1.09669),
(60, 698, 1.09669),
(62, 698, 1.09669),
(193, 698, 6.58014),
(2, 698, 7.67683),
(4, 698, 7.67683),
(58, 699, 1.16669),
(59, 699, 1.16669),
(60, 699, 1.16669),
(62, 699, 1.16669),
(193, 699, 7.00014),
(2, 699, 8.16683),
(4, 699, 8.16683),
(2, 700, 5.05679),
(4, 778, 5.05679),
(171, 856, 0.18669),
(174, 856, 0.18669),
(175, 856, 0.18669),
(176, 856, 0.18669),
(177, 856, 0.18669),
(178, 856, 0.18669),
(179, 856, 0.18669),
(180, 856, 0.18669),
(181, 856, 0.18669),
(182, 856, 0.18669),
(183, 856, 0.18669),
(184, 856, 0.18669),
(185, 856, 0.18669),
(186, 856, 0.18669),
(187, 856, 0.18669),
(188, 856, 0.18669),
(189, 856, 0.18669),
(190, 856, 0.18669),
(191, 856, 0.18669),
(192, 856, 0.18669),
(57, 856, 0.37338),
(61, 856, 0.37338),
(62, 856, 0.37338),
(58, 856, 0.56007),
(59, 856, 0.56007),
(60, 856, 0.56007),
(57, 857, 1.82),
(61, 857, 1.82),
(62, 857, 1.82),
(58, 857, 2.73),
(59, 857, 2.73),
(60, 857, 2.73),
(57, 858, 2.19338),
(61, 858, 2.19338),
(62, 858, 2.19338),
(58, 858, 3.29007),
(59, 858, 3.29007),
(60, 858, 3.29007),
(171, 859, 0.37331),
(174, 859, 0.37331),
(175, 859, 0.37331),
(176, 859, 0.37331),
(177, 859, 0.37331),
(178, 859, 0.37331),
(179, 859, 0.37331),
(180, 859, 0.37331),
(181, 859, 0.37331),
(182, 859, 0.37331),
(183, 859, 0.37331),
(184, 859, 0.37331),
(185, 859, 0.37331),
(186, 859, 0.37331),
(187, 859, 0.37331),
(188, 859, 0.37331),
(189, 859, 0.37331),
(190, 859, 0.37331),
(191, 859, 0.37331),
(192, 859, 0.37331),
(58, 859, 0.74662),
(59, 859, 0.74662),
(60, 859, 0.74662),
(62, 859, 0.74662),
(57, 859, 1.11993),
(61, 859, 1.11993),
(58, 860, 2.00662),
(59, 860, 2.00662),
(60, 860, 2.00662),
(62, 860, 2.00662),
(57, 860, 3.00993),
(61, 860, 3.00993),
(58, 861, 2.42662),
(59, 861, 2.42662),
(60, 861, 2.42662),
(62, 861, 2.42662),
(57, 861, 3.63993),
(61, 861, 3.63993),
(58, 862, 1.91338),
(59, 862, 1.91338),
(60, 862, 1.91338),
(62, 862, 1.91338),
(57, 862, 2.87007),
(61, 862, 2.87007),
(58, 863, 2.28662),
(59, 863, 2.28662),
(60, 863, 2.28662),
(62, 863, 2.28662),
(57, 863, 3.42993),
(61, 863, 3.42993),
(62, 864, 1.96),
(57, 864, 2.94),
(58, 864, 2.94),
(59, 864, 2.94),
(60, 864, 2.94),
(61, 864, 2.94),
(62, 865, 2.24),
(57, 865, 3.36),
(58, 865, 3.36),
(59, 865, 3.36),
(60, 865, 3.36),
(61, 865, 3.36),
(58, 866, 2.05338),
(59, 866, 2.05338),
(60, 866, 2.05338),
(62, 866, 2.05338),
(57, 866, 3.08007),
(61, 866, 3.08007),
(58, 867, 2.24),
(59, 867, 2.24),
(60, 867, 2.24),
(62, 867, 2.24),
(57, 867, 3.36),
(61, 867, 3.36),
(171, 868, 0.18669),
(174, 868, 0.18669),
(175, 868, 0.18669),
(176, 868, 0.18669),
(177, 868, 0.18669),
(178, 868, 0.18669),
(179, 868, 0.18669),
(180, 868, 0.18669),
(181, 868, 0.18669),
(182, 868, 0.18669),
(183, 868, 0.18669),
(184, 868, 0.18669),
(185, 868, 0.18669),
(186, 868, 0.18669),
(187, 868, 0.18669),
(188, 868, 0.18669),
(189, 868, 0.18669),
(190, 868, 0.18669),
(191, 868, 0.18669),
(192, 868, 0.18669),
(58, 868, 0.74676),
(59, 868, 0.74676),
(60, 868, 0.74676),
(62, 868, 0.74676),
(57, 868, 1.12014),
(61, 868, 1.12014),
(58, 869, 1.96),
(59, 869, 1.96),
(60, 869, 1.96),
(62, 869, 1.96),
(57, 869, 2.94),
(61, 869, 2.94),
(58, 870, 2.19338),
(59, 870, 2.19338),
(60, 870, 2.19338),
(62, 870, 2.19338),
(57, 870, 3.29007),
(61, 870, 3.29007),
(58, 871, 1.77338),
(59, 871, 1.77338),
(60, 871, 1.77338),
(62, 871, 1.77338),
(57, 871, 2.66007),
(61, 871, 2.66007),
(58, 872, 2.05338),
(59, 872, 2.05338),
(60, 872, 2.05338),
(62, 872, 2.05338),
(57, 872, 3.08007),
(61, 872, 3.08007),
(62, 873, 1.49352),
(57, 873, 1.8669),
(61, 873, 1.8669),
(58, 873, 2.05359),
(59, 873, 2.05359),
(60, 873, 2.05359),
(62, 874, 1.91338),
(57, 874, 2.87007),
(58, 874, 2.87007),
(59, 874, 2.87007),
(60, 874, 2.87007),
(61, 874, 2.87007),
(62, 875, 2.05338),
(57, 875, 3.08007),
(58, 875, 3.08007),
(59, 875, 3.08007),
(60, 875, 3.08007),
(61, 875, 3.08007),
(57, 876, 1.77338),
(61, 876, 1.77338),
(62, 876, 1.77338),
(58, 876, 2.66007),
(59, 876, 2.66007),
(60, 876, 2.66007),
(57, 877, 2.14662);
INSERT INTO `#__finder_links_termse` (`link_id`, `term_id`, `weight`) VALUES
(61, 877, 2.14662),
(62, 877, 2.14662),
(58, 877, 3.21993),
(59, 877, 3.21993),
(60, 877, 3.21993),
(57, 878, 0.95669),
(61, 878, 0.95669),
(62, 878, 1.91338),
(58, 878, 2.87007),
(59, 878, 2.87007),
(60, 878, 2.87007),
(57, 879, 1.16669),
(61, 879, 1.16669),
(62, 879, 2.33338),
(58, 879, 3.50007),
(59, 879, 3.50007),
(60, 879, 3.50007),
(58, 880, 1.72662),
(59, 880, 1.72662),
(60, 880, 1.72662),
(62, 880, 1.72662),
(57, 880, 2.58993),
(61, 880, 2.58993),
(58, 881, 2.00662),
(59, 881, 2.00662),
(60, 881, 2.00662),
(62, 881, 2.00662),
(57, 881, 3.00993),
(61, 881, 3.00993),
(57, 882, 1.77338),
(61, 882, 1.77338),
(62, 882, 1.77338),
(58, 882, 2.66007),
(59, 882, 2.66007),
(60, 882, 2.66007),
(57, 883, 2.00662),
(61, 883, 2.00662),
(62, 883, 2.00662),
(58, 883, 3.00993),
(59, 883, 3.00993),
(60, 883, 3.00993),
(58, 884, 1.77338),
(59, 884, 1.77338),
(60, 884, 1.77338),
(62, 884, 1.77338),
(57, 884, 2.66007),
(61, 884, 2.66007),
(58, 885, 2.1),
(59, 885, 2.1),
(60, 885, 2.1),
(62, 885, 2.1),
(57, 885, 3.15),
(61, 885, 3.15),
(57, 886, 1.72662),
(61, 886, 1.72662),
(62, 886, 1.72662),
(58, 886, 2.58993),
(59, 886, 2.58993),
(60, 886, 2.58993),
(57, 887, 1.91338),
(61, 887, 1.91338),
(62, 887, 1.91338),
(58, 887, 2.87007),
(59, 887, 2.87007),
(60, 887, 2.87007),
(62, 888, 0.93331),
(58, 888, 1.86662),
(59, 888, 1.86662),
(60, 888, 1.86662),
(57, 888, 2.79993),
(61, 888, 2.79993),
(62, 889, 1.16669),
(58, 889, 2.33338),
(59, 889, 2.33338),
(60, 889, 2.33338),
(57, 889, 3.50007),
(61, 889, 3.50007),
(58, 890, 1.82),
(59, 890, 1.82),
(60, 890, 1.82),
(62, 890, 1.82),
(57, 890, 2.73),
(61, 890, 2.73),
(58, 891, 2.00662),
(59, 891, 2.00662),
(60, 891, 2.00662),
(62, 891, 2.00662),
(57, 891, 3.00993),
(61, 891, 3.00993),
(57, 892, 0.65338),
(61, 892, 0.65338),
(62, 892, 0.65338),
(58, 892, 0.98007),
(59, 892, 0.98007),
(60, 892, 0.98007),
(57, 893, 2.28662),
(61, 893, 2.28662),
(62, 893, 2.28662),
(58, 893, 3.42993),
(59, 893, 3.42993),
(60, 893, 3.42993),
(57, 894, 2.56662),
(61, 894, 2.56662),
(62, 894, 2.56662),
(58, 894, 3.84993),
(59, 894, 3.84993),
(60, 894, 3.84993),
(62, 1067, 0.28),
(58, 1067, 0.56),
(59, 1067, 0.56),
(60, 1067, 0.56),
(57, 1067, 0.84),
(61, 1067, 0.84),
(62, 1068, 1.05),
(58, 1068, 2.1),
(59, 1068, 2.1),
(60, 1068, 2.1),
(57, 1068, 3.15),
(61, 1068, 3.15),
(62, 1069, 1.12),
(58, 1069, 2.24),
(59, 1069, 2.24),
(60, 1069, 2.24),
(57, 1069, 3.36),
(61, 1069, 3.36),
(62, 1070, 0.28),
(58, 1070, 0.56),
(59, 1070, 0.56),
(60, 1070, 0.56),
(57, 1070, 0.84),
(61, 1070, 0.84),
(62, 1071, 0.91),
(58, 1071, 1.82),
(59, 1071, 1.82),
(60, 1071, 1.82),
(57, 1071, 2.73),
(61, 1071, 2.73),
(62, 1072, 1.05),
(58, 1072, 2.1),
(59, 1072, 2.1),
(60, 1072, 2.1),
(57, 1072, 3.15),
(61, 1072, 3.15),
(58, 1073, 1.86662),
(59, 1073, 1.86662),
(60, 1073, 1.86662),
(62, 1073, 1.86662),
(57, 1073, 2.79993),
(61, 1073, 2.79993),
(58, 1074, 2.1),
(59, 1074, 2.1),
(60, 1074, 2.1),
(62, 1074, 2.1),
(57, 1074, 3.15),
(61, 1074, 3.15),
(57, 1075, 0.56),
(61, 1075, 0.56),
(62, 1075, 0.56),
(58, 1075, 0.84),
(59, 1075, 0.84),
(60, 1075, 0.84),
(57, 1076, 1.82),
(61, 1076, 1.82),
(62, 1076, 1.82),
(58, 1076, 2.73),
(59, 1076, 2.73),
(60, 1076, 2.73),
(57, 1077, 2.24),
(61, 1077, 2.24),
(62, 1077, 2.24),
(58, 1077, 3.36),
(59, 1077, 3.36),
(60, 1077, 3.36),
(62, 1078, 1.26),
(58, 1078, 1.68),
(59, 1078, 1.68),
(60, 1078, 1.68),
(57, 1078, 2.52),
(61, 1078, 2.52),
(62, 1079, 1.07331),
(58, 1079, 2.14662),
(59, 1079, 2.14662),
(60, 1079, 2.14662),
(57, 1079, 3.21993),
(61, 1079, 3.21993),
(62, 1080, 1.14331),
(58, 1080, 2.28662),
(59, 1080, 2.28662),
(60, 1080, 2.28662),
(57, 1080, 3.42993),
(61, 1080, 3.42993),
(58, 1081, 2.00662),
(59, 1081, 2.00662),
(60, 1081, 2.00662),
(62, 1081, 2.00662),
(57, 1081, 3.00993),
(61, 1081, 3.00993),
(58, 1082, 2.42662),
(59, 1082, 2.42662),
(60, 1082, 2.42662),
(62, 1082, 2.42662),
(57, 1082, 3.63993),
(61, 1082, 3.63993),
(62, 1083, 0.37331),
(58, 1083, 0.74662),
(59, 1083, 0.74662),
(60, 1083, 0.74662),
(57, 1083, 1.11993),
(61, 1083, 1.11993),
(62, 1084, 0.98),
(58, 1084, 1.96),
(59, 1084, 1.96),
(60, 1084, 1.96),
(57, 1084, 2.94),
(61, 1084, 2.94),
(62, 1085, 1.16669),
(58, 1085, 2.33338),
(59, 1085, 2.33338),
(60, 1085, 2.33338),
(57, 1085, 3.50007),
(61, 1085, 3.50007),
(62, 1086, 1.68),
(57, 1086, 1.96),
(61, 1086, 1.96),
(58, 1086, 2.24),
(59, 1086, 2.24),
(60, 1086, 2.24),
(57, 1087, 1.86662),
(61, 1087, 1.86662),
(62, 1087, 1.86662),
(58, 1087, 2.79993),
(59, 1087, 2.79993),
(60, 1087, 2.79993),
(57, 1088, 2.28662),
(61, 1088, 2.28662),
(62, 1088, 2.28662),
(58, 1088, 3.42993),
(59, 1088, 3.42993),
(60, 1088, 3.42993),
(58, 1089, 1.96),
(59, 1089, 1.96),
(60, 1089, 1.96),
(62, 1089, 1.96),
(57, 1089, 2.94),
(61, 1089, 2.94),
(58, 1090, 2.42662),
(59, 1090, 2.42662),
(60, 1090, 2.42662),
(62, 1090, 2.42662),
(57, 1090, 3.63993),
(61, 1090, 3.63993),
(57, 1091, 2.1),
(61, 1091, 2.1),
(62, 1091, 2.1),
(58, 1091, 3.15),
(59, 1091, 3.15),
(60, 1091, 3.15),
(57, 1092, 2.42662),
(61, 1092, 2.42662),
(62, 1092, 2.42662),
(58, 1092, 3.63993),
(59, 1092, 3.63993),
(60, 1092, 3.63993),
(58, 1093, 0.56),
(59, 1093, 0.56),
(60, 1093, 0.56),
(62, 1093, 0.56),
(57, 1093, 0.84),
(61, 1093, 0.84),
(58, 1094, 2.05338),
(59, 1094, 2.05338),
(60, 1094, 2.05338),
(62, 1094, 2.05338),
(57, 1094, 3.08007),
(61, 1094, 3.08007),
(58, 1095, 2.19338),
(59, 1095, 2.19338),
(60, 1095, 2.19338),
(62, 1095, 2.19338),
(57, 1095, 3.29007),
(61, 1095, 3.29007),
(57, 1367, 0.34);
INSERT INTO `#__finder_links_termse` (`link_id`, `term_id`, `weight`) VALUES
(58, 1368, 0.34),
(59, 1369, 0.34),
(60, 1370, 0.34),
(61, 1371, 0.34),
(62, 1372, 0.34),
(171, 2779, 0.34),
(171, 2818, 0.93331),
(174, 2818, 0.93331),
(175, 2818, 0.93331),
(176, 2818, 0.93331),
(177, 2818, 0.93331),
(178, 2818, 0.93331),
(179, 2818, 0.93331),
(180, 2818, 0.93331),
(181, 2818, 0.93331),
(182, 2818, 0.93331),
(183, 2818, 0.93331),
(184, 2818, 0.93331),
(185, 2818, 0.93331),
(186, 2818, 0.93331),
(187, 2818, 0.93331),
(188, 2818, 0.93331),
(189, 2818, 0.93331),
(190, 2818, 0.93331),
(191, 2818, 0.93331),
(192, 2818, 0.93331),
(171, 2819, 1.07331),
(174, 2819, 1.07331),
(175, 2819, 1.07331),
(176, 2819, 1.07331),
(177, 2819, 1.07331),
(178, 2819, 1.07331),
(179, 2819, 1.07331),
(180, 2819, 1.07331),
(181, 2819, 1.07331),
(182, 2819, 1.07331),
(183, 2819, 1.07331),
(184, 2819, 1.07331),
(185, 2819, 1.07331),
(186, 2819, 1.07331),
(187, 2819, 1.07331),
(188, 2819, 1.07331),
(189, 2819, 1.07331),
(190, 2819, 1.07331),
(191, 2819, 1.07331),
(192, 2819, 1.07331),
(171, 2820, 1.00331),
(174, 2820, 1.00331),
(175, 2820, 1.00331),
(176, 2820, 1.00331),
(177, 2820, 1.00331),
(178, 2820, 1.00331),
(179, 2820, 1.00331),
(180, 2820, 1.00331),
(181, 2820, 1.00331),
(182, 2820, 1.00331),
(183, 2820, 1.00331),
(184, 2820, 1.00331),
(185, 2820, 1.00331),
(186, 2820, 1.00331),
(187, 2820, 1.00331),
(188, 2820, 1.00331),
(189, 2820, 1.00331),
(190, 2820, 1.00331),
(191, 2820, 1.00331),
(192, 2820, 1.00331),
(171, 2821, 1.05),
(174, 2821, 1.05),
(175, 2821, 1.05),
(176, 2821, 1.05),
(177, 2821, 1.05),
(178, 2821, 1.05),
(179, 2821, 1.05),
(180, 2821, 1.05),
(181, 2821, 1.05),
(182, 2821, 1.05),
(183, 2821, 1.05),
(184, 2821, 1.05),
(185, 2821, 1.05),
(186, 2821, 1.05),
(187, 2821, 1.05),
(188, 2821, 1.05),
(189, 2821, 1.05),
(190, 2821, 1.05),
(191, 2821, 1.05),
(192, 2821, 1.05),
(171, 2822, 0.74662),
(174, 2822, 0.74662),
(175, 2822, 0.74662),
(176, 2822, 0.74662),
(177, 2822, 0.74662),
(178, 2822, 0.74662),
(179, 2822, 0.74662),
(180, 2822, 0.74662),
(181, 2822, 0.74662),
(182, 2822, 0.74662),
(183, 2822, 0.74662),
(184, 2822, 0.74662),
(185, 2822, 0.74662),
(186, 2822, 0.74662),
(187, 2822, 0.74662),
(188, 2822, 0.74662),
(189, 2822, 0.74662),
(190, 2822, 0.74662),
(191, 2822, 0.74662),
(192, 2822, 0.74662),
(171, 2823, 2.05338),
(174, 2823, 2.05338),
(175, 2823, 2.05338),
(176, 2823, 2.05338),
(177, 2823, 2.05338),
(178, 2823, 2.05338),
(179, 2823, 2.05338),
(180, 2823, 2.05338),
(181, 2823, 2.05338),
(182, 2823, 2.05338),
(183, 2823, 2.05338),
(184, 2823, 2.05338),
(185, 2823, 2.05338),
(186, 2823, 2.05338),
(187, 2823, 2.05338),
(188, 2823, 2.05338),
(189, 2823, 2.05338),
(190, 2823, 2.05338),
(191, 2823, 2.05338),
(192, 2823, 2.05338),
(171, 2824, 2.33338),
(174, 2824, 2.33338),
(175, 2824, 2.33338),
(176, 2824, 2.33338),
(177, 2824, 2.33338),
(178, 2824, 2.33338),
(179, 2824, 2.33338),
(180, 2824, 2.33338),
(181, 2824, 2.33338),
(182, 2824, 2.33338),
(183, 2824, 2.33338),
(184, 2824, 2.33338),
(185, 2824, 2.33338),
(186, 2824, 2.33338),
(187, 2824, 2.33338),
(188, 2824, 2.33338),
(189, 2824, 2.33338),
(190, 2824, 2.33338),
(191, 2824, 2.33338),
(192, 2824, 2.33338),
(171, 2825, 1.86662),
(174, 2825, 1.86662),
(175, 2825, 1.86662),
(176, 2825, 1.86662),
(177, 2825, 1.86662),
(178, 2825, 1.86662),
(179, 2825, 1.86662),
(180, 2825, 1.86662),
(181, 2825, 1.86662),
(182, 2825, 1.86662),
(183, 2825, 1.86662),
(184, 2825, 1.86662),
(185, 2825, 1.86662),
(186, 2825, 1.86662),
(187, 2825, 1.86662),
(188, 2825, 1.86662),
(189, 2825, 1.86662),
(190, 2825, 1.86662),
(191, 2825, 1.86662),
(192, 2825, 1.86662),
(171, 2826, 2.05338),
(174, 2826, 2.05338),
(175, 2826, 2.05338),
(176, 2826, 2.05338),
(177, 2826, 2.05338),
(178, 2826, 2.05338),
(179, 2826, 2.05338),
(180, 2826, 2.05338),
(181, 2826, 2.05338),
(182, 2826, 2.05338),
(183, 2826, 2.05338),
(184, 2826, 2.05338),
(185, 2826, 2.05338),
(186, 2826, 2.05338),
(187, 2826, 2.05338),
(188, 2826, 2.05338),
(189, 2826, 2.05338),
(190, 2826, 2.05338),
(191, 2826, 2.05338),
(192, 2826, 2.05338),
(171, 2827, 0.98),
(174, 2827, 0.98),
(175, 2827, 0.98),
(176, 2827, 0.98),
(177, 2827, 0.98),
(178, 2827, 0.98),
(179, 2827, 0.98),
(180, 2827, 0.98),
(181, 2827, 0.98),
(182, 2827, 0.98),
(183, 2827, 0.98),
(184, 2827, 0.98),
(185, 2827, 0.98),
(186, 2827, 0.98),
(187, 2827, 0.98),
(188, 2827, 0.98),
(189, 2827, 0.98),
(190, 2827, 0.98),
(191, 2827, 0.98),
(192, 2827, 0.98),
(171, 2828, 1.19),
(174, 2828, 1.19),
(175, 2828, 1.19),
(176, 2828, 1.19),
(177, 2828, 1.19),
(178, 2828, 1.19),
(179, 2828, 1.19),
(180, 2828, 1.19),
(181, 2828, 1.19),
(182, 2828, 1.19),
(183, 2828, 1.19),
(184, 2828, 1.19),
(185, 2828, 1.19),
(186, 2828, 1.19),
(187, 2828, 1.19),
(188, 2828, 1.19),
(189, 2828, 1.19),
(190, 2828, 1.19),
(191, 2828, 1.19),
(192, 2828, 1.19),
(171, 2829, 1.00331),
(174, 2829, 1.00331),
(175, 2829, 1.00331),
(176, 2829, 1.00331),
(177, 2829, 1.00331),
(178, 2829, 1.00331),
(179, 2829, 1.00331),
(180, 2829, 1.00331),
(181, 2829, 1.00331),
(182, 2829, 1.00331),
(183, 2829, 1.00331),
(184, 2829, 1.00331),
(185, 2829, 1.00331),
(186, 2829, 1.00331),
(187, 2829, 1.00331),
(188, 2829, 1.00331),
(189, 2829, 1.00331),
(190, 2829, 1.00331),
(191, 2829, 1.00331),
(192, 2829, 1.00331),
(171, 2830, 1.12),
(174, 2830, 1.12),
(175, 2830, 1.12),
(176, 2830, 1.12),
(177, 2830, 1.12),
(178, 2830, 1.12),
(179, 2830, 1.12),
(180, 2830, 1.12),
(181, 2830, 1.12),
(182, 2830, 1.12),
(183, 2830, 1.12);
INSERT INTO `#__finder_links_termse` (`link_id`, `term_id`, `weight`) VALUES
(184, 2830, 1.12),
(185, 2830, 1.12),
(186, 2830, 1.12),
(187, 2830, 1.12),
(188, 2830, 1.12),
(189, 2830, 1.12),
(190, 2830, 1.12),
(191, 2830, 1.12),
(192, 2830, 1.12),
(171, 2831, 2.58993),
(174, 2831, 2.58993),
(175, 2831, 2.58993),
(176, 2831, 2.58993),
(177, 2831, 2.58993),
(178, 2831, 2.58993),
(179, 2831, 2.58993),
(180, 2831, 2.58993),
(181, 2831, 2.58993),
(182, 2831, 2.58993),
(183, 2831, 2.58993),
(184, 2831, 2.58993),
(185, 2831, 2.58993),
(186, 2831, 2.58993),
(187, 2831, 2.58993),
(188, 2831, 2.58993),
(189, 2831, 2.58993),
(190, 2831, 2.58993),
(191, 2831, 2.58993),
(192, 2831, 2.58993),
(171, 2832, 3.36),
(174, 2832, 3.36),
(175, 2832, 3.36),
(176, 2832, 3.36),
(177, 2832, 3.36),
(178, 2832, 3.36),
(179, 2832, 3.36),
(180, 2832, 3.36),
(181, 2832, 3.36),
(182, 2832, 3.36),
(183, 2832, 3.36),
(184, 2832, 3.36),
(185, 2832, 3.36),
(186, 2832, 3.36),
(187, 2832, 3.36),
(188, 2832, 3.36),
(189, 2832, 3.36),
(190, 2832, 3.36),
(191, 2832, 3.36),
(192, 2832, 3.36),
(174, 2902, 0.34),
(175, 2903, 0.34),
(176, 2904, 0.34),
(177, 2905, 0.34),
(178, 2906, 0.34),
(189, 2917, 0.34),
(190, 2918, 0.34),
(191, 2919, 0.34),
(192, 2920, 0.34);

DROP TABLE IF EXISTS `#__finder_links_termsf`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsf` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_links_termsf` (`link_id`, `term_id`, `weight`) VALUES
(1, 450, 0.09331),
(1, 451, 0.93331),
(1, 452, 0.98),
(1, 453, 0.37338),
(1, 454, 0.86331),
(1, 455, 1.05),
(1, 456, 1.00331),
(1, 457, 1.07331),
(1, 458, 0.23331),
(1, 459, 0.95669),
(1, 460, 1.02669),
(1, 461, 0.46662),
(1, 462, 0.88669),
(1, 463, 1.00331),
(1, 464, 0.95669),
(1, 465, 1.23669),
(1, 466, 0.74676),
(1, 467, 0.91),
(1, 468, 1.07331),
(1, 469, 1.05),
(1, 470, 1.19),
(1, 471, 1.09669),
(1, 472, 1.33),
(1, 473, 0.93331),
(1, 474, 1.02669),
(1, 475, 0.14),
(1, 476, 1.02669),
(1, 477, 1.12),
(2, 720, 0.98679),
(2, 721, 4.81),
(2, 722, 5.30321);

DROP TABLE IF EXISTS `#__finder_taxonomy`;
CREATE TABLE IF NOT EXISTS `#__finder_taxonomy` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL,
  `state` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `access` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `state` (`state`),
  KEY `ordering` (`ordering`),
  KEY `access` (`access`),
  KEY `idx_parent_published` (`parent_id`,`state`,`access`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=20 ;

INSERT INTO `#__finder_taxonomy` (`id`, `parent_id`, `title`, `state`, `access`, `ordering`) VALUES
(1, 0, 'ROOT', 0, 0, 0),
(3, 2, 'K2 Item', 1, 1, 0),
(5, 4, 'Super User', 1, 1, 0),
(7, 6, 'OT Features', 1, 1, 0),
(9, 8, '*', 1, 1, 0),
(11, 10, 'K2 Item', 1, 1, 0),
(13, 12, 'Super User', 1, 1, 0),
(15, 14, 'OT About', 1, 1, 0),
(17, 16, '*', 1, 1, 0),
(18, 14, 'OT Portfolios', 1, 1, 0),
(19, 14, 'OT Blogs', 1, 1, 0);

DROP TABLE IF EXISTS `#__finder_taxonomy_map`;
CREATE TABLE IF NOT EXISTS `#__finder_taxonomy_map` (
  `link_id` int(10) unsigned NOT NULL,
  `node_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`node_id`),
  KEY `link_id` (`link_id`),
  KEY `node_id` (`node_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_taxonomy_map` (`link_id`, `node_id`) VALUES
(1, 3),
(1, 5),
(1, 7),
(1, 9),
(2, 11),
(2, 13),
(2, 15),
(2, 17),
(4, 11),
(4, 13),
(4, 15),
(4, 17),
(57, 11),
(57, 13),
(57, 17),
(57, 19),
(58, 11),
(58, 13),
(58, 17),
(58, 19),
(59, 11),
(59, 13),
(59, 17),
(59, 19),
(60, 11),
(60, 13),
(60, 17),
(60, 19),
(61, 11),
(61, 13),
(61, 17),
(61, 19),
(62, 11),
(62, 13),
(62, 17),
(62, 19),
(171, 11),
(171, 13),
(171, 17),
(171, 18),
(174, 11),
(174, 13),
(174, 17),
(174, 18),
(175, 11),
(175, 13),
(175, 17),
(175, 18),
(176, 11),
(176, 13),
(176, 17),
(176, 18),
(177, 11),
(177, 13),
(177, 17),
(177, 18),
(178, 11),
(178, 13),
(178, 17),
(178, 18),
(179, 11),
(179, 13),
(179, 17),
(179, 18),
(180, 11),
(180, 13),
(180, 17),
(180, 18),
(181, 11),
(181, 13),
(181, 17),
(181, 18),
(182, 11),
(182, 13),
(182, 17),
(182, 18),
(183, 11),
(183, 13),
(183, 17),
(183, 18),
(184, 11),
(184, 13),
(184, 17),
(184, 18),
(185, 11),
(185, 13),
(185, 17),
(185, 18),
(186, 11),
(186, 13),
(186, 17),
(186, 18),
(187, 11),
(187, 13),
(187, 17),
(187, 18),
(188, 11),
(188, 13),
(188, 17),
(188, 18),
(189, 11),
(189, 13),
(189, 17),
(189, 18),
(190, 11),
(190, 13),
(190, 17),
(190, 18),
(191, 11),
(191, 13),
(191, 17),
(191, 18),
(192, 11),
(192, 13),
(192, 17),
(192, 18),
(193, 11),
(193, 13),
(193, 15),
(193, 17);

DROP TABLE IF EXISTS `#__finder_terms`;
CREATE TABLE IF NOT EXISTS `#__finder_terms` (
  `term_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '0',
  `soundex` varchar(75) NOT NULL,
  `links` int(10) NOT NULL DEFAULT '0',
  `language` char(3) NOT NULL DEFAULT '',
  PRIMARY KEY (`term_id`),
  UNIQUE KEY `idx_term` (`term`),
  KEY `idx_term_phrase` (`term`,`phrase`),
  KEY `idx_stem_phrase` (`stem`,`phrase`),
  KEY `idx_soundex_phrase` (`soundex`,`phrase`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2928 ;

INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`, `language`) VALUES
(1, '', '', 0, 0, 0, '', 30, '*'),
(2, '1', '1', 0, 0, 0.1, '', 1, '*'),
(3, '1.0', '1.0', 0, 0, 0.3, '', 1, '*'),
(4, '1.0 transitional', '1.0 transitional', 0, 1, 1.5333, 'T652354', 1, '*'),
(5, '1.0 transitional seo', '1.0 transitional seo', 0, 1, 1.6667, 'T6523542', 1, '*'),
(6, '100', '100', 0, 0, 0.3, '', 1, '*'),
(7, '100 tableless', '100 tableless', 0, 1, 1.4333, 'T142', 1, '*'),
(8, '100 tableless css', '100 tableless css', 0, 1, 1.5667, 'T142', 1, '*'),
(9, '2', '2', 0, 0, 0.1, '', 1, '*'),
(10, '2 new', '2 new', 0, 1, 1.1667, 'N000', 1, '*'),
(11, '2 new templates', '2 new templates', 0, 1, 1.5, 'N351432', 1, '*'),
(12, '2.5', '2.5', 0, 0, 0.3, '', 1, '*'),
(13, '2.5 native', '2.5 native', 0, 1, 1.3333, 'N310', 1, '*'),
(14, '2.5 native omg', '2.5 native omg', 0, 1, 1.4667, 'N3152', 1, '*'),
(15, 'all', 'all', 0, 0, 0.2, 'A400', 1, '*'),
(16, 'all features', 'all features', 0, 1, 1.4, 'A41362', 1, '*'),
(17, 'all templates', 'all templates', 0, 1, 1.4333, 'A4351432', 1, '*'),
(18, 'all templates run', 'all templates run', 0, 1, 1.5667, 'A435143265', 1, '*'),
(19, 'and', 'and', 0, 0, 0.2, 'A530', 1, '*'),
(20, 'and extra', 'and extra', 0, 1, 1.3, 'A53236', 1, '*'),
(21, 'and extra functionality', 'and extra functionality', 0, 1, 1.7667, 'A532361523543', 1, '*'),
(22, 'and keep', 'and keep', 0, 1, 1.2667, 'A5321', 1, '*'),
(23, 'and keep your', 'and keep your', 0, 1, 1.4333, 'A53216', 1, '*'),
(24, 'and opera', 'and opera', 0, 1, 1.3, 'A5316', 1, '*'),
(25, 'and opera browsers', 'and opera browsers', 0, 1, 1.6, 'A531616262', 1, '*'),
(26, 'and php', 'and php', 0, 1, 1.2333, 'A531', 1, '*'),
(27, 'and php code', 'and php code', 0, 1, 1.4, 'A53123', 1, '*'),
(28, 'and probably', 'and probably', 0, 1, 1.4, 'A531614', 1, '*'),
(29, 'and probably the', 'and probably the', 0, 1, 1.5333, 'A5316143', 1, '*'),
(30, 'and right', 'and right', 0, 1, 1.3, 'A53623', 1, '*'),
(31, 'and right columns', 'and right columns', 0, 1, 1.5667, 'A536232452', 1, '*'),
(32, 'and well', 'and well', 0, 1, 1.2667, 'A534', 1, '*'),
(33, 'and well comments', 'and well comments', 0, 1, 1.5667, 'A5342532', 1, '*'),
(34, 'any', 'any', 0, 0, 0.2, 'A500', 1, '*'),
(35, 'any color', 'any color', 0, 1, 1.3, 'A5246', 1, '*'),
(36, 'any color in', 'any color in', 0, 1, 1.4, 'A52465', 1, '*'),
(37, 'anywhere', 'anywhere', 0, 0, 0.5333, 'A560', 1, '*'),
(38, 'anywhere new', 'anywhere new', 0, 1, 1.4, 'A565', 1, '*'),
(39, 'anywhere new templates', 'anywhere new templates', 0, 1, 1.7333, 'A565351432', 1, '*'),
(40, 'as', 'as', 0, 0, 0.1333, 'A200', 1, '*'),
(41, 'as overall', 'as overall', 0, 1, 1.3333, 'A2164', 1, '*'),
(42, 'as overall template', 'as overall template', 0, 1, 1.6333, 'A216435143', 1, '*'),
(43, 'as well', 'as well', 0, 1, 1.2333, 'A240', 1, '*'),
(44, 'as well as', 'as well as', 0, 1, 1.3333, 'A242', 1, '*'),
(45, 'available', 'available', 0, 0, 0.6, 'A1414', 1, '*'),
(46, 'available with', 'available with', 0, 1, 1.4667, 'A14143', 1, '*'),
(47, 'available with both', 'available with both', 0, 1, 1.6333, 'A1414313', 1, '*'),
(48, 'best', 'best', 0, 0, 0.2667, 'B230', 1, '*'),
(49, 'best support', 'best support', 0, 1, 1.4, 'B232163', 1, '*'),
(50, 'best support forum', 'best support forum', 0, 1, 1.6, 'B232163165', 1, '*'),
(51, 'blank', 'blank', 0, 0, 0.3333, 'B452', 1, '*'),
(52, 'blank extensions', 'blank extensions', 0, 1, 1.5333, 'B45235252', 1, '*'),
(53, 'blank extensions installation', 'blank extensions installation', 0, 1, 1.9667, 'B45235252523435', 1, '*'),
(54, 'blog', 'blog', 0, 0, 0.2667, 'B420', 1, '*'),
(55, 'blog joomla-tutorials', 'blog joomla-tutorials', 0, 1, 1.7, 'B42543642', 1, '*'),
(56, 'blog joomla-tutorials how-to-install-joomla-module', 'blog joomla-tutorials how-to-install-joomla-module', 0, 1, 2, 'B4254364235234254534', 1, '*'),
(57, 'both', 'both', 0, 0, 0.2667, 'B300', 1, '*'),
(58, 'both single', 'both single', 0, 1, 1.3667, 'B32524', 1, '*'),
(59, 'both single purchase', 'both single purchase', 0, 1, 1.6667, 'B32524162', 1, '*'),
(60, 'browsers', 'browsers', 0, 0, 0.5333, 'B6262', 1, '*'),
(61, 'browsers joomla', 'browsers joomla', 0, 1, 1.5, 'B626254', 1, '*'),
(62, 'browsers joomla 2.5', 'browsers joomla 2.5', 0, 1, 1.6333, 'B626254', 1, '*'),
(63, 'can', 'can', 0, 0, 0.2, 'C500', 1, '*'),
(64, 'can change', 'can change', 0, 1, 1.3333, 'C5252', 1, '*'),
(65, 'can change any', 'can change any', 0, 1, 1.4667, 'C52525', 1, '*'),
(66, 'can easily', 'can easily', 0, 1, 1.3333, 'C524', 1, '*'),
(67, 'can easily satisfy', 'can easily satisfy', 0, 1, 1.6, 'C5242321', 1, '*'),
(68, 'change', 'change', 0, 0, 0.4, 'C520', 1, '*'),
(69, 'change any', 'change any', 0, 1, 1.3333, 'C525', 1, '*'),
(70, 'change any color', 'change any color', 0, 1, 1.5333, 'C525246', 1, '*'),
(71, 'changeable', 'changeable', 0, 0, 0.6667, 'C5214', 1, '*'),
(72, 'changeable width', 'changeable width', 0, 1, 1.5333, 'C52143', 1, '*'),
(73, 'changeable width of', 'changeable width of', 0, 1, 1.6333, 'C521431', 1, '*');
INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`, `language`) VALUES
(74, 'chrome', 'chrome', 0, 0, 0.4, 'C650', 1, '*'),
(75, 'chrome safari', 'chrome safari', 0, 1, 1.4333, 'C65216', 1, '*'),
(76, 'chrome safari and', 'chrome safari and', 0, 1, 1.5667, 'C6521653', 1, '*'),
(77, 'clean', 'clean', 0, 0, 0.3333, 'C450', 1, '*'),
(78, 'clean and', 'clean and', 0, 1, 1.3, 'C453', 1, '*'),
(79, 'clean and well', 'clean and well', 0, 1, 1.4667, 'C4534', 1, '*'),
(80, 'clients', 'clients', 0, 0, 0.4667, 'C4532', 1, '*'),
(81, 'clients needs', 'clients needs', 0, 1, 1.4333, 'C4532532', 1, '*'),
(82, 'clients needs and', 'clients needs and', 0, 1, 1.5667, 'C453253253', 1, '*'),
(83, 'code', 'code', 0, 0, 0.2667, 'C300', 1, '*'),
(84, 'code framework', 'code framework', 0, 1, 1.4667, 'C316562', 1, '*'),
(85, 'code framework all', 'code framework all', 0, 1, 1.6, 'C3165624', 1, '*'),
(86, 'code solid', 'code solid', 0, 1, 1.3333, 'C3243', 1, '*'),
(87, 'code solid code', 'code solid code', 0, 1, 1.5, 'C324323', 1, '*'),
(88, 'collapsible', 'collapsible', 0, 0, 0.7333, 'C41214', 1, '*'),
(89, 'collapsible module', 'collapsible module', 0, 1, 1.6, 'C41214534', 1, '*'),
(90, 'collapsible module positions', 'collapsible module positions', 0, 1, 1.9333, 'C4121453412352', 1, '*'),
(91, 'color', 'color', 0, 0, 0.3333, 'C460', 1, '*'),
(92, 'color in', 'color in', 0, 1, 1.2667, 'C465', 1, '*'),
(93, 'color in template', 'color in template', 0, 1, 1.5667, 'C46535143', 1, '*'),
(94, 'color is', 'color is', 0, 1, 1.2667, 'C462', 1, '*'),
(95, 'color is easily', 'color is easily', 0, 1, 1.5, 'C4624', 1, '*'),
(96, 'columns', 'columns', 0, 0, 0.4667, 'C452', 1, '*'),
(97, 'columns as', 'columns as', 0, 1, 1.3333, 'C452', 1, '*'),
(98, 'columns as well', 'columns as well', 0, 1, 1.5, 'C4524', 1, '*'),
(99, 'com', 'com', 0, 0, 0.2, 'C500', 1, '*'),
(100, 'com blog', 'com blog', 0, 1, 1.2667, 'C5142', 1, '*'),
(101, 'com blog joomla-tutorials', 'com blog joomla-tutorials', 0, 1, 1.8333, 'C5142543642', 1, '*'),
(102, 'comments', 'comments', 0, 0, 0.5333, 'C532', 1, '*'),
(103, 'comments in', 'comments in', 0, 1, 1.3667, 'C5325', 1, '*'),
(104, 'comments in css', 'comments in css', 0, 1, 1.5, 'C53252', 1, '*'),
(105, 'css', 'css', 0, 0, 0.2, 'C000', 1, '*'),
(106, 'css and', 'css and', 0, 1, 1.2333, 'C530', 1, '*'),
(107, 'css and php', 'css and php', 0, 1, 1.3667, 'C531', 1, '*'),
(108, 'css with', 'css with', 0, 1, 1.2667, 'C300', 1, '*'),
(109, 'css with changeable', 'css with changeable', 0, 1, 1.6333, 'C325214', 1, '*'),
(110, 'customizable', 'customizable', 0, 0, 0.8, 'C35214', 1, '*'),
(111, 'customizable in', 'customizable in', 0, 1, 1.5, 'C352145', 1, '*'),
(112, 'customizable in parameters', 'customizable in parameters', 0, 1, 1.8667, 'C352145165362', 1, '*'),
(113, 'deliver', 'deliver', 0, 0, 0.4667, 'D416', 1, '*'),
(114, 'deliver 2', 'deliver 2', 0, 1, 1.3, 'D416', 1, '*'),
(115, 'deliver 2 new', 'deliver 2 new', 0, 1, 1.4333, 'D4165', 1, '*'),
(116, 'detailed', 'detailed', 0, 0, 0.5333, 'D430', 1, '*'),
(117, 'detailed templates', 'detailed templates', 0, 1, 1.6, 'D4351432', 1, '*'),
(118, 'detailed templates documentation', 'detailed templates documentation', 0, 1, 2, 'D435143232535', 1, '*'),
(119, 'documentation', 'documentation', 0, 0, 0.8667, 'D2535', 1, '*'),
(120, 'documentation with', 'documentation with', 0, 1, 1.6, 'D25353', 1, '*'),
(121, 'documentation with professional', 'documentation with professional', 0, 1, 2, 'D25353161254', 1, '*'),
(122, 'dump', 'dump', 0, 0, 0.2667, 'D510', 1, '*'),
(123, 'dump available', 'dump available', 0, 1, 1.4667, 'D51414', 1, '*'),
(124, 'dump available with', 'dump available with', 0, 1, 1.6333, 'D514143', 1, '*'),
(125, 'each', 'each', 0, 0, 0.2667, 'E200', 1, '*'),
(126, 'each color', 'each color', 0, 1, 1.3333, 'E246', 1, '*'),
(127, 'each color is', 'each color is', 0, 1, 1.4333, 'E2462', 1, '*'),
(128, 'easily', 'easily', 0, 0, 0.4, 'E240', 1, '*'),
(129, 'easily customizable', 'easily customizable', 0, 1, 1.6333, 'E24235214', 1, '*'),
(130, 'easily customizable in', 'easily customizable in', 0, 1, 1.7333, 'E242352145', 1, '*'),
(131, 'easily hot', 'easily hot', 0, 1, 1.3333, 'E243', 1, '*'),
(132, 'easily hot effects', 'easily hot effects', 0, 1, 1.6, 'E2431232', 1, '*'),
(133, 'easily satisfy', 'easily satisfy', 0, 1, 1.4667, 'E242321', 1, '*'),
(134, 'easily satisfy clients', 'easily satisfy clients', 0, 1, 1.7333, 'E24232124532', 1, '*'),
(135, 'easy', 'easy', 0, 0, 0.2667, 'E200', 1, '*'),
(136, 'easy to', 'easy to', 0, 1, 1.2333, 'E230', 1, '*'),
(137, 'easy to setup', 'easy to setup', 0, 1, 1.4333, 'E23231', 1, '*'),
(138, 'effects', 'effects', 0, 0, 0.4667, 'E1232', 1, '*'),
(139, 'effects rotator', 'effects rotator', 0, 1, 1.5, 'E1232636', 1, '*'),
(140, 'effects rotator module', 'effects rotator module', 0, 1, 1.7333, 'E1232636534', 1, '*'),
(141, 'every', 'every', 0, 0, 0.3333, 'E160', 1, '*'),
(142, 'every month', 'every month', 0, 1, 1.3667, 'E1653', 1, '*'),
(143, 'every month so', 'every month so', 0, 1, 1.4667, 'E16532', 1, '*');
INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`, `language`) VALUES
(144, 'every month we', 'every month we', 0, 1, 1.4667, 'E1653', 1, '*'),
(145, 'extension', 'extension', 0, 0, 0.6, 'E23525', 1, '*'),
(146, 'extension files', 'extension files', 0, 1, 1.5, 'E23525142', 1, '*'),
(147, 'extension files included', 'extension files included', 0, 1, 1.8, 'E235251425243', 1, '*'),
(148, 'extensions', 'extensions', 0, 0, 0.6667, 'E235252', 1, '*'),
(149, 'extensions installation', 'extensions installation', 0, 1, 1.7667, 'E235252523435', 1, '*'),
(150, 'extensions installation incredible', 'extensions installation incredible', 0, 1, 2, 'E23525252343526314', 1, '*'),
(151, 'extra', 'extra', 0, 0, 0.3333, 'E236', 1, '*'),
(152, 'extra functionality', 'extra functionality', 0, 1, 1.6333, 'E2361523543', 1, '*'),
(153, 'extra functionality joomla', 'extra functionality joomla', 0, 1, 1.8667, 'E2361523543254', 1, '*'),
(154, 'features', 'features', 0, 0, 0.5333, 'F362', 1, '*'),
(155, 'file', 'file', 0, 0, 0.2667, 'F400', 1, '*'),
(156, 'file included', 'file included', 0, 1, 1.4333, 'F45243', 1, '*'),
(157, 'file included tested', 'file included tested', 0, 1, 1.6667, 'F4524323', 1, '*'),
(158, 'files', 'files', 0, 0, 0.3333, 'F420', 1, '*'),
(159, 'files included', 'files included', 0, 1, 1.4667, 'F425243', 1, '*'),
(160, 'files included quickstart', 'files included quickstart', 0, 1, 1.8333, 'F4252432363', 1, '*'),
(161, 'firefox', 'firefox', 0, 0, 0.4667, 'F612', 1, '*'),
(162, 'firefox chrome', 'firefox chrome', 0, 1, 1.4667, 'F61265', 1, '*'),
(163, 'firefox chrome safari', 'firefox chrome safari', 0, 1, 1.7, 'F61265216', 1, '*'),
(164, 'forum', 'forum', 0, 0, 0.3333, 'F650', 1, '*'),
(165, 'forum anywhere', 'forum anywhere', 0, 1, 1.4667, 'F656', 1, '*'),
(166, 'forum anywhere new', 'forum anywhere new', 0, 1, 1.6, 'F6565', 1, '*'),
(167, 'framework', 'framework', 0, 0, 0.6, 'F6562', 1, '*'),
(168, 'framework all', 'framework all', 0, 1, 1.4333, 'F65624', 1, '*'),
(169, 'framework all templates', 'framework all templates', 0, 1, 1.7667, 'F65624351432', 1, '*'),
(170, 'framework clean', 'framework clean', 0, 1, 1.5, 'F656245', 1, '*'),
(171, 'framework clean and', 'framework clean and', 0, 1, 1.6333, 'F6562453', 1, '*'),
(172, 'framework which', 'framework which', 0, 1, 1.5, 'F6562', 1, '*'),
(173, 'framework which makes', 'framework which makes', 0, 1, 1.7, 'F656252', 1, '*'),
(174, 'fresh', 'fresh', 0, 0, 0.3333, 'F620', 1, '*'),
(175, 'friendly', 'friendly', 0, 0, 0.5333, 'F6534', 1, '*'),
(176, 'friendly psd', 'friendly psd', 0, 1, 1.4, 'F6534123', 1, '*'),
(177, 'friendly psd file', 'friendly psd file', 0, 1, 1.5667, 'F653412314', 1, '*'),
(178, 'fully', 'fully', 0, 0, 0.3333, 'F400', 1, '*'),
(179, 'fully collapsible', 'fully collapsible', 0, 1, 1.5667, 'F4241214', 1, '*'),
(180, 'fully collapsible module', 'fully collapsible module', 0, 1, 1.8, 'F4241214534', 1, '*'),
(181, 'functionality', 'functionality', 0, 0, 0.8667, 'F523543', 1, '*'),
(182, 'functionality joomla', 'functionality joomla', 0, 1, 1.6667, 'F523543254', 1, '*'),
(183, 'functionality joomla template', 'functionality joomla template', 0, 1, 1.9667, 'F52354325435143', 1, '*'),
(184, 'hot', 'hot', 0, 0, 0.2, 'H300', 1, '*'),
(185, 'hot effects', 'hot effects', 0, 1, 1.3667, 'H31232', 1, '*'),
(186, 'hot effects rotator', 'hot effects rotator', 0, 1, 1.6333, 'H31232636', 1, '*'),
(187, 'hot quickstart', 'hot quickstart', 0, 1, 1.4667, 'H32363', 1, '*'),
(188, 'hot quickstart sql', 'hot quickstart sql', 0, 1, 1.6, 'H3236324', 1, '*'),
(189, 'how-to-install-joomla-module', 'how-to-install-joomla-module', 0, 0, 1, 'H35234254534', 1, '*'),
(190, 'how-to-install-joomla-module html', 'how-to-install-joomla-module html', 0, 1, 2, 'H35234254534354', 1, '*'),
(191, 'how-to-install-joomla-module html target', 'how-to-install-joomla-module html target', 0, 1, 2, 'H352342545343543623', 1, '*'),
(192, 'href', 'href', 0, 0, 0.2667, 'H610', 1, '*'),
(193, 'href http', 'href http', 0, 1, 1.3, 'H6131', 1, '*'),
(194, 'href http www', 'href http www', 0, 1, 1.4333, 'H6131', 1, '*'),
(195, 'html', 'html', 0, 0, 0.2667, 'H354', 1, '*'),
(196, 'html target', 'html target', 0, 1, 1.3667, 'H3543623', 1, '*'),
(197, 'html target blank', 'html target blank', 0, 1, 1.5667, 'H35436231452', 1, '*'),
(198, 'http', 'http', 0, 0, 0.2667, 'H310', 1, '*'),
(199, 'http www', 'http www', 0, 1, 1.2667, 'H310', 1, '*'),
(200, 'http www omegatheme', 'http www omegatheme', 0, 1, 1.6333, 'H315235', 1, '*'),
(201, 'ie7', 'ie7', 0, 0, 0.2, 'I000', 1, '*'),
(202, 'ie7 firefox', 'ie7 firefox', 0, 1, 1.3667, 'I1612', 1, '*'),
(203, 'ie7 firefox chrome', 'ie7 firefox chrome', 0, 1, 1.6, 'I161265', 1, '*'),
(204, 'in', 'in', 0, 0, 0.1333, 'I500', 8, '*'),
(205, 'in css', 'in css', 0, 1, 1.2, 'I520', 1, '*'),
(206, 'in css and', 'in css and', 0, 1, 1.3333, 'I5253', 1, '*'),
(207, 'in ie7', 'in ie7', 0, 1, 1.2, 'I500', 1, '*'),
(208, 'in ie7 firefox', 'in ie7 firefox', 0, 1, 1.4667, 'I51612', 1, '*');
INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`, `language`) VALUES
(209, 'in parameters', 'in parameters', 0, 1, 1.4333, 'I5165362', 1, '*'),
(210, 'in parameters so', 'in parameters so', 0, 1, 1.5333, 'I5165362', 1, '*'),
(211, 'in template', 'in template', 0, 1, 1.3667, 'I535143', 1, '*'),
(212, 'in template easily', 'in template easily', 0, 1, 1.6, 'I53514324', 1, '*'),
(213, 'included', 'included', 0, 0, 0.5333, 'I5243', 1, '*'),
(214, 'included quickstart', 'included quickstart', 0, 1, 1.6333, 'I52432363', 1, '*'),
(215, 'included quickstart installation', 'included quickstart installation', 0, 1, 2, 'I52432363523435', 1, '*'),
(216, 'included tested', 'included tested', 0, 1, 1.5, 'I524323', 1, '*'),
(217, 'included tested in', 'included tested in', 0, 1, 1.6, 'I5243235', 1, '*'),
(218, 'incredible', 'incredible', 0, 0, 0.6667, 'I526314', 1, '*'),
(219, 'incredible support', 'incredible support', 0, 1, 1.6, 'I5263142163', 1, '*'),
(220, 'incredible support detailed', 'incredible support detailed', 0, 1, 1.9, 'I526314216343', 1, '*'),
(221, 'index', 'index', 0, 0, 0.3333, 'I532', 30, '*'),
(222, 'installation', 'installation', 0, 0, 0.8, 'I523435', 1, '*'),
(223, 'installation incredible', 'installation incredible', 0, 1, 1.7667, 'I52343526314', 1, '*'),
(224, 'installation incredible support', 'installation incredible support', 0, 1, 2, 'I523435263142163', 1, '*'),
(225, 'installation template', 'installation template', 0, 1, 1.7, 'I52343535143', 1, '*'),
(226, 'installation template installation', 'installation template installation', 0, 1, 2, 'I52343535143523435', 1, '*'),
(227, 'is', 'is', 0, 0, 0.1333, 'I200', 1, '*'),
(228, 'is easily', 'is easily', 0, 1, 1.3, 'I240', 1, '*'),
(229, 'is easily customizable', 'is easily customizable', 0, 1, 1.7333, 'I24235214', 1, '*'),
(230, 'it', 'it', 0, 0, 0.1333, 'I300', 1, '*'),
(231, 'it easy', 'it easy', 0, 1, 1.2333, 'I320', 1, '*'),
(232, 'it easy to', 'it easy to', 0, 1, 1.3333, 'I323', 1, '*'),
(233, 'item', 'item', 0, 0, 0.2667, 'I350', 30, '*'),
(234, 'joomla', 'joomla', 0, 0, 0.4, 'J540', 1, '*'),
(235, 'joomla 2.5', 'joomla 2.5', 0, 1, 1.3333, 'J540', 1, '*'),
(236, 'joomla 2.5 native', 'joomla 2.5 native', 0, 1, 1.5667, 'J54531', 1, '*'),
(237, 'joomla template', 'joomla template', 0, 1, 1.5, 'J5435143', 1, '*'),
(238, 'joomla template package', 'joomla template package', 0, 1, 1.7667, 'J543514312', 1, '*'),
(239, 'joomla-tutorials', 'joomla-tutorials', 0, 0, 1, 'J543642', 1, '*'),
(240, 'joomla-tutorials how-to-install-joomla-module', 'joomla-tutorials how-to-install-joomla-module', 0, 1, 2, 'J54364235234254534', 1, '*'),
(241, 'joomla-tutorials how-to-install-joomla-module html', 'joomla-tutorials how-to-install-joomla-module html', 0, 1, 2, 'J54364235234254534354', 1, '*'),
(242, 'k2', 'k2', 0, 0, 0.1333, 'K000', 30, '*'),
(243, 'k2 item', 'k2 item', 0, 1, 1.2333, 'K350', 30, '*'),
(244, 'keep', 'keep', 0, 0, 0.2667, 'K100', 1, '*'),
(245, 'keep your', 'keep your', 0, 1, 1.3, 'K160', 1, '*'),
(246, 'keep your site', 'keep your site', 0, 1, 1.4667, 'K1623', 1, '*'),
(247, 'left', 'left', 0, 0, 0.2667, 'L130', 1, '*'),
(248, 'left and', 'left and', 0, 1, 1.2667, 'L1353', 1, '*'),
(249, 'left and right', 'left and right', 0, 1, 1.4667, 'L1353623', 1, '*'),
(250, 'looking', 'looking', 0, 0, 0.4667, 'L252', 1, '*'),
(251, 'looking fresh', 'looking fresh', 0, 1, 1.4333, 'L252162', 1, '*'),
(252, 'makes', 'makes', 0, 0, 0.3333, 'M200', 1, '*'),
(253, 'makes it', 'makes it', 0, 1, 1.2667, 'M230', 1, '*'),
(254, 'makes it easy', 'makes it easy', 0, 1, 1.4333, 'M232', 1, '*'),
(255, 'membership', 'membership', 0, 0, 0.6667, 'M1621', 1, '*'),
(256, 'membership plan', 'membership plan', 0, 1, 1.5, 'M162145', 1, '*'),
(257, 'membership plan fully', 'membership plan fully', 0, 1, 1.7, 'M16214514', 1, '*'),
(258, 'module', 'module', 0, 0, 0.4, 'M340', 1, '*'),
(259, 'module positions', 'module positions', 0, 1, 1.5333, 'M3412352', 1, '*'),
(260, 'module positions module', 'module positions module', 0, 1, 1.7667, 'M3412352534', 1, '*'),
(261, 'module positions validates', 'module positions validates', 0, 1, 1.8667, 'M34123521432', 1, '*'),
(262, 'module pre-installed', 'module pre-installed', 0, 1, 1.6667, 'M341652343', 1, '*'),
(263, 'module pre-installed hot', 'module pre-installed hot', 0, 1, 1.8, 'M341652343', 1, '*'),
(264, 'month', 'month', 0, 0, 0.3333, 'M300', 1, '*'),
(265, 'month so', 'month so', 0, 1, 1.2667, 'M320', 1, '*'),
(266, 'month so that', 'month so that', 0, 1, 1.4333, 'M323', 1, '*'),
(267, 'month we', 'month we', 0, 1, 1.2667, 'M300', 1, '*'),
(268, 'month we deliver', 'month we deliver', 0, 1, 1.5333, 'M3416', 1, '*'),
(269, 'native', 'native', 0, 0, 0.4, 'N310', 1, '*'),
(270, 'native omg', 'native omg', 0, 1, 1.3333, 'N3152', 1, '*'),
(271, 'native omg framework', 'native omg framework', 0, 1, 1.6667, 'N315216562', 1, '*'),
(272, 'needs', 'needs', 0, 0, 0.3333, 'N320', 1, '*'),
(273, 'needs and', 'needs and', 0, 1, 1.3, 'N3253', 1, '*');
INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`, `language`) VALUES
(274, 'needs and keep', 'needs and keep', 0, 1, 1.4667, 'N325321', 1, '*'),
(275, 'new', 'new', 0, 0, 0.2, 'N000', 1, '*'),
(276, 'new templates', 'new templates', 0, 1, 1.4333, 'N351432', 1, '*'),
(277, 'new templates every', 'new templates every', 0, 1, 1.6333, 'N35143216', 1, '*'),
(278, 'of', 'of', 0, 0, 0.1333, 'O100', 1, '*'),
(279, 'of left', 'of left', 0, 1, 1.2333, 'O1413', 1, '*'),
(280, 'of left and', 'of left and', 0, 1, 1.3667, 'O141353', 1, '*'),
(281, 'omegatheme', 'omegatheme', 0, 0, 0.6667, 'O5235', 1, '*'),
(282, 'omegatheme com', 'omegatheme com', 0, 1, 1.4667, 'O523525', 1, '*'),
(283, 'omegatheme com blog', 'omegatheme com blog', 0, 1, 1.6333, 'O523525142', 1, '*'),
(284, 'omg', 'omg', 0, 0, 0.2, 'O520', 1, '*'),
(285, 'omg framework', 'omg framework', 0, 1, 1.4333, 'O5216562', 1, '*'),
(286, 'omg framework clean', 'omg framework clean', 0, 1, 1.6333, 'O521656245', 1, '*'),
(287, 'on', 'on', 0, 0, 0.1333, 'O500', 1, '*'),
(288, 'on the', 'on the', 0, 1, 1.2, 'O530', 1, '*'),
(289, 'on the same', 'on the same', 0, 1, 1.3667, 'O5325', 1, '*'),
(290, 'opera', 'opera', 0, 0, 0.3333, 'O160', 1, '*'),
(291, 'opera browsers', 'opera browsers', 0, 1, 1.4667, 'O1616262', 1, '*'),
(292, 'opera browsers joomla', 'opera browsers joomla', 0, 1, 1.7, 'O161626254', 1, '*'),
(293, 'or', 'or', 0, 0, 0.1333, 'O600', 1, '*'),
(294, 'or membership', 'or membership', 0, 1, 1.4333, 'O651621', 1, '*'),
(295, 'or membership plan', 'or membership plan', 0, 1, 1.6, 'O65162145', 1, '*'),
(296, 'ot', 'ot', 0, 0, 0.1333, 'O300', 30, '*'),
(297, 'ot features', 'ot features', 0, 1, 1.3667, 'O31362', 1, '*'),
(298, 'overall', 'overall', 0, 0, 0.4667, 'O164', 1, '*'),
(299, 'overall template', 'overall template', 0, 1, 1.5333, 'O16435143', 1, '*'),
(300, 'overall template width', 'overall template width', 0, 1, 1.7333, 'O16435143', 1, '*'),
(301, 'package', 'package', 0, 0, 0.4667, 'P200', 1, '*'),
(302, 'package extension', 'package extension', 0, 1, 1.5667, 'P23525', 1, '*'),
(303, 'package extension files', 'package extension files', 0, 1, 1.7667, 'P23525142', 1, '*'),
(304, 'parameters', 'parameters', 0, 0, 0.6667, 'P65362', 1, '*'),
(305, 'parameters so', 'parameters so', 0, 1, 1.4333, 'P65362', 1, '*'),
(306, 'parameters so you', 'parameters so you', 0, 1, 1.5667, 'P65362', 1, '*'),
(307, 'php', 'php', 0, 0, 0.2, 'P000', 1, '*'),
(308, 'php code', 'php code', 0, 1, 1.2667, 'P230', 1, '*'),
(309, 'php code solid', 'php code solid', 0, 1, 1.4667, 'P23243', 1, '*'),
(310, 'plan', 'plan', 0, 0, 0.2667, 'P450', 1, '*'),
(311, 'plan fully', 'plan fully', 0, 1, 1.3333, 'P4514', 1, '*'),
(312, 'plan fully collapsible', 'plan fully collapsible', 0, 1, 1.7333, 'P4514241214', 1, '*'),
(313, 'positions', 'positions', 0, 0, 0.6, 'P2352', 1, '*'),
(314, 'positions module', 'positions module', 0, 1, 1.5333, 'P2352534', 1, '*'),
(315, 'positions module positions', 'positions module positions', 0, 1, 1.8667, 'P235253412352', 1, '*'),
(316, 'positions validates', 'positions validates', 0, 1, 1.6333, 'P23521432', 1, '*'),
(317, 'positions validates with', 'positions validates with', 0, 1, 1.8, 'P235214323', 1, '*'),
(318, 'pre-defined', 'pre-defined', 0, 0, 0.7333, 'P63153', 1, '*'),
(319, 'pre-defined styles', 'pre-defined styles', 0, 1, 1.6, 'P631532342', 1, '*'),
(320, 'pre-defined styles each', 'pre-defined styles each', 0, 1, 1.7667, 'P631532342', 1, '*'),
(321, 'pre-installed', 'pre-installed', 0, 0, 0.8667, 'P652343', 1, '*'),
(322, 'pre-installed hot', 'pre-installed hot', 0, 1, 1.5667, 'P652343', 1, '*'),
(323, 'pre-installed hot quickstart', 'pre-installed hot quickstart', 0, 1, 1.9333, 'P6523432363', 1, '*'),
(324, 'probably', 'probably', 0, 0, 0.5333, 'P614', 1, '*'),
(325, 'probably the', 'probably the', 0, 1, 1.4, 'P6143', 1, '*'),
(326, 'probably the best', 'probably the best', 0, 1, 1.5667, 'P6143123', 1, '*'),
(327, 'professional', 'professional', 0, 0, 0.8, 'P61254', 1, '*'),
(328, 'professional tutorials', 'professional tutorials', 0, 1, 1.7333, 'P612543642', 1, '*'),
(329, 'professional tutorials and', 'professional tutorials and', 0, 1, 1.8667, 'P61254364253', 1, '*'),
(330, 'psd', 'psd', 0, 0, 0.2, 'P230', 1, '*'),
(331, 'psd file', 'psd file', 0, 1, 1.2667, 'P2314', 1, '*'),
(332, 'psd file included', 'psd file included', 0, 1, 1.5667, 'P23145243', 1, '*'),
(333, 'purchase', 'purchase', 0, 0, 0.5333, 'P620', 1, '*'),
(334, 'purchase or', 'purchase or', 0, 1, 1.3667, 'P626', 1, '*'),
(335, 'purchase or membership', 'purchase or membership', 0, 1, 1.7333, 'P62651621', 1, '*'),
(336, 'quickstart', 'quickstart', 0, 0, 0.6667, 'Q363', 1, '*'),
(337, 'quickstart installation', 'quickstart installation', 0, 1, 1.7667, 'Q363523435', 1, '*'),
(338, 'quickstart installation template', 'quickstart installation template', 0, 1, 2, 'Q36352343535143', 1, '*'),
(339, 'quickstart sql', 'quickstart sql', 0, 1, 1.4667, 'Q36324', 1, '*'),
(340, 'quickstart sql dump', 'quickstart sql dump', 0, 1, 1.6333, 'Q36324351', 1, '*');
INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`, `language`) VALUES
(341, 'right', 'right', 0, 0, 0.3333, 'R230', 1, '*'),
(342, 'right columns', 'right columns', 0, 1, 1.4333, 'R232452', 1, '*'),
(343, 'right columns as', 'right columns as', 0, 1, 1.5333, 'R232452', 1, '*'),
(344, 'rotator', 'rotator', 0, 0, 0.4667, 'R360', 1, '*'),
(345, 'rotator module', 'rotator module', 0, 1, 1.4667, 'R36534', 1, '*'),
(346, 'rotator module pre-installed', 'rotator module pre-installed', 0, 1, 1.9333, 'R365341652343', 1, '*'),
(347, 'run', 'run', 0, 0, 0.2, 'R500', 1, '*'),
(348, 'run on', 'run on', 0, 1, 1.2, 'R500', 1, '*'),
(349, 'run on the', 'run on the', 0, 1, 1.3333, 'R530', 1, '*'),
(350, 'safari', 'safari', 0, 0, 0.4, 'S160', 1, '*'),
(351, 'safari and', 'safari and', 0, 1, 1.3333, 'S1653', 1, '*'),
(352, 'safari and opera', 'safari and opera', 0, 1, 1.5333, 'S165316', 1, '*'),
(353, 'same', 'same', 0, 0, 0.2667, 'S500', 1, '*'),
(354, 'same framework', 'same framework', 0, 1, 1.4667, 'S516562', 1, '*'),
(355, 'same framework which', 'same framework which', 0, 1, 1.6667, 'S516562', 1, '*'),
(356, 'satisfy', 'satisfy', 0, 0, 0.4667, 'S321', 1, '*'),
(357, 'satisfy clients', 'satisfy clients', 0, 1, 1.5, 'S32124532', 1, '*'),
(358, 'satisfy clients needs', 'satisfy clients needs', 0, 1, 1.7, 'S32124532532', 1, '*'),
(359, 'seo', 'seo', 0, 0, 0.2, 'S000', 1, '*'),
(360, 'seo and', 'seo and', 0, 1, 1.2333, 'S530', 1, '*'),
(361, 'seo and extra', 'seo and extra', 0, 1, 1.4333, 'S53236', 1, '*'),
(362, 'seo friendly', 'seo friendly', 0, 1, 1.4, 'S16534', 1, '*'),
(363, 'seo friendly psd', 'seo friendly psd', 0, 1, 1.5333, 'S16534123', 1, '*'),
(364, 'setup', 'setup', 0, 0, 0.3333, 'S310', 1, '*'),
(365, 'setup your', 'setup your', 0, 1, 1.3333, 'S316', 1, '*'),
(366, 'setup your theme', 'setup your theme', 0, 1, 1.5333, 'S31635', 1, '*'),
(367, 'single', 'single', 0, 0, 0.4, 'S524', 1, '*'),
(368, 'single purchase', 'single purchase', 0, 1, 1.5, 'S524162', 1, '*'),
(369, 'single purchase or', 'single purchase or', 0, 1, 1.6, 'S5241626', 1, '*'),
(370, 'site', 'site', 0, 0, 0.2667, 'S300', 1, '*'),
(371, 'site looking', 'site looking', 0, 1, 1.4, 'S34252', 1, '*'),
(372, 'site looking fresh', 'site looking fresh', 0, 1, 1.6, 'S34252162', 1, '*'),
(373, 'so', 'so', 0, 0, 0.1333, 'S000', 1, '*'),
(374, 'so that', 'so that', 0, 1, 1.2333, 'S300', 1, '*'),
(375, 'so that you', 'so that you', 0, 1, 1.3667, 'S300', 1, '*'),
(376, 'so you', 'so you', 0, 1, 1.2, 'S000', 1, '*'),
(377, 'so you can', 'so you can', 0, 1, 1.3333, 'S500', 1, '*'),
(378, 'solid', 'solid', 0, 0, 0.3333, 'S430', 1, '*'),
(379, 'solid code', 'solid code', 0, 1, 1.3333, 'S4323', 1, '*'),
(380, 'solid code framework', 'solid code framework', 0, 1, 1.6667, 'S432316562', 1, '*'),
(381, 'sql', 'sql', 0, 0, 0.2, 'S400', 1, '*'),
(382, 'sql dump', 'sql dump', 0, 1, 1.2667, 'S4351', 1, '*'),
(383, 'sql dump available', 'sql dump available', 0, 1, 1.6, 'S4351414', 1, '*'),
(384, 'styles', 'styles', 0, 0, 0.4, 'S342', 1, '*'),
(385, 'styles each', 'styles each', 0, 1, 1.3667, 'S342', 1, '*'),
(386, 'styles each color', 'styles each color', 0, 1, 1.5667, 'S34246', 1, '*'),
(387, 'super', 'super', 0, 0, 0.3333, 'S160', 30, '*'),
(388, 'super user', 'super user', 0, 1, 1.3333, 'S1626', 30, '*'),
(389, 'support', 'support', 0, 0, 0.4667, 'S163', 1, '*'),
(390, 'support detailed', 'support detailed', 0, 1, 1.5333, 'S16343', 1, '*'),
(391, 'support detailed templates', 'support detailed templates', 0, 1, 1.8667, 'S1634351432', 1, '*'),
(392, 'support forum', 'support forum', 0, 1, 1.4333, 'S163165', 1, '*'),
(393, 'support forum anywhere', 'support forum anywhere', 0, 1, 1.7333, 'S1631656', 1, '*'),
(394, 'tableless', 'tableless', 0, 0, 0.6, 'T142', 1, '*'),
(395, 'tableless css', 'tableless css', 0, 1, 1.4333, 'T142', 1, '*'),
(396, 'tableless css with', 'tableless css with', 0, 1, 1.6, 'T1423', 1, '*'),
(397, 'target', 'target', 0, 0, 0.4, 'T623', 1, '*'),
(398, 'target blank', 'target blank', 0, 1, 1.4, 'T6231452', 1, '*'),
(399, 'target blank extensions', 'target blank extensions', 0, 1, 1.7667, 'T623145235252', 1, '*'),
(400, 'template', 'template', 0, 0, 0.5333, 'T5143', 1, '*'),
(401, 'template easily', 'template easily', 0, 1, 1.5, 'T514324', 1, '*'),
(402, 'template easily hot', 'template easily hot', 0, 1, 1.6333, 'T5143243', 1, '*'),
(403, 'template installation', 'template installation', 0, 1, 1.7, 'T5143523435', 1, '*'),
(404, 'template package', 'template package', 0, 1, 1.5333, 'T514312', 1, '*'),
(405, 'template package extension', 'template package extension', 0, 1, 1.8667, 'T5143123525', 1, '*'),
(406, 'template width', 'template width', 0, 1, 1.4667, 'T5143', 1, '*'),
(407, 'template width three', 'template width three', 0, 1, 1.6667, 'T51436', 1, '*'),
(408, 'templates', 'templates', 0, 0, 0.6, 'T51432', 1, '*'),
(409, 'templates 100', 'templates 100', 0, 1, 1.4333, 'T51432', 1, '*'),
(410, 'templates 100 tableless', 'templates 100 tableless', 0, 1, 1.7667, 'T514323142', 1, '*');
INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`, `language`) VALUES
(411, 'templates documentation', 'templates documentation', 0, 1, 1.7667, 'T5143232535', 1, '*'),
(412, 'templates documentation with', 'templates documentation with', 0, 1, 1.9333, 'T51432325353', 1, '*'),
(413, 'templates every', 'templates every', 0, 1, 1.5, 'T5143216', 1, '*'),
(414, 'templates every month', 'templates every month', 0, 1, 1.7, 'T514321653', 1, '*'),
(415, 'templates run', 'templates run', 0, 1, 1.4333, 'T5143265', 1, '*'),
(416, 'templates run on', 'templates run on', 0, 1, 1.5333, 'T5143265', 1, '*'),
(417, 'tested', 'tested', 0, 0, 0.4, 'T230', 1, '*'),
(418, 'tested in', 'tested in', 0, 1, 1.3, 'T235', 1, '*'),
(419, 'tested in ie7', 'tested in ie7', 0, 1, 1.4333, 'T235', 1, '*'),
(420, 'that', 'that', 0, 0, 0.2667, 'T000', 1, '*'),
(421, 'that you', 'that you', 0, 1, 1.2667, 'T000', 1, '*'),
(422, 'that you can', 'that you can', 0, 1, 1.4, 'T250', 1, '*'),
(423, 'the', 'the', 0, 0, 0.2, 'T000', 3, '*'),
(424, 'the best', 'the best', 0, 1, 1.2667, 'T123', 1, '*'),
(425, 'the best support', 'the best support', 0, 1, 1.5333, 'T1232163', 1, '*'),
(426, 'the same', 'the same', 0, 1, 1.2667, 'T250', 1, '*'),
(427, 'the same framework', 'the same framework', 0, 1, 1.6, 'T2516562', 1, '*'),
(428, 'theme', 'theme', 0, 0, 0.3333, 'T500', 1, '*'),
(429, 'theme seo', 'theme seo', 0, 1, 1.3, 'T520', 1, '*'),
(430, 'theme seo and', 'theme seo and', 0, 1, 1.4333, 'T5253', 1, '*'),
(431, 'three', 'three', 0, 0, 0.3333, 'T600', 1, '*'),
(432, 'three pre-defined', 'three pre-defined', 0, 1, 1.5667, 'T6163153', 1, '*'),
(433, 'three pre-defined styles', 'three pre-defined styles', 0, 1, 1.8, 'T61631532342', 1, '*'),
(434, 'to', 'to', 0, 0, 0.1333, 'T000', 1, '*'),
(435, 'to setup', 'to setup', 0, 1, 1.2667, 'T231', 1, '*'),
(436, 'to setup your', 'to setup your', 0, 1, 1.4333, 'T2316', 1, '*'),
(437, 'transitional', 'transitional', 0, 0, 0.8, 'T652354', 1, '*'),
(438, 'transitional seo', 'transitional seo', 0, 1, 1.5333, 'T6523542', 1, '*'),
(439, 'transitional seo friendly', 'transitional seo friendly', 0, 1, 1.8333, 'T652354216534', 1, '*'),
(440, 'tutorials', 'tutorials', 0, 0, 0.6, 'T642', 1, '*'),
(441, 'tutorials and', 'tutorials and', 0, 1, 1.4333, 'T64253', 1, '*'),
(442, 'tutorials and probably', 'tutorials and probably', 0, 1, 1.7333, 'T642531614', 1, '*'),
(443, 'user', 'user', 0, 0, 0.2667, 'U260', 30, '*'),
(444, 'validates', 'validates', 0, 0, 0.6, 'V432', 1, '*'),
(445, 'validates with', 'validates with', 0, 1, 1.4667, 'V4323', 1, '*'),
(446, 'validates with xhtml', 'validates with xhtml', 0, 1, 1.6667, 'V43232354', 1, '*'),
(447, 'validation', 'validation', 0, 0, 0.6667, 'V435', 1, '*'),
(448, 'validation templates', 'validation templates', 0, 1, 1.6667, 'V435351432', 1, '*'),
(449, 'validation templates 100', 'validation templates 100', 0, 1, 1.8, 'V435351432', 1, '*'),
(450, 'we', 'we', 0, 0, 0.1333, 'W000', 1, '*'),
(451, 'we deliver', 'we deliver', 0, 1, 1.3333, 'W3416', 1, '*'),
(452, 'we deliver 2', 'we deliver 2', 0, 1, 1.4, 'W3416', 1, '*'),
(453, 'well', 'well', 0, 0, 0.2667, 'W400', 1, '*'),
(454, 'well as', 'well as', 0, 1, 1.2333, 'W420', 1, '*'),
(455, 'well as overall', 'well as overall', 0, 1, 1.5, 'W42164', 1, '*'),
(456, 'well comments', 'well comments', 0, 1, 1.4333, 'W42532', 1, '*'),
(457, 'well comments in', 'well comments in', 0, 1, 1.5333, 'W425325', 1, '*'),
(458, 'which', 'which', 0, 0, 0.3333, 'W200', 1, '*'),
(459, 'which makes', 'which makes', 0, 1, 1.3667, 'W252', 1, '*'),
(460, 'which makes it', 'which makes it', 0, 1, 1.4667, 'W2523', 1, '*'),
(461, 'width', 'width', 0, 0, 0.3333, 'W300', 1, '*'),
(462, 'width of', 'width of', 0, 1, 1.2667, 'W310', 1, '*'),
(463, 'width of left', 'width of left', 0, 1, 1.4333, 'W31413', 1, '*'),
(464, 'width three', 'width three', 0, 1, 1.3667, 'W360', 1, '*'),
(465, 'width three pre-defined', 'width three pre-defined', 0, 1, 1.7667, 'W36163153', 1, '*'),
(466, 'with', 'with', 0, 0, 0.2667, 'W300', 1, '*'),
(467, 'with both', 'with both', 0, 1, 1.3, 'W313', 1, '*'),
(468, 'with both single', 'with both single', 0, 1, 1.5333, 'W3132524', 1, '*'),
(469, 'with changeable', 'with changeable', 0, 1, 1.5, 'W325214', 1, '*'),
(470, 'with changeable width', 'with changeable width', 0, 1, 1.7, 'W3252143', 1, '*'),
(471, 'with professional', 'with professional', 0, 1, 1.5667, 'W3161254', 1, '*'),
(472, 'with professional tutorials', 'with professional tutorials', 0, 1, 1.9, 'W31612543642', 1, '*'),
(473, 'with xhtml', 'with xhtml', 0, 1, 1.3333, 'W32354', 1, '*'),
(474, 'with xhtml 1.0', 'with xhtml 1.0', 0, 1, 1.4667, 'W32354', 1, '*'),
(475, 'www', 'www', 0, 0, 0.2, 'W000', 1, '*'),
(476, 'www omegatheme', 'www omegatheme', 0, 1, 1.4667, 'W5235', 1, '*'),
(477, 'www omegatheme com', 'www omegatheme com', 0, 1, 1.6, 'W523525', 1, '*'),
(478, 'xhtml', 'xhtml', 0, 0, 0.3333, 'X354', 1, '*'),
(479, 'xhtml 1.0', 'xhtml 1.0', 0, 1, 1.3, 'X354', 1, '*');
INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`, `language`) VALUES
(480, 'xhtml 1.0 transitional', 'xhtml 1.0 transitional', 0, 1, 1.7333, 'X3543652354', 1, '*'),
(481, 'you', 'you', 0, 0, 0.2, 'Y000', 1, '*'),
(482, 'you can', 'you can', 0, 1, 1.2333, 'Y250', 1, '*'),
(483, 'you can change', 'you can change', 0, 1, 1.4667, 'Y25252', 1, '*'),
(484, 'you can easily', 'you can easily', 0, 1, 1.4667, 'Y2524', 1, '*'),
(485, 'your', 'your', 0, 0, 0.2667, 'Y600', 1, '*'),
(486, 'your site', 'your site', 0, 1, 1.3, 'Y623', 1, '*'),
(487, 'your site looking', 'your site looking', 0, 1, 1.5667, 'Y6234252', 1, '*'),
(488, 'your theme', 'your theme', 0, 1, 1.3333, 'Y635', 1, '*'),
(489, 'your theme seo', 'your theme seo', 0, 1, 1.4667, 'Y6352', 1, '*'),
(512, '27', '27', 0, 0, 0.2, '', 1, '*'),
(513, 'about', 'about', 0, 0, 0.3333, 'A130', 3, '*'),
(514, 'ad', 'ad', 0, 0, 0.1333, 'A300', 9, '*'),
(515, 'ad minim', 'ad minim', 0, 1, 1.2667, 'A350', 7, '*'),
(516, 'ad minim veniam', 'ad minim veniam', 0, 1, 1.5, 'A3515', 7, '*'),
(517, 'adipisicing', 'adipisicing', 0, 0, 0.7333, 'A31252', 7, '*'),
(518, 'adipisicing elit', 'adipisicing elit', 0, 1, 1.5333, 'A3125243', 7, '*'),
(519, 'adipisicing elit sed', 'adipisicing elit sed', 0, 1, 1.6667, 'A312524323', 7, '*'),
(520, 'aliqua', 'aliqua', 0, 0, 0.4, 'A420', 7, '*'),
(521, 'aliqua ut', 'aliqua ut', 0, 1, 1.3, 'A423', 7, '*'),
(522, 'aliqua ut enim', 'aliqua ut enim', 0, 1, 1.4667, 'A4235', 7, '*'),
(523, 'aliquip', 'aliquip', 0, 0, 0.4667, 'A421', 7, '*'),
(524, 'aliquip ex', 'aliquip ex', 0, 1, 1.3333, 'A4212', 7, '*'),
(525, 'aliquip ex ea', 'aliquip ex ea', 0, 1, 1.4333, 'A4212', 7, '*'),
(526, 'amet', 'amet', 0, 0, 0.2667, 'A530', 29, '*'),
(527, 'amet consectetur', 'amet consectetur', 0, 1, 1.5333, 'A5325236', 7, '*'),
(528, 'amet consectetur adipisicing', 'amet consectetur adipisicing', 0, 1, 1.9333, 'A532523631252', 7, '*'),
(529, 'anim', 'anim', 0, 0, 0.2667, 'A500', 7, '*'),
(530, 'anim id', 'anim id', 0, 1, 1.2333, 'A530', 7, '*'),
(531, 'anim id est', 'anim id est', 0, 1, 1.3667, 'A5323', 7, '*'),
(532, 'aute', 'aute', 0, 0, 0.2667, 'A300', 7, '*'),
(533, 'aute irure', 'aute irure', 0, 1, 1.3333, 'A360', 7, '*'),
(534, 'aute irure dolor', 'aute irure dolor', 0, 1, 1.5333, 'A36346', 7, '*'),
(535, 'cillum', 'cillum', 0, 0, 0.4, 'C450', 7, '*'),
(536, 'cillum dolore', 'cillum dolore', 0, 1, 1.4333, 'C45346', 7, '*'),
(537, 'cillum dolore eu', 'cillum dolore eu', 0, 1, 1.5333, 'C45346', 7, '*'),
(538, 'commodo', 'commodo', 0, 0, 0.4667, 'C530', 29, '*'),
(539, 'commodo consequat', 'commodo consequat', 0, 1, 1.5667, 'C532523', 7, '*'),
(540, 'commodo consequat duis', 'commodo consequat duis', 0, 1, 1.7333, 'C5325232', 7, '*'),
(541, 'consectetur', 'consectetur', 0, 0, 0.7333, 'C5236', 7, '*'),
(542, 'consectetur adipisicing', 'consectetur adipisicing', 0, 1, 1.7667, 'C523631252', 7, '*'),
(543, 'consectetur adipisicing elit', 'consectetur adipisicing elit', 0, 1, 1.9333, 'C52363125243', 7, '*'),
(544, 'consequat', 'consequat', 0, 0, 0.6, 'C523', 7, '*'),
(545, 'consequat duis', 'consequat duis', 0, 1, 1.4667, 'C5232', 7, '*'),
(546, 'consequat duis aute', 'consequat duis aute', 0, 1, 1.6333, 'C52323', 7, '*'),
(547, 'culpa', 'culpa', 0, 0, 0.3333, 'C410', 7, '*'),
(548, 'culpa qui', 'culpa qui', 0, 1, 1.3, 'C412', 7, '*'),
(549, 'culpa qui officia', 'culpa qui officia', 0, 1, 1.5667, 'C41212', 7, '*'),
(550, 'cupidatat', 'cupidatat', 0, 0, 0.6, 'C130', 7, '*'),
(551, 'cupidatat non', 'cupidatat non', 0, 1, 1.4333, 'C135', 7, '*'),
(552, 'cupidatat non proident', 'cupidatat non proident', 0, 1, 1.7333, 'C13516353', 7, '*'),
(553, 'deserunt', 'deserunt', 0, 0, 0.5333, 'D2653', 7, '*'),
(554, 'deserunt mollit', 'deserunt mollit', 0, 1, 1.5, 'D2653543', 7, '*'),
(555, 'deserunt mollit anim', 'deserunt mollit anim', 0, 1, 1.6667, 'D26535435', 7, '*'),
(556, 'do', 'do', 0, 0, 0.1333, 'D000', 7, '*'),
(557, 'do eiusmod', 'do eiusmod', 0, 1, 1.3333, 'D253', 7, '*'),
(558, 'do eiusmod tempor', 'do eiusmod tempor', 0, 1, 1.5667, 'D253516', 7, '*'),
(559, 'dolor', 'dolor', 0, 0, 0.3333, 'D460', 29, '*'),
(560, 'dolor in', 'dolor in', 0, 1, 1.2667, 'D465', 7, '*'),
(561, 'dolor in reprehenderit', 'dolor in reprehenderit', 0, 1, 1.7333, 'D4656165363', 7, '*'),
(562, 'dolor sit', 'dolor sit', 0, 1, 1.3, 'D4623', 29, '*'),
(563, 'dolor sit amet', 'dolor sit amet', 0, 1, 1.4667, 'D462353', 29, '*'),
(564, 'dolore', 'dolore', 0, 0, 0.4, 'D460', 7, '*'),
(565, 'dolore eu', 'dolore eu', 0, 1, 1.3, 'D460', 7, '*'),
(566, 'dolore eu fugiat', 'dolore eu fugiat', 0, 1, 1.5333, 'D46123', 7, '*'),
(567, 'dolore magna', 'dolore magna', 0, 1, 1.4, 'D46525', 7, '*'),
(568, 'dolore magna aliqua', 'dolore magna aliqua', 0, 1, 1.6333, 'D4652542', 7, '*'),
(569, 'duis', 'duis', 0, 0, 0.2667, 'D200', 9, '*'),
(570, 'duis aute', 'duis aute', 0, 1, 1.3, 'D230', 7, '*'),
(571, 'duis aute irure', 'duis aute irure', 0, 1, 1.5, 'D236', 7, '*'),
(572, 'ea', 'ea', 0, 0, 0.1333, 'E000', 7, '*'),
(573, 'ea commodo', 'ea commodo', 0, 1, 1.3333, 'E253', 7, '*');
INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`, `language`) VALUES
(574, 'ea commodo consequat', 'ea commodo consequat', 0, 1, 1.6667, 'E2532523', 7, '*'),
(575, 'eiusmod', 'eiusmod', 0, 0, 0.4667, 'E253', 7, '*'),
(576, 'eiusmod tempor', 'eiusmod tempor', 0, 1, 1.4667, 'E253516', 7, '*'),
(577, 'eiusmod tempor incididunt', 'eiusmod tempor incididunt', 0, 1, 1.8333, 'E25351652353', 7, '*'),
(578, 'elit', 'elit', 0, 0, 0.2667, 'E430', 29, '*'),
(579, 'elit sed', 'elit sed', 0, 1, 1.2667, 'E4323', 7, '*'),
(580, 'elit sed do', 'elit sed do', 0, 1, 1.3667, 'E4323', 7, '*'),
(581, 'enim', 'enim', 0, 0, 0.2667, 'E500', 9, '*'),
(582, 'enim ad', 'enim ad', 0, 1, 1.2333, 'E530', 7, '*'),
(583, 'enim ad minim', 'enim ad minim', 0, 1, 1.4333, 'E535', 7, '*'),
(584, 'esse', 'esse', 0, 0, 0.2667, 'E200', 7, '*'),
(585, 'esse cillum', 'esse cillum', 0, 1, 1.3667, 'E245', 7, '*'),
(586, 'esse cillum dolore', 'esse cillum dolore', 0, 1, 1.6, 'E245346', 7, '*'),
(587, 'est', 'est', 0, 0, 0.2, 'E230', 9, '*'),
(588, 'est laborum', 'est laborum', 0, 1, 1.3667, 'E234165', 7, '*'),
(589, 'est laborum lorem', 'est laborum lorem', 0, 1, 1.5667, 'E234165465', 7, '*'),
(590, 'et', 'et', 0, 0, 0.1333, 'E300', 29, '*'),
(591, 'et dolore', 'et dolore', 0, 1, 1.3, 'E346', 7, '*'),
(592, 'et dolore magna', 'et dolore magna', 0, 1, 1.5, 'E346525', 7, '*'),
(593, 'eu', 'eu', 0, 0, 0.1333, 'E000', 7, '*'),
(594, 'eu fugiat', 'eu fugiat', 0, 1, 1.3, 'E123', 7, '*'),
(595, 'eu fugiat nulla', 'eu fugiat nulla', 0, 1, 1.5, 'E12354', 7, '*'),
(596, 'ex', 'ex', 0, 0, 0.1333, 'E200', 7, '*'),
(597, 'ex ea', 'ex ea', 0, 1, 1.1667, 'E200', 7, '*'),
(598, 'ex ea commodo', 'ex ea commodo', 0, 1, 1.4333, 'E253', 7, '*'),
(599, 'excepteur', 'excepteur', 0, 0, 0.6, 'E2136', 7, '*'),
(600, 'excepteur sint', 'excepteur sint', 0, 1, 1.4667, 'E2136253', 7, '*'),
(601, 'excepteur sint occaecat', 'excepteur sint occaecat', 0, 1, 1.7667, 'E213625323', 7, '*'),
(602, 'exercitation', 'exercitation', 0, 0, 0.8, 'E26235', 7, '*'),
(603, 'exercitation ullamco', 'exercitation ullamco', 0, 1, 1.6667, 'E26235452', 7, '*'),
(604, 'exercitation ullamco laboris', 'exercitation ullamco laboris', 0, 1, 1.9333, 'E262354524162', 4, '*'),
(605, 'founder', 'founder', 0, 0, 0.4667, 'F536', 1, '*'),
(606, 'from', 'from', 0, 0, 0.2667, 'F650', 21, '*'),
(607, 'from the', 'from the', 0, 1, 1.2667, 'F653', 1, '*'),
(608, 'from the founder', 'from the founder', 0, 1, 1.5333, 'F6531536', 1, '*'),
(609, 'fugiat', 'fugiat', 0, 0, 0.4, 'F230', 7, '*'),
(610, 'fugiat nulla', 'fugiat nulla', 0, 1, 1.4, 'F2354', 7, '*'),
(611, 'fugiat nulla pariatur', 'fugiat nulla pariatur', 0, 1, 1.7, 'F23541636', 7, '*'),
(612, 'id', 'id', 0, 0, 0.1333, 'I300', 9, '*'),
(613, 'id est', 'id est', 0, 1, 1.2, 'I323', 7, '*'),
(614, 'id est laborum', 'id est laborum', 0, 1, 1.4667, 'I3234165', 7, '*'),
(615, 'in culpa', 'in culpa', 0, 1, 1.2667, 'I5241', 7, '*'),
(616, 'in culpa qui', 'in culpa qui', 0, 1, 1.4, 'I52412', 7, '*'),
(617, 'in reprehenderit', 'in reprehenderit', 0, 1, 1.5333, 'I56165363', 7, '*'),
(618, 'in reprehenderit in', 'in reprehenderit in', 0, 1, 1.6333, 'I561653635', 7, '*'),
(619, 'in voluptate', 'in voluptate', 0, 1, 1.4, 'I51413', 7, '*'),
(620, 'in voluptate velit', 'in voluptate velit', 0, 1, 1.6, 'I51413143', 7, '*'),
(621, 'incididunt', 'incididunt', 0, 0, 0.6667, 'I52353', 7, '*'),
(622, 'incididunt ut', 'incididunt ut', 0, 1, 1.4333, 'I52353', 7, '*'),
(623, 'incididunt ut labore', 'incididunt ut labore', 0, 1, 1.6667, 'I52353416', 7, '*'),
(624, 'ipsum', 'ipsum', 0, 0, 0.3333, 'I125', 29, '*'),
(625, 'ipsum dolor', 'ipsum dolor', 0, 1, 1.3667, 'I125346', 29, '*'),
(626, 'ipsum dolor sit', 'ipsum dolor sit', 0, 1, 1.5, 'I12534623', 29, '*'),
(627, 'irure', 'irure', 0, 0, 0.3333, 'I600', 7, '*'),
(628, 'irure dolor', 'irure dolor', 0, 1, 1.3667, 'I6346', 7, '*'),
(629, 'irure dolor in', 'irure dolor in', 0, 1, 1.4667, 'I63465', 7, '*'),
(630, 'labore', 'labore', 0, 0, 0.4, 'L160', 7, '*'),
(631, 'labore et', 'labore et', 0, 1, 1.3, 'L163', 7, '*'),
(632, 'labore et dolore', 'labore et dolore', 0, 1, 1.5333, 'L16346', 7, '*'),
(633, 'laboris', 'laboris', 0, 0, 0.4667, 'L162', 7, '*'),
(634, 'laboris nisi', 'laboris nisi', 0, 1, 1.4, 'L16252', 7, '*'),
(635, 'laboris nisi ut', 'laboris nisi ut', 0, 1, 1.5, 'L162523', 7, '*'),
(636, 'laborum', 'laborum', 0, 0, 0.4667, 'L165', 7, '*'),
(637, 'laborum lorem', 'laborum lorem', 0, 1, 1.4333, 'L165465', 7, '*'),
(638, 'laborum lorem ipsum', 'laborum lorem ipsum', 0, 1, 1.6333, 'L165465125', 7, '*'),
(639, 'lorem', 'lorem', 0, 0, 0.3333, 'L650', 29, '*'),
(640, 'lorem ipsum', 'lorem ipsum', 0, 1, 1.3667, 'L65125', 29, '*'),
(641, 'lorem ipsum dolor', 'lorem ipsum dolor', 0, 1, 1.5667, 'L65125346', 29, '*'),
(642, 'magna', 'magna', 0, 0, 0.3333, 'M250', 7, '*'),
(643, 'magna aliqua', 'magna aliqua', 0, 1, 1.4, 'M2542', 7, '*'),
(644, 'magna aliqua ut', 'magna aliqua ut', 0, 1, 1.5, 'M25423', 7, '*'),
(645, 'minim', 'minim', 0, 0, 0.3333, 'M000', 7, '*');
INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`, `language`) VALUES
(646, 'minim veniam', 'minim veniam', 0, 1, 1.4, 'M150', 7, '*'),
(647, 'minim veniam quis', 'minim veniam quis', 0, 1, 1.5667, 'M152', 7, '*'),
(648, 'mollit', 'mollit', 0, 0, 0.4, 'M430', 7, '*'),
(649, 'mollit anim', 'mollit anim', 0, 1, 1.3667, 'M435', 7, '*'),
(650, 'mollit anim id', 'mollit anim id', 0, 1, 1.4667, 'M4353', 7, '*'),
(651, 'nisi', 'nisi', 0, 0, 0.2667, 'N200', 7, '*'),
(652, 'nisi ut', 'nisi ut', 0, 1, 1.2333, 'N230', 7, '*'),
(653, 'nisi ut aliquip', 'nisi ut aliquip', 0, 1, 1.5, 'N23421', 7, '*'),
(654, 'non', 'non', 0, 0, 0.2, 'N000', 9, '*'),
(655, 'non proident', 'non proident', 0, 1, 1.4, 'N16353', 7, '*'),
(656, 'non proident sunt', 'non proident sunt', 0, 1, 1.5667, 'N16353253', 7, '*'),
(657, 'nostrud', 'nostrud', 0, 0, 0.4667, 'N2363', 7, '*'),
(658, 'nostrud exercitation', 'nostrud exercitation', 0, 1, 1.6667, 'N236326235', 7, '*'),
(659, 'nostrud exercitation ullamco', 'nostrud exercitation ullamco', 0, 1, 1.9333, 'N236326235452', 7, '*'),
(660, 'nulla', 'nulla', 0, 0, 0.3333, 'N400', 9, '*'),
(661, 'nulla pariatur', 'nulla pariatur', 0, 1, 1.4667, 'N41636', 7, '*'),
(662, 'nulla pariatur excepteur', 'nulla pariatur excepteur', 0, 1, 1.8, 'N416362136', 7, '*'),
(663, 'occaecat', 'occaecat', 0, 0, 0.5333, 'O230', 7, '*'),
(664, 'occaecat cupidatat', 'occaecat cupidatat', 0, 1, 1.6, 'O23213', 7, '*'),
(665, 'occaecat cupidatat non', 'occaecat cupidatat non', 0, 1, 1.7333, 'O232135', 7, '*'),
(666, 'officia', 'officia', 0, 0, 0.4667, 'O120', 7, '*'),
(667, 'officia deserunt', 'officia deserunt', 0, 1, 1.5333, 'O1232653', 7, '*'),
(668, 'officia deserunt mollit', 'officia deserunt mollit', 0, 1, 1.7667, 'O1232653543', 7, '*'),
(669, 'ot about', 'ot about', 0, 1, 1.2667, 'O313', 3, '*'),
(670, 'pariatur', 'pariatur', 0, 0, 0.5333, 'P636', 7, '*'),
(671, 'pariatur excepteur', 'pariatur excepteur', 0, 1, 1.6, 'P6362136', 7, '*'),
(672, 'pariatur excepteur sint', 'pariatur excepteur sint', 0, 1, 1.7667, 'P6362136253', 7, '*'),
(673, 'proident', 'proident', 0, 0, 0.5333, 'P6353', 7, '*'),
(674, 'proident sunt', 'proident sunt', 0, 1, 1.4333, 'P6353253', 7, '*'),
(675, 'proident sunt in', 'proident sunt in', 0, 1, 1.5333, 'P63532535', 7, '*'),
(676, 'qui', 'qui', 0, 0, 0.2, 'Q000', 7, '*'),
(677, 'qui officia', 'qui officia', 0, 1, 1.3667, 'Q120', 7, '*'),
(678, 'qui officia deserunt', 'qui officia deserunt', 0, 1, 1.6667, 'Q1232653', 7, '*'),
(679, 'quis', 'quis', 0, 0, 0.2667, 'Q000', 9, '*'),
(680, 'quis nostrud', 'quis nostrud', 0, 1, 1.4, 'Q52363', 7, '*'),
(681, 'quis nostrud exercitation', 'quis nostrud exercitation', 0, 1, 1.8333, 'Q5236326235', 7, '*'),
(682, 'reprehenderit', 'reprehenderit', 0, 0, 0.8667, 'R165363', 7, '*'),
(683, 'reprehenderit in', 'reprehenderit in', 0, 1, 1.5333, 'R1653635', 7, '*'),
(684, 'reprehenderit in voluptate', 'reprehenderit in voluptate', 0, 1, 1.8667, 'R16536351413', 7, '*'),
(685, 'sed', 'sed', 0, 0, 0.2, 'S300', 29, '*'),
(686, 'sed do', 'sed do', 0, 1, 1.2, 'S300', 7, '*'),
(687, 'sed do eiusmod', 'sed do eiusmod', 0, 1, 1.4667, 'S3253', 7, '*'),
(688, 'sint', 'sint', 0, 0, 0.2667, 'S530', 7, '*'),
(689, 'sint occaecat', 'sint occaecat', 0, 1, 1.4333, 'S5323', 7, '*'),
(690, 'sint occaecat cupidatat', 'sint occaecat cupidatat', 0, 1, 1.7667, 'S5323213', 7, '*'),
(691, 'sit', 'sit', 0, 0, 0.2, 'S300', 29, '*'),
(692, 'sit amet', 'sit amet', 0, 1, 1.2667, 'S353', 29, '*'),
(693, 'sit amet consectetur', 'sit amet consectetur', 0, 1, 1.6667, 'S35325236', 7, '*'),
(694, 'sunt', 'sunt', 0, 0, 0.2667, 'S530', 7, '*'),
(695, 'sunt in', 'sunt in', 0, 1, 1.2333, 'S535', 7, '*'),
(696, 'sunt in culpa', 'sunt in culpa', 0, 1, 1.4333, 'S535241', 7, '*'),
(697, 'tempor', 'tempor', 0, 0, 0.4, 'T516', 9, '*'),
(698, 'tempor incididunt', 'tempor incididunt', 0, 1, 1.5667, 'T51652353', 7, '*'),
(699, 'tempor incididunt ut', 'tempor incididunt ut', 0, 1, 1.6667, 'T51652353', 7, '*'),
(700, 'the founder', 'the founder', 0, 1, 1.3667, 'T1536', 1, '*'),
(701, 'ullamco', 'ullamco', 0, 0, 0.4667, 'U452', 7, '*'),
(702, 'ullamco laboris', 'ullamco laboris', 0, 1, 1.5, 'U4524162', 4, '*'),
(703, 'ullamco laboris nisi', 'ullamco laboris nisi', 0, 1, 1.6667, 'U452416252', 4, '*'),
(704, 'ut', 'ut', 0, 0, 0.1333, 'U300', 9, '*'),
(705, 'ut aliquip', 'ut aliquip', 0, 1, 1.3333, 'U3421', 7, '*'),
(706, 'ut aliquip ex', 'ut aliquip ex', 0, 1, 1.4333, 'U34212', 7, '*'),
(707, 'ut enim', 'ut enim', 0, 1, 1.2333, 'U350', 7, '*'),
(708, 'ut enim ad', 'ut enim ad', 0, 1, 1.3333, 'U353', 7, '*'),
(709, 'ut labore', 'ut labore', 0, 1, 1.3, 'U3416', 7, '*'),
(710, 'ut labore et', 'ut labore et', 0, 1, 1.4, 'U34163', 7, '*'),
(711, 'velit', 'velit', 0, 0, 0.3333, 'V430', 9, '*'),
(712, 'velit esse', 'velit esse', 0, 1, 1.3333, 'V432', 7, '*'),
(713, 'velit esse cillum', 'velit esse cillum', 0, 1, 1.5667, 'V43245', 7, '*'),
(714, 'veniam', 'veniam', 0, 0, 0.4, 'V500', 7, '*'),
(715, 'veniam quis', 'veniam quis', 0, 1, 1.3667, 'V520', 7, '*');
INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`, `language`) VALUES
(716, 'veniam quis nostrud', 'veniam quis nostrud', 0, 1, 1.6333, 'V5252363', 7, '*'),
(717, 'voluptate', 'voluptate', 0, 0, 0.6, 'V413', 7, '*'),
(718, 'voluptate velit', 'voluptate velit', 0, 1, 1.5, 'V413143', 7, '*'),
(719, 'voluptate velit esse', 'voluptate velit esse', 0, 1, 1.6667, 'V4131432', 7, '*'),
(720, 'word', 'word', 0, 0, 0.2667, 'W630', 1, '*'),
(721, 'word from', 'word from', 0, 1, 1.3, 'W63165', 1, '*'),
(722, 'word from the', 'word from the', 0, 1, 1.4333, 'W631653', 1, '*'),
(774, '29', '29', 0, 0, 0.2, '', 1, '*'),
(775, 'about the', 'about the', 0, 1, 1.3, 'A130', 1, '*'),
(776, 'about the company', 'about the company', 0, 1, 1.5667, 'A132515', 1, '*'),
(777, 'company', 'company', 0, 0, 0.4667, 'C515', 1, '*'),
(778, 'the company', 'the company', 0, 1, 1.3667, 'T2515', 1, '*'),
(780, 'a', 'a', 0, 0, 0.0667, 'A000', 26, '*'),
(781, 'a elit', 'a elit', 0, 1, 1.2, 'A430', 6, '*'),
(782, 'a elit nullam', 'a elit nullam', 0, 1, 1.4333, 'A43545', 6, '*'),
(783, 'a tortor', 'a tortor', 0, 1, 1.2667, 'A3636', 6, '*'),
(784, 'a tortor nulla', 'a tortor nulla', 0, 1, 1.4667, 'A363654', 6, '*'),
(785, 'ac', 'ac', 0, 0, 0.1333, 'A200', 6, '*'),
(786, 'ac dolor', 'ac dolor', 0, 1, 1.2667, 'A2346', 6, '*'),
(787, 'ac dolor nunc', 'ac dolor nunc', 0, 1, 1.4333, 'A234652', 6, '*'),
(788, 'ac dui', 'ac dui', 0, 1, 1.2, 'A230', 6, '*'),
(789, 'ac dui aliquam', 'ac dui aliquam', 0, 1, 1.4667, 'A23425', 6, '*'),
(790, 'ac facilisis', 'ac facilisis', 0, 1, 1.4, 'A21242', 6, '*'),
(791, 'ac facilisis justo', 'ac facilisis justo', 0, 1, 1.6, 'A212423', 6, '*'),
(792, 'ad litora', 'ad litora', 0, 1, 1.3, 'A3436', 6, '*'),
(793, 'ad litora torquent', 'ad litora torquent', 0, 1, 1.6, 'A343636253', 6, '*'),
(794, 'aenean', 'aenean', 0, 0, 0.4, 'A500', 6, '*'),
(795, 'aenean quam', 'aenean quam', 0, 1, 1.3667, 'A525', 6, '*'),
(796, 'aenean quam enim', 'aenean quam enim', 0, 1, 1.5333, 'A525', 6, '*'),
(797, 'aliquam', 'aliquam', 0, 0, 0.4667, 'A425', 6, '*'),
(798, 'aliquam a', 'aliquam a', 0, 1, 1.3, 'A425', 6, '*'),
(799, 'aliquam a elit', 'aliquam a elit', 0, 1, 1.4667, 'A42543', 6, '*'),
(800, 'aliquam ac', 'aliquam ac', 0, 1, 1.3333, 'A4252', 6, '*'),
(801, 'aliquam ac dui', 'aliquam ac dui', 0, 1, 1.4667, 'A42523', 6, '*'),
(802, 'aliquam sem', 'aliquam sem', 0, 1, 1.3667, 'A42525', 6, '*'),
(803, 'aliquam sem quam', 'aliquam sem quam', 0, 1, 1.5333, 'A4252525', 6, '*'),
(804, 'aliquam tincidunt', 'aliquam tincidunt', 0, 1, 1.5667, 'A425352353', 6, '*'),
(805, 'aliquam tincidunt sapien', 'aliquam tincidunt sapien', 0, 1, 1.8, 'A425352353215', 6, '*'),
(806, 'aliquet', 'aliquet', 0, 0, 0.4667, 'A423', 6, '*'),
(807, 'aliquet et', 'aliquet et', 0, 1, 1.3333, 'A423', 6, '*'),
(808, 'aliquet et eros', 'aliquet et eros', 0, 1, 1.5, 'A42362', 6, '*'),
(809, 'aliquet et tempor', 'aliquet et tempor', 0, 1, 1.5667, 'A423516', 6, '*'),
(810, 'amet commodo', 'amet commodo', 0, 1, 1.4, 'A53253', 6, '*'),
(811, 'amet commodo ut', 'amet commodo ut', 0, 1, 1.5, 'A53253', 6, '*'),
(812, 'aptent', 'aptent', 0, 0, 0.4, 'A1353', 6, '*'),
(813, 'aptent taciti', 'aptent taciti', 0, 1, 1.4333, 'A135323', 6, '*'),
(814, 'aptent taciti sociosqu', 'aptent taciti sociosqu', 0, 1, 1.7333, 'A1353232', 6, '*'),
(815, 'arcu', 'arcu', 0, 0, 0.2667, 'A620', 26, '*'),
(816, 'arcu erat', 'arcu erat', 0, 1, 1.3, 'A6263', 6, '*'),
(817, 'arcu erat commodo', 'arcu erat commodo', 0, 1, 1.5667, 'A6263253', 6, '*'),
(818, 'at', 'at', 0, 0, 0.1333, 'A300', 6, '*'),
(819, 'at hendrerit', 'at hendrerit', 0, 1, 1.4, 'A35363', 6, '*'),
(820, 'at hendrerit vehicula', 'at hendrerit vehicula', 0, 1, 1.7, 'A35363124', 6, '*'),
(821, 'at velit', 'at velit', 0, 1, 1.2667, 'A3143', 6, '*'),
(822, 'at velit aliquam', 'at velit aliquam', 0, 1, 1.5333, 'A3143425', 6, '*'),
(823, 'augue', 'augue', 0, 0, 0.3333, 'A200', 6, '*'),
(824, 'augue mauris', 'augue mauris', 0, 1, 1.4, 'A2562', 6, '*'),
(825, 'augue mauris a', 'augue mauris a', 0, 1, 1.4667, 'A2562', 6, '*'),
(826, 'augue proin', 'augue proin', 0, 1, 1.3667, 'A2165', 6, '*'),
(827, 'augue proin semper', 'augue proin semper', 0, 1, 1.6, 'A21652516', 6, '*'),
(828, 'class', 'class', 0, 0, 0.3333, 'C420', 6, '*'),
(829, 'class aptent', 'class aptent', 0, 1, 1.4, 'C421353', 6, '*'),
(830, 'class aptent taciti', 'class aptent taciti', 0, 1, 1.6333, 'C42135323', 6, '*'),
(831, 'commodo erat', 'commodo erat', 0, 1, 1.4, 'C5363', 26, '*'),
(832, 'commodo erat vel', 'commodo erat vel', 0, 1, 1.5333, 'C536314', 6, '*'),
(833, 'commodo nisl', 'commodo nisl', 0, 1, 1.4, 'C53524', 6, '*'),
(834, 'commodo nisl ac', 'commodo nisl ac', 0, 1, 1.5, 'C535242', 6, '*'),
(835, 'commodo ut', 'commodo ut', 0, 1, 1.3333, 'C530', 6, '*'),
(836, 'commodo ut turpis', 'commodo ut turpis', 0, 1, 1.5667, 'C53612', 6, '*'),
(837, 'consectetuer', 'consectetuer', 0, 0, 0.8, 'C5236', 26, '*'),
(838, 'consectetuer nibh', 'consectetuer nibh', 0, 1, 1.5667, 'C523651', 6, '*');
INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`, `language`) VALUES
(839, 'consectetuer nibh at', 'consectetuer nibh at', 0, 1, 1.6667, 'C5236513', 6, '*'),
(840, 'conubia', 'conubia', 0, 0, 0.4667, 'C510', 6, '*'),
(841, 'conubia nostra', 'conubia nostra', 0, 1, 1.4667, 'C515236', 6, '*'),
(842, 'conubia nostra per', 'conubia nostra per', 0, 1, 1.6, 'C51523616', 6, '*'),
(843, 'convallis', 'convallis', 0, 0, 0.6, 'C5142', 6, '*'),
(844, 'convallis vivamus', 'convallis vivamus', 0, 1, 1.5667, 'C5142152', 5, '*'),
(845, 'convallis vivamus massa', 'convallis vivamus massa', 0, 1, 1.7667, 'C514215252', 5, '*'),
(846, 'dignissim', 'dignissim', 0, 0, 0.6, 'D2525', 6, '*'),
(847, 'dignissim risus', 'dignissim risus', 0, 1, 1.5, 'D252562', 6, '*'),
(848, 'dignissim risus enim', 'dignissim risus enim', 0, 1, 1.6667, 'D2525625', 6, '*'),
(849, 'dolor nunc', 'dolor nunc', 0, 1, 1.3333, 'D4652', 6, '*'),
(850, 'dolor nunc sodales', 'dolor nunc sodales', 0, 1, 1.6, 'D4652342', 6, '*'),
(851, 'dui', 'dui', 0, 0, 0.2, 'D000', 6, '*'),
(852, 'dui aliquam', 'dui aliquam', 0, 1, 1.3667, 'D425', 6, '*'),
(853, 'dui aliquam sem', 'dui aliquam sem', 0, 1, 1.5, 'D42525', 6, '*'),
(854, 'duis fermentum', 'duis fermentum', 0, 1, 1.4667, 'D216535', 6, '*'),
(855, 'duis fermentum eros', 'duis fermentum eros', 0, 1, 1.6333, 'D21653562', 6, '*'),
(856, 'eget', 'eget', 0, 0, 0.2667, 'E230', 26, '*'),
(857, 'eget pede', 'eget pede', 0, 1, 1.3, 'E2313', 6, '*'),
(858, 'eget pede vivamus', 'eget pede vivamus', 0, 1, 1.5667, 'E2313152', 6, '*'),
(859, 'eleifend', 'eleifend', 0, 0, 0.5333, 'E4153', 26, '*'),
(860, 'eleifend quis', 'eleifend quis', 0, 1, 1.4333, 'E41532', 6, '*'),
(861, 'eleifend quis pulvinar', 'eleifend quis pulvinar', 0, 1, 1.7333, 'E4153214156', 6, '*'),
(862, 'elit nullam', 'elit nullam', 0, 1, 1.3667, 'E43545', 6, '*'),
(863, 'elit nullam commodo', 'elit nullam commodo', 0, 1, 1.6333, 'E43545253', 6, '*'),
(864, 'enim nonummy', 'enim nonummy', 0, 1, 1.4, 'E500', 6, '*'),
(865, 'enim nonummy purus', 'enim nonummy purus', 0, 1, 1.6, 'E5162', 6, '*'),
(866, 'enim tincidunt', 'enim tincidunt', 0, 1, 1.4667, 'E5352353', 6, '*'),
(867, 'enim tincidunt vel', 'enim tincidunt vel', 0, 1, 1.6, 'E535235314', 6, '*'),
(868, 'erat', 'erat', 0, 0, 0.2667, 'E630', 26, '*'),
(869, 'erat commodo', 'erat commodo', 0, 1, 1.4, 'E63253', 6, '*'),
(870, 'erat commodo nisl', 'erat commodo nisl', 0, 1, 1.5667, 'E63253524', 6, '*'),
(871, 'erat vel', 'erat vel', 0, 1, 1.2667, 'E6314', 6, '*'),
(872, 'erat vel nulla', 'erat vel nulla', 0, 1, 1.4667, 'E631454', 6, '*'),
(873, 'eros', 'eros', 0, 0, 0.2667, 'E620', 6, '*'),
(874, 'eros lectus', 'eros lectus', 0, 1, 1.3667, 'E624232', 6, '*'),
(875, 'eros lectus at', 'eros lectus at', 0, 1, 1.4667, 'E6242323', 6, '*'),
(876, 'eros sed', 'eros sed', 0, 1, 1.2667, 'E623', 6, '*'),
(877, 'eros sed euismod', 'eros sed euismod', 0, 1, 1.5333, 'E623253', 6, '*'),
(878, 'eros tortor', 'eros tortor', 0, 1, 1.3667, 'E623636', 6, '*'),
(879, 'eros tortor placerat', 'eros tortor placerat', 0, 1, 1.6667, 'E62363614263', 6, '*'),
(880, 'eros ut', 'eros ut', 0, 1, 1.2333, 'E623', 6, '*'),
(881, 'eros ut nulla', 'eros ut nulla', 0, 1, 1.4333, 'E62354', 6, '*'),
(882, 'est eget', 'est eget', 0, 1, 1.2667, 'E2323', 6, '*'),
(883, 'est eget pede', 'est eget pede', 0, 1, 1.4333, 'E232313', 6, '*'),
(884, 'et augue', 'et augue', 0, 1, 1.2667, 'E320', 6, '*'),
(885, 'et augue mauris', 'et augue mauris', 0, 1, 1.5, 'E32562', 6, '*'),
(886, 'et eros', 'et eros', 0, 1, 1.2333, 'E362', 6, '*'),
(887, 'et eros sed', 'et eros sed', 0, 1, 1.3667, 'E3623', 6, '*'),
(888, 'et gravida', 'et gravida', 0, 1, 1.3333, 'E32613', 6, '*'),
(889, 'et gravida dignissim', 'et gravida dignissim', 0, 1, 1.6667, 'E326132525', 6, '*'),
(890, 'et tempor', 'et tempor', 0, 1, 1.3, 'E3516', 6, '*'),
(891, 'et tempor sit', 'et tempor sit', 0, 1, 1.4333, 'E351623', 6, '*'),
(892, 'euismod', 'euismod', 0, 0, 0.4667, 'E253', 6, '*'),
(893, 'euismod scelerisque', 'euismod scelerisque', 0, 1, 1.6333, 'E2532462', 6, '*'),
(894, 'euismod scelerisque augue', 'euismod scelerisque augue', 0, 1, 1.8333, 'E2532462', 6, '*'),
(895, 'facilisis', 'facilisis', 0, 0, 0.6, 'F242', 6, '*'),
(896, 'facilisis justo', 'facilisis justo', 0, 1, 1.5, 'F2423', 6, '*'),
(897, 'facilisis justo risus', 'facilisis justo risus', 0, 1, 1.7, 'F242362', 6, '*'),
(898, 'fermentum', 'fermentum', 0, 0, 0.6, 'F6535', 6, '*'),
(899, 'fermentum eros', 'fermentum eros', 0, 1, 1.4667, 'F653562', 6, '*'),
(900, 'fermentum eros ut', 'fermentum eros ut', 0, 1, 1.5667, 'F6535623', 6, '*'),
(901, 'fringilla', 'fringilla', 0, 0, 0.6, 'F6524', 6, '*'),
(902, 'fringilla aenean', 'fringilla aenean', 0, 1, 1.5333, 'F65245', 6, '*'),
(903, 'fringilla aenean quam', 'fringilla aenean quam', 0, 1, 1.7, 'F6524525', 6, '*'),
(904, 'gravida', 'gravida', 0, 0, 0.4667, 'G613', 6, '*'),
(905, 'gravida dignissim', 'gravida dignissim', 0, 1, 1.5667, 'G6132525', 6, '*'),
(906, 'gravida dignissim risus', 'gravida dignissim risus', 0, 1, 1.7667, 'G613252562', 6, '*');
INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`, `language`) VALUES
(907, 'hendrerit', 'hendrerit', 0, 0, 0.6, 'H5363', 6, '*'),
(908, 'hendrerit vehicula', 'hendrerit vehicula', 0, 1, 1.6, 'H5363124', 6, '*'),
(909, 'hendrerit vehicula arcu', 'hendrerit vehicula arcu', 0, 1, 1.7667, 'H536312462', 6, '*'),
(910, 'hymenaeos', 'hymenaeos', 0, 0, 0.6, 'H520', 6, '*'),
(911, 'hymenaeos nullam', 'hymenaeos nullam', 0, 1, 1.5333, 'H52545', 6, '*'),
(912, 'hymenaeos nullam vel', 'hymenaeos nullam vel', 0, 1, 1.6667, 'H5254514', 6, '*'),
(913, 'id aliquet', 'id aliquet', 0, 1, 1.3333, 'I3423', 6, '*'),
(914, 'id aliquet et', 'id aliquet et', 0, 1, 1.4333, 'I3423', 6, '*'),
(915, 'id ipsum', 'id ipsum', 0, 1, 1.2667, 'I3125', 6, '*'),
(916, 'id ipsum class', 'id ipsum class', 0, 1, 1.4667, 'I3125242', 6, '*'),
(917, 'inceptos', 'inceptos', 0, 0, 0.5333, 'I52132', 6, '*'),
(918, 'inceptos hymenaeos', 'inceptos hymenaeos', 0, 1, 1.6, 'I5213252', 6, '*'),
(919, 'inceptos hymenaeos nullam', 'inceptos hymenaeos nullam', 0, 1, 1.8333, 'I5213252545', 6, '*'),
(920, 'integer', 'integer', 0, 0, 0.4667, 'I5326', 6, '*'),
(921, 'integer placerat', 'integer placerat', 0, 1, 1.5333, 'I532614263', 6, '*'),
(922, 'integer placerat ipsum', 'integer placerat ipsum', 0, 1, 1.7333, 'I532614263125', 6, '*'),
(923, 'interdum', 'interdum', 0, 0, 0.5333, 'I53635', 6, '*'),
(924, 'interdum lectus', 'interdum lectus', 0, 1, 1.5, 'I536354232', 6, '*'),
(925, 'interdum lectus est', 'interdum lectus est', 0, 1, 1.6333, 'I5363542323', 6, '*'),
(926, 'ipsum ac', 'ipsum ac', 0, 1, 1.2667, 'I1252', 6, '*'),
(927, 'ipsum ac dolor', 'ipsum ac dolor', 0, 1, 1.4667, 'I1252346', 6, '*'),
(928, 'ipsum class', 'ipsum class', 0, 1, 1.3667, 'I125242', 6, '*'),
(929, 'ipsum class aptent', 'ipsum class aptent', 0, 1, 1.6, 'I1252421353', 6, '*'),
(930, 'justo', 'justo', 0, 0, 0.3333, 'J300', 6, '*'),
(931, 'justo risus', 'justo risus', 0, 1, 1.3667, 'J362', 6, '*'),
(932, 'justo risus vitae', 'justo risus vitae', 0, 1, 1.5667, 'J36213', 6, '*'),
(933, 'lectus', 'lectus', 0, 0, 0.4, 'L232', 6, '*'),
(934, 'lectus at', 'lectus at', 0, 1, 1.3, 'L2323', 6, '*'),
(935, 'lectus at velit', 'lectus at velit', 0, 1, 1.5, 'L2323143', 6, '*'),
(936, 'lectus est', 'lectus est', 0, 1, 1.3333, 'L2323', 6, '*'),
(937, 'lectus est eget', 'lectus est eget', 0, 1, 1.5, 'L232323', 6, '*'),
(938, 'leo', 'leo', 0, 0, 0.2, 'L000', 26, '*'),
(939, 'leo non', 'leo non', 0, 1, 1.2333, 'L500', 6, '*'),
(940, 'leo non pulvinar', 'leo non pulvinar', 0, 1, 1.5333, 'L514156', 6, '*'),
(941, 'litora', 'litora', 0, 0, 0.4, 'L360', 6, '*'),
(942, 'litora torquent', 'litora torquent', 0, 1, 1.5, 'L3636253', 6, '*'),
(943, 'litora torquent per', 'litora torquent per', 0, 1, 1.6333, 'L363625316', 6, '*'),
(944, 'lobortis', 'lobortis', 0, 0, 0.5333, 'L1632', 26, '*'),
(945, 'lobortis id', 'lobortis id', 0, 1, 1.3667, 'L16323', 6, '*'),
(946, 'lobortis id aliquet', 'lobortis id aliquet', 0, 1, 1.6333, 'L16323423', 6, '*'),
(947, 'massa', 'massa', 0, 0, 0.3333, 'M200', 26, '*'),
(948, 'massa velit', 'massa velit', 0, 1, 1.3667, 'M2143', 6, '*'),
(949, 'massa velit aliquet', 'massa velit aliquet', 0, 1, 1.6333, 'M2143423', 6, '*'),
(950, 'mauris', 'mauris', 0, 0, 0.4, 'M620', 6, '*'),
(951, 'mauris a', 'mauris a', 0, 1, 1.2667, 'M620', 6, '*'),
(952, 'mauris a tortor', 'mauris a tortor', 0, 1, 1.5, 'M623636', 6, '*'),
(953, 'mauris consectetuer', 'mauris consectetuer', 0, 1, 1.6333, 'M625236', 6, '*'),
(954, 'mauris consectetuer nibh', 'mauris consectetuer nibh', 0, 1, 1.8, 'M62523651', 6, '*'),
(955, 'metus', 'metus', 0, 0, 0.3333, 'M320', 6, '*'),
(956, 'metus aliquam', 'metus aliquam', 0, 1, 1.4333, 'M32425', 6, '*'),
(957, 'metus aliquam tincidunt', 'metus aliquam tincidunt', 0, 1, 1.7667, 'M32425352353', 6, '*'),
(958, 'mollis', 'mollis', 0, 0, 0.4, 'M420', 6, '*'),
(959, 'mollis fringilla', 'mollis fringilla', 0, 1, 1.5333, 'M4216524', 6, '*'),
(960, 'mollis fringilla aenean', 'mollis fringilla aenean', 0, 1, 1.7667, 'M42165245', 6, '*'),
(961, 'nibh', 'nibh', 0, 0, 0.2667, 'N100', 6, '*'),
(962, 'nibh at', 'nibh at', 0, 1, 1.2333, 'N130', 6, '*'),
(963, 'nibh at hendrerit', 'nibh at hendrerit', 0, 1, 1.5667, 'N135363', 6, '*'),
(964, 'nisl', 'nisl', 0, 0, 0.2667, 'N240', 6, '*'),
(965, 'nisl ac', 'nisl ac', 0, 1, 1.2333, 'N242', 6, '*'),
(966, 'nisl ac facilisis', 'nisl ac facilisis', 0, 1, 1.5667, 'N2421242', 6, '*'),
(967, 'non interdum', 'non interdum', 0, 1, 1.4, 'N3635', 6, '*'),
(968, 'non interdum lectus', 'non interdum lectus', 0, 1, 1.6333, 'N36354232', 6, '*'),
(969, 'non pulvinar', 'non pulvinar', 0, 1, 1.4, 'N14156', 6, '*'),
(970, 'non pulvinar pretium', 'non pulvinar pretium', 0, 1, 1.6667, 'N141561635', 6, '*'),
(971, 'non semper', 'non semper', 0, 1, 1.3333, 'N2516', 6, '*'),
(972, 'non semper eros', 'non semper eros', 0, 1, 1.5, 'N25162', 6, '*'),
(973, 'nonummy', 'nonummy', 0, 0, 0.4667, 'N000', 6, '*'),
(974, 'nonummy purus', 'nonummy purus', 0, 1, 1.4333, 'N162', 6, '*');
INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`, `language`) VALUES
(975, 'nonummy purus non', 'nonummy purus non', 0, 1, 1.5667, 'N1625', 6, '*'),
(976, 'nostra', 'nostra', 0, 0, 0.4, 'N236', 6, '*'),
(977, 'nostra per', 'nostra per', 0, 1, 1.3333, 'N23616', 6, '*'),
(978, 'nostra per inceptos', 'nostra per inceptos', 0, 1, 1.6333, 'N2361652132', 6, '*'),
(979, 'nulla aliquam', 'nulla aliquam', 0, 1, 1.4333, 'N425', 6, '*'),
(980, 'nulla aliquam a', 'nulla aliquam a', 0, 1, 1.5, 'N425', 6, '*'),
(981, 'nulla mollis', 'nulla mollis', 0, 1, 1.4, 'N4542', 6, '*'),
(982, 'nulla mollis fringilla', 'nulla mollis fringilla', 0, 1, 1.7333, 'N454216524', 6, '*'),
(983, 'nulla ultricies', 'nulla ultricies', 0, 1, 1.5, 'N4362', 6, '*'),
(984, 'nulla ultricies mauris', 'nulla ultricies mauris', 0, 1, 1.7333, 'N4362562', 6, '*'),
(985, 'nullam', 'nullam', 0, 0, 0.4, 'N450', 26, '*'),
(986, 'nullam commodo', 'nullam commodo', 0, 1, 1.4667, 'N45253', 26, '*'),
(987, 'nullam commodo erat', 'nullam commodo erat', 0, 1, 1.6333, 'N4525363', 26, '*'),
(988, 'nullam vel', 'nullam vel', 0, 1, 1.3333, 'N4514', 6, '*'),
(989, 'nullam vel metus', 'nullam vel metus', 0, 1, 1.5333, 'N4514532', 6, '*'),
(990, 'nunc', 'nunc', 0, 0, 0.2667, 'N200', 6, '*'),
(991, 'nunc sodales', 'nunc sodales', 0, 1, 1.4, 'N2342', 6, '*'),
(992, 'nunc sodales tellus', 'nunc sodales tellus', 0, 1, 1.6333, 'N2342342', 6, '*'),
(993, 'odio', 'odio', 0, 0, 0.2667, 'O300', 26, '*'),
(994, 'odio integer', 'odio integer', 0, 1, 1.4, 'O35326', 6, '*'),
(995, 'odio integer placerat', 'odio integer placerat', 0, 1, 1.7, 'O3532614263', 6, '*'),
(996, 'ot portfolios', 'ot portfolios', 0, 1, 1.4333, 'O3163142', 20, '*'),
(997, 'pede', 'pede', 0, 0, 0.2667, 'P300', 6, '*'),
(998, 'pede vivamus', 'pede vivamus', 0, 1, 1.4, 'P3152', 6, '*'),
(999, 'pede vivamus convallis', 'pede vivamus convallis', 0, 1, 1.7333, 'P31525142', 6, '*'),
(1000, 'per', 'per', 0, 0, 0.2, 'P600', 6, '*'),
(1001, 'per conubia', 'per conubia', 0, 1, 1.3667, 'P6251', 6, '*'),
(1002, 'per conubia nostra', 'per conubia nostra', 0, 1, 1.6, 'P62515236', 6, '*'),
(1003, 'per inceptos', 'per inceptos', 0, 1, 1.4, 'P652132', 6, '*'),
(1004, 'per inceptos hymenaeos', 'per inceptos hymenaeos', 0, 1, 1.7333, 'P65213252', 6, '*'),
(1005, 'placerat', 'placerat', 0, 0, 0.5333, 'P4263', 6, '*'),
(1006, 'placerat ipsum', 'placerat ipsum', 0, 1, 1.4667, 'P4263125', 6, '*'),
(1007, 'placerat ipsum ac', 'placerat ipsum ac', 0, 1, 1.5667, 'P42631252', 6, '*'),
(1008, 'placerat tortor', 'placerat tortor', 0, 1, 1.5, 'P4263636', 6, '*'),
(1009, 'placerat tortor non', 'placerat tortor non', 0, 1, 1.6333, 'P42636365', 6, '*'),
(1010, 'portfolios', 'portfolios', 0, 0, 0.6667, 'P63142', 20, '*'),
(1011, 'pretium', 'pretium', 0, 0, 0.4667, 'P635', 6, '*'),
(1012, 'pretium eros', 'pretium eros', 0, 1, 1.4, 'P63562', 6, '*'),
(1013, 'pretium eros tortor', 'pretium eros tortor', 0, 1, 1.6333, 'P635623636', 6, '*'),
(1014, 'proin', 'proin', 0, 0, 0.3333, 'P650', 26, '*'),
(1015, 'proin semper', 'proin semper', 0, 1, 1.4, 'P652516', 6, '*'),
(1016, 'proin semper leo', 'proin semper leo', 0, 1, 1.5333, 'P6525164', 6, '*'),
(1017, 'pulvinar', 'pulvinar', 0, 0, 0.5333, 'P4156', 6, '*'),
(1018, 'pulvinar pretium', 'pulvinar pretium', 0, 1, 1.5333, 'P41561635', 6, '*'),
(1019, 'pulvinar pretium eros', 'pulvinar pretium eros', 0, 1, 1.7, 'P4156163562', 6, '*'),
(1020, 'pulvinar sed', 'pulvinar sed', 0, 1, 1.4, 'P415623', 6, '*'),
(1021, 'pulvinar sed odio', 'pulvinar sed odio', 0, 1, 1.5667, 'P415623', 6, '*'),
(1022, 'purus', 'purus', 0, 0, 0.3333, 'P620', 6, '*'),
(1023, 'purus non', 'purus non', 0, 1, 1.3, 'P625', 6, '*'),
(1024, 'purus non semper', 'purus non semper', 0, 1, 1.5333, 'P6252516', 6, '*'),
(1025, 'quam', 'quam', 0, 0, 0.2667, 'Q500', 6, '*'),
(1026, 'quam enim', 'quam enim', 0, 1, 1.3, 'Q500', 6, '*'),
(1027, 'quam enim tincidunt', 'quam enim tincidunt', 0, 1, 1.6333, 'Q5352353', 6, '*'),
(1028, 'quam tempus', 'quam tempus', 0, 1, 1.3667, 'Q53512', 6, '*'),
(1029, 'quam tempus ut', 'quam tempus ut', 0, 1, 1.4667, 'Q535123', 6, '*'),
(1030, 'quis pulvinar', 'quis pulvinar', 0, 1, 1.4333, 'Q14156', 6, '*'),
(1031, 'quis pulvinar sed', 'quis pulvinar sed', 0, 1, 1.5667, 'Q1415623', 6, '*'),
(1032, 'quisque', 'quisque', 0, 0, 0.4667, 'Q000', 26, '*'),
(1033, 'quisque et', 'quisque et', 0, 1, 1.3333, 'Q300', 6, '*'),
(1034, 'quisque et augue', 'quisque et augue', 0, 1, 1.5333, 'Q320', 6, '*'),
(1035, 'risus', 'risus', 0, 0, 0.3333, 'R200', 26, '*'),
(1036, 'risus enim', 'risus enim', 0, 1, 1.3333, 'R250', 6, '*'),
(1037, 'risus enim nonummy', 'risus enim nonummy', 0, 1, 1.6, 'R250', 6, '*'),
(1038, 'risus vitae', 'risus vitae', 0, 1, 1.3667, 'R213', 6, '*'),
(1039, 'risus vitae sem', 'risus vitae sem', 0, 1, 1.5, 'R21325', 6, '*'),
(1040, 'sapien', 'sapien', 0, 0, 0.4, 'S150', 6, '*'),
(1041, 'sapien et', 'sapien et', 0, 1, 1.3, 'S153', 6, '*'),
(1042, 'sapien et gravida', 'sapien et gravida', 0, 1, 1.5667, 'S1532613', 6, '*');
INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`, `language`) VALUES
(1043, 'scelerisque', 'scelerisque', 0, 0, 0.7333, 'S462', 6, '*'),
(1044, 'scelerisque augue', 'scelerisque augue', 0, 1, 1.5667, 'S462', 6, '*'),
(1045, 'scelerisque augue proin', 'scelerisque augue proin', 0, 1, 1.7667, 'S462165', 6, '*'),
(1046, 'sed euismod', 'sed euismod', 0, 1, 1.3667, 'S3253', 6, '*'),
(1047, 'sed euismod scelerisque', 'sed euismod scelerisque', 0, 1, 1.7667, 'S32532462', 6, '*'),
(1048, 'sed odio', 'sed odio', 0, 1, 1.2667, 'S300', 26, '*'),
(1049, 'sed odio integer', 'sed odio integer', 0, 1, 1.5333, 'S35326', 6, '*'),
(1050, 'sem', 'sem', 0, 0, 0.2, 'S500', 6, '*'),
(1051, 'sem duis', 'sem duis', 0, 1, 1.2667, 'S532', 6, '*'),
(1052, 'sem duis fermentum', 'sem duis fermentum', 0, 1, 1.6, 'S53216535', 6, '*'),
(1053, 'sem quam', 'sem quam', 0, 1, 1.2667, 'S525', 6, '*'),
(1054, 'sem quam tempus', 'sem quam tempus', 0, 1, 1.5, 'S5253512', 6, '*'),
(1055, 'semper', 'semper', 0, 0, 0.4, 'S516', 26, '*'),
(1056, 'semper eros', 'semper eros', 0, 1, 1.3667, 'S5162', 6, '*'),
(1057, 'semper eros lectus', 'semper eros lectus', 0, 1, 1.6, 'S51624232', 6, '*'),
(1058, 'semper leo', 'semper leo', 0, 1, 1.3333, 'S5164', 6, '*'),
(1059, 'semper leo non', 'semper leo non', 0, 1, 1.4667, 'S51645', 6, '*'),
(1060, 'sit amet commodo', 'sit amet commodo', 0, 1, 1.5333, 'S353253', 6, '*'),
(1061, 'sociosqu', 'sociosqu', 0, 0, 0.5333, 'S000', 6, '*'),
(1062, 'sociosqu ad', 'sociosqu ad', 0, 1, 1.3667, 'S300', 6, '*'),
(1063, 'sociosqu ad litora', 'sociosqu ad litora', 0, 1, 1.6, 'S3436', 6, '*'),
(1064, 'sodales', 'sodales', 0, 0, 0.4667, 'S342', 6, '*'),
(1065, 'sodales tellus', 'sodales tellus', 0, 1, 1.4667, 'S342342', 6, '*'),
(1066, 'sodales tellus id', 'sodales tellus id', 0, 1, 1.5667, 'S3423423', 6, '*'),
(1067, 'taciti', 'taciti', 0, 0, 0.4, 'T230', 6, '*'),
(1068, 'taciti sociosqu', 'taciti sociosqu', 0, 1, 1.5, 'T232', 6, '*'),
(1069, 'taciti sociosqu ad', 'taciti sociosqu ad', 0, 1, 1.6, 'T2323', 6, '*'),
(1070, 'tellus', 'tellus', 0, 0, 0.4, 'T420', 6, '*'),
(1071, 'tellus id', 'tellus id', 0, 1, 1.3, 'T423', 6, '*'),
(1072, 'tellus id ipsum', 'tellus id ipsum', 0, 1, 1.5, 'T423125', 6, '*'),
(1073, 'tempor sit', 'tempor sit', 0, 1, 1.3333, 'T51623', 6, '*'),
(1074, 'tempor sit amet', 'tempor sit amet', 0, 1, 1.5, 'T5162353', 6, '*'),
(1075, 'tempus', 'tempus', 0, 0, 0.4, 'T512', 6, '*'),
(1076, 'tempus ut', 'tempus ut', 0, 1, 1.3, 'T5123', 6, '*'),
(1077, 'tempus ut lobortis', 'tempus ut lobortis', 0, 1, 1.6, 'T512341632', 6, '*'),
(1078, 'tincidunt', 'tincidunt', 0, 0, 0.6, 'T52353', 6, '*'),
(1079, 'tincidunt sapien', 'tincidunt sapien', 0, 1, 1.5333, 'T52353215', 6, '*'),
(1080, 'tincidunt sapien et', 'tincidunt sapien et', 0, 1, 1.6333, 'T523532153', 6, '*'),
(1081, 'tincidunt vel', 'tincidunt vel', 0, 1, 1.4333, 'T5235314', 6, '*'),
(1082, 'tincidunt vel eleifend', 'tincidunt vel eleifend', 0, 1, 1.7333, 'T5235314153', 6, '*'),
(1083, 'torquent', 'torquent', 0, 0, 0.5333, 'T6253', 6, '*'),
(1084, 'torquent per', 'torquent per', 0, 1, 1.4, 'T625316', 6, '*'),
(1085, 'torquent per conubia', 'torquent per conubia', 0, 1, 1.6667, 'T625316251', 6, '*'),
(1086, 'tortor', 'tortor', 0, 0, 0.4, 'T636', 6, '*'),
(1087, 'tortor non', 'tortor non', 0, 1, 1.3333, 'T6365', 6, '*'),
(1088, 'tortor non interdum', 'tortor non interdum', 0, 1, 1.6333, 'T63653635', 6, '*'),
(1089, 'tortor nulla', 'tortor nulla', 0, 1, 1.4, 'T63654', 6, '*'),
(1090, 'tortor nulla ultricies', 'tortor nulla ultricies', 0, 1, 1.7333, 'T63654362', 6, '*'),
(1091, 'tortor placerat', 'tortor placerat', 0, 1, 1.5, 'T63614263', 6, '*'),
(1092, 'tortor placerat tortor', 'tortor placerat tortor', 0, 1, 1.7333, 'T63614263636', 6, '*'),
(1093, 'turpis', 'turpis', 0, 0, 0.4, 'T612', 6, '*'),
(1094, 'turpis quisque', 'turpis quisque', 0, 1, 1.4667, 'T612', 6, '*'),
(1095, 'turpis quisque et', 'turpis quisque et', 0, 1, 1.5667, 'T6123', 6, '*'),
(1096, 'ultricies', 'ultricies', 0, 0, 0.6, 'U4362', 6, '*'),
(1097, 'ultricies mauris', 'ultricies mauris', 0, 1, 1.5333, 'U4362562', 6, '*'),
(1098, 'ultricies mauris consectetuer', 'ultricies mauris consectetuer', 0, 1, 1.9667, 'U43625625236', 6, '*'),
(1099, 'ut lobortis', 'ut lobortis', 0, 1, 1.3667, 'U341632', 6, '*'),
(1100, 'ut lobortis id', 'ut lobortis id', 0, 1, 1.4667, 'U3416323', 6, '*'),
(1101, 'ut nulla', 'ut nulla', 0, 1, 1.2667, 'U354', 6, '*'),
(1102, 'ut nulla aliquam', 'ut nulla aliquam', 0, 1, 1.5333, 'U35425', 6, '*'),
(1103, 'ut turpis', 'ut turpis', 0, 1, 1.3, 'U3612', 6, '*'),
(1104, 'ut turpis quisque', 'ut turpis quisque', 0, 1, 1.5667, 'U3612', 6, '*'),
(1105, 'vehicula', 'vehicula', 0, 0, 0.5333, 'V240', 6, '*'),
(1106, 'vehicula arcu', 'vehicula arcu', 0, 1, 1.4333, 'V2462', 6, '*'),
(1107, 'vehicula arcu erat', 'vehicula arcu erat', 0, 1, 1.6, 'V246263', 6, '*'),
(1108, 'vel', 'vel', 0, 0, 0.2, 'V400', 6, '*'),
(1109, 'vel eleifend', 'vel eleifend', 0, 1, 1.4, 'V4153', 6, '*'),
(1110, 'vel eleifend quis', 'vel eleifend quis', 0, 1, 1.5667, 'V41532', 6, '*');
INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`, `language`) VALUES
(1111, 'vel metus', 'vel metus', 0, 1, 1.3, 'V4532', 6, '*'),
(1112, 'vel metus aliquam', 'vel metus aliquam', 0, 1, 1.5667, 'V4532425', 6, '*'),
(1113, 'vel nulla', 'vel nulla', 0, 1, 1.3, 'V454', 6, '*'),
(1114, 'vel nulla mollis', 'vel nulla mollis', 0, 1, 1.5333, 'V454542', 6, '*'),
(1115, 'velit aliquam', 'velit aliquam', 0, 1, 1.4333, 'V43425', 6, '*'),
(1116, 'velit aliquam ac', 'velit aliquam ac', 0, 1, 1.5333, 'V434252', 6, '*'),
(1117, 'velit aliquet', 'velit aliquet', 0, 1, 1.4333, 'V43423', 6, '*'),
(1118, 'velit aliquet et', 'velit aliquet et', 0, 1, 1.5333, 'V43423', 6, '*'),
(1119, 'vitae', 'vitae', 0, 0, 0.3333, 'V300', 6, '*'),
(1120, 'vitae sem', 'vitae sem', 0, 1, 1.3, 'V325', 6, '*'),
(1121, 'vitae sem duis', 'vitae sem duis', 0, 1, 1.4667, 'V32532', 6, '*'),
(1122, 'vivamus', 'vivamus', 0, 0, 0.4667, 'V520', 6, '*'),
(1123, 'vivamus convallis', 'vivamus convallis', 0, 1, 1.5667, 'V525142', 6, '*'),
(1124, 'vivamus convallis vivamus', 'vivamus convallis vivamus', 0, 1, 1.8333, 'V525142152', 5, '*'),
(1125, 'vivamus massa', 'vivamus massa', 0, 1, 1.4333, 'V5252', 6, '*'),
(1126, 'vivamus massa velit', 'vivamus massa velit', 0, 1, 1.6333, 'V5252143', 6, '*'),
(1291, 'convallis excepteur', 'convallis excepteur', 0, 1, 1.6333, 'C5142136', 4, '*'),
(1292, 'convallis excepteur sint', 'convallis excepteur sint', 0, 1, 1.8, 'C5142136253', 4, '*'),
(1293, 'convallis gravida', 'convallis gravida', 0, 1, 1.5667, 'C5142613', 4, '*'),
(1294, 'convallis gravida dignissim', 'convallis gravida dignissim', 0, 1, 1.9, 'C51426132525', 4, '*'),
(1298, 'vivamus convallis excepteur', 'vivamus convallis excepteur', 0, 1, 1.9, 'V525142136', 4, '*'),
(1299, 'vivamus convallis gravida', 'vivamus convallis gravida', 0, 1, 1.8333, 'V525142613', 4, '*'),
(1350, 'ac dui vivamus', 'ac dui vivamus', 0, 1, 1.4667, 'A23152', 2, '*'),
(1351, 'blogs', 'blogs', 0, 0, 0.3333, 'B420', 6, '*'),
(1352, 'dui vivamus', 'dui vivamus', 0, 1, 1.3667, 'D152', 2, '*'),
(1353, 'dui vivamus massa', 'dui vivamus massa', 0, 1, 1.5667, 'D15252', 2, '*'),
(1354, 'ot blogs', 'ot blogs', 0, 1, 1.2667, 'O3142', 6, '*'),
(1367, '30', '30', 0, 0, 0.2, '', 1, '*'),
(1368, '32', '32', 0, 0, 0.2, '', 1, '*'),
(1369, '31', '31', 0, 0, 0.2, '', 1, '*'),
(1370, '34', '34', 0, 0, 0.2, '', 1, '*'),
(1371, '33', '33', 0, 0, 0.2, '', 1, '*'),
(1372, '35', '35', 0, 0, 0.2, '', 1, '*'),
(2773, '15', '15', 0, 0, 0.2, '', 20, '*'),
(2774, '15 load', '15 load', 0, 1, 1.2333, 'L300', 20, '*'),
(2775, '15 load project', '15 load project', 0, 1, 1.5, 'L31623', 20, '*'),
(2776, '2013', '2013', 0, 0, 0.4, '', 20, '*'),
(2777, '2013 march', '2013 march', 0, 1, 1.3333, 'M620', 20, '*'),
(2778, '2013 march 15', '2013 march 15', 0, 1, 1.4333, 'M620', 20, '*'),
(2779, '53', '53', 0, 0, 0.2, '', 1, '*'),
(2780, 'a dictum', 'a dictum', 0, 1, 1.2667, 'A3235', 20, '*'),
(2781, 'a dictum varius', 'a dictum varius', 0, 1, 1.5, 'A3235162', 20, '*'),
(2782, 'a semper', 'a semper', 0, 1, 1.2667, 'A2516', 20, '*'),
(2783, 'a semper massa', 'a semper massa', 0, 1, 1.4667, 'A251652', 20, '*'),
(2784, 'adipiscing', 'adipiscing', 0, 0, 0.6667, 'A31252', 20, '*'),
(2785, 'adipiscing elit', 'adipiscing elit', 0, 1, 1.5, 'A3125243', 20, '*'),
(2786, 'adipiscing elit proin', 'adipiscing elit proin', 0, 1, 1.7, 'A3125243165', 20, '*'),
(2787, 'adipiscing lobortis', 'adipiscing lobortis', 0, 1, 1.6333, 'A3125241632', 20, '*'),
(2788, 'adipiscing lobortis owner', 'adipiscing lobortis owner', 0, 1, 1.8333, 'A312524163256', 20, '*'),
(2789, 'adipiscing lobortis quisque', 'adipiscing lobortis quisque', 0, 1, 1.9, 'A3125241632', 20, '*'),
(2790, 'amet consectetue', 'amet consectetue', 0, 1, 1.5333, 'A532523', 20, '*'),
(2791, 'amet consectetue elit', 'amet consectetue elit', 0, 1, 1.7, 'A53252343', 20, '*'),
(2792, 'amet consectetuer', 'amet consectetuer', 0, 1, 1.5667, 'A5325236', 20, '*'),
(2793, 'amet consectetuer adipiscing', 'amet consectetuer adipiscing', 0, 1, 1.9333, 'A532523631252', 20, '*'),
(2794, 'ante', 'ante', 0, 0, 0.2667, 'A530', 20, '*'),
(2795, 'ante adipiscing', 'ante adipiscing', 0, 1, 1.5, 'A531252', 20, '*'),
(2796, 'ante adipiscing lobortis', 'ante adipiscing lobortis', 0, 1, 1.8, 'A53125241632', 20, '*'),
(2797, 'arcu a', 'arcu a', 0, 1, 1.2, 'A620', 20, '*'),
(2798, 'arcu a dictum', 'arcu a dictum', 0, 1, 1.4333, 'A623235', 20, '*'),
(2799, 'arcu a semper', 'arcu a semper', 0, 1, 1.4333, 'A62516', 20, '*'),
(2800, 'commodo erat released', 'commodo erat released', 0, 1, 1.7, 'C53636423', 20, '*'),
(2801, 'consectetue', 'consectetue', 0, 0, 0.7333, 'C523', 20, '*'),
(2802, 'consectetue elit', 'consectetue elit', 0, 1, 1.5333, 'C52343', 20, '*'),
(2803, 'consectetue elit quisque', 'consectetue elit quisque', 0, 1, 1.8, 'C523432', 20, '*'),
(2804, 'consectetuer adipiscing', 'consectetuer adipiscing', 0, 1, 1.7667, 'C523631252', 20, '*'),
(2805, 'consectetuer adipiscing elit', 'consectetuer adipiscing elit', 0, 1, 1.9333, 'C52363125243', 20, '*');
INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`, `language`) VALUES
(2806, 'date', 'date', 0, 0, 0.2667, 'D000', 20, '*'),
(2807, 'date 2013', 'date 2013', 0, 1, 1.3, 'D000', 20, '*'),
(2808, 'date 2013 march', 'date 2013 march', 0, 1, 1.5, 'D562', 20, '*'),
(2809, 'description', 'description', 0, 0, 0.7333, 'D26135', 20, '*'),
(2810, 'description proin', 'description proin', 0, 1, 1.5667, 'D26135165', 20, '*'),
(2811, 'description proin sed', 'description proin sed', 0, 1, 1.7, 'D2613516523', 20, '*'),
(2812, 'dictum', 'dictum', 0, 0, 0.4, 'D235', 20, '*'),
(2813, 'dictum varius', 'dictum varius', 0, 1, 1.4333, 'D235162', 20, '*'),
(2814, 'dictum varius risus', 'dictum varius risus', 0, 1, 1.6333, 'D23516262', 20, '*'),
(2815, 'donec', 'donec', 0, 0, 0.3333, 'D520', 20, '*'),
(2816, 'donec lacus', 'donec lacus', 0, 1, 1.3667, 'D5242', 20, '*'),
(2817, 'donec lacus leo', 'donec lacus leo', 0, 1, 1.5, 'D52424', 20, '*'),
(2818, 'eget ipsum', 'eget ipsum', 0, 1, 1.3333, 'E23125', 20, '*'),
(2819, 'eget ipsum lorem', 'eget ipsum lorem', 0, 1, 1.5333, 'E23125465', 20, '*'),
(2820, 'eleifend arcu', 'eleifend arcu', 0, 1, 1.4333, 'E415362', 20, '*'),
(2821, 'eleifend arcu a', 'eleifend arcu a', 0, 1, 1.5, 'E415362', 20, '*'),
(2822, 'elelorem', 'elelorem', 0, 0, 0.5333, 'E465', 20, '*'),
(2823, 'elelorem ipsum', 'elelorem ipsum', 0, 1, 1.4667, 'E465125', 20, '*'),
(2824, 'elelorem ipsum dolor', 'elelorem ipsum dolor', 0, 1, 1.6667, 'E465125346', 20, '*'),
(2825, 'elit proin', 'elit proin', 0, 1, 1.3333, 'E43165', 20, '*'),
(2826, 'elit proin sed', 'elit proin sed', 0, 1, 1.4667, 'E4316523', 20, '*'),
(2827, 'elit quisque', 'elit quisque', 0, 1, 1.4, 'E432', 20, '*'),
(2828, 'elit quisque elelorem', 'elit quisque elelorem', 0, 1, 1.7, 'E432465', 20, '*'),
(2829, 'erat released', 'erat released', 0, 1, 1.4333, 'E636423', 20, '*'),
(2830, 'erat released date', 'erat released date', 0, 1, 1.6, 'E636423', 20, '*'),
(2831, 'et ante', 'et ante', 0, 1, 1.2333, 'E353', 20, '*'),
(2832, 'et ante adipiscing', 'et ante adipiscing', 0, 1, 1.6, 'E3531252', 20, '*'),
(2833, 'from nullam', 'from nullam', 0, 1, 1.3667, 'F6545', 20, '*'),
(2834, 'from nullam commodo', 'from nullam commodo', 0, 1, 1.6333, 'F6545253', 20, '*'),
(2835, 'ipsum lorem', 'ipsum lorem', 0, 1, 1.3667, 'I125465', 20, '*'),
(2836, 'ipsum lorem ipsum', 'ipsum lorem ipsum', 0, 1, 1.5667, 'I125465125', 20, '*'),
(2837, 'lacus', 'lacus', 0, 0, 0.3333, 'L200', 20, '*'),
(2838, 'lacus leo', 'lacus leo', 0, 1, 1.3, 'L240', 20, '*'),
(2839, 'lacus leo from', 'lacus leo from', 0, 1, 1.4667, 'L24165', 20, '*'),
(2840, 'leo from', 'leo from', 0, 1, 1.2667, 'L165', 20, '*'),
(2841, 'leo from nullam', 'leo from nullam', 0, 1, 1.5, 'L16545', 20, '*'),
(2842, 'load', 'load', 0, 0, 0.2667, 'L300', 20, '*'),
(2843, 'load project', 'load project', 0, 1, 1.4, 'L31623', 20, '*'),
(2844, 'load project now', 'load project now', 0, 1, 1.5333, 'L316235', 20, '*'),
(2845, 'lobortis owner', 'lobortis owner', 0, 1, 1.4667, 'L163256', 20, '*'),
(2846, 'lobortis owner donec', 'lobortis owner donec', 0, 1, 1.6667, 'L163256352', 20, '*'),
(2847, 'lobortis quisque', 'lobortis quisque', 0, 1, 1.5333, 'L1632', 20, '*'),
(2848, 'lobortis quisque eleifend', 'lobortis quisque eleifend', 0, 1, 1.8333, 'L16324153', 20, '*'),
(2849, 'lobortis quisque elelorem', 'lobortis quisque elelorem', 0, 1, 1.8333, 'L1632465', 20, '*'),
(2850, 'march', 'march', 0, 0, 0.3333, 'M620', 20, '*'),
(2851, 'march 15', 'march 15', 0, 1, 1.2667, 'M620', 20, '*'),
(2852, 'march 15 load', 'march 15 load', 0, 1, 1.4333, 'M6243', 20, '*'),
(2853, 'massa mi', 'massa mi', 0, 1, 1.2667, 'M250', 20, '*'),
(2854, 'massa mi eget', 'massa mi eget', 0, 1, 1.4333, 'M2523', 20, '*'),
(2855, 'mi', 'mi', 0, 0, 0.1333, 'M000', 20, '*'),
(2856, 'mi eget', 'mi eget', 0, 1, 1.2333, 'M230', 20, '*'),
(2857, 'mi eget ipsum', 'mi eget ipsum', 0, 1, 1.4333, 'M23125', 20, '*'),
(2858, 'neque', 'neque', 0, 0, 0.3333, 'N200', 20, '*'),
(2859, 'neque venenatis', 'neque venenatis', 0, 1, 1.5, 'N21532', 20, '*'),
(2860, 'neque venenatis arcu', 'neque venenatis arcu', 0, 1, 1.6667, 'N2153262', 20, '*'),
(2861, 'now', 'now', 0, 0, 0.2, 'N000', 20, '*'),
(2862, 'odio et', 'odio et', 0, 1, 1.2333, 'O300', 20, '*'),
(2863, 'odio et ante', 'odio et ante', 0, 1, 1.4, 'O353', 20, '*'),
(2864, 'owner', 'owner', 0, 0, 0.3333, 'O560', 20, '*'),
(2865, 'owner donec', 'owner donec', 0, 1, 1.3667, 'O56352', 20, '*'),
(2866, 'owner donec lacus', 'owner donec lacus', 0, 1, 1.5667, 'O5635242', 20, '*'),
(2867, 'proin sed', 'proin sed', 0, 1, 1.3, 'P6523', 20, '*'),
(2868, 'proin sed odio', 'proin sed odio', 0, 1, 1.4667, 'P6523', 20, '*'),
(2869, 'project', 'project', 0, 0, 0.4667, 'P623', 20, '*'),
(2870, 'project description', 'project description', 0, 1, 1.6333, 'P62326135', 20, '*'),
(2871, 'project description proin', 'project description proin', 0, 1, 1.8333, 'P62326135165', 20, '*'),
(2872, 'project now', 'project now', 0, 1, 1.3667, 'P6235', 20, '*');
INSERT INTO `#__finder_terms` (`term_id`, `term`, `stem`, `common`, `phrase`, `weight`, `soundex`, `links`, `language`) VALUES
(2873, 'quisque eleifend', 'quisque eleifend', 0, 1, 1.5333, 'Q4153', 20, '*'),
(2874, 'quisque eleifend arcu', 'quisque eleifend arcu', 0, 1, 1.7, 'Q415362', 20, '*'),
(2875, 'quisque elelorem', 'quisque elelorem', 0, 1, 1.5333, 'Q465', 20, '*'),
(2876, 'quisque elelorem ipsum', 'quisque elelorem ipsum', 0, 1, 1.7333, 'Q465125', 20, '*'),
(2877, 'released', 'released', 0, 0, 0.5333, 'R423', 20, '*'),
(2878, 'released date', 'released date', 0, 1, 1.4333, 'R423', 20, '*'),
(2879, 'released date 2013', 'released date 2013', 0, 1, 1.6, 'R423', 20, '*'),
(2880, 'risus neque', 'risus neque', 0, 1, 1.3667, 'R252', 20, '*'),
(2881, 'risus neque venenatis', 'risus neque venenatis', 0, 1, 1.7, 'R2521532', 20, '*'),
(2882, 'sed odio et', 'sed odio et', 0, 1, 1.3667, 'S300', 20, '*'),
(2883, 'semper massa', 'semper massa', 0, 1, 1.4, 'S51652', 20, '*'),
(2884, 'semper massa mi', 'semper massa mi', 0, 1, 1.5, 'S516525', 20, '*'),
(2885, 'sit amet consectetue', 'sit amet consectetue', 0, 1, 1.6667, 'S3532523', 20, '*'),
(2886, 'sit amet consectetuer', 'sit amet consectetuer', 0, 1, 1.7, 'S35325236', 20, '*'),
(2887, 'varius', 'varius', 0, 0, 0.4, 'V620', 20, '*'),
(2888, 'varius risus', 'varius risus', 0, 1, 1.4, 'V6262', 20, '*'),
(2889, 'varius risus neque', 'varius risus neque', 0, 1, 1.6, 'V626252', 20, '*'),
(2890, 'venenatis', 'venenatis', 0, 0, 0.6, 'V532', 20, '*'),
(2891, 'venenatis arcu', 'venenatis arcu', 0, 1, 1.4667, 'V53262', 20, '*'),
(2892, 'venenatis arcu a', 'venenatis arcu a', 0, 1, 1.5333, 'V53262', 20, '*'),
(2902, '52', '52', 0, 0, 0.2, '', 1, '*'),
(2903, '55', '55', 0, 0, 0.2, '', 1, '*'),
(2904, '54', '54', 0, 0, 0.2, '', 1, '*'),
(2905, '51', '51', 0, 0, 0.2, '', 1, '*'),
(2906, '50', '50', 0, 0, 0.2, '', 1, '*'),
(2907, '48', '48', 0, 0, 0.2, '', 1, '*'),
(2908, '49', '49', 0, 0, 0.2, '', 1, '*'),
(2909, '47', '47', 0, 0, 0.2, '', 1, '*'),
(2910, '46', '46', 0, 0, 0.2, '', 1, '*'),
(2911, '45', '45', 0, 0, 0.2, '', 1, '*'),
(2912, '44', '44', 0, 0, 0.2, '', 1, '*'),
(2913, '43', '43', 0, 0, 0.2, '', 1, '*'),
(2914, '42', '42', 0, 0, 0.2, '', 1, '*'),
(2915, '41', '41', 0, 0, 0.2, '', 1, '*'),
(2916, '40', '40', 0, 0, 0.2, '', 1, '*'),
(2917, '39', '39', 0, 0, 0.2, '', 1, '*'),
(2918, '38', '38', 0, 0, 0.2, '', 1, '*'),
(2919, '37', '37', 0, 0, 0.2, '', 1, '*'),
(2920, '36', '36', 0, 0, 0.2, '', 1, '*'),
(2921, '28', '28', 0, 0, 0.2, '', 1, '*'),
(2922, 'an', 'an', 0, 0, 0.1333, 'A500', 1, '*'),
(2923, 'an goals', 'an goals', 0, 1, 1.2667, 'A5242', 1, '*'),
(2924, 'goals', 'goals', 0, 0, 0.3333, 'G420', 1, '*'),
(2925, 'misson', 'misson', 0, 0, 0.4, 'M250', 1, '*'),
(2926, 'misson an', 'misson an', 0, 1, 1.3, 'M250', 1, '*'),
(2927, 'misson an goals', 'misson an goals', 0, 1, 1.5, 'M25242', 1, '*');

DROP TABLE IF EXISTS `#__finder_terms_common`;
CREATE TABLE IF NOT EXISTS `#__finder_terms_common` (
  `term` varchar(75) NOT NULL,
  `language` varchar(3) NOT NULL,
  KEY `idx_word_lang` (`term`,`language`),
  KEY `idx_lang` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_terms_common` (`term`, `language`) VALUES
('a', 'en'),
('about', 'en'),
('after', 'en'),
('ago', 'en'),
('all', 'en'),
('am', 'en'),
('an', 'en'),
('and', 'en'),
('ani', 'en'),
('any', 'en'),
('are', 'en'),
('aren''t', 'en'),
('as', 'en'),
('at', 'en'),
('be', 'en'),
('but', 'en'),
('by', 'en'),
('for', 'en'),
('from', 'en'),
('get', 'en'),
('go', 'en'),
('how', 'en'),
('if', 'en'),
('in', 'en'),
('into', 'en'),
('is', 'en'),
('isn''t', 'en'),
('it', 'en'),
('its', 'en'),
('me', 'en'),
('more', 'en'),
('most', 'en'),
('must', 'en'),
('my', 'en'),
('new', 'en'),
('no', 'en'),
('none', 'en'),
('not', 'en'),
('noth', 'en'),
('nothing', 'en'),
('of', 'en'),
('off', 'en'),
('often', 'en'),
('old', 'en'),
('on', 'en'),
('onc', 'en'),
('once', 'en'),
('onli', 'en'),
('only', 'en'),
('or', 'en'),
('other', 'en'),
('our', 'en'),
('ours', 'en'),
('out', 'en'),
('over', 'en'),
('page', 'en'),
('she', 'en'),
('should', 'en'),
('small', 'en'),
('so', 'en'),
('some', 'en'),
('than', 'en'),
('thank', 'en'),
('that', 'en'),
('the', 'en'),
('their', 'en'),
('theirs', 'en'),
('them', 'en'),
('then', 'en'),
('there', 'en'),
('these', 'en'),
('they', 'en'),
('this', 'en'),
('those', 'en'),
('thus', 'en'),
('time', 'en'),
('times', 'en'),
('to', 'en'),
('too', 'en'),
('true', 'en'),
('under', 'en'),
('until', 'en'),
('up', 'en'),
('upon', 'en'),
('use', 'en'),
('user', 'en'),
('users', 'en'),
('veri', 'en'),
('version', 'en'),
('very', 'en'),
('via', 'en'),
('want', 'en'),
('was', 'en'),
('way', 'en'),
('were', 'en'),
('what', 'en'),
('when', 'en'),
('where', 'en'),
('whi', 'en'),
('which', 'en'),
('who', 'en'),
('whom', 'en'),
('whose', 'en'),
('why', 'en'),
('wide', 'en'),
('will', 'en'),
('with', 'en'),
('within', 'en'),
('without', 'en'),
('would', 'en'),
('yes', 'en'),
('yet', 'en'),
('you', 'en'),
('your', 'en'),
('yours', 'en');

DROP TABLE IF EXISTS `#__finder_tokens`;
CREATE TABLE IF NOT EXISTS `#__finder_tokens` (
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '1',
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  `language` char(3) NOT NULL DEFAULT '',
  KEY `idx_word` (`term`),
  KEY `idx_context` (`context`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_tokens_aggregate`;
CREATE TABLE IF NOT EXISTS `#__finder_tokens_aggregate` (
  `term_id` int(10) unsigned NOT NULL,
  `map_suffix` char(1) NOT NULL,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `term_weight` float unsigned NOT NULL,
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  `context_weight` float unsigned NOT NULL,
  `total_weight` float unsigned NOT NULL,
  `language` char(3) NOT NULL DEFAULT '',
  KEY `token` (`term`),
  KEY `keyword_id` (`term_id`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_types`;
CREATE TABLE IF NOT EXISTS `#__finder_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `mime` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `title` (`title`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

INSERT INTO `#__finder_types` (`id`, `title`, `mime`) VALUES
(1, 'K2 Item', ''),
(2, 'Category', ''),
(3, 'Contact', ''),
(4, 'Article', ''),
(5, 'News Feed', ''),
(6, 'Web Link', ''),
(7, 'Tag', '');

DROP TABLE IF EXISTS `#__k2_attachments`;
CREATE TABLE IF NOT EXISTS `#__k2_attachments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `titleAttribute` text NOT NULL,
  `hits` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `itemID` (`itemID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__k2_categories`;
CREATE TABLE IF NOT EXISTS `#__k2_categories` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `parent` int(11) DEFAULT '0',
  `extraFieldsGroup` int(11) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `image` varchar(255) NOT NULL,
  `params` text NOT NULL,
  `trash` smallint(6) NOT NULL DEFAULT '0',
  `plugins` text NOT NULL,
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `category` (`published`,`access`,`trash`),
  KEY `parent` (`parent`),
  KEY `ordering` (`ordering`),
  KEY `published` (`published`),
  KEY `access` (`access`),
  KEY `trash` (`trash`),
  KEY `language` (`language`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13 ;

INSERT INTO `#__k2_categories` (`id`, `name`, `alias`, `description`, `parent`, `extraFieldsGroup`, `published`, `access`, `ordering`, `image`, `params`, `trash`, `plugins`, `language`) VALUES
(1, 'OT General', 'ot-general', '', 0, 0, 1, 1, 1, '', '{"inheritFrom":"0","theme":"","num_leading_items":"2","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*');
INSERT INTO `#__k2_categories` (`id`, `name`, `alias`, `description`, `parent`, `extraFieldsGroup`, `published`, `access`, `ordering`, `image`, `params`, `trash`, `plugins`, `language`) VALUES
(2, 'OT Features', 'ot-features', '', 0, 0, 1, 1, 2, '', '{"inheritFrom":"0","theme":"","num_leading_items":"2","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*');
INSERT INTO `#__k2_categories` (`id`, `name`, `alias`, `description`, `parent`, `extraFieldsGroup`, `published`, `access`, `ordering`, `image`, `params`, `trash`, `plugins`, `language`) VALUES
(3, 'OT K2 Demo', 'ot-k2-demo', '', 0, 0, 1, 1, 3, '', '{"inheritFrom":"0","theme":"","num_leading_items":"0","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"0","num_primary_columns":"1","primaryImgSize":"Medium","num_secondary_items":"0","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"0","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"0","catPaginationResults":"0","catTitle":"0","catTitleItemCounter":"0","catDescription":"0","catImage":"0","catFeedLink":"0","catFeedIcon":"0","subCategories":"1","subCatColumns":"1","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"0","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"0","itemAuthorImage":"0","itemAuthorDescription":"0","itemAuthorURL":"0","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*');
INSERT INTO `#__k2_categories` (`id`, `name`, `alias`, `description`, `parent`, `extraFieldsGroup`, `published`, `access`, `ordering`, `image`, `params`, `trash`, `plugins`, `language`) VALUES
(4, 'Sub Category 1.1', 'sub-category-11', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed id auctor orci. Morbi gravida, nisl eu bibendum viverra, nunc lectus.</p>', 3, 0, 1, 1, 1, '4.jpg', '{"inheritFrom":"0","theme":"","num_leading_items":"3","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"0","num_primary_columns":"1","primaryImgSize":"Large","num_secondary_items":"0","num_secondary_columns":"0","secondaryImgSize":"Large","num_links":"0","num_links_columns":"1","linksImgSize":"Large","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"0","catTitleItemCounter":"1","catDescription":"0","catImage":"0","catFeedLink":"1","catFeedIcon":"0","subCategories":"0","subCatColumns":"1","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"1","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"0","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*');
INSERT INTO `#__k2_categories` (`id`, `name`, `alias`, `description`, `parent`, `extraFieldsGroup`, `published`, `access`, `ordering`, `image`, `params`, `trash`, `plugins`, `language`) VALUES
(5, 'Sub Category 2.1', 'sub-category-21', '', 4, 0, 1, 1, 1, '', '{"inheritFrom":"0","theme":"","num_leading_items":"3","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"0","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"0","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"0","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"0","catFeedIcon":"0","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"1","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*');
INSERT INTO `#__k2_categories` (`id`, `name`, `alias`, `description`, `parent`, `extraFieldsGroup`, `published`, `access`, `ordering`, `image`, `params`, `trash`, `plugins`, `language`) VALUES
(6, 'Sub Category 2.2', 'sub-category-22', '', 4, 0, 1, 1, 2, '', '{"inheritFrom":"0","theme":"","num_leading_items":"3","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"0","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"0","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"0","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"0","catFeedIcon":"0","subCategories":"1","subCatColumns":"1","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"1","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*');
INSERT INTO `#__k2_categories` (`id`, `name`, `alias`, `description`, `parent`, `extraFieldsGroup`, `published`, `access`, `ordering`, `image`, `params`, `trash`, `plugins`, `language`) VALUES
(7, 'Sub Category 1.2', 'sub-category-12', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed id auctor orci. Morbi gravida, nisl eu bibendum viverra, nunc lectus.</p>', 3, 0, 1, 1, 2, '7.jpg', '{"inheritFrom":"0","theme":"","num_leading_items":"3","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"0","num_primary_columns":"1","primaryImgSize":"Medium","num_secondary_items":"0","num_secondary_columns":"0","secondaryImgSize":"Small","num_links":"0","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"0","catTitleItemCounter":"1","catDescription":"0","catImage":"0","catFeedLink":"0","catFeedIcon":"1","subCategories":"1","subCatColumns":"1","subCatOrdering":"","subCatTitle":"0","subCatTitleItemCounter":"0","subCatDescription":"0","subCatImage":"0","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"1","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*');
INSERT INTO `#__k2_categories` (`id`, `name`, `alias`, `description`, `parent`, `extraFieldsGroup`, `published`, `access`, `ordering`, `image`, `params`, `trash`, `plugins`, `language`) VALUES
(8, 'Sub Category 1.3', 'sub-category-13', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed id auctor orci. Morbi gravida, nisl eu bibendum viverra, nunc lectus.</p>', 3, 0, 1, 1, 3, '8.jpg', '{"inheritFrom":"0","theme":"","num_leading_items":"3","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"0","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"0","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"0","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*');
INSERT INTO `#__k2_categories` (`id`, `name`, `alias`, `description`, `parent`, `extraFieldsGroup`, `published`, `access`, `ordering`, `image`, `params`, `trash`, `plugins`, `language`) VALUES
(9, 'OT SlideShow', 'ot-slideshow', '', 0, 0, 1, 1, 4, '', '{"inheritFrom":"0","theme":"","num_leading_items":"2","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"1920","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"1","catItemCategory":"0","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*');
INSERT INTO `#__k2_categories` (`id`, `name`, `alias`, `description`, `parent`, `extraFieldsGroup`, `published`, `access`, `ordering`, `image`, `params`, `trash`, `plugins`, `language`) VALUES
(10, 'OT Portfolios', 'ot-portfolios', '', 0, 0, 1, 1, 5, '', '{"inheritFrom":"0","theme":"porfolio","num_leading_items":"4","num_leading_columns":"4","leadingImgSize":"Medium","num_primary_items":"4","num_primary_columns":"4","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"4","secondaryImgSize":"Medium","num_links":"0","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"0","catTitle":"0","catTitleItemCounter":"0","catDescription":"0","catImage":"0","catFeedLink":"0","catFeedIcon":"0","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"0","catItemDateCreated":"0","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"20","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"0","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"0","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"0","itemAuthor":"1","itemFontResizer":"0","itemPrintButton":"0","itemEmailButton":"0","itemSocialButton":"1","itemVideoAnchor":"0","itemImageGalleryAnchor":"0","itemCommentsAnchor":"0","itemRating":"1","itemImage":"1","itemImgSize":"XLarge","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"0","itemDateModified":"0","itemHits":"0","itemCategory":"0","itemTags":"1","itemAttachments":"0","itemAttachmentsCounter":"0","itemVideo":"0","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"0","itemVideoCredits":"0","itemImageGallery":"0","itemNavigation":"0","itemComments":"0","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"0","itemAuthorImage":"0","itemAuthorDescription":"0","itemAuthorURL":"0","itemAuthorEmail":"0","itemAuthorLatest":"0","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"4","itemRelatedTitle":"1","itemRelatedCategory":"1","itemRelatedImageSize":"Medium","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*');
INSERT INTO `#__k2_categories` (`id`, `name`, `alias`, `description`, `parent`, `extraFieldsGroup`, `published`, `access`, `ordering`, `image`, `params`, `trash`, `plugins`, `language`) VALUES
(11, 'OT About', 'ot-about', '', 0, 0, 1, 1, 6, '', '{"inheritFrom":"0","theme":"","num_leading_items":"1","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"2","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"2","num_secondary_columns":"2","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"0","catTitleItemCounter":"0","catDescription":"0","catImage":"0","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*');
INSERT INTO `#__k2_categories` (`id`, `name`, `alias`, `description`, `parent`, `extraFieldsGroup`, `published`, `access`, `ordering`, `image`, `params`, `trash`, `plugins`, `language`) VALUES
(12, 'OT Blogs', 'ot-blogs', '', 0, 0, 1, 1, 7, '', '{"inheritFrom":"0","theme":"blog","num_leading_items":"3","num_leading_columns":"1","leadingImgSize":"XLarge","num_primary_items":"0","num_primary_columns":"1","primaryImgSize":"Medium","num_secondary_items":"0","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"0","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"0","catTitle":"0","catTitleItemCounter":"0","catDescription":"0","catImage":"0","catFeedLink":"0","catFeedIcon":"0","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"1","catItemCategory":"0","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"0","itemPrintButton":"0","itemEmailButton":"0","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"XLarge","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"0","itemDateModified":"0","itemHits":"0","itemCategory":"0","itemTags":"1","itemAttachments":"0","itemAttachmentsCounter":"0","itemVideo":"0","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"0","itemVideoCredits":"0","itemImageGallery":"1","itemNavigation":"0","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"0","itemAuthorImage":"0","itemAuthorDescription":"0","itemAuthorURL":"0","itemAuthorEmail":"0","itemAuthorLatest":"0","itemAuthorLatestLimit":"5","itemRelated":"0","itemRelatedLimit":"5","itemRelatedTitle":"0","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*');

DROP TABLE IF EXISTS `#__k2_comments`;
CREATE TABLE IF NOT EXISTS `#__k2_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) NOT NULL,
  `userID` int(11) NOT NULL,
  `userName` varchar(255) NOT NULL,
  `commentDate` datetime NOT NULL,
  `commentText` text NOT NULL,
  `commentEmail` varchar(255) NOT NULL,
  `commentURL` varchar(255) NOT NULL,
  `published` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `itemID` (`itemID`),
  KEY `userID` (`userID`),
  KEY `published` (`published`),
  KEY `latestComments` (`published`,`commentDate`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

INSERT INTO `#__k2_comments` (`id`, `itemID`, `userID`, `userName`, `commentDate`, `commentText`, `commentEmail`, `commentURL`, `published`) VALUES
(3, 7, 305, 'Super User', '2014-08-19 07:05:24', 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis…', 'omegatheme@omegatheme.com', '', 1),
(4, 55, 305, 'Super User', '2014-08-19 07:05:54', 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis…', 'omegatheme@omegatheme.com', '', 1);

DROP TABLE IF EXISTS `#__k2_extra_fields`;
CREATE TABLE IF NOT EXISTS `#__k2_extra_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `value` text NOT NULL,
  `type` varchar(255) NOT NULL,
  `group` int(11) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `group` (`group`),
  KEY `published` (`published`),
  KEY `ordering` (`ordering`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__k2_extra_fields_groups`;
CREATE TABLE IF NOT EXISTS `#__k2_extra_fields_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__k2_items`;
CREATE TABLE IF NOT EXISTS `#__k2_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) DEFAULT NULL,
  `catid` int(11) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `video` text,
  `gallery` varchar(255) DEFAULT NULL,
  `extra_fields` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `extra_fields_search` text NOT NULL,
  `created` datetime NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL,
  `checked_out` int(10) unsigned NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `publish_up` datetime NOT NULL,
  `publish_down` datetime NOT NULL,
  `trash` smallint(6) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `featured` smallint(6) NOT NULL DEFAULT '0',
  `featured_ordering` int(11) NOT NULL DEFAULT '0',
  `image_caption` text NOT NULL,
  `image_credits` varchar(255) NOT NULL,
  `video_caption` text NOT NULL,
  `video_credits` varchar(255) NOT NULL,
  `hits` int(10) unsigned NOT NULL,
  `params` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `metakey` text NOT NULL,
  `plugins` text NOT NULL,
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `item` (`published`,`publish_up`,`publish_down`,`trash`,`access`),
  KEY `catid` (`catid`),
  KEY `created_by` (`created_by`),
  KEY `ordering` (`ordering`),
  KEY `featured` (`featured`),
  KEY `featured_ordering` (`featured_ordering`),
  KEY `hits` (`hits`),
  KEY `created` (`created`),
  KEY `language` (`language`),
  FULLTEXT KEY `search` (`title`,`introtext`,`fulltext`,`extra_fields_search`,`image_caption`,`image_credits`,`video_caption`,`video_credits`,`metadesc`,`metakey`),
  FULLTEXT KEY `title` (`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=61 ;

INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(1, 'All Features', 'all-features', 2, 1, '<table border="0" cellspacing="0" cellpadding="0">\r\n<tbody>\r\n<tr>\r\n<td valign="top">\r\n<h3>Validation Templates</h3>\r\n<ul>\r\n<li>100% tableless CSS,with <strong>changeable</strong> width of left and right columns, as well as overall template width.</li>\r\n<li>Three pre-defined styles. Each color is easily customizable in parameters, so you can change any color in template easily.</li>\r\n<li>Hot Effects Rotator module pre-installed.</li>\r\n<li>Hot QuickStart (SQL dump ) available with both single purchase or membership plan.</li>\r\n<li>Fully collapsible module positions module positions.</li>\r\n<li>Validates with XHTML 1.0 Transitional.</li>\r\n<li>SEO friendly.</li>\r\n<li>PSD file included.</li>\r\n<li>Tested in IE7+, Firefox, Chrome, Safari and Opera browsers.</li>\r\n<li>Joomla! 2.5 native</li>\r\n<li>OMG Framework</li>\r\n<li>Clean and well comments in CSS and PHP code</li>\r\n</ul>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td valign="top">\r\n<table border="0">\r\n<tbody>\r\n<tr>\r\n<td valign="top">\r\n<h3>Solid Code Framework</h3>\r\n<span class="title-custom"><img style="margin-left: 10px; margin-right: 10px; float: left; border: 0;" src="images/demo/features/solid-framework.png" alt="joomla solid framework" border="0" /></span>All templates run on the same Framework which makes it easy to setup your theme, SEO and extra functionality.</td>\r\n<td width="15"> </td>\r\n<td valign="top">\r\n<h3>Joomla Template package</h3>\r\n<p><span class="title-custom"><img style="margin-left: 10px; margin-right: 10px; float: left; border: 0;" src="images/demo/features/template-package.png" alt="joomla template package" border="0" /></span>Extension files included:<br /> + <a title="quick start installation tutorial" href="http://www.omegatheme.com/blog/joomla-tutorials/quick-start-installation.html" target="_blank">Quickstart installation</a><br /> + <a title="template installation" href="http://www.omegatheme.com/blog/joomla-tutorials/how-to-install-joomla-template.html" target="_blank">Template installation</a><br /> + <a title="extensions installation" href="http://www.omegatheme.com/blog/joomla-tutorials/how-to-install-joomla-module.html" target="_blank">Extensions installation</a></p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td valign="top">\r\n<h3>Incredible Support</h3>\r\n<p><span class="title-custom"><img style="margin-left: 10px; margin-right: 10px; float: left; border: 0;" src="images/demo/features/supports.png" alt="incredible joomla support" border="0" /></span>Detailed templates documentation with professional tutorials and probably the best support forum anywhere!</p>\r\n</td>\r\n<td> </td>\r\n<td valign="top">\r\n<h3>New Templates Every Month</h3>\r\n<p><span class="title-custom"><img style="margin-left: 10px; margin-right: 10px; float: left; border: 0;" src="images/demo/features/calendar.png" alt="joomla template release every month" border="0" /></span>We deliver 2+ new templates every month, so that you can easily satisfy clients needs and keep your site looking fresh.</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', NULL, NULL, '[]', '', '2012-06-20 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-07 07:59:58', 305, '2012-06-20 00:00:00', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 41, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(2, 'Typography', 'typography', 2, 1, '<h1>H1 Heading Tag</h1>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue.</p>\r\n<h2>H2 Heading Tag</h2>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue.</p>\r\n<h3>H3 Heading Tag</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue.</p>\r\n<h4>H4 Heading Tag</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue.</p>\r\n<h5>H5 Heading Tag</h5>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue.</p>\r\n<h6>H6 Heading Tag</h6>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue.</p>\r\n<div class="page-inset">\r\n<h4>List style 1</h4>\r\n<ol>\r\n<li>Suspendisse <strong>hendrerit ante</strong> vel quam.</li>\r\n<li>Vestibulum nisl. Integer urna.</li>\r\n<li>Aenean hendrerit. Maecenas condimentum.</li>\r\n<li>Sed odio sem, placerat faucibus.</li>\r\n</ol>\r\n<h4>List style 2</h4>\r\n<div class="clearfix" style="overflow: hidden;">\r\n<div class="mega-list-left">\r\n<ul class="unordered">\r\n<li>This is a sample <strong>Unordered List</strong>.</li>\r\n<li>Condimentum quis.</li>\r\n<li>Congue Quisque augue elit dolor.</li>\r\n<li>Nunc cursus sem et pretium sapien eget.</li>\r\n</ul>\r\n</div>\r\n<div class="mega-list-right">\r\n<ul class="checklist">\r\n<li>This is a sample <strong>Checklist</strong>.</li>\r\n<li>Dolor Curabitur Nam Nulla augue id.</li>\r\n<li>Lorem et nunc congue pede auctor</li>\r\n<li>Nunc cursus sem et pretium.</li>\r\n</ul>\r\n</div>\r\n<div class="mega-list-left">\r\n<ul class="star">\r\n<li>This is a sample <strong>Star list</strong></li>\r\n<li>Dolor Curabitur Nam Nulla augue id iaculis.</li>\r\n<li>Lorem et nunc congue pede auctor</li>\r\n<li>Nunc cursus sem et pretium.</li>\r\n</ul>\r\n</div>\r\n<div class="mega-list-right">\r\n<ul class="arrow">\r\n<li>This is a sample <strong>Arrow list</strong>.</li>\r\n<li>Dolor Curabitur Nam Nulla augue id iaculis.</li>\r\n<li>Lorem et nunc congue pede auctor</li>\r\n<li>Nunc cursus sem et pretium.</li>\r\n</ul>\r\n</div>\r\n</div>\r\n<div class="bubble1">\r\n<div>\r\n<div>\r\n<div>\r\n<div>\r\n<div><strong>This is a sample Bubble. Use &lt;div class="bubble1"&gt; &lt;div&gt; &lt;div&gt; &lt;div&gt; &lt;div&gt; &lt;div&gt; Your Bubble goes here! &lt;/div&gt; &lt;/div&gt; &lt;/div&gt; &lt;/div&gt; &lt;/div&gt;&lt;span class="author"&gt;ROUNDED SPEECH BUBBLE &lt;/span&gt;</strong></div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<span class="author"><strong>ROUNDED SPEECH BUBBLE</strong></span></div>\r\n<div class="bubble2">\r\n<div>\r\n<div>\r\n<div>\r\n<div>\r\n<div><strong>This is a sample Bubble. Use &lt;div class="bubble2"&gt; &lt;div&gt; &lt;div&gt; &lt;div&gt; &lt;div&gt; &lt;div&gt; Your Bubble goes here! &lt;/div&gt; &lt;/div&gt; &lt;/div&gt; &lt;/div&gt; &lt;/div&gt;&lt;span class="author"&gt;ROUNDED SPEECH BUBBLE&lt;/span&gt;</strong></div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<span class="author"><strong>SQUARE SPEECH BUBBLE</strong></span></div>\r\n<div class="bubble3">\r\n<div>\r\n<div>\r\n<div>\r\n<div>\r\n<div><strong>This is a sample Bubble. Use &lt;div class="bubble3"&gt; &lt;div&gt; &lt;div&gt; &lt;div&gt; &lt;div&gt; &lt;div&gt; Your Bubble goes here! &lt;/div&gt; &lt;/div&gt; &lt;/div&gt; &lt;/div&gt; &lt;/div&gt;&lt;span class="author"&gt;ROUNDED NOTE BUBBLE&lt;/span&gt;</strong></div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<span class="author"><strong>ROUNDED THINKING BUBBLE</strong></span></div>\r\n<div class="bubble4">\r\n<div>\r\n<div>\r\n<div>\r\n<div>\r\n<div><strong>This is a sample Bubble. Use &lt;div class="bubble4"&gt; &lt;div&gt; &lt;div&gt; &lt;div&gt; &lt;div&gt; &lt;div&gt; Your Bubble goes here! &lt;/div&gt; &lt;/div&gt; &lt;/div&gt; &lt;/div&gt; &lt;/div&gt;&lt;span class="author"&gt;ROUNDED NOTE BUBBLE&lt;/span&gt;</strong></div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<span class="author"><strong>SQUARE THINKING BUBBLE</strong></span></div>\r\n<p class="note">This is a sample clip note. Use <strong>&lt;p class="note"&gt;Your clip note goes here!</strong>&lt;/p&gt; to form a clip note!</p>\r\n<p class="download">This is a sample clip note. Use <strong>&lt;p class="download"&gt;Your clip note goes here!</strong>&lt;/p&gt; to form a clip note!</p>\r\n<blockquote><span class="open"><strong>L</strong></span><strong>orem ipsum dolor sit amet consectetuer interdum pulvinar orci Nunc elit. Wisi Ut ac Vestibulum sit venenatis Nullam convallis odio condimentum sit. Ipsum urna pretium elit Pellentesque porttitor nibh Nullam Maecenas dui eros.<span class="close">.</span></strong></blockquote>\r\n<p class="blocknumber"><span class="bignumber"><strong>01</strong></span> This is a sample block number. Use <strong>&lt;p class="blocknumber"&gt;&lt;span class="bignumber"&gt;01&lt;/span&gt;Your content goes here!&lt;/p&gt;</strong> to form a block number!</p>\r\n<p class="blocknumber"><span class="bignumber"><strong>02</strong></span> This is a sample block number. Use <strong>&lt;p class="blocknumber"&gt;&lt;span class="bignumber"&gt;02&lt;/span&gt;Your content goes here!&lt;/p&gt;</strong> to form a block number!</p>\r\n<p class="blocknumber"><span class="bignumber"><strong>03</strong></span> This is a sample block number. Use <strong>&lt;p class="blocknumber"&gt;&lt;span class="bignumber"&gt;03&lt;/span&gt;Your content goes here!&lt;/p&gt;</strong> to form a block number!</p>\r\n<p class="error">This is a sample error message. Use <strong>&lt;p class="error"&gt;Your error message goes here!&lt;/p&gt;</strong>.</p>\r\n<p class="tips">This is a sample tips message. Use <strong>&lt;p class="tips"&gt;Your tips goes here!&lt;/p&gt;</strong>.</p>\r\n<p class="feed">This is a sample feed message. Use <strong>&lt;p class="feed"&gt;Your tips goes here!&lt;/p&gt;</strong>.</p>\r\n<h4><strong> </strong></h4>\r\n<div class="legend">\r\n<h3 class="legend-title"><strong>Legend style</strong></h3>\r\n<p><strong>Use Lorem ipsum dolor sit amet consectetuer at elit augue In lorem. Quis Donec libero at Vivamus mi fringilla neque commodo at vitae. A mauris risus consequat ac egestas netus est Vestibulum Curabitur consectetuer.</strong></p>\r\n</div>\r\n<p> </p>\r\n<h3><strong>Content arranged in 2 columns</strong></h3>\r\n<p>Example: &lt;div <strong>class=”thumb2”</strong>&gt;&lt;div <strong>class=”thumb-col”</strong>&gt;…&lt;/div&gt;&lt;div <strong>class=”thumb-col thumb-lastcol”</strong>&gt;…&lt;/div&gt;&lt;/div&gt;</p>\r\n<div class="thumb2">\r\n<div class="thumb-col">\r\n<p><strong><img class="image-left image-border" src="images/demo/features/demo/sample-image-w100-h50.jpg" border="0" alt="images" />Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam nec odio. Vivamus turpis metus, feugiat sit amet.</strong></p>\r\n</div>\r\n<div class="thumb-col thumb-lastcol">\r\n<p><strong><img class="image-left image-border" src="images/demo/features/demo/sample-image-w100-h50.jpg" border="0" alt="images" />Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam nec odio. Vivamus turpis metus, feugiat sit ame.</strong></p>\r\n</div>\r\n</div>\r\n<h3><strong>Content arranged in 3 columns</strong></h3>\r\n<p>Example: &lt;div <strong>class=”thumb3”</strong>&gt;&lt;div <strong>class=”thumb-col”</strong>&gt;…&lt;/div&gt;<strong>...</strong>&lt;div <strong>class=”thumb-col thumb-lastcol”</strong>&gt;…&lt;/div&gt;&lt;/div&gt;</p>\r\n<div class="thumb3">\r\n<div class="thumb-col">\r\n<p><strong><img class="image-left image-border" src="images/demo/features/demo/sample-image-w100-h100.jpg" border="0" alt="images" />Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam nec odio. Vivamus turpis metus, feugiat sit amet, pulvinar sed, tincidunt sit amet, massa.</strong></p>\r\n</div>\r\n<div class="thumb-col">\r\n<p><strong><img class="image-left image-border" src="images/demo/features/demo/sample-image-w100-h100.jpg" border="0" alt="images" />Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam nec odio. Vivamus turpis metus, feugiat sit amet, pulvinar sed, tincidunt sit amet, massa.</strong></p>\r\n</div>\r\n<div class="thumb-col thumb-lastcol">\r\n<p><strong><img class="image-left image-border" src="images/demo/features/demo/sample-image-w100-h100.jpg" border="0" alt="images" />Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam nec odio. Vivamus turpis metus, feugiat sit amet, pulvinar sed, tincidunt sit amet, massa.</strong></p>\r\n</div>\r\n</div>\r\n<h3><strong>Content arranged in 4 columns</strong></h3>\r\n<p>Example: &lt;div <strong>class=”thumb4”</strong>&gt;&lt;div <strong>class=”thumb-col”</strong>&gt;…&lt;/div&gt;<strong>...</strong>&lt;div <strong>class=”thumb-col thumb-lastcol”</strong>&gt;…&lt;/div&gt;&lt;/div&gt;</p>\r\n<div class="thumb4">\r\n<div class="thumb-col">\r\n<p><strong><img class="image-left image-border" src="images/demo/features/demo/sample-image-w100-h50.jpg" border="0" alt="images" />Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</strong></p>\r\n</div>\r\n<div class="thumb-col">\r\n<p><strong><img class="image-left image-border" src="images/demo/features/demo/sample-image-w100-h50.jpg" border="0" alt="images" />Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</strong></p>\r\n</div>\r\n<div class="thumb-col">\r\n<p><strong><img class="image-left image-border" src="images/demo/features/demo/sample-image-w100-h50.jpg" border="0" alt="images" />Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</strong></p>\r\n</div>\r\n<div class="thumb-col thumb-lastcol">\r\n<p><strong><img class="image-left image-border" src="images/demo/features/demo/sample-image-w100-h50.jpg" border="0" alt="images" />Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</strong></p>\r\n</div>\r\n</div>\r\n<h2><strong>Table styling</strong></h2>\r\n<h3><span class="prolabel"><strong>Table style 1<br /></strong></span></h3>\r\n<p>Example: &lt;table <strong>class="style1"</strong>&gt;&lt;thead&gt;...&lt;/thead&gt;&lt;tbody&gt;...&lt;/tbody&gt;&lt;tfoot&gt;...&lt;/tfoot&gt;&lt;/table&gt;</p>\r\n<table class="style1" style="width: 100%;" summary="Plain Rows style" border="0">\r\n<thead>\r\n<tr><th scope="col">Table header</th><th scope="col">Column 1</th><th scope="col">Column 2</th><th scope="col">Column 3</th><th scope="col">Column 4</th><th scope="col">Column 5</th></tr>\r\n</thead>\r\n<tfoot>\r\n<tr><th scope="row">Table footer</th>\r\n<td colspan="5">Footer data</td>\r\n</tr>\r\n</tfoot>\r\n<tbody>\r\n<tr class="odd"><th scope="row">Row 1</th>\r\n<td>Lorem ipsum</td>\r\n<td>Dolor sit amet</td>\r\n<td>Consectetuer adipiscing</td>\r\n<td>Aliquam quis urna</td>\r\n<td>Sed felis</td>\r\n</tr>\r\n<tr><th scope="row">Row 2</th>\r\n<td>Nullam nec odio</td>\r\n<td>Vivamus turpis metus</td>\r\n<td>Feugiat sit amet</td>\r\n<td>Class aptent</td>\r\n<td>Ad litora torquent</td>\r\n</tr>\r\n<tr class="odd"><th scope="row">Row 3</th>\r\n<td>Pulvinar sed</td>\r\n<td>Tincidunt sit amet</td>\r\n<td>Massa</td>\r\n<td>Dolor sit amet</td>\r\n<td>Consectetuer adipiscing</td>\r\n</tr>\r\n<tr><th scope="row">Row 4</th>\r\n<td>Vivamus turpis metus</td>\r\n<td>Feugiat sit amet</td>\r\n<td>Class aptent</td>\r\n<td>Ad litora torquent</td>\r\n<td>Nullam nec odio</td>\r\n</tr>\r\n<tr class="odd"><th scope="row">Row 5</th>\r\n<td>Massa</td>\r\n<td>Dolor sit amet</td>\r\n<td>Tincidunt sit amet</td>\r\n<td>Pulvinar sed</td>\r\n<td>Consectetuer adipiscing</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<h3><span class="prolabel"><strong>Table style 2<br /></strong></span></h3>\r\n<p>Example: &lt;table <strong>class="style2"</strong>&gt;&lt;thead&gt;...&lt;/thead&gt;&lt;tbody&gt;...&lt;/tbody&gt;&lt;tfoot&gt;...&lt;/tfoot&gt;&lt;/table&gt;</p>\r\n<table class="style2" style="width: 100%;" summary="Color Stripes style" border="0">\r\n<thead>\r\n<tr><th scope="col">Table header</th><th scope="col">Column 1</th><th scope="col">Column 2</th><th scope="col">Column 3</th><th scope="col">Column 4</th><th scope="col">Column 5</th></tr>\r\n</thead>\r\n<tfoot>\r\n<tr><th scope="row">Table footer</th>\r\n<td colspan="5">Footer data</td>\r\n</tr>\r\n</tfoot>\r\n<tbody>\r\n<tr class="odd"><th scope="row">Row 1</th>\r\n<td>Lorem ipsum</td>\r\n<td>Dolor sit amet</td>\r\n<td>Consectetuer adipiscing</td>\r\n<td>Aliquam quis urna</td>\r\n<td>Sed felis</td>\r\n</tr>\r\n<tr><th scope="row">Row 2</th>\r\n<td>Nullam nec odio</td>\r\n<td>Vivamus turpis metus</td>\r\n<td>Feugiat sit amet</td>\r\n<td>Class aptent</td>\r\n<td>Ad litora torquent</td>\r\n</tr>\r\n<tr class="odd"><th scope="row">Row 3</th>\r\n<td>Pulvinar sed</td>\r\n<td>Tincidunt sit amet</td>\r\n<td>Massa</td>\r\n<td>Dolor sit amet</td>\r\n<td>Consectetuer adipiscing</td>\r\n</tr>\r\n<tr><th scope="row">Row 4</th>\r\n<td>Vivamus turpis metus</td>\r\n<td>Feugiat sit amet</td>\r\n<td>Class aptent</td>\r\n<td>Ad litora torquent</td>\r\n<td>Nullam nec odio</td>\r\n</tr>\r\n<tr class="odd"><th scope="row">Row 5</th>\r\n<td>Massa</td>\r\n<td>Dolor sit amet</td>\r\n<td>Tincidunt sit amet</td>\r\n<td>Pulvinar sed</td>\r\n<td>Consectetuer adipiscing</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<h3><span class="prolabel"><strong>Table style 3<br /></strong></span></h3>\r\n<p>Example: &lt;table <strong>class="style3"</strong>&gt;&lt;thead&gt;...&lt;/thead&gt;&lt;tbody&gt;...&lt;/tbody&gt;&lt;tfoot&gt;...&lt;/tfoot&gt;&lt;/table&gt;</p>\r\n<table class="style3" style="width: 100%;" summary="Grey Stripes style" border="0">\r\n<thead>\r\n<tr><th scope="col">Table header</th><th scope="col">Column 1</th><th scope="col">Column 2</th><th scope="col">Column 3</th><th scope="col">Column 4</th><th scope="col">Column 5</th></tr>\r\n</thead>\r\n<tfoot>\r\n<tr><th scope="row">Table footer</th>\r\n<td colspan="5">Footer data</td>\r\n</tr>\r\n</tfoot>\r\n<tbody>\r\n<tr class="odd"><th scope="row">Row 1</th>\r\n<td>Lorem ipsum</td>\r\n<td>Dolor sit amet</td>\r\n<td>Consectetuer adipiscing</td>\r\n<td>Aliquam quis urna</td>\r\n<td>Sed felis</td>\r\n</tr>\r\n<tr><th scope="row">Row 2</th>\r\n<td>Nullam nec odio</td>\r\n<td>Vivamus turpis metus</td>\r\n<td>Feugiat sit amet</td>\r\n<td>Class aptent</td>\r\n<td>Ad litora torquent</td>\r\n</tr>\r\n<tr class="odd"><th scope="row">Row 3</th>\r\n<td>Pulvinar sed</td>\r\n<td>Tincidunt sit amet</td>\r\n<td>Massa</td>\r\n<td>Dolor sit amet</td>\r\n<td>Consectetuer adipiscing</td>\r\n</tr>\r\n<tr><th scope="row">Row 4</th>\r\n<td>Vivamus turpis metus</td>\r\n<td>Feugiat sit amet</td>\r\n<td>Class aptent</td>\r\n<td>Ad litora torquent</td>\r\n<td>Nullam nec odio</td>\r\n</tr>\r\n<tr class="odd"><th scope="row">Row 5</th>\r\n<td>Massa</td>\r\n<td>Dolor sit amet</td>\r\n<td>Tincidunt sit amet</td>\r\n<td>Pulvinar sed</td>\r\n<td>Consectetuer adipiscing</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</div>', '', NULL, NULL, '[]', '', '2012-06-20 02:14:02', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 08:00:28', 305, '2012-06-20 02:14:02', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 16, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(3, 'Module Positions', 'module-positions', 2, 1, '<p><img src="images/demo/features/module-positions.png" border="0" alt="Module Positions" /></p>', '', NULL, NULL, '[]', '', '2012-06-20 02:14:55', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 08:00:09', 305, '2012-06-20 02:14:55', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 7, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(4, 'Display Main Menu', 'display-main-menu', 2, 1, '<p>Drop down menu:</p>\r\n<p>For use it, you must select your main menu in module manager and enter this settings :</p>\r\n<p>position : "mainmenu"</p>\r\n<p>menu style : "list"</p>\r\n<p>Show Sub-menu Items : "yes"</p>\r\n<p><img src="images/demo/features/display_mainmenu1.jpg" border="0" alt="display main menu" /></p>\r\n<p> </p>\r\n<p><img src="images/demo/features/display_mainmenu2.jpg" border="0" alt="display main menu" /></p>', '', NULL, NULL, '[]', '', '2012-06-20 02:15:22', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:59:51', 305, '2012-06-20 02:15:22', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, '', '', '', '', 7, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(5, 'Template Configurations', 'template-configurations', 2, 1, '<p><img src="images/demo/features/template-config.png" border="0" alt="template configurations" /></p>', '', NULL, NULL, '[]', '', '2012-06-20 02:16:01', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:59:33', 305, '2012-06-20 02:16:01', '0000-00-00 00:00:00', 0, 1, 5, 0, 0, '', '', '', '', 8, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(6, 'OmegaTheme Content Demo', 'omegatheme-content-demo', 2, 1, '<table border="0" cellspacing="0" cellpadding="0">\r\n<tbody>\r\n<tr>\r\n<td valign="top" width="50%">\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n</td>\r\n<td valign="top" width="50%"><img src="images/demo/demo2.png" border="0" alt="demo" style="width: 100%; height: 100%;" /></td>\r\n</tr>\r\n<tr>\r\n<td colspan="2" valign="top">\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum. Proin sed odio et ante adipiscing lobortis. Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table border="0" cellspacing="0" cellpadding="0">\r\n<tbody>\r\n<tr>\r\n<td valign="top" width="49%">\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum. Proin sed odio et ante adipiscing lobortis. Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n</td>\r\n<td valign="top" width="49%">\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum. Proin sed odio et ante adipiscing lobortis. Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td colspan="2" valign="top">\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td colspan="2" valign="top">\r\n<h3>Quisque eleLorem ipsum dolor sit amet</h3>\r\n<blockquote>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</blockquote>\r\n<p style="text-align: right;"><a href="#">---Robin van Persie---</a></p>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td valign="top" width="49%">\r\n<h3>Quisque eleLorem ipsum</h3>\r\n<ul class="custom-list">\r\n<li><strong>Lorem ipsum</strong> dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li><strong>Proin sed odio et ante adipiscing</strong> Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li><strong>Proin sed odio et ante adipiscing</strong> lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</li>\r\n<li><strong>Proin sed odio et ante</strong> adipiscing lobortis. Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li><strong>Proin sed</strong> Proin sed odio et ante adipiscing lobortis.</li>\r\n</ul>\r\n</td>\r\n<td valign="top" width="49%">\r\n<h3>Ipsum dolor sit amet</h3>\r\n<ul class="custom-list">\r\n<li><strong>Lorem ipsum</strong> dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li><strong>Proin sed odio et ante adipiscing</strong> Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li><strong>Proin sed odio et ante adipiscing</strong> lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</li>\r\n<li><strong>Proin sed odio et ante</strong> adipiscing lobortis. Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n</ul>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', NULL, NULL, '[]', '', '2012-06-20 02:16:34', 305, '', 0, '0000-00-00 00:00:00', '2012-09-06 03:50:58', 305, '2012-06-20 02:16:34', '0000-00-00 00:00:00', 0, 1, 6, 0, 0, '', '', '', '', 79, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(7, 'K2 item', 'k2-item', 3, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 02:22:59', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:58:48', 305, '2012-06-20 02:22:59', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 137, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(8, 'Content Demo 1.1.1', 'content-demo-111', 4, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 02:23:25', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:58:29', 305, '2012-06-20 02:23:25', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(9, 'Content Demo 1.1.2', 'content-demo-112', 4, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 02:26:18', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:58:06', 305, '2012-06-20 02:26:18', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(10, 'Content Demo 1.1.3', 'content-demo-113', 4, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 02:26:52', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:57:41', 305, '2012-06-20 02:26:52', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(11, 'Content Demo 1.1.4', 'content-demo-114', 4, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 02:29:10', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:57:22', 305, '2012-06-20 02:29:10', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(12, 'Content Demo 1.1.5', 'content-demo-115', 4, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 02:29:48', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:57:01', 305, '2012-06-20 02:29:48', '0000-00-00 00:00:00', 0, 1, 5, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(13, 'Content Demo 2.1.1', 'content-demo-211', 5, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 02:35:03', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:56:27', 305, '2012-06-20 02:35:03', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(14, 'Content Demo 2.1.2', 'content-demo-212', 5, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 02:36:08', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:55:41', 305, '2012-06-20 02:36:08', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(15, 'Content Demo 2.2.1', 'content-demo-221', 6, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 02:38:11', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:55:21', 305, '2012-06-20 02:38:11', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(16, 'Content Demo 2.2.2', 'content-demo-222', 6, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 02:38:44', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:55:02', 305, '2012-06-20 02:38:44', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 9, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(17, 'Content Demo 1.2.1', 'content-demo-121', 7, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 02:57:24', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:54:41', 305, '2012-06-20 02:57:24', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(18, 'Content Demo 1.2.2', 'content-demo-122', 7, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 02:58:11', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:54:12', 305, '2012-06-20 02:58:11', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(19, 'Content Demo 1.2.3', 'content-demo-123', 7, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 02:58:54', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:53:51', 305, '2012-06-20 02:58:54', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(20, 'Content Demo 1.2.4', 'content-demo-124', 7, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 03:00:07', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:53:31', 305, '2012-06-20 03:00:07', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(21, 'Content Demo 1.2.5', 'content-demo-125', 7, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 03:01:17', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:53:11', 305, '2012-06-20 03:01:17', '0000-00-00 00:00:00', 0, 1, 5, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(22, 'Content Demo 1.3.1', 'content-demo-131', 8, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 03:03:39', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:51:58', 305, '2012-06-20 03:03:39', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(23, 'Content Demo 1.3.2', 'content-demo-132', 8, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 03:04:29', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:51:37', 305, '2012-06-20 03:04:29', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(24, 'Content Demo 1.3.3', 'content-demo-133', 8, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 03:05:20', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:51:15', 305, '2012-06-20 03:05:20', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(25, 'Content Demo 1.3.4', 'content-demo-134', 8, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 03:06:13', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:50:52', 305, '2012-06-20 03:06:13', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(26, 'Content Demo 1.3.5', 'content-demo-135', 8, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 03:06:52', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:50:25', 305, '2012-06-20 03:06:52', '0000-00-00 00:00:00', 0, 1, 5, 0, 0, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(27, 'Word From The Founder', 'word-from-the-founder', 11, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<blockquote>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</blockquote>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n', '<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 03:09:03', 305, '', 0, '0000-00-00 00:00:00', '2012-06-26 07:50:02', 305, '2012-06-20 03:09:03', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(28, 'Misson an Goals', 'misson-an-goals', 11, 1, '<p><img style="float: left; margin-right: 15px;" src="images/demo/about2.jpg" alt="Demo Picture" border="0" />Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n', '\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-30 03:09:27', 305, '2012-06-20 00:00:00', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 2, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(29, 'About the Company', 'about-the-company', 11, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p><img src="images/demo/about1.jpg" border="0" alt="Demo Picture" /></p>\r\n', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-06-20 03:11:30', 305, '', 0, '0000-00-00 00:00:00', '2012-07-03 02:51:56', 305, '2012-06-20 03:11:30', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(30, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 12, 1, '<p>Vivamus massa velit, aliquet et, tempor sit amet, commodo ut, turpis. Quisque et augue. Mauris a tortor. Nulla ultricies. Mauris consectetuer, nibh at hendrerit vehicula, arcu erat commodo nisl, ac facilisis justo risus vitae sem. Duis fermentum eros ut nulla. Aliquam a elit. Nullam commodo erat vel nulla mollis fringilla. Aenean quam enim, tincidunt vel, eleifend quis, pulvinar sed, odio.</p>\r\n', '\r\n<p>Integer placerat ipsum ac dolor. Nunc sodales tellus id ipsum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos. Nullam vel metus. Aliquam tincidunt, sapien et gravida dignissim, risus enim nonummy purus, non semper eros lectus at velit. Aliquam ac dui.</p>\r\n<p>Vivamus massa velit, aliquet et, tempor sit amet, commodo ut, turpis. Quisque et augue. Mauris a tortor. Nulla ultricies. Mauris consectetuer, nibh at hendrerit vehicula, arcu erat commodo nisl, ac facilisis justo risus vitae sem. Duis fermentum eros ut nulla. Aliquam a elit. Nullam commodo erat vel nulla mollis fringilla. Aenean quam enim, tincidunt vel, eleifend quis, pulvinar sed, odio. Integer placerat ipsum ac dolor. Nunc sodales tellus id ipsum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos. Nullam vel metus. Aliquam tincidunt, sapien et gravida dignissim, risus enim nonummy purus, non semper eros lectus at velit. Aliquam ac dui. Aliquam sem quam, tempus ut, lobortis id, aliquet et, eros. Sed euismod scelerisque augue. Proin semper, leo non pulvinar pretium, eros tortor placerat tortor, non interdum lectus est eget pede. Vivamus convallis</p>\r\n<p>Vivamus massa velit, aliquet et, tempor sit amet, commodo ut, turpis. Quisque et augue. Mauris a tortor. Nulla ultricies. Mauris consectetuer, nibh at hendrerit vehicula, arcu erat commodo nisl, ac facilisis justo risus vitae sem. Duis fermentum eros ut nulla. Aliquam a elit. Nullam commodo erat vel nulla mollis fringilla. Aenean quam enim, tincidunt vel, eleifend quis, pulvinar sed, odio. Integer placerat ipsum ac dolor. Nunc sodales tellus id ipsum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos. Nullam vel metus. Aliquam tincidunt, sapien et gravida dignissim, risus enim nonummy purus, non semper eros lectus at velit. Aliquam ac dui. Aliquam sem quam, tempus ut, lobortis id, aliquet et, eros. Sed euismod scelerisque augue. Proin semper, leo non pulvinar pretium, eros tortor placerat tortor, non interdum lectus est eget pede. Vivamus convallis</p>', NULL, NULL, '[]', '', '2012-07-18 02:43:13', 305, '', 0, '0000-00-00 00:00:00', '2013-03-21 02:09:05', 305, '2012-07-18 02:43:13', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(32, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 12, 1, '<p>Vivamus massa velit, aliquet et, tempor sit amet, commodo ut, turpis. Quisque et augue. Mauris a tortor. Nulla ultricies. Mauris consectetuer, nibh at hendrerit vehicula, arcu erat commodo nisl, ac facilisis justo risus vitae sem. Duis fermentum eros ut nulla. Aliquam a elit. Nullam commodo erat vel nulla mollis fringilla. Aenean quam enim, tincidunt vel, eleifend quis, pulvinar sed, odio.</p>\r\n', '\r\n<p>Integer placerat ipsum ac dolor. Nunc sodales tellus id ipsum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos. Nullam vel metus. Aliquam tincidunt, sapien et gravida dignissim, risus enim nonummy purus, non semper eros lectus at velit. Aliquam ac dui. Aliquam sem quam, tempus ut, lobortis id, aliquet et, eros. Sed euismod scelerisque augue. Proin semper, leo non pulvinar pretium, eros tortor placerat tortor, non interdum lectus est eget pede. Vivamus convallis.</p>\r\n<p>Vivamus massa velit, aliquet et, tempor sit amet, commodo ut, turpis. Quisque et augue. Mauris a tortor. Nulla ultricies. Mauris consectetuer, nibh at hendrerit vehicula, arcu erat commodo nisl, ac facilisis justo risus vitae sem. Duis fermentum eros ut nulla. Aliquam a elit. Nullam commodo erat vel nulla mollis fringilla. Aenean quam enim, tincidunt vel, eleifend quis, pulvinar sed, odio. Integer placerat ipsum ac dolor. Nunc sodales tellus id ipsum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos. Nullam vel metus. Aliquam tincidunt, sapien et gravida dignissim, risus enim nonummy purus, non semper eros lectus at velit. Aliquam ac dui. Aliquam sem quam, tempus ut, lobortis id, aliquet et, eros. Sed euismod scelerisque augue. Proin semper, leo non pulvinar pretium, eros tortor placerat tortor, non interdum lectus est eget pede. Vivamus convallis.</p>\r\n<p>gravida dignissim, risus enim nonummy purus, non semper eros lectus at velit. Aliquam ac dui. Aliquam sem quam, tempus ut, lobortis id, aliquet et, eros. Sed euismod scelerisque augue. Proin semper, leo non pulvinar pretium, eros tortor placerat tortor, non interdum lectus est eget pede. Vivamus convallis.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-07-18 03:50:32', 305, '', 0, '0000-00-00 00:00:00', '2013-03-21 02:12:07', 305, '2012-07-18 02:43:13', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(31, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 12, 1, '<p>Vivamus massa velit, aliquet et, tempor sit amet, commodo ut, turpis. Quisque et augue. Mauris a tortor. Nulla ultricies. Mauris consectetuer, nibh at hendrerit vehicula, arcu erat commodo nisl, ac facilisis justo risus vitae sem. Duis fermentum eros ut nulla. Aliquam a elit. Nullam commodo erat vel nulla mollis fringilla. Aenean quam enim, tincidunt vel, eleifend quis, pulvinar sed, odio.</p>\r\n', '\r\n<p>Integer placerat ipsum ac dolor. Nunc sodales tellus id ipsum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos. Nullam vel metus. Aliquam tincidunt, sapien et gravida dignissim, risus enim nonummy purus, non semper eros lectus at velit. Aliquam ac dui. Aliquam sem quam, tempus ut, lobortis id, aliquet et, eros. Sed euismod scelerisque augue. Proin semper, leo non pulvinar pretium, eros tortor placerat tortor, non interdum lectus est eget pede. Vivamus convallis.</p>\r\n<p>gravida dignissim, risus enim nonummy purus, non semper eros lectus at velit. Aliquam ac dui. Aliquam sem quam, tempus ut, lobortis id, aliquet et, eros. Sed euismod scelerisque augue. Proin semper, leo non pulvinar pretium, eros tortor placerat tortor, non interdum lectus est eget pede. Vivamus convallis.</p>\r\n<p>Vivamus massa velit, aliquet et, tempor sit amet, commodo ut, turpis. Quisque et augue. Mauris a tortor. Nulla ultricies. Mauris consectetuer, nibh at hendrerit vehicula, arcu erat commodo nisl, ac facilisis justo risus vitae sem. Duis fermentum eros ut nulla. Aliquam a elit. Nullam commodo erat vel nulla mollis fringilla. Aenean quam enim, tincidunt vel, eleifend quis, pulvinar sed, odio. Integer placerat ipsum ac dolor. Nunc sodales tellus id ipsum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos. Nullam vel metus. Aliquam tincidunt, sapien et gravida dignissim, risus enim nonummy purus, non semper eros lectus at velit. Aliquam ac dui. Aliquam sem quam, tempus ut, lobortis id, aliquet et, eros. Sed euismod scelerisque augue. Proin semper, leo non pulvinar pretium, eros tortor placerat tortor, non interdum lectus est eget pede. Vivamus convallis.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-07-18 03:34:02', 305, '', 0, '0000-00-00 00:00:00', '2013-03-21 02:10:43', 305, '2012-07-18 02:43:13', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 3, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(34, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 12, 1, '<p>Vivamus massa velit, aliquet et, tempor sit amet, commodo ut, turpis. Quisque et augue. Mauris a tortor. Nulla ultricies. Mauris consectetuer, nibh at hendrerit vehicula, arcu erat commodo nisl, ac facilisis justo risus vitae sem. Duis fermentum eros ut nulla. Aliquam a elit. Nullam commodo erat vel nulla mollis fringilla. Aenean quam enim, tincidunt vel, eleifend quis, pulvinar sed, odio.</p>\r\n', '\r\n<p>Integer placerat ipsum ac dolor. Nunc sodales tellus id ipsum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos. Nullam vel metus. Aliquam tincidunt, sapien et gravida dignissim, risus enim nonummy purus, non semper eros lectus at velit. Aliquam ac dui. Aliquam sem quam, tempus ut, lobortis id, aliquet et, eros. Sed euismod scelerisque augue. Proin semper, leo non pulvinar pretium, eros tortor placerat tortor, non interdum lectus est eget pede. Vivamus convallis.</p>\r\n<p>Gravida dignissim, risus enim nonummy purus, non semper eros lectus at velit. Aliquam ac dui. Aliquam sem quam, tempus ut, lobortis id, aliquet et, eros. Sed euismod scelerisque augue. Proin semper, leo non pulvinar pretium, eros tortor placerat tortor, non interdum lectus est eget pede. Vivamus convallis.</p>\r\n<p>Vivamus massa velit, aliquet et, tempor sit amet, commodo ut, turpis. Quisque et augue. Mauris a tortor. Nulla ultricies. Mauris consectetuer, nibh at hendrerit vehicula, arcu erat commodo nisl, ac facilisis justo risus vitae sem. Duis fermentum eros ut nulla. Aliquam a elit. Nullam commodo erat vel nulla mollis fringilla. Aenean quam enim, tincidunt vel, eleifend quis, pulvinar sed, odio. Integer placerat ipsum ac dolor. Nunc sodales tellus id ipsum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos. Nullam vel metus. Aliquam tincidunt, sapien et gravida dignissim, risus enim nonummy purus, non semper eros lectus at velit. Aliquam ac dui. Aliquam sem quam, tempus ut, lobortis id, aliquet et, eros. Sed euismod scelerisque augue. Proin semper, leo non pulvinar pretium, eros tortor placerat tortor, non interdum lectus est eget pede. Vivamus convallis.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-07-18 03:58:35', 305, '', 0, '0000-00-00 00:00:00', '2013-03-21 02:13:48', 305, '2012-07-18 02:43:13', '0000-00-00 00:00:00', 0, 1, 5, 0, 0, '', '', '', '', 112, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(33, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 12, 1, '<p>Vivamus massa velit, aliquet et, tempor sit amet, commodo ut, turpis. Quisque et augue. Mauris a tortor. Nulla ultricies. Mauris consectetuer, nibh at hendrerit vehicula, arcu erat commodo nisl, ac facilisis justo risus vitae sem. Duis fermentum eros ut nulla. Aliquam a elit. Nullam commodo erat vel nulla mollis fringilla. Aenean quam enim, tincidunt vel, eleifend quis, pulvinar sed, odio.</p>\r\n', '\r\n<p>Integer placerat ipsum ac dolor. Nunc sodales tellus id ipsum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos. Nullam vel metus. Aliquam tincidunt, sapien et gravida dignissim, risus enim nonummy purus, non semper eros lectus at velit. Aliquam ac dui.</p>\r\n<p>Vivamus massa velit, aliquet et, tempor sit amet, commodo ut, turpis. Quisque et augue. Mauris a tortor. Nulla ultricies. Mauris consectetuer, nibh at hendrerit vehicula, arcu erat commodo nisl, ac facilisis justo risus vitae sem. Duis fermentum eros ut nulla. Aliquam a elit. Nullam commodo erat vel nulla mollis fringilla. Aenean quam enim, tincidunt vel, eleifend quis, pulvinar sed, odio. Integer placerat ipsum ac dolor. Nunc sodales tellus id ipsum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos. Nullam vel metus. Aliquam tincidunt, sapien et gravida dignissim, risus enim nonummy purus, non semper eros lectus at velit. Aliquam ac dui. Aliquam sem quam, tempus ut, lobortis id, aliquet et, eros. Sed euismod scelerisque augue. Proin semper, leo non pulvinar pretium, eros tortor placerat tortor, non interdum lectus est eget pede. Vivamus convallis</p>\r\n<p>Vivamus massa velit, aliquet et, tempor sit amet, commodo ut, turpis. Quisque et augue. Mauris a tortor. Nulla ultricies. Mauris consectetuer, nibh at hendrerit vehicula, arcu erat commodo nisl, ac facilisis justo risus vitae sem. Duis fermentum eros ut nulla. Aliquam a elit. Nullam commodo erat vel nulla mollis fringilla. Aenean quam enim, tincidunt vel, eleifend quis, pulvinar sed, odio. Integer placerat ipsum ac dolor. Nunc sodales tellus id ipsum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos. Nullam vel metus. Aliquam tincidunt, sapien et gravida dignissim, risus enim nonummy purus, non semper eros lectus at velit. Aliquam ac dui. Aliquam sem quam, tempus ut, lobortis id, aliquet et, eros. Sed euismod scelerisque augue. Proin semper, leo non pulvinar pretium, eros tortor placerat tortor, non interdum lectus est eget pede. Vivamus convallis</p>', NULL, NULL, '[]', '', '2012-07-18 03:55:46', 305, '', 0, '0000-00-00 00:00:00', '2013-03-21 02:13:01', 305, '2012-07-18 02:43:13', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, '', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(35, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 12, 1, '<p>Vivamus massa velit, aliquet et, tempor sit amet, commodo ut, turpis. Quisque et augue. Mauris a tortor. Nulla ultricies. Mauris consectetuer, nibh at hendrerit vehicula, arcu erat commodo nisl, ac facilisis justo risus vitae sem. Duis fermentum eros ut nulla. Aliquam a elit. Nullam commodo erat vel nulla mollis fringilla. Aenean quam enim, tincidunt vel, eleifend quis, pulvinar sed, odio.</p>\r\n', '\r\n<p>Vivamus massa velit, aliquet et, tempor sit amet, commodo ut, turpis. Quisque et augue. Mauris a tortor. Nulla ultricies. Mauris consectetuer, nibh at hendrerit vehicula, arcu erat commodo nisl, ac facilisis justo risus vitae sem. Duis fermentum eros ut nulla. Aliquam a elit. Nullam commodo erat vel nulla mollis fringilla. Aenean quam enim, tincidunt vel, eleifend quis, pulvinar sed, odio. Integer placerat ipsum ac dolor. Nunc sodales tellus id ipsum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos. Nullam vel metus. Aliquam tincidunt, sapien et gravida dignissim, risus enim nonummy purus, non semper eros lectus at velit. Aliquam ac dui. Aliquam sem quam, tempus ut, lobortis id, aliquet et, eros. Sed euismod scelerisque augue. Proin semper, leo non pulvinar pretium, eros tortor placerat tortor, non interdum lectus est eget pede. Vivamus convallis.</p>\r\n<p>gravida dignissim, risus enim nonummy purus, non semper eros lectus at velit. Aliquam ac dui. Aliquam sem quam, tempus ut, lobortis id, aliquet et, eros. Sed euismod scelerisque augue. Proin semper, leo non pulvinar pretium, eros tortor placerat tortor, non interdum lectus est eget pede. Vivamus convallis.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', NULL, NULL, '[]', '', '2012-07-18 03:59:19', 305, '', 0, '0000-00-00 00:00:00', '2013-03-21 02:14:41', 305, '2012-07-18 02:43:13', '0000-00-00 00:00:00', 0, 1, 6, 0, 0, '', '', '', '', 192, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(36, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 10:04:16', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(37, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 10:03:38', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(38, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 10:03:06', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(39, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 10:00:48', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(40, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 10:00:12', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 5, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(41, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 09:59:28', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 6, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(42, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 09:59:03', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 7, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(43, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 09:58:39', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 8, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(44, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 09:58:13', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 9, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(45, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 09:57:45', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 10, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 23, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(46, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 09:57:18', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 11, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(47, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 09:56:46', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 12, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(48, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 09:55:41', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 13, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 2, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(49, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 09:56:17', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 14, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 12, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(50, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 09:54:08', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 15, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(53, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 09:49:23', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 18, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 78, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(51, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 09:52:42', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 16, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(52, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 09:51:15', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 17, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(54, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 09:51:57', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 19, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 49, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(55, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', 10, 1, '<h3 class="porfolio-title">Project Description</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Quisque eleifend, arcu a dictum varius, risus neque venenatis arcu, a semper massa mi eget ipsum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n<ol class="porfolio-info">\r\n<li><i><strong>Owner:</strong> Donec lacus leo</i></li>\r\n<li><i><strong>From:</strong> Nullam commodo erat</i></li>\r\n<li><i><strong>Released Date:</strong> 2013 March 15</i></li>\r\n</ol>\r\n<p><a class="porfolio-more" href="#">Load project now</a></p>', '', NULL, NULL, '[]', '', '2012-07-18 00:00:00', 305, '', 0, '0000-00-00 00:00:00', '2014-08-29 09:51:34', 305, '2012-07-18 00:00:00', '0000-00-00 00:00:00', 0, 1, 20, 0, 0, 'Proin sed odio et ante adipiscing lobortis', '', '', '', 91, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(56, 'Aliqua ipsum sit', 'aliqua-ipsum-sit', 9, 1, '<div class="itemIntroText">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n</div>\r\n', '\r\n<div class="itemFullText">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n</div>', NULL, NULL, '[]', '', '2012-07-21 01:29:22', 305, '', 0, '0000-00-00 00:00:00', '2013-04-26 04:49:21', 305, '2012-07-21 01:29:22', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 3, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(57, 'Aliqua ipsum sit', 'aliqua-ipsum-sit', 9, 1, '<div class="itemIntroText">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n</div>\r\n', '\r\n<div class="itemFullText">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n</div>', NULL, NULL, '[]', '', '2012-07-21 01:33:08', 305, '', 0, '0000-00-00 00:00:00', '2013-03-21 07:21:51', 305, '2012-07-21 01:29:22', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 2, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(58, 'Aliqua ipsum sit', 'aliqua-ipsum-sit', 9, 1, '<div class="itemIntroText">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n</div>\r\n', '\r\n<div class="itemFullText">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n</div>', NULL, NULL, '[]', '', '2012-08-30 07:06:44', 305, '', 0, '0000-00-00 00:00:00', '2013-03-21 07:22:28', 305, '2012-07-21 01:29:22', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 3, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(59, 'Aliqua ipsum sit', 'aliqua-ipsum-sit', 9, 1, '<div class="itemIntroText">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n</div>\r\n', '\r\n<div class="itemFullText">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n</div>', NULL, NULL, '[]', '', '2012-08-30 07:06:44', 305, '', 0, '0000-00-00 00:00:00', '2013-04-26 04:50:08', 305, '2012-07-21 01:29:22', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, '', '', '', '', 8, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(60, 'Aliqua ipsum sit', 'aliqua-ipsum-sit', 9, 1, '<div class="itemIntroText">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>\r\n<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n</div>\r\n', '\r\n<div class="itemFullText">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut</p>\r\n<p>labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n</div>', NULL, NULL, '[]', '', '2012-08-30 07:09:44', 305, '', 0, '0000-00-00 00:00:00', '2013-04-26 04:50:30', 305, '2012-07-21 01:29:22', '0000-00-00 00:00:00', 1, 1, 5, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');

DROP TABLE IF EXISTS `#__k2_rating`;
CREATE TABLE IF NOT EXISTS `#__k2_rating` (
  `itemID` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(11) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(11) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`itemID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__k2_rating` (`itemID`, `rating_sum`, `rating_count`, `lastip`) VALUES
(55, 5, 1, '192.168.1.204');

DROP TABLE IF EXISTS `#__k2_tags`;
CREATE TABLE IF NOT EXISTS `#__k2_tags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `published` (`published`),
  FULLTEXT KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

INSERT INTO `#__k2_tags` (`id`, `name`, `published`) VALUES
(1, 'Joomla Templates', 1),
(2, 'Lorem', 1),
(3, 'dolor', 1),
(4, 'amet', 1),
(5, 'Vivamus', 1),
(6, 'Aliquam', 1);

DROP TABLE IF EXISTS `#__k2_tags_xref`;
CREATE TABLE IF NOT EXISTS `#__k2_tags_xref` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tagID` int(11) NOT NULL,
  `itemID` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `tagID` (`tagID`),
  KEY `itemID` (`itemID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=268 ;

INSERT INTO `#__k2_tags_xref` (`id`, `tagID`, `itemID`) VALUES
(8, 1, 8),
(7, 1, 17),
(6, 1, 22),
(198, 4, 30),
(197, 3, 30),
(196, 2, 30),
(201, 4, 31),
(200, 3, 31),
(199, 2, 31),
(204, 4, 32),
(203, 3, 32),
(202, 2, 32),
(207, 4, 33),
(206, 3, 33),
(205, 2, 33),
(210, 4, 34),
(209, 3, 34),
(208, 2, 34),
(213, 4, 35),
(212, 3, 35),
(211, 2, 35),
(267, 2, 36),
(266, 2, 37),
(265, 2, 38),
(264, 2, 39),
(263, 2, 40),
(262, 2, 41),
(261, 2, 42),
(260, 2, 43),
(259, 2, 44),
(258, 6, 45),
(255, 2, 46),
(254, 2, 47),
(252, 2, 48),
(253, 2, 49),
(251, 2, 50),
(250, 2, 51),
(247, 2, 52),
(244, 2, 53),
(249, 2, 54),
(248, 2, 55),
(257, 5, 45),
(256, 2, 45);

DROP TABLE IF EXISTS `#__k2_users`;
CREATE TABLE IF NOT EXISTS `#__k2_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userID` int(11) NOT NULL,
  `userName` varchar(255) DEFAULT NULL,
  `gender` enum('m','f') NOT NULL DEFAULT 'm',
  `description` text NOT NULL,
  `image` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `group` int(11) NOT NULL DEFAULT '0',
  `plugins` text NOT NULL,
  `ip` varchar(15) NOT NULL,
  `hostname` varchar(255) NOT NULL,
  `notes` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `userID` (`userID`),
  KEY `group` (`group`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__k2_user_groups`;
CREATE TABLE IF NOT EXISTS `#__k2_user_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `permissions` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

INSERT INTO `#__k2_user_groups` (`id`, `name`, `permissions`) VALUES
(1, 'Registered', '{"comment":"1","frontEdit":"0","add":"0","editOwn":"0","editAll":"0","publish":"0","inheritance":0,"categories":"all"}'),
(2, 'Site Owner', '{"comment":"1","frontEdit":"1","add":"1","editOwn":"1","editAll":"1","publish":"1","inheritance":1,"categories":"all"}');

DROP TABLE IF EXISTS `#__languages`;
CREATE TABLE IF NOT EXISTS `#__languages` (
  `lang_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `lang_code` char(7) NOT NULL,
  `title` varchar(50) NOT NULL,
  `title_native` varchar(50) NOT NULL,
  `sef` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `description` varchar(512) NOT NULL,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `sitename` varchar(1024) NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  UNIQUE KEY `idx_image` (`image`),
  UNIQUE KEY `idx_langcode` (`lang_code`),
  KEY `idx_access` (`access`),
  KEY `idx_ordering` (`ordering`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `#__languages` (`lang_id`, `lang_code`, `title`, `title_native`, `sef`, `image`, `description`, `metakey`, `metadesc`, `sitename`, `published`, `access`, `ordering`) VALUES
(1, 'en-GB', 'English (UK)', 'English (UK)', 'en', 'en', '', '', '', '', 1, 0, 1);

DROP TABLE IF EXISTS `#__menu`;
CREATE TABLE IF NOT EXISTS `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__extensions.id',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__users.id',
  `checked_out_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The access level required to view the menu item.',
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`,`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_path` (`path`(255)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=544 ;

INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(1, '', 'Menu_Item_Root', 'root', '', '', '', '', 1, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, '', 0, '', 0, 381, 0, '*', 0),
(2, 'menu', 'com_banners', 'Banners', '', 'Banners', 'index.php?option=com_banners', 'component', 0, 1, 1, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 13, 22, 0, '*', 1),
(3, 'menu', 'com_banners', 'Banners', '', 'Banners/Banners', 'index.php?option=com_banners', 'component', 0, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 14, 15, 0, '*', 1),
(4, 'menu', 'com_banners_categories', 'Categories', '', 'Banners/Categories', 'index.php?option=com_categories&extension=com_banners', 'component', 0, 2, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-cat', 0, '', 20, 21, 0, '*', 1),
(5, 'menu', 'com_banners_clients', 'Clients', '', 'Banners/Clients', 'index.php?option=com_banners&view=clients', 'component', 0, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-clients', 0, '', 16, 17, 0, '*', 1),
(6, 'menu', 'com_banners_tracks', 'Tracks', '', 'Banners/Tracks', 'index.php?option=com_banners&view=tracks', 'component', 0, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-tracks', 0, '', 18, 19, 0, '*', 1),
(7, 'menu', 'com_contact', 'Contacts', '', 'Contacts', 'index.php?option=com_contact', 'component', 0, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 57, 62, 0, '*', 1),
(8, 'menu', 'com_contact', 'Contacts', '', 'Contacts/Contacts', 'index.php?option=com_contact', 'component', 0, 7, 2, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 58, 59, 0, '*', 1),
(9, 'menu', 'com_contact_categories', 'Categories', '', 'Contacts/Categories', 'index.php?option=com_categories&extension=com_contact', 'component', 0, 7, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact-cat', 0, '', 60, 61, 0, '*', 1),
(10, 'menu', 'com_messages', 'Messaging', '', 'Messaging', 'index.php?option=com_messages', 'component', 0, 1, 1, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages', 0, '', 63, 68, 0, '*', 1),
(11, 'menu', 'com_messages_add', 'New Private Message', '', 'Messaging/New Private Message', 'index.php?option=com_messages&task=message.add', 'component', 0, 10, 2, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-add', 0, '', 64, 65, 0, '*', 1),
(12, 'menu', 'com_messages_read', 'Read Private Message', '', 'Messaging/Read Private Message', 'index.php?option=com_messages', 'component', 0, 10, 2, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-read', 0, '', 66, 67, 0, '*', 1),
(13, 'menu', 'com_newsfeeds', 'News Feeds', '', 'News Feeds', 'index.php?option=com_newsfeeds', 'component', 0, 1, 1, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 69, 74, 0, '*', 1),
(14, 'menu', 'com_newsfeeds_feeds', 'Feeds', '', 'News Feeds/Feeds', 'index.php?option=com_newsfeeds', 'component', 0, 13, 2, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 70, 71, 0, '*', 1),
(15, 'menu', 'com_newsfeeds_categories', 'Categories', '', 'News Feeds/Categories', 'index.php?option=com_categories&extension=com_newsfeeds', 'component', 0, 13, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds-cat', 0, '', 72, 73, 0, '*', 1),
(16, 'menu', 'com_redirect', 'Redirect', '', 'Redirect', 'index.php?option=com_redirect', 'component', 0, 1, 1, 24, 0, '0000-00-00 00:00:00', 0, 0, 'class:redirect', 0, '', 101, 102, 0, '*', 1),
(17, 'menu', 'com_search', 'Basic Search', '', 'Basic Search', 'index.php?option=com_search', 'component', 0, 1, 1, 19, 0, '0000-00-00 00:00:00', 0, 0, 'class:search', 0, '', 79, 80, 0, '*', 1),
(18, 'menu', 'com_weblinks', 'Weblinks', '', 'Weblinks', 'index.php?option=com_weblinks', 'component', 0, 1, 1, 21, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks', 0, '', 95, 100, 0, '*', 1),
(19, 'menu', 'com_weblinks_links', 'Links', '', 'Weblinks/Links', 'index.php?option=com_weblinks', 'component', -2, 18, 2, 21, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks', 0, '', 96, 97, 0, '*', 1),
(20, 'menu', 'com_weblinks_categories', 'Categories', '', 'Weblinks/Categories', 'index.php?option=com_categories&extension=com_weblinks', 'component', -2, 18, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks-cat', 0, '', 98, 99, 0, '*', 1),
(21, 'menu', 'com_finder', 'Smart Search', '', 'Smart Search', 'index.php?option=com_finder', 'component', 0, 1, 1, 27, 0, '0000-00-00 00:00:00', 0, 0, 'class:finder', 0, '', 77, 78, 0, '*', 1),
(22, 'menu', 'com_joomlaupdate', 'Joomla! Update', '', 'Joomla! Update', 'index.php?option=com_joomlaupdate', 'component', 0, 1, 1, 28, 0, '0000-00-00 00:00:00', 0, 0, 'class:joomlaupdate', 0, '', 75, 76, 0, '*', 1);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(201, 'usermenu', 'Your Profile', 'your-profile', '', 'your-profile', 'index.php?option=com_users&view=profile', 'component', 1, 1, 1, 25, 0, '0000-00-00 00:00:00', 0, 2, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 285, 286, 0, '*', 0),
(207, 'top', 'Joomla.org', 'joomlaorg', '', 'joomlaorg', 'http://joomla.org', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 283, 284, 0, '*', 0),
(227, 'aboutjoomla', 'Weblinks Categories', 'weblinks-categories', '', 'using-joomla/extensions/components/weblinks-component/weblinks-categories', 'index.php?option=com_weblinks&view=categories&id=18', 'component', 1, 265, 5, 21, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"-1","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_links_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"-1","show_empty_categories":"","show_subcat_desc":"","show_cat_num_links":"","show_pagination_limit":"","show_headings":"","show_link_description":"","show_link_hits":"","show_pagination":"","show_pagination_results":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 137, 138, 0, '*', 0),
(229, 'aboutjoomla', 'Single Contact', 'single-contact', '', 'using-joomla/extensions/components/contact-component/single-contact', 'index.php?option=com_contact&view=contact&id=1', 'component', 1, 270, 5, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_crumb":"","presentation_style":"","show_contact_category":"","show_contact_list":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 127, 128, 0, '*', 0),
(233, 'mainmenu', 'Login', 'login', '', 'login', 'index.php?option=com_users&view=login', 'component', -2, 1, 1, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 11, 12, 0, '*', 0),
(234, 'parks', 'Park Blog', 'park-blog', '', 'park-blog', 'index.php?option=com_content&view=category&layout=blog&id=27', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"1","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"1","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 289, 290, 0, 'en-GB', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(238, 'mainmenu', 'Sample Sites', 'sample-sites', '', 'sample-sites', 'index.php?option=com_content&view=article&id=38', 'component', -2, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 331, 336, 0, '*', 0),
(242, 'parks', 'Write a Blog Post', 'write-a-blog-post', '', 'write-a-blog-post', 'index.php?option=com_content&view=form&layout=edit', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 3, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 291, 292, 0, 'en-GB', 0),
(243, 'parks', 'Parks Home', 'parks-home', '', 'parks-home', 'index.php?option=com_content&view=article&id=6', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"0","link_titles":"","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"","show_print_icon":"0","show_email_icon":"0","show_hits":"0","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 287, 288, 0, 'en-GB', 0),
(244, 'parks', 'Image Gallery', 'image-gallery', '', 'image-gallery', 'index.php?option=com_content&view=categories&id=28', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"1","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_articles_cat":"","drill_down_layout":"1","show_category_title":"","show_description":"1","show_description_image":"1","maxLevel":"-1","show_empty_categories":"","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 293, 298, 0, 'en-GB', 0),
(249, 'aboutjoomla', 'Submit a Weblink', 'submit-a-weblink', '', 'using-joomla/extensions/components/weblinks-component/submit-a-weblink', 'index.php?option=com_weblinks&view=form&layout=edit', 'component', 1, 265, 5, 21, 0, '0000-00-00 00:00:00', 0, 3, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 133, 134, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(251, 'aboutjoomla', 'Contact Categories', 'contact-categories', '', 'using-joomla/extensions/components/contact-component/contact-categories', 'index.php?option=com_contact&view=categories&id=16', 'component', 1, 270, 5, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","filter_field":"","show_pagination":"","show_noauth":"","presentation_style":"sliders","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 123, 124, 0, '*', 0),
(252, 'aboutjoomla', 'News Feed Categories', 'new-feed-categories', '', 'using-joomla/extensions/components/news-feeds-component/new-feed-categories', 'index.php?option=com_newsfeeds&view=categories&id=0', 'component', 1, 267, 5, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"1","categories_description":"Because this links to the root category the "uncategorised" category is displayed. ","maxLevel":"-1","show_empty_categories":"1","show_description":"1","show_description_image":"1","show_cat_num_articles":"1","display_num":"","show_headings":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 141, 142, 0, '*', 0),
(253, 'aboutjoomla', 'News Feed Category', 'news-feed-category', '', 'using-joomla/extensions/components/news-feeds-component/news-feed-category', 'index.php?option=com_newsfeeds&view=category&id=17', 'component', 1, 267, 5, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 145, 146, 0, '*', 0),
(254, 'aboutjoomla', 'Single News Feed', 'single-news-feed', '', 'using-joomla/extensions/components/news-feeds-component/single-news-feed', 'index.php?option=com_newsfeeds&view=newsfeed&id=4', 'component', 1, 267, 5, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 143, 144, 0, '*', 0),
(255, 'aboutjoomla', 'Search', 'search', '', 'using-joomla/extensions/components/search-component/search', 'index.php?option=com_search&view=search', 'component', 1, 276, 5, 19, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"search_areas":"1","show_date":"1","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 163, 164, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(256, 'aboutjoomla', 'Archived Articles', 'archived-articles', '', 'using-joomla/extensions/components/content-component/archived-articles', 'index.php?option=com_content&view=archive', 'component', 1, 266, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"orderby_sec":"","order_date":"","display_num":"","filter_field":"","show_category":"1","link_category":"1","show_title":"1","link_titles":"1","show_intro":"1","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_hits":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 117, 118, 0, '*', 0),
(257, 'aboutjoomla', 'Single Article', 'single-article', '', 'using-joomla/extensions/components/content-component/single-article', 'index.php?option=com_content&view=article&id=6', 'component', 1, 266, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 107, 108, 0, '*', 0),
(259, 'aboutjoomla', 'Article Category Blog', 'article-category-blog', '', 'using-joomla/extensions/components/content-component/article-category-blog', 'index.php?option=com_content&view=category&layout=blog&id=27', 'component', 1, 266, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"0","show_description_image":"0","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 111, 112, 0, '*', 0),
(260, 'aboutjoomla', 'Article Category List', 'article-category-list', '', 'using-joomla/extensions/components/content-component/article-category-list', 'index.php?option=com_content&view=category&id=19', 'component', 1, 266, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","orderby_pri":"","orderby_sec":"alpha","order_date":"","show_pagination":"","show_pagination_results":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 113, 114, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(262, 'aboutjoomla', 'Featured Articles', 'featured-articles', '', 'using-joomla/extensions/components/content-component/featured-articles', 'index.php?option=com_content&view=featured', 'component', 1, 266, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 115, 116, 0, '*', 0),
(263, 'aboutjoomla', 'Submit Article', 'submit-article', '', 'using-joomla/extensions/components/content-component/submit-article', 'index.php?option=com_content&view=form&layout=edit', 'component', 1, 266, 5, 22, 0, '0000-00-00 00:00:00', 0, 3, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 119, 120, 0, '*', 0),
(265, 'aboutjoomla', 'Weblinks Component', 'weblinks-component', '', 'using-joomla/extensions/components/weblinks-component', 'index.php?option=com_content&view=article&id=54', 'component', 1, 268, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 132, 139, 0, '*', 0),
(266, 'aboutjoomla', 'Content Component', 'content-component', '', 'using-joomla/extensions/components/content-component', 'index.php?option=com_content&view=article&id=10', 'component', 1, 268, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"article-allow_ratings":"","article-allow_comments":"","show_category":"","link_category":"","show_title":"","link_titles":"","show_intro":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 106, 121, 0, '*', 0),
(267, 'aboutjoomla', 'News Feeds Component', 'news-feeds-component', '', 'using-joomla/extensions/components/news-feeds-component', 'index.php?option=com_content&view=article&id=60', 'component', 1, 268, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"Newsfeeds Categories View ","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 140, 147, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(268, 'aboutjoomla', 'Components', 'components', '', 'using-joomla/extensions/components', 'index.php?option=com_content&view=category&layout=blog&id=21', 'component', 1, 277, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"1","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"7","num_columns":"1","num_links":"0","multi_column_order":"","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"0","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_readmore":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 105, 170, 0, '*', 0),
(270, 'aboutjoomla', 'Contact Component', 'contact-component', '', 'using-joomla/extensions/components/contact-component', 'index.php?option=com_content&view=article&id=9', 'component', 1, 268, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 122, 131, 0, '*', 0),
(271, 'aboutjoomla', 'Users Component', 'users-component', '', 'using-joomla/extensions/components/users-component', 'index.php?option=com_content&view=article&id=52', 'component', 1, 268, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 148, 161, 0, '*', 0),
(272, 'aboutjoomla', 'Article Categories', 'article-categories', '', 'using-joomla/extensions/components/content-component/article-categories', 'index.php?option=com_content&view=categories&id=14', 'component', 1, 266, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","category_layout":"","show_headings":"","show_date":"","date_format":"","filter_field":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 109, 110, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(273, 'aboutjoomla', 'Administrator Components', 'administrator-components', '', 'using-joomla/extensions/components/administrator-components', 'index.php?option=com_content&view=article&id=1', 'component', 1, 268, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 168, 169, 0, '*', 0),
(274, 'aboutjoomla', 'Weblinks Single Category', 'weblinks-single-category', '', 'using-joomla/extensions/components/weblinks-component/weblinks-single-category', 'index.php?option=com_weblinks&view=category&id=32', 'component', 1, 265, 5, 21, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","orderby_pri":"","show_pagination":"","show_noauth":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 135, 136, 0, '*', 0),
(275, 'aboutjoomla', 'Contact Single Category', 'contact-single-category', '', 'using-joomla/extensions/components/contact-component/contact-single-category', 'index.php?option=com_contact&view=category&catid=26&id=36', 'component', 1, 270, 5, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"20","show_headings":"","filter_field":"","show_pagination":"","show_noauth":"","presentation_style":"sliders","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 125, 126, 0, '*', 0),
(276, 'aboutjoomla', 'Search Components', 'search-component', '', 'using-joomla/extensions/components/search-component', 'index.php?option=com_content&view=article&id=39', 'component', 1, 268, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 162, 167, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(277, 'aboutjoomla', 'Using Extensions', 'extensions', '', 'using-joomla/extensions', 'index.php?option=com_content&view=categories&id=20', 'component', 1, 280, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"1","categories_description":"","maxLevelcat":"1","show_empty_categories_cat":"1","show_subcat_desc_cat":"1","show_cat_num_articles_cat":"0","drill_down_layout":"0","show_category_title":"","show_description":"1","show_description_image":"1","maxLevel":"1","show_empty_categories":"1","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 104, 269, 0, '*', 0),
(278, 'aboutjoomla', 'The Joomla! Project', 'the-joomla-project', '', 'the-joomla-project', 'index.php?option=com_content&view=article&id=48', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"1","link_titles":"","show_intro":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"1","show_print_icon":"","show_email_icon":"","show_hits":"0","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 277, 278, 0, '*', 0),
(279, 'aboutjoomla', 'The Joomla! Community', 'the-joomla-community', '', 'the-joomla-community', 'index.php?option=com_content&view=article&id=47', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"0","show_intro":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 279, 280, 0, '*', 0),
(280, 'aboutjoomla', 'Using Joomla!', 'using-joomla', '', 'using-joomla', 'index.php?option=com_content&view=article&id=53', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"1","link_titles":"0","show_intro":"1","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_noauth":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 103, 274, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(281, 'aboutjoomla', 'Modules', 'modules', '', 'using-joomla/extensions/modules', 'index.php?option=com_content&view=category&id=22', 'component', 1, 277, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"1","show_description_image":"1","maxLevel":"1","show_empty_categories":"1","show_no_articles":"0","show_subcat_desc":"1","show_cat_num_articles":"","page_subheading":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","show_pagination":"","show_pagination_results":"","show_title":"1","link_titles":"","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_readmore":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 171, 230, 0, '*', 0),
(282, 'aboutjoomla', 'Templates', 'templates', '', 'using-joomla/extensions/templates', 'index.php?option=com_content&view=category&id=23', 'component', 1, 277, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"1","show_description_image":"","maxLevel":"2","show_empty_categories":"1","show_no_articles":"0","show_subcat_desc":"1","show_cat_num_articles":"","page_subheading":"","show_pagination_limit":"0","filter_field":"hide","show_headings":"0","list_show_date":"0","date_format":"","list_show_hits":"0","list_show_author":"0","show_pagination":"0","show_pagination_results":"","show_title":"1","link_titles":"1","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Templates","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 231, 250, 0, '*', 0),
(283, 'aboutjoomla', 'Languages', 'languages', '', 'using-joomla/extensions/languages', 'index.php?option=com_content&view=category&layout=blog&id=24', 'component', 1, 277, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"1","show_category_title":"1","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 251, 252, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(284, 'aboutjoomla', 'Plugins', 'plugins', '', 'using-joomla/extensions/plugins', 'index.php?option=com_content&view=category&layout=blog&id=25', 'component', 1, 277, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"","show_category_title":"1","show_cat_num_articles":"","num_leading_articles":"0","num_intro_articles":"7","num_columns":"1","num_links":"0","multi_column_order":"","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"","show_readmore":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 253, 268, 0, '*', 0),
(285, 'aboutjoomla', 'Typography Atomic', 'typography-atomic', '', 'using-joomla/extensions/templates/atomic/typography-atomic', 'index.php?option=com_content&view=article&id=49', 'component', 1, 422, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 245, 246, 0, '*', 0),
(290, 'mainmenu', 'Articles', 'articles', '', 'site-map/articles', 'index.php?option=com_content&view=categories&id=0', 'component', -2, 294, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories_description":"","maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","category_layout":"","show_headings":"","show_date":"","date_format":"","filter_field":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","article-allow_ratings":"","article-allow_comments":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 4, 5, 0, '*', 0),
(294, 'mainmenu', 'Site Map', 'site-map', '', 'site-map', 'index.php?option=com_content&view=article&id=42', 'component', -2, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 3, 10, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(296, 'parks', 'Park Links', 'park-links', '', 'park-links', 'index.php?option=com_weblinks&view=category&id=31', 'component', 1, 1, 1, 21, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"-1","show_empty_categories":"","show_description":"1","show_description_image":"1","show_cat_num_articles":"","display_num":"","show_headings":"0","orderby_pri":"","show_pagination":"","show_noauth":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 317, 318, 0, 'en-GB', 0),
(300, 'aboutjoomla', 'Latest Users', 'latest-users', '', 'using-joomla/extensions/modules/user-modules/latest-users', 'index.php?option=com_content&view=article&id=66', 'component', 1, 412, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 195, 196, 0, '*', 0),
(301, 'aboutjoomla', 'Who''s Online', 'whos-online', '', 'using-joomla/extensions/modules/user-modules/whos-online', 'index.php?option=com_content&view=article&id=56', 'component', 1, 412, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 197, 198, 0, '*', 0),
(302, 'aboutjoomla', 'Most Read', 'most-read', '', 'using-joomla/extensions/modules/content-modules/most-read', 'index.php?option=com_content&view=article&id=30', 'component', 1, 411, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 179, 180, 0, '*', 0),
(303, 'aboutjoomla', 'Menu', 'menu', '', 'using-joomla/extensions/modules/navigation-modules/menu', 'index.php?option=com_content&view=article&id=29', 'component', 1, 415, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 173, 174, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(304, 'aboutjoomla', 'Statistics', 'statistics', '', 'using-joomla/extensions/modules/utility-modules/statistics', 'index.php?option=com_content&view=article&id=44', 'component', 1, 414, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 219, 220, 0, '*', 0),
(305, 'aboutjoomla', 'Banner', 'banner', '', 'using-joomla/extensions/modules/display-modules/banner', 'index.php?option=com_content&view=article&id=7', 'component', 1, 413, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 205, 206, 0, '*', 0),
(306, 'aboutjoomla', 'Search', 'search', '', 'using-joomla/extensions/modules/utility-modules/search', 'index.php?option=com_content&view=article&id=40', 'component', 1, 414, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 221, 222, 0, '*', 0),
(307, 'aboutjoomla', 'Random Image', 'random-image', '', 'using-joomla/extensions/modules/display-modules/random-image', 'index.php?option=com_content&view=article&id=36', 'component', 1, 413, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 203, 204, 0, '*', 0),
(309, 'aboutjoomla', 'News Flash', 'news-flash', '', 'using-joomla/extensions/modules/content-modules/news-flash', 'index.php?option=com_content&view=article&id=31', 'component', 1, 411, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 181, 182, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(310, 'aboutjoomla', 'Latest Articles', 'latest-articles', '', 'using-joomla/extensions/modules/content-modules/latest-articles', 'index.php?option=com_content&view=article&id=27', 'component', 1, 411, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 183, 184, 0, '*', 0),
(311, 'aboutjoomla', 'Syndicate', 'syndicate', '', 'using-joomla/extensions/modules/utility-modules/syndicate', 'index.php?option=com_content&view=article&id=45', 'component', 1, 414, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 217, 218, 0, '*', 0),
(312, 'aboutjoomla', 'Login', 'login', '', 'using-joomla/extensions/modules/user-modules/login', 'index.php?option=com_content&view=article&id=28', 'component', 1, 412, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 199, 200, 0, '*', 0),
(313, 'aboutjoomla', 'Wrapper', 'wrapper', '', 'using-joomla/extensions/modules/utility-modules/wrapper', 'index.php?option=com_content&view=article&id=59', 'component', 1, 414, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 225, 226, 0, '*', 0),
(316, 'aboutjoomla', 'Home Page Atomic', 'home-page-atomic', '', 'using-joomla/extensions/templates/atomic/home-page-atomic', 'index.php?option=com_content&view=featured', 'component', 1, 422, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"3","num_columns":"3","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 247, 248, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(317, 'aboutjoomla', 'System', 'system', '', 'using-joomla/extensions/plugins/system', 'index.php?option=com_content&view=article&id=46', 'component', 1, 284, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 266, 267, 0, '*', 0),
(318, 'aboutjoomla', 'Authentication', 'authentication', '', 'using-joomla/extensions/plugins/authentication', 'index.php?option=com_content&view=article&id=5', 'component', 1, 284, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 254, 255, 0, '*', 0),
(319, 'aboutjoomla', 'Content', 'content', '', 'using-joomla/extensions/plugins/content', 'index.php?option=com_content&view=article&id=62', 'component', 1, 284, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 256, 257, 0, '*', 0),
(320, 'aboutjoomla', 'Editors', 'editors', '', 'using-joomla/extensions/plugins/editors', 'index.php?option=com_content&view=article&id=14', 'component', 1, 284, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 258, 259, 0, '*', 0),
(321, 'aboutjoomla', 'Editors Extended', 'editors-extended', '', 'using-joomla/extensions/plugins/editors-extended', 'index.php?option=com_content&view=article&id=15', 'component', 1, 284, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 260, 261, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(322, 'aboutjoomla', 'Search', 'search', '', 'using-joomla/extensions/plugins/search', 'index.php?option=com_content&view=article&id=41', 'component', 1, 284, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 262, 263, 0, '*', 0),
(323, 'aboutjoomla', 'User', 'user', '', 'using-joomla/extensions/plugins/user', 'index.php?option=com_content&view=article&id=51', 'component', 1, 284, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 264, 265, 0, '*', 0),
(324, 'aboutjoomla', 'Footer', 'footer', '', 'using-joomla/extensions/modules/display-modules/footer', 'index.php?option=com_content&view=article&id=19', 'component', 1, 413, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 209, 210, 0, '*', 0),
(325, 'aboutjoomla', 'Archive', 'archive', '', 'using-joomla/extensions/modules/content-modules/archive', 'index.php?option=com_content&view=article&id=2', 'component', 1, 411, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 185, 186, 0, '*', 0),
(326, 'aboutjoomla', 'Related Items', 'related-items', '', 'using-joomla/extensions/modules/content-modules/related-items', 'index.php?option=com_content&view=article&id=37', 'component', 1, 411, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 187, 188, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(399, 'parks', 'Animals', 'animals', '', 'image-gallery/animals', 'index.php?option=com_content&view=category&layout=blog&id=72', 'component', 1, 244, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"0","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"0","num_intro_articles":"6","num_columns":"2","num_links":"4","multi_column_order":"1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"0","show_category":"1","link_category":"1","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"1","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 294, 295, 0, 'en-GB', 0),
(400, 'parks', 'Scenery', 'scenery', '', 'image-gallery/scenery', 'index.php?option=com_content&view=category&layout=blog&id=73', 'component', 1, 244, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"0","show_description_image":"0","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"0","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"0","show_category":"1","link_category":"","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"1","show_readmore":"1","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 296, 297, 0, 'en-GB', 0),
(402, 'aboutjoomla', 'Login Form', 'login-form', '', 'using-joomla/extensions/components/users-component/login-form', 'index.php?option=com_users&view=login', 'component', 1, 271, 5, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 149, 150, 0, '*', 0),
(403, 'aboutjoomla', 'User Profile', 'user-profile', '', 'using-joomla/extensions/components/users-component/user-profile', 'index.php?option=com_users&view=profile', 'component', 1, 271, 5, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 151, 152, 0, '*', 0),
(404, 'aboutjoomla', 'Edit User Profile', 'edit-user-profile', '', 'using-joomla/extensions/components/users-component/edit-user-profile', 'index.php?option=com_users&view=profile&layout=edit', 'component', 1, 271, 5, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 153, 154, 0, '*', 0),
(405, 'aboutjoomla', 'Registration Form', 'registration-form', '', 'using-joomla/extensions/components/users-component/registration-form', 'index.php?option=com_users&view=registration', 'component', 1, 271, 5, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 155, 156, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(406, 'aboutjoomla', 'Username Reminder Request', 'username-reminder', '', 'using-joomla/extensions/components/users-component/username-reminder', 'index.php?option=com_users&view=remind', 'component', 1, 271, 5, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 157, 158, 0, '*', 0),
(409, 'aboutjoomla', 'Password Reset', 'password-reset', '', 'using-joomla/extensions/components/users-component/password-reset', 'index.php?option=com_users&view=reset', 'component', 1, 271, 5, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 159, 160, 0, '*', 0),
(410, 'aboutjoomla', 'Feed Display', 'feed-display', '', 'using-joomla/extensions/modules/display-modules/feed-display', 'index.php?option=com_content&view=article&id=16', 'component', 1, 413, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 207, 208, 0, '*', 0),
(411, 'aboutjoomla', 'Content Modules', 'content-modules', '', 'using-joomla/extensions/modules/content-modules', 'index.php?option=com_content&view=category&id=64', 'component', 1, 281, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"0","show_category_title":"1","page_subheading":"","show_empty_categories":"1","show_description":"1","show_description_image":"","show_cat_num_articles":"","display_num":"0","show_headings":"0","list_show_title":"1","list_show_date":"0","date_format":"","list_show_hits":"0","list_show_author":"0","filter_field":"hide","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"","show_pagination_limit":"0","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"1","link_category":"1","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 178, 193, 0, '*', 0),
(412, 'aboutjoomla', 'User Modules', 'user-modules', '', 'using-joomla/extensions/modules/user-modules', 'index.php?option=com_content&view=category&id=65', 'component', 1, 281, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"0","show_category_title":"1","page_subheading":"","show_empty_categories":"","show_description":"1","show_description_image":"","show_cat_num_articles":"","display_num":"0","show_headings":"0","list_show_title":"1","list_show_date":"","date_format":"","list_show_hits":"0","list_show_author":"0","filter_field":"hide","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"","show_pagination_limit":"0","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"1","link_category":"1","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 194, 201, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(413, 'aboutjoomla', 'Display Modules', 'display-modules', '', 'using-joomla/extensions/modules/display-modules', 'index.php?option=com_content&view=category&id=66', 'component', 1, 281, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"0","show_category_title":"1","page_subheading":"","show_empty_categories":"","show_description":"1","show_description_image":"1","show_cat_num_articles":"","display_num":"0","show_headings":"0","list_show_title":"1","list_show_date":"","date_format":"","list_show_hits":"0","list_show_author":"0","filter_field":"hide","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"","show_pagination_limit":"0","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"1","link_category":"1","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 202, 215, 0, '*', 0),
(414, 'aboutjoomla', 'Utility Modules', 'utility-modules', '', 'using-joomla/extensions/modules/utility-modules', 'index.php?option=com_content&view=category&id=67', 'component', 1, 281, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"0","show_category_title":"1","page_subheading":"","show_empty_categories":"","show_description":"1","show_description_image":"1","show_cat_num_articles":"","display_num":"0","show_headings":"0","list_show_title":"0","list_show_date":"0","date_format":"","list_show_hits":"0","list_show_author":"0","filter_field":"","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"","show_pagination_limit":"0","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"1","link_category":"1","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 216, 229, 0, '*', 0),
(415, 'aboutjoomla', 'Navigation Modules', 'navigation-modules', '', 'using-joomla/extensions/modules/navigation-modules', 'index.php?option=com_content&view=category&id=75', 'component', 1, 281, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_category_title":"","page_subheading":"","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","list_show_title":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","filter_field":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_limit":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 172, 177, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(416, 'aboutjoomla', 'Breadcrumbs', 'breadcrumbs', '', 'using-joomla/extensions/modules/navigation-modules/breadcrumbs', 'index.php?option=com_content&view=article&id=61', 'component', 1, 415, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 175, 176, 0, '*', 0),
(417, 'aboutjoomla', 'Weblinks', 'weblinks', '', 'using-joomla/extensions/modules/display-modules/weblinks', 'index.php?option=com_content&view=article&id=55', 'component', 1, 413, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 211, 212, 0, '*', 0),
(418, 'aboutjoomla', 'Custom HTML', 'custom-html', '', 'using-joomla/extensions/modules/display-modules/custom-html', 'index.php?option=com_content&view=article&id=12', 'component', 1, 413, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 213, 214, 0, '*', 0),
(419, 'aboutjoomla', 'Beez 2', 'beez-2', '', 'using-joomla/extensions/templates/beez-2', 'index.php?option=com_content&view=category&layout=blog&id=69', 'component', 1, 282, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 232, 237, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(422, 'aboutjoomla', 'Atomic', 'atomic', '', 'using-joomla/extensions/templates/atomic', 'index.php?option=com_content&view=category&layout=blog&id=68', 'component', 1, 282, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"2","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 244, 249, 0, '*', 0),
(423, 'aboutjoomla', 'Typography Beez 2', 'typography-beez-2', '', 'using-joomla/extensions/templates/beez-2/typography-beez-2', 'index.php?option=com_content&view=article&id=49', 'component', 1, 419, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 233, 234, 0, '*', 0),
(424, 'aboutjoomla', 'Home Page Beez 2', 'home-page-beez-2', '', 'using-joomla/extensions/templates/beez-2/home-page-beez-2', 'index.php?option=com_content&view=featured', 'component', 1, 419, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"3","num_columns":"3","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 235, 236, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(427, 'fruitshop', 'Fruit Encyclopedia', 'fruit-encyclopedia', '', 'fruit-encyclopedia', 'index.php?option=com_contact&view=categories&id=37', 'component', 1, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"1","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_items_cat":"","show_category_title":"","show_description":"1","show_description_image":"1","maxLevel":"-1","show_empty_categories":"1","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"0","show_position_headings":"","show_email_headings":"0","show_telephone_headings":"0","show_mobile_headings":"0","show_fax_headings":"0","show_suburb_headings":"0","show_state_headings":"","show_country_headings":"","show_pagination":"","show_pagination_results":"","presentation_style":"","show_contact_category":"","show_contact_list":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" categories-listalphabet","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 321, 322, 0, '*', 0),
(429, 'fruitshop', 'Welcome', 'welcome', 'Fruit store front page', 'welcome', 'index.php?option=com_content&view=article&id=20', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"0","link_titles":"0","show_intro":"1","show_category":"0","link_category":"0","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 319, 320, 0, '*', 0),
(430, 'fruitshop', 'Contact Us', 'contact-us', '', 'contact-us', 'index.php?option=com_contact&view=category&catid=47&id=36', 'component', 1, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"20","show_headings":"0","filter_field":"hide","show_pagination":"","show_noauth":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 325, 326, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(431, 'fruitshop', 'Growers', 'growers', '', 'growers', 'index.php?option=com_content&view=category&layout=blog&id=30', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"0","show_empty_categories":"","show_description":"1","show_description_image":"","show_category_title":"1","show_cat_num_articles":"","num_leading_articles":"5","num_intro_articles":"0","num_columns":"1","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"alpha","order_date":"","show_pagination":"","show_noauth":"","show_title":"1","link_titles":"1","show_intro":"1","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 323, 324, 0, '*', 0),
(432, 'fruitshop', 'Login ', 'shop-login', '', 'shop-login', 'index.php?option=com_users&view=login', 'component', 1, 1, 1, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 327, 328, 0, '*', 0),
(433, 'fruitshop', 'Directions', 'directions', '', 'directions', 'index.php?option=com_content&view=article&id=13', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 329, 330, 0, '*', 0),
(435, 'mainmenu', 'Home', 'homepage', '', 'homepage', 'index.php?option=com_content&view=featured', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"0","num_intro_articles":"0","num_columns":"3","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_pagination_results":"","show_title":"1","link_titles":"","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_readmore":"1","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 1, 2, 1, '*', 0),
(436, 'aboutjoomla', 'Getting Help', 'getting-help', '', 'using-joomla/getting-help', 'index.php?option=com_content&view=article&id=21', 'component', 1, 280, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 272, 273, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(437, 'aboutjoomla', 'Getting Started', 'getting-started', '', 'getting-started', 'index.php?option=com_content&view=article&id=22', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"1","link_titles":"0","show_intro":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_noauth":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 83, 84, 0, '*', 0),
(438, 'mainmenu', 'Weblinks', 'weblinks', '', 'site-map/weblinks', 'index.php?option=com_weblinks&view=categories&id=0', 'component', -2, 294, 2, 21, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories_description":"","maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","orderby_pri":"","show_pagination":"","show_noauth":"","article-allow_ratings":"","article-allow_comments":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 6, 7, 0, '*', 0),
(439, 'mainmenu', 'Contacts', 'contacts', '', 'site-map/contacts', 'index.php?option=com_contact&view=categories&id=0', 'component', -2, 294, 2, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories_description":"","maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","filter_field":"","show_pagination":"","show_noauth":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","article-allow_ratings":"","article-allow_comments":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 8, 9, 0, '*', 0),
(443, 'aboutjoomla', 'Article Categories', 'article-categories-view', '', 'using-joomla/extensions/modules/content-modules/article-categories-view', 'index.php?option=com_content&view=article&id=3', 'component', 1, 411, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 189, 190, 0, '*', 0),
(444, 'top', 'Sample Sites', 'sample-sites-2', '', 'sample-sites-2', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"238","menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 281, 282, 0, '*', 0),
(445, 'mainmenu', 'Parks', 'parks', '', 'sample-sites/parks', 'index.php?Itemid=', 'alias', -2, 238, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"243","menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 332, 333, 0, '*', 0),
(446, 'mainmenu', 'Shop', 'shop', '', 'sample-sites/shop', 'index.php?Itemid=', 'alias', -2, 238, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"429","menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 334, 335, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(447, 'aboutjoomla', 'Language Switcher', 'language-switcher', '', 'using-joomla/extensions/modules/utility-modules/language-switcher', 'index.php?option=com_content&view=article&id=26', 'component', 1, 414, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 223, 224, 0, '*', 0),
(448, 'mainmenu', 'Site Administrator', 'site-administrator', '', 'site-administrator', 'administrator', 'url', -2, 1, 1, 0, 0, '0000-00-00 00:00:00', 1, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 343, 344, 0, '*', 0),
(449, 'usermenu', 'Submit an Article', 'submit-an-article', '', 'submit-an-article', 'index.php?option=com_content&view=form&layout=edit', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 3, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 345, 346, 0, '*', 0),
(450, 'usermenu', 'Submit a Web Link', 'submit-a-web-link', '', 'submit-a-web-link', 'index.php?option=com_weblinks&view=form&layout=edit', 'component', 1, 1, 1, 21, 0, '0000-00-00 00:00:00', 0, 3, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 349, 350, 0, '*', 0),
(452, 'aboutjoomla', 'Featured Contacts', 'featured-contacts', '', 'using-joomla/extensions/components/contact-component/featured-contacts', 'index.php?option=com_contact&view=featured&id=16', 'component', 1, 270, 5, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","filter_field":"","show_pagination":"","show_noauth":"","presentation_style":"sliders","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 129, 130, 0, '*', 0),
(453, 'aboutjoomla', 'Parameters', 'parameters', '', 'using-joomla/parameters', 'index.php?option=com_content&view=article&id=32', 'component', 1, 280, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"1","show_title":"1","link_titles":"1","show_intro":"1","show_category":"1","link_category":"1","show_parent_category":"1","link_parent_category":"1","show_author":"1","link_author":"1","show_create_date":"1","show_modify_date":"1","show_publish_date":"1","show_item_navigation":"1","show_icons":"1","show_print_icon":"1","show_email_icon":"1","show_hits":"1","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 270, 271, 0, '*', 0),
(455, 'mainmenu', 'Example Pages', 'example-pages', '', 'example-pages', 'index.php?Itemid=', 'alias', -2, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"268","menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 351, 352, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(456, 'aboutjoomla', 'Beez5', 'beez5', '', 'using-joomla/extensions/templates/beez5', 'index.php?option=com_content&view=category&layout=blog&id=70', 'component', 1, 282, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 238, 243, 0, '*', 0),
(457, 'aboutjoomla', 'Typography Beez5', 'typography-beez-5', '', 'using-joomla/extensions/templates/beez5/typography-beez-5', 'index.php?option=com_content&view=article&id=49', 'component', 1, 456, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 239, 240, 0, '*', 0),
(458, 'aboutjoomla', 'Home Page Beez5', 'home-page-beez5', '', 'using-joomla/extensions/templates/beez5/home-page-beez5', 'index.php?option=com_content&view=featured', 'component', 1, 456, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"3","num_columns":"3","num_links":"0","multi_column_order":"","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 241, 242, 0, '*', 0),
(459, 'aboutjoomla', 'Article Category', 'article-category', '', 'using-joomla/extensions/modules/content-modules/article-category', 'index.php?option=com_content&view=article&id=4', 'component', 1, 411, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 191, 192, 0, '*', 0),
(462, 'fruitshop', 'Add a recipe', 'add-a-recipe', '', 'add-a-recipe', 'index.php?option=com_content&view=form&layout=edit', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 4, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 353, 354, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(463, 'fruitshop', 'Recipes', 'recipes', '', 'recipes', 'index.php?option=com_content&view=category&id=76', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"0","show_category_title":"1","page_subheading":"","show_empty_categories":"0","show_description":"1","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","list_show_title":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","filter_field":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_limit":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 355, 356, 0, '*', 0),
(464, 'top', 'Home', 'home', '', 'home', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"435","menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 275, 276, 0, '*', 0),
(466, 'aboutjoomla', 'Smart Search', 'smart-search', '', 'using-joomla/extensions/components/search-component/smart-search', 'index.php?option=com_finder&view=search&q=&f=', 'component', 1, 276, 5, 27, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":255,"show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"0","search_order":"","show_feed":"0","show_feed_text":"0","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 165, 166, 0, '*', 0),
(467, 'aboutjoomla', 'Smart Search', 'smart-search', '', 'using-joomla/extensions/modules/utility-modules/smart-search', 'index.php?option=com_content&view=article&id=70', 'component', 1, 414, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 227, 228, 0, '*', 0),
(485, 'mainmenu', 'Features', 'features', '', 'features', '', 'url', -2, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"item_icon":"","item_desc":"","item_classSuffix":"","custom_item_color":"0","item_color":"#666666","sub_width":"200","sub_margin":"5","sub_padding":"5","create_column":"0","load_module":"0","module_id":"","module_style":"none"}', 23, 24, 0, '*', 0),
(486, 'mainmenu', 'Joomla! Pages', 'joomla-pages', '', 'joomla-pages', '', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"iomg_icon":"","iomg_showtitle":"1","iomg_subtitle":"","iomg_listcls":"","iomg_custom_color":"0","iomg_color":"#666666","iomg_width":"200","iomg_margin":"0","iomg_padding":"7","iomg_create_col":"0","iomg_loadmod":"0","iomg_module_style":"none","iomg_loadby":"mod"}', 25, 56, 0, '*', 0),
(487, 'mainmenu', 'Bonus Pages', 'bonus-pages', '', 'joomla-pages/bonus-pages', '', 'heading', 1, 486, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"iomg_icon":"","iomg_showtitle":"1","iomg_subtitle":"","iomg_listcls":"","iomg_custom_color":"0","iomg_color":"#666666","iomg_width":"200","iomg_margin":"0","iomg_padding":"5","iomg_create_col":"1","iomg_loadmod":"0","iomg_module_style":"none","iomg_loadby":"mod"}', 34, 55, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(488, 'mainmenu', 'Layouts', 'layouts', '', 'joomla-pages/layouts', '', 'heading', 1, 486, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"iomg_icon":"","iomg_showtitle":"1","iomg_subtitle":"","iomg_listcls":"","iomg_custom_color":"0","iomg_color":"#666666","iomg_width":"200","iomg_margin":"0","iomg_padding":"5","iomg_create_col":"1","iomg_loadmod":"0","iomg_module_style":"none","iomg_loadby":"mod"}', 26, 33, 0, '*', 0),
(489, 'mainmenu', 'No Sidebar', 'no-sidebar', '', 'joomla-pages/layouts/no-sidebar', 'index.php?option=com_content&view=article&id=22', 'component', 1, 488, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"iomg_icon":"","iomg_showtitle":"1","iomg_subtitle":"","iomg_listcls":"","iomg_custom_color":"0","iomg_color":"#666666","iomg_width":"200","iomg_margin":"0","iomg_padding":"5","iomg_create_col":"0","iomg_loadmod":"0","iomg_module_style":"none","iomg_loadby":"mod"}', 27, 28, 0, '*', 0),
(490, 'mainmenu', 'Bonus 1', 'bonus-1', '', 'joomla-pages/bonus-pages/bonus-1', '', 'heading', 1, 487, 3, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"iomg_icon":"","iomg_showtitle":"0","iomg_subtitle":"","iomg_listcls":"","iomg_custom_color":"0","iomg_color":"#666666","iomg_width":"200","iomg_margin":"0","iomg_padding":"5","iomg_create_col":"1","iomg_loadmod":"0","iomg_module_style":"none","iomg_loadby":"mod"}', 35, 44, 0, '*', 0),
(491, 'mainmenu', 'Layouts', 'demo-layouts', '', 'demo-layouts', '', 'url', -2, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 87, 94, 0, '*', 0),
(492, 'mainmenu', 'Page Full Left', 'page-full-left', '', 'demo-layouts/page-full-left', 'index.php?option=com_k2&view=item&layout=item&id=6', 'component', -2, 491, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 88, 89, 0, '*', 0),
(493, 'mainmenu', 'Page Full Right', 'page-full-right', '', 'demo-layouts/page-full-right', 'index.php?option=com_k2&view=item&layout=item&id=6', 'component', -2, 491, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 90, 91, 0, '*', 0),
(494, 'mainmenu', 'Page Full Width', 'page-full-width', '', 'demo-layouts/page-full-width', 'index.php?option=com_k2&view=item&layout=item&id=6', 'component', -2, 491, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 92, 93, 0, '*', 0),
(495, 'mainmenu', 'K2', 'k2', '', 'k2', '', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"iomg_icon":"","iomg_showtitle":"1","iomg_subtitle":"","iomg_listcls":"","iomg_custom_color":"0","iomg_color":"#666666","iomg_width":"200","iomg_margin":"0","iomg_padding":"7","iomg_create_col":"0","iomg_loadmod":"0","iomg_module_style":"none","iomg_loadby":"mod"}', 299, 316, 0, '*', 0),
(496, 'mainmenu', 'K2 Item', 'k2-item', '', 'k2/k2-item', 'index.php?option=com_k2&view=item&layout=item&id=7', 'component', 1, 495, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 300, 301, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(497, 'mainmenu', 'K2 Categories', 'k2-categories', '', 'k2/k2-categories', 'index.php?option=com_k2&view=itemlist&layout=category&task=category&id=3', 'component', 1, 495, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories":["3"],"singleCatOrdering":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"K2 Categories","show_page_heading":1,"page_heading":"K2 Categories","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"iomg_icon":"","iomg_showtitle":"1","iomg_subtitle":"","iomg_listcls":"","iomg_custom_color":"0","iomg_color":"#666666","iomg_width":"200","iomg_margin":"0","iomg_padding":"7","iomg_create_col":"0","iomg_loadmod":"0","iomg_module_style":"none","iomg_loadby":"mod"}', 302, 307, 0, '*', 0),
(498, 'mainmenu', 'Sub Category 1.1', 'sub-category-1-1', '', 'k2/k2-categories/sub-category-1-1', 'index.php?option=com_k2&view=itemlist&layout=category&task=category&id=4', 'component', 1, 497, 3, 10000, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories":["4"],"singleCatOrdering":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Sub Category 1.1","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 303, 304, 0, '*', 0),
(499, 'mainmenu', 'Sub Category 1.2', 'sub-category-1-2', '', 'k2/k2-categories/sub-category-1-2', 'index.php?option=com_k2&view=itemlist&layout=category&task=category&id=7', 'component', 1, 497, 3, 10000, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories":["7"],"singleCatOrdering":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 305, 306, 0, '*', 0),
(500, 'mainmenu', 'K2 User Page', 'k2-user-page', '', 'k2/k2-user-page', 'index.php?option=com_k2&view=itemlist&layout=user&id=305&task=user', 'component', 1, 495, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"default","userOrdering":"","userFeedLink":"1","userFeedIcon":"1","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"K2 User Page","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"iomg_icon":"","iomg_showtitle":"1","iomg_subtitle":"","iomg_listcls":"","iomg_custom_color":"0","iomg_color":"#666666","iomg_width":"200","iomg_margin":"0","iomg_padding":"5","iomg_create_col":"0","iomg_loadmod":"0","iomg_module_style":"none","iomg_loadby":"mod"}', 308, 309, 0, '*', 0),
(501, 'mainmenu', 'K2 Tags', 'k2-tags', '', 'k2/k2-tags', 'index.php?option=com_k2&view=itemlist&layout=tag&tag=Joomla Templates&task=tag', 'component', 1, 495, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"default","categoriesFilter":["4","7","8"],"tagOrdering":"","tagFeedLink":"1","tagFeedIcon":"1","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"K2 Tags","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 310, 311, 0, '*', 0),
(502, 'mainmenu', 'Latest (one column)', 'latest-one-column', '', 'k2/latest-one-column', 'index.php?option=com_k2&view=latest&layout=latest', 'component', 1, 495, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"default","source":"1","latestItemsCols":"1","latestItemsLimit":"1","latestItemsDisplayEffect":"all","userName":"1","userImage":"1","userDescription":"1","userURL":"1","userEmail":"0","userFeed":"0","categoryIDs":["4","5","6","7","8"],"categoryTitle":"0","categoryDescription":"0","categoryImage":"0","categoryFeed":"0","latestItemTitle":"1","latestItemTitleLinked":"1","latestItemDateCreated":"1","latestItemImage":"1","latestItemImageSize":"Medium","latestItemVideo":"1","latestItemVideoWidth":"","latestItemVideoHeight":"","latestItemAudioWidth":"","latestItemAudioHeight":"","latestItemVideoAutoPlay":"0","latestItemIntroText":"1","latestItemCategory":"1","latestItemTags":"1","latestItemReadMore":"1","latestItemCommentsAnchor":"0","feedLink":"0","latestItemK2Plugins":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Latest (one column)","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 312, 313, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(503, 'mainmenu', 'Latest (more columns)', 'latest-more-columns', '', 'k2/latest-more-columns', 'index.php?option=com_k2&view=latest&layout=latest', 'component', 1, 495, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"default","source":"1","latestItemsCols":"2","latestItemsLimit":"2","latestItemsDisplayEffect":"all","userName":"1","userImage":"1","userDescription":"1","userURL":"1","userEmail":"0","userFeed":"0","categoryIDs":["7","8"],"categoryTitle":"0","categoryDescription":"0","categoryImage":"0","categoryFeed":"0","latestItemTitle":"1","latestItemTitleLinked":"1","latestItemDateCreated":"1","latestItemImage":"1","latestItemImageSize":"Small","latestItemVideo":"1","latestItemVideoWidth":"","latestItemVideoHeight":"","latestItemAudioWidth":"","latestItemAudioHeight":"","latestItemVideoAutoPlay":"0","latestItemIntroText":"1","latestItemCategory":"1","latestItemTags":"1","latestItemReadMore":"1","latestItemCommentsAnchor":"0","feedLink":"0","latestItemK2Plugins":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Latest (more columns)","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 314, 315, 0, '*', 0),
(504, 'mainmenu', 'About', 'about-us', '', 'about-us', 'index.php?option=com_k2&view=itemlist&layout=category&task=category&id=11', 'component', 1, 1, 1, 10000, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories":["11"],"singleCatOrdering":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 337, 338, 0, '*', 0),
(505, 'mainmenu', 'Contact', 'contact', '', 'contact', 'index.php?option=com_contact&view=contact&id=1', 'component', 1, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"presentation_style":"","show_contact_category":"","show_contact_list":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 347, 348, 0, '*', 0),
(506, 'mainmenu', 'Blog', 'blog', '', 'blog', 'index.php?option=com_k2&view=itemlist&layout=category&task=category&id=12', 'component', 1, 1, 1, 10000, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories":["12"],"singleCatOrdering":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 339, 340, 0, '*', 0),
(507, 'mainmenu', 'Porfolio', 'porfolio', '', 'porfolio', 'index.php?option=com_k2&view=itemlist&layout=category&task=category&id=10', 'component', 1, 1, 1, 10000, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories":["10"],"singleCatOrdering":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 341, 342, 0, '*', 0),
(519, 'main', 'com_otemplates', 'com-otemplates', '', 'com-otemplates', 'index.php?option=com_otemplates', 'component', 0, 1, 1, 10020, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 357, 358, 0, '', 1),
(520, 'main', 'COM_K2', 'com-k2', '', 'com-k2', 'index.php?option=com_k2', 'component', 0, 1, 1, 10000, 0, '0000-00-00 00:00:00', 0, 1, '../media/k2/assets/images/system/k2_16x16.png', 0, '', 359, 380, 0, '', 1),
(521, 'main', 'K2_ITEMS', 'k2-items', '', 'com-k2/k2-items', 'index.php?option=com_k2&view=items', 'component', 0, 520, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 360, 361, 0, '', 1),
(522, 'main', 'K2_CATEGORIES', 'k2-categories', '', 'com-k2/k2-categories', 'index.php?option=com_k2&view=categories', 'component', 0, 520, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 362, 363, 0, '', 1);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(523, 'main', 'K2_TAGS', 'k2-tags', '', 'com-k2/k2-tags', 'index.php?option=com_k2&view=tags', 'component', 0, 520, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 364, 365, 0, '', 1),
(524, 'main', 'K2_COMMENTS', 'k2-comments', '', 'com-k2/k2-comments', 'index.php?option=com_k2&view=comments', 'component', 0, 520, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 366, 367, 0, '', 1),
(525, 'main', 'K2_USERS', 'k2-users', '', 'com-k2/k2-users', 'index.php?option=com_k2&view=users', 'component', 0, 520, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 368, 369, 0, '', 1),
(526, 'main', 'K2_USER_GROUPS', 'k2-user-groups', '', 'com-k2/k2-user-groups', 'index.php?option=com_k2&view=usergroups', 'component', 0, 520, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 370, 371, 0, '', 1),
(527, 'main', 'K2_EXTRA_FIELDS', 'k2-extra-fields', '', 'com-k2/k2-extra-fields', 'index.php?option=com_k2&view=extrafields', 'component', 0, 520, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 372, 373, 0, '', 1),
(528, 'main', 'K2_EXTRA_FIELD_GROUPS', 'k2-extra-field-groups', '', 'com-k2/k2-extra-field-groups', 'index.php?option=com_k2&view=extrafieldsgroups', 'component', 0, 520, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 374, 375, 0, '', 1),
(529, 'main', 'K2_MEDIA_MANAGER', 'k2-media-manager', '', 'com-k2/k2-media-manager', 'index.php?option=com_k2&view=media', 'component', 0, 520, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 376, 377, 0, '', 1),
(530, 'main', 'K2_INFORMATION', 'k2-information', '', 'com-k2/k2-information', 'index.php?option=com_k2&view=info', 'component', 0, 520, 2, 10000, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 378, 379, 0, '', 1),
(531, 'main', 'com_tags', 'Tags', '', 'Tags', 'index.php?option=com_tags', 'component', 0, 1, 1, 29, 0, '0000-00-00 00:00:00', 0, 1, 'class:tags', 0, '', 81, 82, 0, '', 1),
(532, 'main', 'com_postinstall', 'Post-installation messages', '', 'Post-installation messages', 'index.php?option=com_postinstall', 'component', 0, 1, 1, 32, 0, '0000-00-00 00:00:00', 0, 1, 'class:postinstall', 0, '', 85, 86, 0, '*', 1),
(533, 'mainmenu', 'Bonus 2', 'bonus-2', '', 'joomla-pages/bonus-pages/bonus-2', '', 'heading', 1, 487, 3, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"iomg_icon":"","iomg_showtitle":"0","iomg_subtitle":"","iomg_listcls":"","iomg_custom_color":"0","iomg_color":"#666666","iomg_width":"200","iomg_margin":"0","iomg_padding":"5","iomg_create_col":"1","iomg_loadmod":"0","iomg_module_style":"none","iomg_loadby":"mod"}', 45, 54, 0, '*', 0),
(534, 'mainmenu', 'Login Form', 'login-form', '', 'joomla-pages/bonus-pages/bonus-1/login-form', 'index.php?option=com_users&view=login', 'component', 1, 490, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"iomg_icon":"","iomg_showtitle":"1","iomg_subtitle":"","iomg_listcls":"","iomg_custom_color":"0","iomg_color":"#666666","iomg_width":"200","iomg_margin":"0","iomg_padding":"5","iomg_create_col":"0","iomg_loadmod":"0","iomg_module_style":"none","iomg_loadby":"mod"}', 36, 37, 0, '*', 0),
(535, 'mainmenu', 'Registration Form', 'registration-form', '', 'joomla-pages/bonus-pages/bonus-1/registration-form', 'index.php?option=com_users&view=registration', 'component', 1, 490, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"iomg_icon":"","iomg_showtitle":"1","iomg_subtitle":"","iomg_listcls":"","iomg_custom_color":"0","iomg_color":"#666666","iomg_width":"200","iomg_margin":"0","iomg_padding":"5","iomg_create_col":"0","iomg_loadmod":"0","iomg_module_style":"none","iomg_loadby":"mod"}', 38, 39, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(536, 'mainmenu', 'News Feeds', 'news-feeds', '', 'joomla-pages/bonus-pages/bonus-2/news-feeds', 'index.php?option=com_newsfeeds&view=category&id=17', 'component', 1, 533, 4, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","filter_field":"","show_pagination_limit":"","show_headings":"","show_articles":"","show_link":"","show_pagination":"","show_pagination_results":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","feed_display_order":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"iomg_icon":"","iomg_showtitle":"1","iomg_subtitle":"","iomg_listcls":"","iomg_custom_color":"0","iomg_color":"#666666","iomg_width":"200","iomg_margin":"0","iomg_padding":"5","iomg_create_col":"0","iomg_loadmod":"0","iomg_module_style":"none","iomg_loadby":"mod"}', 46, 47, 0, '*', 0),
(537, 'mainmenu', 'We Links', 'we-links', '', 'joomla-pages/bonus-pages/bonus-2/we-links', 'index.php?option=com_weblinks&view=category&id=18', 'component', 1, 533, 4, 21, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_num_links":"","filter_field":"","show_pagination_limit":"","show_headings":"","show_link_description":"","show_link_hits":"","show_pagination":"","show_pagination_results":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"iomg_icon":"","iomg_showtitle":"1","iomg_subtitle":"","iomg_listcls":"","iomg_custom_color":"0","iomg_color":"#666666","iomg_width":"200","iomg_margin":"0","iomg_padding":"5","iomg_create_col":"0","iomg_loadmod":"0","iomg_module_style":"none","iomg_loadby":"mod"}', 48, 49, 0, '*', 0),
(538, 'mainmenu', 'Offline Page', 'offline-page', '', 'joomla-pages/bonus-pages/bonus-2/offline-page', 'index.php?option=com_content&view=article&id=22', 'component', 1, 533, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"iomg_icon":"","iomg_showtitle":"1","iomg_subtitle":"","iomg_listcls":"","iomg_custom_color":"0","iomg_color":"#666666","iomg_width":"200","iomg_margin":"0","iomg_padding":"5","iomg_create_col":"0","iomg_loadmod":"0","iomg_module_style":"none","iomg_loadby":"mod"}', 50, 51, 0, '*', 0),
(539, 'mainmenu', '404 Page', '404-page', '', 'joomla-pages/bonus-pages/bonus-2/404-page', 'index.php?option=com_content&view=article&id=71', 'component', 1, 533, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_tags":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"iomg_icon":"","iomg_showtitle":"1","iomg_subtitle":"","iomg_listcls":"","iomg_custom_color":"0","iomg_color":"#666666","iomg_width":"200","iomg_margin":"0","iomg_padding":"5","iomg_create_col":"0","iomg_loadmod":"0","iomg_module_style":"none","iomg_loadby":"mod"}', 52, 53, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(540, 'mainmenu', 'User Profile', 'user-profile', '', 'joomla-pages/bonus-pages/bonus-1/user-profile', 'index.php?option=com_users&view=profile', 'component', 1, 490, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"iomg_icon":"","iomg_showtitle":"1","iomg_subtitle":"","iomg_listcls":"","iomg_custom_color":"0","iomg_color":"#666666","iomg_width":"200","iomg_margin":"0","iomg_padding":"5","iomg_create_col":"0","iomg_loadmod":"0","iomg_module_style":"none","iomg_loadby":"mod"}', 40, 41, 0, '*', 0),
(541, 'mainmenu', 'Smart Seach', 'smart-seach', '', 'joomla-pages/bonus-pages/bonus-1/smart-seach', 'index.php?option=com_finder&view=search', 'component', 1, 490, 4, 27, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":255,"show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"0","show_suggested_query":"1","show_explained_query":"1","sort_order":"","sort_direction":"","show_feed":"0","show_feed_text":"0","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"iomg_icon":"","iomg_showtitle":"1","iomg_subtitle":"","iomg_listcls":"","iomg_custom_color":"0","iomg_color":"#666666","iomg_width":"200","iomg_margin":"0","iomg_padding":"5","iomg_create_col":"0","iomg_loadmod":"0","iomg_module_style":"none","iomg_loadby":"mod"}', 42, 43, 0, '*', 0),
(542, 'mainmenu', '1 Sidebar', '1-sidebar', '', 'joomla-pages/layouts/1-sidebar', 'index.php?option=com_content&view=article&id=22', 'component', 1, 488, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"iomg_icon":"","iomg_showtitle":"1","iomg_subtitle":"","iomg_listcls":"","iomg_custom_color":"0","iomg_color":"#666666","iomg_width":"200","iomg_margin":"0","iomg_padding":"5","iomg_create_col":"0","iomg_loadmod":"0","iomg_module_style":"none","iomg_loadby":"mod"}', 29, 30, 0, '*', 0),
(543, 'mainmenu', '2 Sidebars', '2-sidebars', '', 'joomla-pages/layouts/2-sidebars', 'index.php?option=com_content&view=article&id=22', 'component', 1, 488, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"iomg_icon":"","iomg_showtitle":"1","iomg_subtitle":"","iomg_listcls":"","iomg_custom_color":"0","iomg_color":"#666666","iomg_width":"200","iomg_margin":"0","iomg_padding":"5","iomg_create_col":"0","iomg_loadmod":"0","iomg_module_style":"none","iomg_loadby":"mod"}', 31, 32, 0, '*', 0);

DROP TABLE IF EXISTS `#__menu_types`;
CREATE TABLE IF NOT EXISTS `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

INSERT INTO `#__menu_types` (`id`, `menutype`, `title`, `description`) VALUES
(2, 'usermenu', 'User Menu', 'A Menu for logged-in Users'),
(3, 'top', 'Top', 'Links for major types of users'),
(4, 'aboutjoomla', 'About Joomla', 'All about Joomla!'),
(5, 'parks', 'Australian Parks', 'Main menu for a site about Australian  parks'),
(6, 'mainmenu', 'Main Menu', 'Simple Home Menu'),
(7, 'fruitshop', 'Fruit Shop', 'Menu for the sample shop site.');

DROP TABLE IF EXISTS `#__messages`;
CREATE TABLE IF NOT EXISTS `#__messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id_to` int(10) unsigned NOT NULL DEFAULT '0',
  `folder_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `priority` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__messages_cfg`;
CREATE TABLE IF NOT EXISTS `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__modules`;
CREATE TABLE IF NOT EXISTS `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `position` varchar(50) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=133 ;

INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(1, 0, 'Main Menu', '', '', 1, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_menu', 1, 1, '{"menutype":"mainmenu","startLevel":"0","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"","moduleclass_sfx":"_menu","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(2, 0, 'Login', '', '', 1, 'login', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '', 1, '*'),
(3, 0, 'Popular Articles', '', '', 3, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_popular', 3, 1, '{"count":"5","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(4, 0, 'Recently Added Articles', '', '', 4, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_latest', 3, 1, '{"count":"5","ordering":"c_dsc","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(8, 0, 'Toolbar', '', '', 1, 'toolbar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_toolbar', 3, 1, '', 1, '*'),
(9, 0, 'Quick Icons', '', '', 1, 'icon', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_quickicon', 3, 1, '', 1, '*'),
(10, 0, 'Logged-in Users', '', '', 2, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_logged', 3, 1, '{"count":"5","name":"1","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(12, 0, 'Admin Menu', '', '', 1, 'menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 3, 1, '{"layout":"","moduleclass_sfx":"","shownew":"1","showhelp":"1","cache":"0"}', 1, '*'),
(13, 0, 'Admin Submenu', '', '', 1, 'submenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_submenu', 3, 1, '', 1, '*'),
(14, 0, 'User Status', '', '', 2, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_status', 3, 1, '', 1, '*'),
(15, 0, 'Title', '', '', 1, 'title', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_title', 3, 1, '', 1, '*'),
(16, 0, 'Login Form', '', '', 7, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_login', 1, 1, '{"greeting":"1","name":"0"}', 0, '*'),
(17, 0, 'Breadcrumbs', '', '', 1, 'position-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_breadcrumbs', 1, 1, '{"moduleclass_sfx":"","showHome":"1","homeText":"Home","showComponent":"1","separator":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(18, 0, 'Book Store', '', '', 1, 'position-10', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_banners', 1, 0, '{"target":"1","count":"1","cid":"3","catid":[""],"tag_search":"0","ordering":"0","header_text":"","footer_text":"Books!","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900"}', 0, '*'),
(19, 0, 'User Menu', '', '', 3, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_menu', 2, 1, '{"menutype":"usermenu","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"","moduleclass_sfx":"_menu","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(20, 0, 'Top', '', '', 1, 'position-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_menu', 1, 1, '{"menutype":"top","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"","moduleclass_sfx":"","cache":"0"}', 0, '*'),
(22, 0, 'Australian Parks ', '', '', 2, 'position-5', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_menu', 1, 1, '{"menutype":"parks","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"","moduleclass_sfx":"","cache":"0","cache_time":"900","cachemode":"itemid"}', 0, 'en-GB'),
(23, 0, 'About Joomla!', '', '', 4, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_menu', 1, 1, '{"menutype":"aboutjoomla","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"","moduleclass_sfx":"_menu","cache":"0","cache_time":"900","cachemode":"itemid"}', 0, '*');
INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(25, 0, 'Site Map', '', '', 1, 'sitemapload', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_menu', 1, 0, '{"menutype":"mainmenu","startLevel":"2","endLevel":"3","showAllChildren":"1","tag_id":"","class_sfx":"sitemap","window_open":"","layout":"","moduleclass_sfx":"","cache":"0","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(26, 0, 'This Site', '', '', 5, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_menu', 1, 1, '{"menutype":"mainmenu","startLevel":"1","endLevel":"1","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"","moduleclass_sfx":"_menu","cache":"0","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(27, 0, 'Archived Articles', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_articles_archive', 1, 1, '{"count":"10","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(28, 0, 'Latest News', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_articles_latest', 1, 1, '{"catid":["19"],"count":"5","show_featured":"","ordering":"c_dsc","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(29, 0, 'Articles Most Read', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_articles_popular', 1, 1, '{"catid":["26","29"],"count":"5","show_front":"1","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(30, 0, 'Feed Display', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_feed', 1, 1, '{"rssurl":"http:\\/\\/community.joomla.org\\/blogs\\/community.feed?type=rss","rssrtl":"0","rsstitle":"1","rssdesc":"1","rssimage":"1","rssitems":"3","rssitemdesc":"1","word_count":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900"}', 0, '*'),
(31, 0, 'News Flash', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_articles_news', 1, 1, '{"catid":["19"],"image":"0","item_title":"0","link_titles":"","item_heading":"h4","showLastSeparator":"1","readmore":"1","count":"1","ordering":"a.publish_up","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(33, 0, 'Random Image', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_random_image', 1, 1, '{"type":"jpg","folder":"images\\/sampledata\\/parks\\/animals","link":"","width":"180","height":"","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 0, '*'),
(34, 0, 'Articles Related Items', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_related_items', 1, 1, '{"showDate":"0","layout":"_:default","moduleclass_sfx":"","owncache":"1"}', 0, '*'),
(35, 198, 'Search', '', '', 1, 'middle1-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_search', 1, 0, '{"label":"","width":"20","text":"","button":"1","button_pos":"right","imagebutton":"1","button_text":"","opensearch":"1","opensearch_title":"","set_itemid":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(36, 0, 'Statistics', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_stats', 1, 1, '{"serverinfo":"1","siteinfo":"1","counter":"1","increase":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(37, 0, 'Syndicate Feeds', '', '', 1, 'syndicateload', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_syndicate', 1, 1, '{"text":"Feed Entries","format":"rss","layout":"","moduleclass_sfx":"","cache":"0"}', 0, '*'),
(38, 0, 'Users Latest', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_users_latest', 1, 1, '{"shownumber":"5","linknames":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","cache_time":"900","cachemode":"static"}', 0, '*'),
(39, 0, 'Who''s Online', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_whosonline', 1, 1, '{"showmode":"2","linknames":"0","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 0, '*');
INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(40, 0, 'Wrapper', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_wrapper', 1, 1, '{"url":"http:\\/\\/www.youtube.com\\/embed\\/vb2eObvmvdI","add":"1","scrolling":"auto","width":"640","height":"390","height_auto":"1","target":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(41, 0, 'Footer', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_footer', 1, 1, '{"layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(44, 195, 'Login Panel', '', '', 2, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '{"pretext":"","posttext":"","login":"280","logout":"280","greeting":"1","name":"0","usesecure":"0","usetext":"1","layout":"_:default","moduleclass_sfx":"","cache":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(45, 0, 'Main Menu', '', '', 1, 'mainmenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_menu', 1, 0, '{"menutype":"mainmenu","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"_menu","cache":"0","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(47, 0, 'Latest Park Blogs', '', '', 6, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_articles_latest', 1, 1, '{"count":"5","ordering":"c_dsc","user_id":"0","show_front":"1","catid":"35","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900"}', 0, 'en-GB'),
(48, 201, 'Custom HTML', '', '<p style="font-style: italic; margin: 0;"><img style="margin: 0 10px 0 10px;" src="images/demo/call.png" alt="" border="0" />Free Toll Call: (001) 234-5678-999 <img style="margin: 0 10px 0 10px;" src="images/demo/email.png" alt="" border="0" />Marketing Email: <a href="mailto:info@domail-name.com">info@domail-name.com</a></p>', 1, 'top1-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(49, 0, 'Weblinks', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_weblinks', 1, 1, '{"catid":"32","count":"5","ordering":"title","direction":"asc","target":"3","description":"0","hits":"0","count_clicks":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(52, 209, 'Breadcrumbs', '', '', 1, 'breadcrumbs', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_breadcrumbs', 1, 0, '{"showHere":"1","showHome":"1","homeText":"Home","showLast":"1","separator":">","layout":"_:default","moduleclass_sfx":"","cache":"0","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(56, 0, 'Banners', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_banners', 1, 1, '{"target":"1","count":"1","cid":"1","catid":["15"],"tag_search":"0","ordering":"random","header_text":"","footer_text":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900"}', 0, '*'),
(57, 0, 'Fruit Shop', '', '', 3, 'position-5', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_menu', 1, 1, '{"menutype":"fruitshop","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"","moduleclass_sfx":"","cache":"0","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(58, 0, 'Special!', '', '<h1>This week we have a special, half price on delicious oranges!</h1><div>Only for our special customers!</div><div>Use the code: Joomla! when ordering</div><p><em>This module can only be seen by people in the customers group or higher.</em></p>', 1, 'position-12', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 4, 1, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(61, 0, 'Articles Categories', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_articles_categories', 1, 1, '{"parent":"29","show_description":"0","show_children":"0","count":"0","maxlevel":"0","layout":"_:default","item_heading":"4","moduleclass_sfx":"","owncache":"1","cache_time":"900"}', 0, '*');
INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(62, 0, 'Language Switcher', '', '', 3, 'position-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_languages', 1, 1, '{"header_text":"","footer_text":"","image":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(63, 0, 'Search', '', '', 1, 'position-0', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_search', 1, 1, '{"width":"20","text":"","button":"","button_pos":"right","imagebutton":"1","button_text":"","set_itemid":"","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(64, 0, 'Language Switcher', '', '', 1, 'languageswitcherload', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_languages', 1, 1, '{"header_text":"","footer_text":"","image":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(65, 0, 'About Fruit Shop', '', '<p>The Fruit Shop site shows a number of Joomla! features.</p><p>The template uses classes in cascading style sheets to change the layout of items, such as creating the horizontal alphabetical list in the Fruit Encyclopedia.</p><p> </p>', 1, 'position-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 1, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(67, 0, 'Extensions', '', '', 2, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_menu', 1, 1, '{"menutype":"aboutjoomla","startLevel":"1","endLevel":"6","showAllChildren":"0","tag_id":"","class_sfx":"-menu","window_open":"","layout":"","moduleclass_sfx":"","cache":"0","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(68, 0, 'About Parks', '', '<p>The Parks sample site is designed as a simple site that can be routinely updated from the front end of Joomla!.</p><p>As a site, it is largely focused on a blog which can be updated using the front end article submission.</p><p>New weblinks can also be added through the front end.</p><p>A simple image gallery uses com_content with thumbnails displayed in a blog layout and full size images shown in article layout.</p><p>The Parks site features the language switch module. All of the content and modules are tagged as English (en-GB). If a second language pack is added with sample data this can be filtered using the language switch.</p><p>Parks uses HTML5 which is a major web standard (along with XHTML which is used in other areas of sample data).</p>', 2, 'position-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 1, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(69, 0, 'Articles Category', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_articles_category', 1, 1, '{"mode":"normal","show_on_article_page":"1","show_front":"show","count":"0","category_filtering_type":"1","catid":["72"],"show_child_category_articles":"0","levels":"1","author_filtering_type":"1","created_by":[""],"author_alias_filtering_type":"1","created_by_alias":[""],"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","article_ordering":"a.title","article_ordering_direction":"ASC","article_grouping":"none","article_grouping_direction":"ksort","month_year_format":"F Y","item_heading":"4","link_titles":"1","show_date":"0","show_date_field":"created","show_date_format":"Y-m-d H:i:s","show_category":"0","show_hits":"0","show_author":"0","show_introtext":"0","introtext_limit":"100","show_readmore":"0","show_readmore_title":"1","readmore_limit":"15","layout":"_:default","moduleclass_sfx":"","owncache":"1","cache_time":"900"}', 0, '*'),
(70, 0, 'Search (Atomic Template)', '', '', 1, 'atomic-search', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_search', 1, 0, '{"width":"20","text":"","button":"","button_pos":"right","imagebutton":"","button_text":"","set_itemid":"","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(71, 0, 'Top Menu (Atomic Template)', '', '', 1, 'atomic-topmenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_menu', 1, 0, '{"menutype":"aboutjoomla","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*');
INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(72, 0, 'Top Quote (Atomic Template)', '', '<hr />\r\n<h2 class="alt">Powerful Content Management and a Simple Extensible Framework.</h2>\r\n<hr />', 1, 'atomic-topquote', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 0, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(73, 0, 'Bottom Left Column (Atomic Template)', '', '<h6>This is a nested column</h6>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>', 1, 'atomic-bottomleft', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 0, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(74, 0, 'Bottom Middle Column (Atomic Template)', '', '<h6>This is another nested column</h6>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>', 1, 'atomic-bottommiddle', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 0, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(75, 0, 'Sidebar (Atomic Template)', '', '<h3>A <span class="alt">Simple</span> Sidebar</h3>\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue.</p>\r\n<p class="quiet">Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue.</p>\r\n<h5>Incremental leading</h5>\r\n<p class="incr">Vestibulum ante ipsum primis in faucibus orci luctus vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue. sed aliquet vehicula, lectus tellus.</p>\r\n<p class="incr">Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue. sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue. ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue. sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue.</p>', 1, 'atomic-sidebar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 0, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(76, 0, 'Login (Atomic Template)', '', '', 2, 'atomic-sidebar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_login', 1, 0, '{"pretext":"","posttext":"","login":"","logout":"","greeting":"1","name":"0","usesecure":"0","layout":"","moduleclass_sfx":"","cache":"0"}', 0, '*'),
(77, 0, 'Shop', '', '', 1, 'position-11', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_banners', 1, 0, '{"target":"1","count":"1","cid":"2","catid":["15"],"tag_search":"0","ordering":"0","header_text":"","footer_text":"Shop!","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900"}', 0, '*'),
(78, 0, 'Contribute', '', '', 1, 'position-9', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_banners', 1, 0, '{"target":"1","count":"1","cid":"1","catid":["15"],"tag_search":"0","ordering":"0","header_text":"","footer_text":"Contribute! ","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900"}', 0, '*');
INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(79, 0, 'Multilanguage status', '', '', 1, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_multilangstatus', 3, 1, '{"layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(84, 0, 'Smart Search Module', '', '', 2, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_finder', 1, 1, '{"searchfilter":"","show_autosuggest":"1","show_advanced":"0","layout":"_:default","moduleclass_sfx":"","field_size":20,"alt_label":"","show_label":"0","label_pos":"top","show_button":"0","button_pos":"right","opensearch":"1","opensearch_title":""}', 0, '*'),
(86, 0, 'Joomla Version', '', '', 1, 'footer', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_version', 3, 1, '{"format":"short","product":"1","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(87, 207, 'Comments', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_comments', 1, 1, '{"moduleclass_sfx":"","module_usage":"0","catfilter":"0","comments_limit":"4","comments_word_limit":"10","commenterName":"1","commentAvatar":"1","commentAvatarWidthSelect":"custom","commentAvatarWidth":"50","commentDate":"1","commentDateFormat":"absolute","commentLink":"0","itemTitle":"1","itemCategory":"1","feed":"0","commenters_limit":"5","commenterNameOrUsername":"1","commenterAvatar":"1","commenterAvatarWidthSelect":"custom","commenterAvatarWidth":"50","commenterLink":"1","commenterCommentsCounter":"1","commenterLatestComment":"1","cache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(88, 0, 'Popular', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_content', 1, 1, '{"moduleclass_sfx":"","getTemplate":"Default","source":"filter","catfilter":"1","category_id":["10","12"],"getChildren":"0","itemCount":"4","itemsOrdering":"hits","FeaturedItems":"1","popularityRange":"","videosOnly":"0","item":"0","itemTitle":"1","itemAuthor":"0","itemAuthorAvatar":"0","itemAuthorAvatarWidthSelect":"custom","itemAuthorAvatarWidth":"50","userDescription":"0","itemIntroText":"0","itemIntroTextWordLimit":"20","itemImage":"1","itemImgSize":"XSmall","itemVideo":"0","itemVideoCaption":"0","itemVideoCredits":"0","itemAttachments":"0","itemTags":"0","itemCategory":"0","itemDateCreated":"1","itemHits":"0","itemReadMore":"0","itemExtraFields":"0","itemCommentsCounter":"0","feed":"0","itemPreText":"","itemCustomLink":"0","itemCustomLinkTitle":"","itemCustomLinkURL":"http:\\/\\/","itemCustomLinkMenuItem":"","K2Plugins":"1","JPlugins":"1","cache":"1","cache_time":"900"}', 0, '*'),
(89, 0, 'Lots of ShortCodes', '', '', 1, 'bottom2-3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_tools', 1, 1, '{"moduleclass_sfx":"","module_usage":"4","archiveItemsCounter":"1","archiveCategory":"0","authors_module_category":"0","authorItemsCounter":"1","authorAvatar":"1","authorAvatarWidthSelect":"custom","authorAvatarWidth":"50","authorLatestItem":"1","calendarCategory":"0","home":"","seperator":"","root_id":"0","end_level":"1","categoriesListOrdering":"","categoriesListItemsCounter":"0","root_id2":"0","catfilter":"0","getChildren":"0","liveSearch":"","width":"20","text":"","button":"","imagebutton":"","button_text":"","min_size":"75","max_size":"300","cloud_limit":"30","cloud_category":["0"],"cloud_category_recursive":"0","customCode":"","parsePhp":"0","K2Plugins":"0","JPlugins":"0","cache":"1","cache_time":"900"}', 0, '*'),
(90, 0, 'K2 Users', '', '', 0, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_k2_users', 1, 1, '', 0, '*'),
(91, 0, 'K2 User', '', '', 0, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_k2_user', 1, 1, '', 0, '*'),
(92, 0, 'K2 Quick Icons (admin)', '', '', 0, 'icon', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_quickicons', 1, 1, '', 1, '*'),
(93, 0, 'K2 Stats (admin)', '', '', 0, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_stats', 1, 1, '', 1, '*');
INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(94, 202, 'Custom Social', '', '<p class="socials-share" style="margin: 0;"><a class="custom-social" title="Facebook" href="#"><img src="images/demo/facebook.png" alt="Facebook" border="0" /></a> <a class="custom-social" title="Twitter" href="#"><img src="images/demo/twitter.png" alt="Twitter" border="0" /></a> <a class="custom-social" title="RSS" href="#"><img src="images/demo/rss.png" alt="RSS" border="0" /></a> <a class="custom-social" title="Google plus" href="#"><img src="images/demo/googleplus.png" alt="Google plus" border="0" /></a> <a class="custom-social" title="Flickr" href="#"><img src="images/demo/flickr.png" alt="Flickr" border="0" /></a> <a class="custom-social" title="Dribbble" href="#"><img src="images/demo/dribbble.png" alt="Dribbble" border="0" /></a> <a class="custom-social" title="Linked-in" href="#"><img src="images/demo/linkedin.png" alt="Linked-in" border="0" /></a> <a class="custom-social" title="Pinterest" href="#"><img src="images/demo/pinterest.png" alt="Pinterest" border="0" /></a></p>', 1, 'top1-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(96, 185, 'Fresh & Clean Design', '', '<div class="wow fadeInRight animated" style="visibility: visible; animation-delay: 0.3s; animation-name: fadeInRight; text-align: center;" data-wow-delay="0.3s">\r\n<p><img src="images/demo/content1.png" alt="demo" border="0" /></p>\r\n<h3 class="custom-tittle"><a>Fresh &amp; Clean Design</a></h3>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit.</p>\r\n</div>', 1, 'middle2-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":" custom-box","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(97, 186, 'Fully Responsive', '', '<div class="wow fadeInRight animated" style="visibility: visible; animation-delay: 0.3s; animation-name: fadeInRight; text-align: center;" data-wow-delay="0.3s"><img src="images/demo/content2.png" alt="" border="0" />\r\n<h3 class="custom-tittle"><a>Fully Responsive</a></h3>\r\n<p>Nullam tellus pede, eleifend posuere, dignissim id, euismod vitae, tortor. Morbi in turpis vel pulvinar at Lorem ipsum dolor</p>\r\n</div>', 1, 'middle2-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":" custom-box","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(98, 187, 'Very Flexible', '', '<div class="wow fadeInRight animated" style="visibility: visible; animation-delay: 0.3s; animation-name: fadeInRight; text-align: center;" data-wow-delay="0.3s"><img src="images/demo/content3.png" alt="" border="0" />\r\n<h3 class="custom-tittle"><a>Very Flexible</a></h3>\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet. Morbi in turpis vel pulvinar at</p>\r\n</div>', 1, 'middle2-3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":" custom-box","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(99, 188, 'Ongoing Support', '', '<div class="wow fadeInRight animated" style="visibility: visible; animation-delay: 0.3s; animation-name: fadeInRight; text-align: center;" data-wow-delay="0.3s"><img src="images/demo/content4.png" alt="" border="0" />\r\n<h3 class="custom-tittle"><a>Ongoing Support</a></h3>\r\n<p>Vestibulum a risus at orci egestas condimentum. Morbi in turpis vel pulvinar at, gravida quisante Lorem ipsum dolor</p>\r\n</div>', 1, 'middle2-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":" custom-box","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*');
INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(100, 184, 'Custom HTML', '', '<div class="wow fadeInRight animated" style="visibility: visible; animation-delay: 0.3s; animation-name: fadeInRight; text-align: center;" data-wow-delay="0.3s">\r\n<div class="custom-box" style="position: relative; background: #ffffff; margin: 60px 0 0; padding: 4px; border: 1px solid #DADADA; text-align: center;">\r\n<div style="padding: 5px 15px 5px 25%;"><img style="position: absolute; left: -5px; bottom: 0; width: 25%;" src="images/demo/template.png" alt="demo" border="0" />\r\n<h3>This is <a href="#">Web Responsive Design</a> Template of OmegaTheme</h3>\r\n<p>Proin sed odio et ante adipiscing lobortis. Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n</div>\r\n</div>\r\n</div>', 1, 'middle3-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(101, 189, 'Recent Works', '', '<div class="wow fadeInLeft animated" style="visibility: visible; animation-delay: 0.3s; animation-name: fadeInLeft;" data-wow-delay="0.3s">\r\n<p style="font-style: italic; color: #666666;">Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis. Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit. Proin sed odio et ante adipiscing lobortis.</p>\r\n</div>', 1, 'maintop1-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":" mod-title","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(102, 0, 'Recent Works', '', '', 1, 'maintop1-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_content', 1, 0, '{"moduleclass_sfx":" 3cols","getTemplate":"portfolio","source":"filter","catfilter":"1","category_id":["10"],"getChildren":"0","itemCount":"3","itemsOrdering":"","FeaturedItems":"1","popularityRange":"","videosOnly":"0","item":"0","itemTitle":"1","itemAuthor":"0","itemAuthorAvatar":"0","itemAuthorAvatarWidthSelect":"custom","itemAuthorAvatarWidth":"50","userDescription":"0","itemIntroText":"1","itemIntroTextWordLimit":"20","itemImage":"1","itemImgSize":"Medium","itemVideo":"0","itemVideoCaption":"0","itemVideoCredits":"0","itemAttachments":"0","itemTags":"0","itemCategory":"1","itemDateCreated":"0","itemHits":"0","itemReadMore":"1","itemExtraFields":"0","itemCommentsCounter":"0","feed":"0","itemPreText":"","itemCustomLink":"0","itemCustomLinkTitle":"","itemCustomLinkURL":"http:\\/\\/","itemCustomLinkMenuItem":"","K2Plugins":"1","JPlugins":"1","cache":"1","cache_time":"900"}', 0, '*');
INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(104, 182, 'Our Professional Teamwork', '', '<div class="wow fadeInRight animated" style="visibility: visible; animation-delay: 0.3s; animation-name: fadeInRight;" data-wow-delay="0.3s">\r\n<p style="font-style: italic;">Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet, consectetuer adipiscing elit.</p>\r\n<div class="row">\r\n<div class="col-lg-2 col-md-2 col-sm-2 col-xs-6">\r\n<div class="custom-contact"><img src="images/demo/contact1.png" alt="" border="0" />\r\n<h4>Nazanin-Zahra</h4>\r\n<span class="position">Graphic Designer</span><hr /><a class="contact" href="#">Contact now</a></div>\r\n</div>\r\n<div class="col-lg-2 col-md-2 col-sm-2 col-xs-6">\r\n<div class="custom-contact"><img src="images/demo/contact2.png" alt="" border="0" />\r\n<h4>Reihaneh</h4>\r\n<span class="position">Sale Marketting Manager</span><hr /><a class="contact" href="#">Contact now</a></div>\r\n</div>\r\n<div class="col-lg-2 col-md-2 col-sm-2 col-xs-6">\r\n<div class="custom-contact"><img src="images/demo/contact3.png" alt="" border="0" />\r\n<h4>Markus Oliver</h4>\r\n<span class="position">3D Project Manager</span><hr /><a class="contact" href="#">Contact now</a></div>\r\n</div>\r\n<div class="col-lg-2 col-md-2 col-sm-2 col-xs-6">\r\n<div class="custom-contact"><img src="images/demo/contact4.png" alt="" border="0" />\r\n<h4>Thomas Mathis</h4>\r\n<span class="position">Website Senior Programer</span><hr /><a class="contact" href="#">Contact now</a></div>\r\n</div>\r\n<div class="col-lg-2 col-md-2 col-sm-2 col-xs-6">\r\n<div class="custom-contact"><img src="images/demo/contact5.png" alt="" border="0" />\r\n<h4>Mahammad Omar</h4>\r\n<span class="position">Stategy Director</span><hr /><a class="contact" href="#">Contact now</a></div>\r\n</div>\r\n<div class="col-lg-2 col-md-2 col-sm-2 col-xs-6">\r\n<div class="custom-contact"><img src="images/demo/contact6.png" alt="" border="0" />\r\n<h4>Seo-yeon</h4>\r\n<span class="position">Graphic Designer</span><hr /><a class="contact" href="#">Contact now</a></div>\r\n</div>\r\n</div>\r\n</div>', 1, 'maintop2-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":" mod-title","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(106, 190, 'Client’s Testimonials', '', '<div class="wow fadeInRight animated" style="visibility: visible; animation-delay: 0.3s; animation-name: fadeInRight; overflow: hidden; padding: 5px 40px; text-align: center;" data-wow-delay="0.3s"><img style="float: left;" src="images/demo/s_water.png" alt="" border="0" />\r\n<h4 style="padding-bottom: 10px; border-bottom: 1px solid #e5e5e5;">Client’s Testimonials</h4>\r\n<p style="font-style: italic; color: #666666;">Proin sed odio et ante adipiscing lobortis. Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet. - <a href="#">Susan Boylean</a></p>\r\n</div>', 1, 'mainbottom2-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":" custom-box","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(107, 0, 'OT Twitter Status Update', '', '', 1, 'bottom1-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_ot_twitterupdate', 1, 0, '{"layout":"_:default","twitterUsername":"omegatheme","limit":"1","show_avatar":"1","avatar_size":"48","show_username":"1","show_screenname":"1","show_datetime":"1","datetime_positions":"4","moduleclass_sfx":"","xml_curl":"0","cache":"0"}', 0, '*');
INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(108, 191, 'Contact Us', '', '<div class="wow fadeInLeft animated" style="visibility: visible; animation-delay: 0.3s; animation-name: fadeInLeft;" data-wow-delay="0.3s"><form class="contact-form-custom" action="index.php/contact"><input id="inputName" class="form-control" type="text" placeholder="Name" /><br /> <input id="inputEmail" class="form-control" type="text" placeholder="Email" /> <br /> <textarea class="form-control" rows="3" placeholder="Message"></textarea><br /> <button class="btn btn-default" type="submit">Send</button></form></div>', 1, 'bottom2-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(109, 192, 'When And Where?', '', '<div class="wow fadeInLeft animated" style="visibility: visible; animation-delay: 0.3s; animation-name: fadeInLeft;" data-wow-delay="0.3s">\r\n<p>Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet. Proin sed odio et ante adipiscing lobortis. Lorem ipsum dolor sit amet, consectetue elit. Quisque eleLorem ipsum dolor sit amet. Proin sed odio et ante adipiscing lobortis. Lorem ipsum dolor sit amet, consectetue elit.</p>\r\n<p style="font-style: italic;">Coffee Club – 10:00a<br />Worship – 10:30a<br />AM Exchange – 11:30</p>\r\n</div>', 1, 'bottom2-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(110, 183, 'Flickr Photos', '', '<div class="wow fadeInRight animated" style="visibility: visible; animation-delay: 0.3s; animation-name: fadeInRight;" data-wow-delay="0.3s">\r\n<div class="row" style="margin-bottom: 10px;">\r\n<div class="col-xs-6"><img class="thumbnail" src="images/demo/photo1.png" alt="" border="0" /></div>\r\n<div class="col-xs-6"><img class="thumbnail" src="images/demo/photo2.png" alt="" border="0" /></div>\r\n</div>\r\n<div class="row">\r\n<div class="col-xs-6"><img class="thumbnail" src="images/demo/photo3.png" alt="" border="0" /></div>\r\n<div class="col-xs-6"><img class="thumbnail" src="images/demo/photo4.png" alt="" border="0" /></div>\r\n</div>\r\n</div>', 1, 'bottom2-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(111, 0, 'Coppyright', '', '<p>© 2013 Design &amp;  Developed by <a href="http://omegatheme.com" title="Omegatheme.com">OmegaTheme</a>.  All rights Reserved</p>', 1, 'footer1-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(112, 204, 'Custom Social', '', '<p class="socials-share" style="margin: 0;"><a class="custom-social" title="Facebook" href="#"><img src="images/demo/facebook.png" alt="Facebook" border="0" /></a> <a class="custom-social" title="Twitter" href="#"><img src="images/demo/twitter.png" alt="Twitter" border="0" /></a> <a class="custom-social" title="RSS" href="#"><img src="images/demo/rss.png" alt="RSS" border="0" /></a> <a class="custom-social" title="Google plus" href="#"><img src="images/demo/googleplus.png" alt="Google plus" border="0" /></a> <a class="custom-social" title="Flickr" href="#"><img src="images/demo/flickr.png" alt="Flickr" border="0" /></a> <a class="custom-social" title="Dribbble" href="#"><img src="images/demo/dribbble.png" alt="Dribbble" border="0" /></a> <a class="custom-social" title="Linked-in" href="#"><img src="images/demo/linkedin.png" alt="Linked-in" border="0" /></a> <a class="custom-social" title="Pinterest" href="#"><img src="images/demo/pinterest.png" alt="Pinterest" border="0" /></a></p>', 1, 'footer1-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*');
INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(114, 203, 'Recents', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_content', 1, 1, '{"moduleclass_sfx":"","getTemplate":"Default","source":"filter","catfilter":"1","category_id":["10","12"],"getChildren":"0","itemCount":"3","itemsOrdering":"rdate","FeaturedItems":"1","popularityRange":"","videosOnly":"0","item":"0","itemTitle":"1","itemAuthor":"0","itemAuthorAvatar":"0","itemAuthorAvatarWidthSelect":"custom","itemAuthorAvatarWidth":"50","userDescription":"0","itemIntroText":"1","itemIntroTextWordLimit":"10","itemImage":"1","itemImgSize":"XSmall","itemVideo":"0","itemVideoCaption":"0","itemVideoCredits":"0","itemAttachments":"0","itemTags":"0","itemCategory":"0","itemDateCreated":"1","itemHits":"0","itemReadMore":"1","itemExtraFields":"0","itemCommentsCounter":"1","feed":"0","itemPreText":"","itemCustomLink":"0","itemCustomLinkTitle":"","itemCustomLinkURL":"http:\\/\\/","itemCustomLinkMenuItem":"437","K2Plugins":"1","JPlugins":"1","cache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(115, 200, 'Sub Page Name', '', '<h2 style="font-size: 30px; line-height: 40px;">Sub Page Name</h2>', 1, 'middle1-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(117, 0, 'Login Panel', '', '', 1, 'left', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_login', 1, 1, '{"pretext":"","posttext":"","login":"280","logout":"280","greeting":"1","name":"0","usesecure":"0","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 0, '*'),
(118, 193, 'Custom Twitter', '', '<div class="wow fadeInLeft animated" style="visibility: visible; animation-delay: 0.3s; animation-name: fadeInLeft;" data-wow-delay="0.3s">\r\n<p><img style="margin: 0 10px;" src="images/demo/twitter_icon.png" alt="" border="0" />Proin sed odio et ante adipiscing lobortis. Lorem ipsum dolor sit amet, consectetue elit. <a href="http://t.co/C3SEEKut">http://t.co/EeH894n1Hf #Premium #webdesign #Business</a></p>\r\n</div>', 1, 'bottom1-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(119, 196, 'Video Clip', '', '', 2, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ot_simplevideo', 1, 1, '{"videoWidth":"100%","videoHeight":"210","videoUrl":"http:\\/\\/www.youtube.com\\/v\\/OuvXLAA07jY","layout":"_:default","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(120, 0, 'Video Clip', '', '', 1, 'left', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_ot_simplevideo', 1, 1, '{"videoWidth":"100%","videoHeight":"100%","videoUrl":"http:\\/\\/www.youtube.com\\/v\\/OuvXLAA07jY","layout":"_:default","moduleclass_sfx":"","owncache":"1","cache_time":"900"}', 0, '*'),
(122, 0, 'K2 Slide Show', '', '', 1, 'banner-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_k2_content', 1, 0, '{"moduleclass_sfx":" slide","getTemplate":"single","source":"filter","catfilter":"1","category_id":["9"],"getChildren":"0","itemCount":"5","itemsOrdering":"","FeaturedItems":"1","popularityRange":"","videosOnly":"0","item":"0","itemTitle":"1","itemAuthor":"0","itemAuthorAvatar":"0","itemAuthorAvatarWidthSelect":"custom","itemAuthorAvatarWidth":"50","userDescription":"0","itemIntroText":"1","itemIntroTextWordLimit":"40","itemImage":"1","itemImgSize":"XLarge","itemVideo":"0","itemVideoCaption":"0","itemVideoCredits":"0","itemAttachments":"0","itemTags":"0","itemCategory":"0","itemDateCreated":"0","itemHits":"0","itemReadMore":"1","itemExtraFields":"0","itemCommentsCounter":"0","feed":"0","itemPreText":"","itemCustomLink":"0","itemCustomLinkTitle":"","itemCustomLinkURL":"http:\\/\\/","itemCustomLinkMenuItem":"","K2Plugins":"1","JPlugins":"1","cache":"1","cache_time":"900"}', 0, '*');
INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(123, 194, 'Recent Posts', '', '', 1, 'mainbottom1-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_content', 1, 1, '{"moduleclass_sfx":" 3cols slide mod-title recent-posts-slide","getTemplate":"blog","source":"filter","catfilter":"1","category_id":["12"],"getChildren":"0","itemCount":"6","itemsOrdering":"","FeaturedItems":"1","popularityRange":"","videosOnly":"0","item":"0","itemTitle":"1","itemAuthor":"0","itemAuthorAvatar":"0","itemAuthorAvatarWidthSelect":"custom","itemAuthorAvatarWidth":"50","userDescription":"0","itemIntroText":"1","itemIntroTextWordLimit":"15","itemImage":"1","itemImgSize":"XSmall","itemVideo":"0","itemVideoCaption":"0","itemVideoCredits":"0","itemAttachments":"0","itemTags":"0","itemCategory":"0","itemDateCreated":"1","itemHits":"0","itemReadMore":"1","itemExtraFields":"0","itemCommentsCounter":"1","feed":"0","itemPreText":"","itemCustomLink":"0","itemCustomLinkTitle":"","itemCustomLinkURL":"http:\\/\\/","itemCustomLinkMenuItem":"437","K2Plugins":"1","JPlugins":"1","cache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(125, 180, 'OMG Menu', '', '', 1, 'navigator', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_omgmenu', 1, 0, '{"menutype":"mainmenu","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","effect":"opacity,height","speed":"normal","customFont_on":"0","font_family":"s:''Helvetica Neue'',Helvetica,Arial,sans-serif","customColor_on":"0","text_color":"#0088cc","text_color_hover":"#005580","customFontSize_on":"0","font_size":"12px","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(126, 181, 'Logo', '', '<p style="margin-top: 15px;"><a href="index.php"><img src="templates/ot_enterdesign/assets/images/logo.png" alt="demo" /></a></p>', 1, 'logo', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(127, 199, 'OT MiniTabs', '', '', 1, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_otminitabs', 1, 0, '{"tabs":[{"title":"Popular","use":"module","module":"88","category":"14","article":"1"},{"title":"Recents","use":"module","module":"114","category":"14","article":"1"},{"title":"Comments","use":"module","module":"87","category":"14","article":"1"}],"unique_id":"","number_of_article":"4","number_of_character":100,"ordering":"c_dsc","user_id":"0","show_featured":"","show_link":"1","show_readmore":"0","show_date":1,"date_format":"d.m.Y","show_thumbnail":"1","default_image":"modules\\/mod_otminitabs\\/assets\\/images\\/sampledefault.jpg","thumb_width":70,"thumb_height":50,"show_view_all":"1","credit":"1","layout":"_:bootstrap-default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(128, 205, 'Login Panel (2)', '', '', 2, 'left', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '{"pretext":"","posttext":"","login":"280","logout":"280","greeting":"1","name":"0","usesecure":"0","usetext":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(129, 206, 'Video Clip (2)', '', '', 2, 'left', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ot_simplevideo', 1, 1, '{"videoWidth":"100%","videoHeight":"210","videoUrl":"http:\\/\\/www.youtube.com\\/v\\/OuvXLAA07jY","layout":"_:default","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(130, 208, 'OT Scroller', '', '', 2, 'banner', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_ot_scroller', 1, 0, '{"type":"jpg","folder":"modules\\/mod_ot_scroller\\/images\\/demo\\/","moduleclass_sfx":"","cache":"0","cache_time":"900","loadJquery":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*');
INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(131, 210, 'Recent Works', '', '', 1, 'maintop1-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_content', 1, 1, '{"moduleclass_sfx":"1cols slide mod-title","getTemplate":"blog","source":"filter","catfilter":"1","category_id":["12"],"getChildren":"0","itemCount":"3","itemsOrdering":"","FeaturedItems":"1","popularityRange":"","videosOnly":"0","item":"0","itemTitle":"0","itemAuthor":"0","itemAuthorAvatar":"0","itemAuthorAvatarWidthSelect":"custom","itemAuthorAvatarWidth":"50","userDescription":"0","itemIntroText":"1","itemIntroTextWordLimit":"55","itemImage":"0","itemImgSize":"XSmall","itemVideo":"0","itemVideoCaption":"0","itemVideoCredits":"0","itemAttachments":"0","itemTags":"0","itemCategory":"0","itemDateCreated":"0","itemHits":"0","itemReadMore":"0","itemExtraFields":"0","itemCommentsCounter":"0","feed":"0","itemPreText":"","itemCustomLink":"0","itemCustomLinkTitle":"","itemCustomLinkURL":"http:\\/\\/","itemCustomLinkMenuItem":"437","K2Plugins":"1","JPlugins":"1","cache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(132, 211, 'Client’s Testimonials', '', '', 1, 'mainbottom2-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_content', 1, 1, '{"moduleclass_sfx":" 1cols slide mod-title custom-box clients-testimonials","getTemplate":"blog","source":"filter","catfilter":"1","category_id":["12"],"getChildren":"0","itemCount":"5","itemsOrdering":"","FeaturedItems":"1","popularityRange":"","videosOnly":"0","item":"0","itemTitle":"0","itemAuthor":"0","itemAuthorAvatar":"0","itemAuthorAvatarWidthSelect":"custom","itemAuthorAvatarWidth":"50","userDescription":"0","itemIntroText":"1","itemIntroTextWordLimit":"20","itemImage":"0","itemImgSize":"XSmall","itemVideo":"0","itemVideoCaption":"0","itemVideoCredits":"0","itemAttachments":"0","itemTags":"0","itemCategory":"0","itemDateCreated":"0","itemHits":"0","itemReadMore":"1","itemExtraFields":"0","itemCommentsCounter":"0","feed":"0","itemPreText":"","itemCustomLink":"0","itemCustomLinkTitle":"Susan Boylean","itemCustomLinkURL":"http:\\/\\/","itemCustomLinkMenuItem":"437","K2Plugins":"1","JPlugins":"1","cache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*');

DROP TABLE IF EXISTS `#__modules_menu`;
CREATE TABLE IF NOT EXISTS `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleid`,`menuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES
(1, 101),
(2, 0),
(3, 0),
(4, 0),
(6, 0),
(7, 0),
(8, 0),
(9, 0),
(10, 0),
(12, 0),
(13, 0),
(14, 0),
(15, 0),
(16, 205),
(16, 435),
(17, 0),
(18, 0),
(19, -463),
(19, -462),
(19, -433),
(19, -432),
(19, -431),
(19, -430),
(19, -429),
(19, -427),
(19, -400),
(19, -399),
(19, -296),
(19, -244),
(19, -243),
(19, -242),
(19, -234),
(20, 0),
(22, 231),
(22, 234),
(22, 238),
(22, 242),
(22, 243),
(22, 244),
(22, 296),
(22, 399),
(22, 400),
(23, -463),
(23, -462),
(23, -433),
(23, -432),
(23, -431),
(23, -430),
(23, -429),
(23, -427),
(23, -400),
(23, -399),
(23, -296),
(23, -244),
(23, -243),
(23, -242),
(23, -238),
(23, -234),
(25, 294),
(26, -463),
(26, -462),
(26, -433),
(26, -432),
(26, -431),
(26, -430),
(26, -429),
(26, -427),
(26, -400),
(26, -399),
(26, -296),
(26, -244),
(26, -243),
(26, -242),
(26, -238),
(26, -234),
(27, 325),
(28, 310),
(29, 302),
(30, 410),
(31, 309),
(32, 309),
(33, 307),
(34, 326),
(35, -435),
(35, -306),
(36, 304),
(37, 311),
(38, 300),
(39, 301),
(40, 313),
(41, 324),
(44, -507),
(44, -489),
(44, -435),
(44, -312),
(45, 0),
(47, 231),
(47, 234),
(47, 242),
(47, 243),
(47, 244),
(47, 296),
(47, 399),
(47, 400),
(48, 0),
(49, 417),
(52, -435),
(52, -416),
(56, 305),
(57, 238),
(57, 427),
(57, 429),
(57, 430),
(57, 431),
(57, 432),
(57, 433),
(57, 462),
(57, 463),
(58, 427),
(58, 429),
(58, 430),
(58, 431),
(58, 432),
(58, 433),
(58, 462),
(58, 463),
(61, 443),
(62, 231),
(62, 234),
(62, 242),
(62, 243),
(62, 244),
(62, 296),
(62, 399),
(62, 400),
(63, 0),
(64, 447),
(65, 427),
(65, 429),
(65, 430),
(65, 431),
(65, 432),
(65, 433),
(65, 462),
(65, 463),
(68, 243),
(69, 459),
(70, 285),
(70, 316),
(71, 285),
(71, 316),
(72, 285),
(72, 316),
(73, 285),
(73, 316),
(74, 285),
(74, 316),
(75, 285),
(75, 316),
(76, 285),
(76, 316),
(77, 0),
(78, 0),
(79, 0),
(84, 467),
(86, 0),
(87, 0),
(88, 0),
(89, 0),
(92, 0),
(93, 0),
(94, 0),
(96, 435),
(97, 435),
(98, 435),
(99, 435),
(100, 435),
(101, 435),
(102, 435),
(104, 435),
(106, 435),
(107, 0),
(108, 0),
(109, 0),
(110, 0),
(111, 0),
(112, 0),
(114, 0),
(115, -435),
(117, 312),
(117, 493),
(118, 0),
(119, -507),
(119, -489),
(119, -435),
(122, 435),
(123, 435),
(125, 0),
(126, 0),
(127, -507),
(127, -489),
(127, -435),
(128, 543),
(129, 543),
(130, 435),
(131, 435),
(132, 435);

DROP TABLE IF EXISTS `#__newsfeeds`;
CREATE TABLE IF NOT EXISTS `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `link` varchar(200) NOT NULL DEFAULT '',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `numarticles` int(10) unsigned NOT NULL DEFAULT '1',
  `cache_time` int(10) unsigned NOT NULL DEFAULT '3600',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rtl` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `description` text NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `images` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

INSERT INTO `#__newsfeeds` (`catid`, `id`, `name`, `alias`, `link`, `published`, `numarticles`, `cache_time`, `checked_out`, `checked_out_time`, `ordering`, `rtl`, `access`, `language`, `params`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `xreference`, `publish_up`, `publish_down`, `description`, `version`, `hits`, `images`) VALUES
(17, 1, 'Joomla! Announcements', 'joomla-announcements', 'http://www.joomla.org/announcements.feed?type=rss', 1, 5, 3600, 0, '0000-00-00 00:00:00', 1, 1, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 267, '', '2011-12-27 12:25:05', 42, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', 1, 0, ''),
(17, 2, 'New Joomla! Extensions', 'new-joomla-extensions', 'http://feeds.joomla.org/JoomlaExtensions', 1, 5, 3600, 0, '0000-00-00 00:00:00', 4, 1, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 267, '', '2011-12-27 12:25:36', 42, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', 1, 0, ''),
(17, 3, 'Joomla! Security News', 'joomla-security-news', 'http://feeds.joomla.org/JoomlaSecurityNews', 1, 5, 3600, 0, '0000-00-00 00:00:00', 2, 1, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 267, '', '2011-12-27 12:24:55', 42, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', 1, 0, ''),
(17, 4, 'Joomla! Connect', 'joomla-connect', 'http://feeds.joomla.org/JoomlaConnect', 1, 5, 3600, 0, '0000-00-00 00:00:00', 3, 1, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 267, '', '2011-12-27 12:25:10', 42, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', 1, 0, '');

DROP TABLE IF EXISTS `#__overrider`;
CREATE TABLE IF NOT EXISTS `#__overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) NOT NULL,
  `string` text NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__postinstall_messages`;
CREATE TABLE IF NOT EXISTS `#__postinstall_messages` (
  `postinstall_message_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `extension_id` bigint(20) NOT NULL DEFAULT '700' COMMENT 'FK to #__extensions',
  `title_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for the title',
  `description_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for description',
  `action_key` varchar(255) NOT NULL DEFAULT '',
  `language_extension` varchar(255) NOT NULL DEFAULT 'com_postinstall' COMMENT 'Extension holding lang keys',
  `language_client_id` tinyint(3) NOT NULL DEFAULT '1',
  `type` varchar(10) NOT NULL DEFAULT 'link' COMMENT 'Message type - message, link, action',
  `action_file` varchar(255) DEFAULT '' COMMENT 'RAD URI to the PHP file containing action method',
  `action` varchar(255) DEFAULT '' COMMENT 'Action method name or URL',
  `condition_file` varchar(255) DEFAULT NULL COMMENT 'RAD URI to file holding display condition method',
  `condition_method` varchar(255) DEFAULT NULL COMMENT 'Display condition method, must return boolean',
  `version_introduced` varchar(50) NOT NULL DEFAULT '3.2.0' COMMENT 'Version when this message was introduced',
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`postinstall_message_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

INSERT INTO `#__postinstall_messages` (`postinstall_message_id`, `extension_id`, `title_key`, `description_key`, `action_key`, `language_extension`, `language_client_id`, `type`, `action_file`, `action`, `condition_file`, `condition_method`, `version_introduced`, `enabled`) VALUES
(1, 700, 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_TITLE', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_BODY', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_ACTION', 'plg_twofactorauth_totp', 1, 'action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_condition', '3.2.0', 1),
(2, 700, 'COM_CPANEL_MSG_EACCELERATOR_TITLE', 'COM_CPANEL_MSG_EACCELERATOR_BODY', 'COM_CPANEL_MSG_EACCELERATOR_BUTTON', 'com_cpanel', 1, 'action', 'admin://components/com_admin/postinstall/eaccelerator.php', 'admin_postinstall_eaccelerator_action', 'admin://components/com_admin/postinstall/eaccelerator.php', 'admin_postinstall_eaccelerator_condition', '3.2.0', 1),
(3, 700, 'COM_CPANEL_MSG_PHPVERSION_TITLE', 'COM_CPANEL_MSG_PHPVERSION_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/phpversion.php', 'admin_postinstall_phpversion_condition', '3.2.2', 1);

DROP TABLE IF EXISTS `#__redirect_links`;
CREATE TABLE IF NOT EXISTS `#__redirect_links` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `old_url` varchar(255) NOT NULL,
  `new_url` varchar(255) NOT NULL,
  `referer` varchar(150) NOT NULL,
  `comment` varchar(255) NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(4) NOT NULL,
  `created_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_link_old` (`old_url`),
  KEY `idx_link_modifed` (`modified_date`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=24 ;

DROP TABLE IF EXISTS `#__schemas`;
CREATE TABLE IF NOT EXISTS `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__schemas` (`extension_id`, `version_id`) VALUES
(700, '3.3.6-2014-09-30');

DROP TABLE IF EXISTS `#__session`;
CREATE TABLE IF NOT EXISTS `#__session` (
  `session_id` varchar(200) NOT NULL DEFAULT '',
  `client_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `guest` tinyint(4) unsigned DEFAULT '1',
  `time` varchar(14) DEFAULT '',
  `data` mediumtext,
  `userid` int(11) DEFAULT '0',
  `username` varchar(150) DEFAULT '',
  PRIMARY KEY (`session_id`),
  KEY `userid` (`userid`),
  KEY `time` (`time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__session` (`session_id`, `client_id`, `guest`, `time`, `data`, `userid`, `username`) VALUES
('kgi3slvstp6odvo44guh8g9pc2', 1, 0, '1412221319', '__default|a:8:{s:15:"session.counter";i:8;s:19:"session.timer.start";i:1412221284;s:18:"session.timer.last";i:1412221317;s:17:"session.timer.now";i:1412221318;s:22:"session.client.browser";s:102:"Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/37.0.2062.124 Safari/537.36";s:8:"registry";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\\0\\0\\0data";O:8:"stdClass":2:{s:11:"application";O:8:"stdClass":1:{s:4:"lang";s:5:"en-GB";}s:13:"com_installer";O:8:"stdClass":2:{s:7:"message";s:0:"";s:17:"extension_message";s:0:"";}}}s:4:"user";O:5:"JUser":28:{s:9:"\\0\\0\\0isRoot";b:1;s:2:"id";s:3:"305";s:4:"name";s:10:"Super User";s:8:"username";s:5:"admin";s:5:"email";s:13:"demo@demo.com";s:8:"password";s:60:"$2y$10$tUqndRKl/MbWhnXtEgOd.OTWBRan1GjNRIJ9mmqZ.YKX2NXumong2";s:14:"password_clear";s:0:"";s:5:"block";s:1:"0";s:9:"sendEmail";s:1:"1";s:12:"registerDate";s:19:"2014-10-02 03:40:59";s:13:"lastvisitDate";s:19:"0000-00-00 00:00:00";s:10:"activation";s:1:"0";s:6:"params";s:0:"";s:6:"groups";a:1:{i:8;s:1:"8";}s:5:"guest";i:0;s:13:"lastResetTime";s:19:"0000-00-00 00:00:00";s:10:"resetCount";s:1:"0";s:12:"requireReset";s:1:"0";s:10:"\\0\\0\\0_params";O:24:"Joomla\\Registry\\Registry":1:{s:7:"\\0\\0\\0data";O:8:"stdClass":0:{}}s:14:"\\0\\0\\0_authGroups";a:2:{i:0;i:1;i:1;i:8;}s:14:"\\0\\0\\0_authLevels";a:4:{i:0;i:1;i:1;i:1;i:2;i:2;i:3;i:3;}s:15:"\\0\\0\\0_authActions";N;s:12:"\\0\\0\\0_errorMsg";N;s:10:"\\0\\0\\0_errors";a:0:{}s:3:"aid";i:0;s:6:"otpKey";s:0:"";s:4:"otep";s:0:"";s:3:"gid";i:1000;}s:13:"session.token";s:32:"fb35f472f4771268997f1251cb1a83f1";}', 305, 'admin');

DROP TABLE IF EXISTS `#__tags`;
CREATE TABLE IF NOT EXISTS `#__tags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `tag_idx` (`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `#__tags` (`id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `created_by_alias`, `modified_user_id`, `modified_time`, `images`, `urls`, `hits`, `language`, `version`, `publish_up`, `publish_down`) VALUES
(1, 0, 0, 1, 0, '', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '', 267, '2011-01-01 00:00:01', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00');

DROP TABLE IF EXISTS `#__template_styles`;
CREATE TABLE IF NOT EXISTS `#__template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_home` (`home`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=121 ;

INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES
(5, 'hathor', 1, '0', 'Hathor - Default', '{"showSiteName":"0","colourChoice":"","boldText":"0"}'),
(117, 'protostar', 0, '0', 'protostar - Default', '{"templateColor":"","logoFile":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}'),
(118, 'isis', 1, '1', 'isis - Default', '{"templateColor":"","logoFile":""}'),
(119, 'beez3', 0, '0', 'beez3 - Default', '{"wrapperSmall":53,"wrapperLarge":72,"logo":"","sitetitle":"","sitedescription":"","navposition":"center","bootstrap":"","templatecolor":"nature","headerImage":"","backgroundcolor":"#eee"}');
INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES
(120, 'ot_enterdesign', 0, '1', 'OT Enterdesign - Default', '{"logo":"","logo2x":"","logo2xWidth":"","logo2xHeight":"","bookmarkIcon":"","xsmallIcon":"","smallIcon":"","mediumIcon":"","largeIcon":"","templateColor":"preset-1","generalSize":"14","generalSizeUnit":"px","generalFont":"Open+Sans","generalLineHeight":"18","generalLineHeightUnit":"px","generalColor":"#000000","headingFont":"Roboto","headingColor":"#000000","h1Size":"","h1SizeUnit":"px","h1LineHeight":"","h1LineHeightUnit":"px","h1Color":"#000000","h2Size":"","h2SizeUnit":"px","h2LineHeight":"","h2LineHeightUnit":"px","h2Color":"#000000","h3Size":"","h3SizeUnit":"px","h3LineHeight":"","h3LineHeightUnit":"px","h3Color":"#000000","h4Size":"","h4SizeUnit":"px","h4LineHeight":"","h4LineHeightUnit":"px","h4Color":"#000000","h5Size":"","h5SizeUnit":"px","h5LineHeight":"","h5LineHeightUnit":"px","h5Color":"#000000","h6Size":"","h6SizeUnit":"px","h6LineHeight":"","h6LineHeightUnit":"px","h6Color":"#000000","customCSS":"","layoutStyle":"full-width","layoutWidth":"1150","layoutWidthUnit":"px","boxedMarginTop":"","boxedMarginBottom":"","backgroundImage":"","enableResponsive":"1","layoutConfig":"[{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionTop1\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":\\"12\\"},\\"medium\\":{\\"0\\":\\"12\\"},\\"small\\":{\\"0\\":\\"12\\"},\\"xsmall\\":{\\"0\\":\\"12\\"}},\\"2\\":{\\"large\\":{\\"0\\":\\"6\\",\\"1\\":\\"6\\"},\\"medium\\":{\\"0\\":\\"6\\",\\"1\\":\\"6\\"},\\"small\\":{\\"0\\":\\"6\\",\\"1\\":\\"6\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\"}},\\"3\\":{\\"large\\":{\\"0\\":\\"4\\",\\"1\\":\\"4\\",\\"2\\":\\"4\\"},\\"medium\\":{\\"0\\":\\"4\\",\\"1\\":\\"4\\",\\"2\\":\\"4\\"},\\"small\\":{\\"0\\":\\"4\\",\\"1\\":\\"4\\",\\"2\\":\\"4\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\"}},\\"4\\":{\\"large\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"medium\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"small\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\"}},\\"5\\":{\\"large\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"medium\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"small\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\",\\"4\\":\\"12\\"}},\\"6\\":{\\"large\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"medium\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"small\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\",\\"4\\":\\"12\\",\\"5\\":\\"12\\"}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"top1-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"1\\",\\"medium\\":\\"1\\",\\"small\\":\\"1\\",\\"xsmall\\":\\"1\\"},\\"position\\":\\"top1-2\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionTop2\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":\\"12\\"},\\"medium\\":{\\"0\\":\\"12\\"},\\"small\\":{\\"0\\":\\"12\\"},\\"xsmall\\":{\\"0\\":\\"12\\"}},\\"2\\":{\\"large\\":{\\"0\\":\\"3\\",\\"1\\":\\"9\\"},\\"medium\\":{\\"0\\":\\"3\\",\\"1\\":\\"9\\"},\\"small\\":{\\"0\\":\\"3\\",\\"1\\":\\"9\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\"}},\\"3\\":{\\"large\\":{\\"0\\":\\"3\\",\\"1\\":\\"6\\",\\"2\\":\\"3\\"},\\"medium\\":{\\"0\\":\\"3\\",\\"1\\":\\"6\\",\\"2\\":\\"3\\"},\\"small\\":{\\"0\\":\\"3\\",\\"1\\":\\"6\\",\\"2\\":\\"3\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\"}},\\"4\\":{\\"large\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"medium\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"small\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\"}},\\"5\\":{\\"large\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"medium\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"small\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\",\\"4\\":\\"12\\"}},\\"6\\":{\\"large\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"medium\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"small\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\",\\"4\\":\\"12\\",\\"5\\":\\"12\\"}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"logo\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"mainmenu\\",\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"1\\",\\"medium\\":\\"1\\",\\"small\\":\\"1\\",\\"xsmall\\":\\"1\\"},\\"position\\":\\"navigator\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionBanner section-fullwidth\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"banner\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionMiddle1\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"middle1-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"1\\",\\"medium\\":\\"1\\",\\"small\\":\\"1\\",\\"xsmall\\":\\"1\\"},\\"position\\":\\"middle1-2\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionBreadcrumbs\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"breadcrumbs\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionMiddle2\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"\\",\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"middle2-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"1\\",\\"medium\\":\\"1\\",\\"small\\":\\"1\\",\\"xsmall\\":\\"1\\"},\\"position\\":\\"middle2-2\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"2\\",\\"medium\\":\\"2\\",\\"small\\":\\"2\\",\\"xsmall\\":\\"2\\"},\\"position\\":\\"middle2-3\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"3\\",\\"medium\\":\\"3\\",\\"small\\":\\"3\\",\\"xsmall\\":\\"3\\"},\\"position\\":\\"middle2-4\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionMiddle3\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"middle3-1\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionMaintop1\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":\\"12\\"},\\"medium\\":{\\"0\\":\\"12\\"},\\"small\\":{\\"0\\":\\"12\\"},\\"xsmall\\":{\\"0\\":\\"12\\"}},\\"2\\":{\\"large\\":{\\"0\\":\\"3\\",\\"1\\":\\"9\\"},\\"medium\\":{\\"0\\":\\"3\\",\\"1\\":\\"9\\"},\\"small\\":{\\"0\\":\\"3\\",\\"1\\":\\"9\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\"}},\\"3\\":{\\"large\\":{\\"0\\":\\"4\\",\\"1\\":\\"4\\",\\"2\\":\\"4\\"},\\"medium\\":{\\"0\\":\\"4\\",\\"1\\":\\"4\\",\\"2\\":\\"4\\"},\\"small\\":{\\"0\\":\\"4\\",\\"1\\":\\"4\\",\\"2\\":\\"4\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\"}},\\"4\\":{\\"large\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"medium\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"small\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\"}},\\"5\\":{\\"large\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"medium\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"small\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\",\\"4\\":\\"12\\"}},\\"6\\":{\\"large\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"medium\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"small\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\",\\"4\\":\\"12\\",\\"5\\":\\"12\\"}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"maintop1-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"1\\",\\"medium\\":\\"1\\",\\"small\\":\\"1\\",\\"xsmall\\":\\"1\\"},\\"position\\":\\"maintop1-2\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionMaintop2\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"maintop2-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionMainbody\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":\\"12\\"},\\"medium\\":{\\"0\\":\\"12\\"},\\"small\\":{\\"0\\":\\"12\\"},\\"xsmall\\":{\\"0\\":\\"12\\"}},\\"2\\":{\\"large\\":{\\"0\\":\\"8\\",\\"1\\":\\"4\\"},\\"medium\\":{\\"0\\":\\"8\\",\\"1\\":\\"4\\"},\\"small\\":{\\"0\\":\\"8\\",\\"1\\":\\"4\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\"}},\\"3\\":{\\"large\\":{\\"0\\":\\"3\\",\\"1\\":\\"6\\",\\"2\\":\\"3\\"},\\"medium\\":{\\"0\\":\\"3\\",\\"1\\":\\"6\\",\\"2\\":\\"3\\"},\\"small\\":{\\"0\\":\\"3\\",\\"1\\":\\"6\\",\\"2\\":\\"3\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\"}},\\"4\\":{\\"large\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"medium\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"small\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\"}},\\"5\\":{\\"large\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"medium\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"small\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\",\\"4\\":\\"12\\"}},\\"6\\":{\\"large\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"medium\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"small\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\",\\"4\\":\\"12\\",\\"5\\":\\"12\\"}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sidebar-left\\",\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"left\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"1\\",\\"medium\\":\\"1\\",\\"small\\":\\"1\\",\\"xsmall\\":\\"1\\"},\\"items\\":[{\\"type\\":\\"row\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"system-message\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"component\\",\\"items\\":[]}]}]},{\\"type\\":\\"column\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sidebar-right\\",\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"2\\",\\"medium\\":\\"2\\",\\"small\\":\\"2\\",\\"xsmall\\":\\"2\\"},\\"position\\":\\"right\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionMainbottom1\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"mainbottom1-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionMainbottom2\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"mainbottom2-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionBottom1\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"bottom1-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionBottom2\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"bottom2-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"1\\",\\"medium\\":\\"1\\",\\"small\\":\\"1\\",\\"xsmall\\":\\"1\\"},\\"position\\":\\"bottom2-2\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"2\\",\\"medium\\":\\"2\\",\\"small\\":\\"2\\",\\"xsmall\\":\\"2\\"},\\"position\\":\\"bottom2-3\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"3\\",\\"medium\\":\\"3\\",\\"small\\":\\"3\\",\\"xsmall\\":\\"3\\"},\\"position\\":\\"bottom2-4\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionFooter1\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"footer1-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"1\\",\\"medium\\":\\"1\\",\\"small\\":\\"1\\",\\"xsmall\\":\\"1\\"},\\"position\\":\\"footer1-2\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]}]","layoutHash":"[{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionTop1\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":\\"12\\"},\\"medium\\":{\\"0\\":\\"12\\"},\\"small\\":{\\"0\\":\\"12\\"},\\"xsmall\\":{\\"0\\":\\"12\\"}},\\"2\\":{\\"large\\":{\\"0\\":\\"6\\",\\"1\\":\\"6\\"},\\"medium\\":{\\"0\\":\\"6\\",\\"1\\":\\"6\\"},\\"small\\":{\\"0\\":\\"6\\",\\"1\\":\\"6\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\"}},\\"3\\":{\\"large\\":{\\"0\\":\\"4\\",\\"1\\":\\"4\\",\\"2\\":\\"4\\"},\\"medium\\":{\\"0\\":\\"4\\",\\"1\\":\\"4\\",\\"2\\":\\"4\\"},\\"small\\":{\\"0\\":\\"4\\",\\"1\\":\\"4\\",\\"2\\":\\"4\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\"}},\\"4\\":{\\"large\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"medium\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"small\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\"}},\\"5\\":{\\"large\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"medium\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"small\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\",\\"4\\":\\"12\\"}},\\"6\\":{\\"large\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"medium\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"small\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\",\\"4\\":\\"12\\",\\"5\\":\\"12\\"}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"top1-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"1\\",\\"medium\\":\\"1\\",\\"small\\":\\"1\\",\\"xsmall\\":\\"1\\"},\\"position\\":\\"top1-2\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionTop2\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":\\"12\\"},\\"medium\\":{\\"0\\":\\"12\\"},\\"small\\":{\\"0\\":\\"12\\"},\\"xsmall\\":{\\"0\\":\\"12\\"}},\\"2\\":{\\"large\\":{\\"0\\":\\"3\\",\\"1\\":\\"9\\"},\\"medium\\":{\\"0\\":\\"3\\",\\"1\\":\\"9\\"},\\"small\\":{\\"0\\":\\"3\\",\\"1\\":\\"9\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\"}},\\"3\\":{\\"large\\":{\\"0\\":\\"3\\",\\"1\\":\\"6\\",\\"2\\":\\"3\\"},\\"medium\\":{\\"0\\":\\"3\\",\\"1\\":\\"6\\",\\"2\\":\\"3\\"},\\"small\\":{\\"0\\":\\"3\\",\\"1\\":\\"6\\",\\"2\\":\\"3\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\"}},\\"4\\":{\\"large\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"medium\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"small\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\"}},\\"5\\":{\\"large\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"medium\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"small\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\",\\"4\\":\\"12\\"}},\\"6\\":{\\"large\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"medium\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"small\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\",\\"4\\":\\"12\\",\\"5\\":\\"12\\"}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"logo\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"mainmenu\\",\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"1\\",\\"medium\\":\\"1\\",\\"small\\":\\"1\\",\\"xsmall\\":\\"1\\"},\\"position\\":\\"navigator\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionBanner section-fullwidth\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"banner\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionMiddle1\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"middle1-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"1\\",\\"medium\\":\\"1\\",\\"small\\":\\"1\\",\\"xsmall\\":\\"1\\"},\\"position\\":\\"middle1-2\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionBreadcrumbs\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"breadcrumbs\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionMiddle2\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"\\",\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"middle2-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"1\\",\\"medium\\":\\"1\\",\\"small\\":\\"1\\",\\"xsmall\\":\\"1\\"},\\"position\\":\\"middle2-2\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"2\\",\\"medium\\":\\"2\\",\\"small\\":\\"2\\",\\"xsmall\\":\\"2\\"},\\"position\\":\\"middle2-3\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"3\\",\\"medium\\":\\"3\\",\\"small\\":\\"3\\",\\"xsmall\\":\\"3\\"},\\"position\\":\\"middle2-4\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionMiddle3\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"middle3-1\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionMaintop1\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":\\"12\\"},\\"medium\\":{\\"0\\":\\"12\\"},\\"small\\":{\\"0\\":\\"12\\"},\\"xsmall\\":{\\"0\\":\\"12\\"}},\\"2\\":{\\"large\\":{\\"0\\":\\"3\\",\\"1\\":\\"9\\"},\\"medium\\":{\\"0\\":\\"3\\",\\"1\\":\\"9\\"},\\"small\\":{\\"0\\":\\"3\\",\\"1\\":\\"9\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\"}},\\"3\\":{\\"large\\":{\\"0\\":\\"4\\",\\"1\\":\\"4\\",\\"2\\":\\"4\\"},\\"medium\\":{\\"0\\":\\"4\\",\\"1\\":\\"4\\",\\"2\\":\\"4\\"},\\"small\\":{\\"0\\":\\"4\\",\\"1\\":\\"4\\",\\"2\\":\\"4\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\"}},\\"4\\":{\\"large\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"medium\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"small\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\"}},\\"5\\":{\\"large\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"medium\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"small\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\",\\"4\\":\\"12\\"}},\\"6\\":{\\"large\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"medium\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"small\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\",\\"4\\":\\"12\\",\\"5\\":\\"12\\"}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"maintop1-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"1\\",\\"medium\\":\\"1\\",\\"small\\":\\"1\\",\\"xsmall\\":\\"1\\"},\\"position\\":\\"maintop1-2\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionMaintop2\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"maintop2-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionMainbody\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":\\"12\\"},\\"medium\\":{\\"0\\":\\"12\\"},\\"small\\":{\\"0\\":\\"12\\"},\\"xsmall\\":{\\"0\\":\\"12\\"}},\\"2\\":{\\"large\\":{\\"0\\":\\"8\\",\\"1\\":\\"4\\"},\\"medium\\":{\\"0\\":\\"8\\",\\"1\\":\\"4\\"},\\"small\\":{\\"0\\":\\"8\\",\\"1\\":\\"4\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\"}},\\"3\\":{\\"large\\":{\\"0\\":\\"3\\",\\"1\\":\\"6\\",\\"2\\":\\"3\\"},\\"medium\\":{\\"0\\":\\"3\\",\\"1\\":\\"6\\",\\"2\\":\\"3\\"},\\"small\\":{\\"0\\":\\"3\\",\\"1\\":\\"6\\",\\"2\\":\\"3\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\"}},\\"4\\":{\\"large\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"medium\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"small\\":{\\"0\\":\\"3\\",\\"1\\":\\"3\\",\\"2\\":\\"3\\",\\"3\\":\\"3\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\"}},\\"5\\":{\\"large\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"medium\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"small\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\",\\"4\\":\\"12\\"}},\\"6\\":{\\"large\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"medium\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"small\\":{\\"0\\":\\"2\\",\\"1\\":\\"2\\",\\"2\\":\\"2\\",\\"3\\":\\"2\\",\\"4\\":\\"2\\",\\"5\\":\\"2\\"},\\"xsmall\\":{\\"0\\":\\"12\\",\\"1\\":\\"12\\",\\"2\\":\\"12\\",\\"3\\":\\"12\\",\\"4\\":\\"12\\",\\"5\\":\\"12\\"}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sidebar-left\\",\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"left\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"1\\",\\"medium\\":\\"1\\",\\"small\\":\\"1\\",\\"xsmall\\":\\"1\\"},\\"items\\":[{\\"type\\":\\"row\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"system-message\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"component\\",\\"items\\":[]}]}]},{\\"type\\":\\"column\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sidebar-right\\",\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"2\\",\\"medium\\":\\"2\\",\\"small\\":\\"2\\",\\"xsmall\\":\\"2\\"},\\"position\\":\\"right\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionMainbottom1\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"mainbottom1-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionMainbottom2\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"mainbottom2-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionBottom1\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"bottom1-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionBottom2\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"bottom2-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"1\\",\\"medium\\":\\"1\\",\\"small\\":\\"1\\",\\"xsmall\\":\\"1\\"},\\"position\\":\\"bottom2-2\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"2\\",\\"medium\\":\\"2\\",\\"small\\":\\"2\\",\\"xsmall\\":\\"2\\"},\\"position\\":\\"bottom2-3\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"3\\",\\"medium\\":\\"3\\",\\"small\\":\\"3\\",\\"xsmall\\":\\"3\\"},\\"position\\":\\"bottom2-4\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]},{\\"type\\":\\"row\\",\\"config\\":{\\"id\\":\\"\\",\\"class\\":\\"sectionFooter1\\",\\"background\\":{\\"color\\":\\"\\",\\"image\\":\\"\\",\\"repeat\\":\\"no-repeat\\",\\"position-x\\":\\"\\",\\"position-y\\":\\"\\"},\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"layout\\":{\\"1\\":{\\"large\\":{\\"0\\":12},\\"medium\\":{\\"0\\":12},\\"small\\":{\\"0\\":12},\\"xsmall\\":{\\"0\\":12}},\\"2\\":{\\"large\\":{\\"0\\":6,\\"1\\":6},\\"medium\\":{\\"0\\":6,\\"1\\":6},\\"small\\":{\\"0\\":6,\\"1\\":6},\\"xsmall\\":{\\"0\\":12,\\"1\\":12}},\\"3\\":{\\"large\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"medium\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"small\\":{\\"0\\":4,\\"1\\":4,\\"2\\":4},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12}},\\"4\\":{\\"large\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"medium\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"small\\":{\\"0\\":3,\\"1\\":3,\\"2\\":3,\\"3\\":3},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12}},\\"5\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12}},\\"6\\":{\\"large\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"medium\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"small\\":{\\"0\\":2,\\"1\\":2,\\"2\\":2,\\"3\\":2,\\"4\\":2,\\"5\\":2},\\"xsmall\\":{\\"0\\":12,\\"1\\":12,\\"2\\":12,\\"3\\":12,\\"4\\":12,\\"5\\":12}}},\\"items\\":[{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"0\\",\\"medium\\":\\"0\\",\\"small\\":\\"0\\",\\"xsmall\\":\\"0\\"},\\"position\\":\\"footer1-1\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]},{\\"type\\":\\"column\\",\\"config\\":{\\"visibility\\":[\\"large\\",\\"medium\\",\\"small\\",\\"xsmall\\"]},\\"order\\":{\\"large\\":\\"1\\",\\"medium\\":\\"1\\",\\"small\\":\\"1\\",\\"xsmall\\":\\"1\\"},\\"position\\":\\"footer1-2\\",\\"positionStyle\\":\\"html5\\",\\"items\\":[]}]}]","componentOnFrontpage":"0","styleSwitcher":"1","scriptAnalytics":"","analyticsPosition":"head","customScriptHead":"","customScriptBody":""}');

DROP TABLE IF EXISTS `#__ucm_base`;
CREATE TABLE IF NOT EXISTS `#__ucm_base` (
  `ucm_id` int(10) unsigned NOT NULL,
  `ucm_item_id` int(10) NOT NULL,
  `ucm_type_id` int(11) NOT NULL,
  `ucm_language_id` int(11) NOT NULL,
  PRIMARY KEY (`ucm_id`),
  KEY `idx_ucm_item_id` (`ucm_item_id`),
  KEY `idx_ucm_type_id` (`ucm_type_id`),
  KEY `idx_ucm_language_id` (`ucm_language_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__ucm_content`;
CREATE TABLE IF NOT EXISTS `#__ucm_content` (
  `core_content_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `core_type_alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'FK to the content types table',
  `core_title` varchar(255) NOT NULL,
  `core_alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `core_body` mediumtext NOT NULL,
  `core_state` tinyint(1) NOT NULL DEFAULT '0',
  `core_checked_out_time` varchar(255) NOT NULL DEFAULT '',
  `core_checked_out_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `core_access` int(10) unsigned NOT NULL DEFAULT '0',
  `core_params` text NOT NULL,
  `core_featured` tinyint(4) unsigned NOT NULL DEFAULT '0',
  `core_metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `core_created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `core_created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `core_created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_modified_user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Most recent user that modified',
  `core_modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_language` char(7) NOT NULL,
  `core_publish_up` datetime NOT NULL,
  `core_publish_down` datetime NOT NULL,
  `core_content_item_id` int(10) unsigned DEFAULT NULL COMMENT 'ID from the individual type table',
  `asset_id` int(10) unsigned DEFAULT NULL COMMENT 'FK to the #__assets table.',
  `core_images` text NOT NULL,
  `core_urls` text NOT NULL,
  `core_hits` int(10) unsigned NOT NULL DEFAULT '0',
  `core_version` int(10) unsigned NOT NULL DEFAULT '1',
  `core_ordering` int(11) NOT NULL DEFAULT '0',
  `core_metakey` text NOT NULL,
  `core_metadesc` text NOT NULL,
  `core_catid` int(10) unsigned NOT NULL DEFAULT '0',
  `core_xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `core_type_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`core_content_id`),
  KEY `tag_idx` (`core_state`,`core_access`),
  KEY `idx_access` (`core_access`),
  KEY `idx_alias` (`core_alias`),
  KEY `idx_language` (`core_language`),
  KEY `idx_title` (`core_title`),
  KEY `idx_modified_time` (`core_modified_time`),
  KEY `idx_created_time` (`core_created_time`),
  KEY `idx_content_type` (`core_type_alias`),
  KEY `idx_core_modified_user_id` (`core_modified_user_id`),
  KEY `idx_core_checked_out_user_id` (`core_checked_out_user_id`),
  KEY `idx_core_created_user_id` (`core_created_user_id`),
  KEY `idx_core_type_id` (`core_type_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Contains core content data in name spaced fields' AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__ucm_history`;
CREATE TABLE IF NOT EXISTS `#__ucm_history` (
  `version_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ucm_item_id` int(10) unsigned NOT NULL,
  `ucm_type_id` int(10) unsigned NOT NULL,
  `version_note` varchar(255) NOT NULL DEFAULT '' COMMENT 'Optional version name',
  `save_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `editor_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `character_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Number of characters in this version.',
  `sha1_hash` varchar(50) NOT NULL DEFAULT '' COMMENT 'SHA1 hash of the version_data column.',
  `version_data` mediumtext NOT NULL COMMENT 'json-encoded string of version data',
  `keep_forever` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=auto delete; 1=keep',
  PRIMARY KEY (`version_id`),
  KEY `idx_ucm_item_id` (`ucm_type_id`,`ucm_item_id`),
  KEY `idx_save_date` (`save_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__updates`;
CREATE TABLE IF NOT EXISTS `#__updates` (
  `update_id` int(11) NOT NULL AUTO_INCREMENT,
  `update_site_id` int(11) DEFAULT '0',
  `extension_id` int(11) DEFAULT '0',
  `name` varchar(100) DEFAULT '',
  `description` text NOT NULL,
  `element` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `folder` varchar(20) DEFAULT '',
  `client_id` tinyint(3) DEFAULT '0',
  `version` varchar(32) DEFAULT '',
  `data` text NOT NULL,
  `detailsurl` text NOT NULL,
  `infourl` text NOT NULL,
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='Available Updates' AUTO_INCREMENT=49 ;

INSERT INTO `#__updates` (`update_id`, `update_site_id`, `extension_id`, `name`, `description`, `element`, `type`, `folder`, `client_id`, `version`, `data`, `detailsurl`, `infourl`, `extra_query`) VALUES
(1, 3, 0, 'Hebrew', '', 'pkg_he-IL', 'package', '', 0, '3.1.1.1', '', 'http://update.joomla.org/language/details3/he-IL_details.xml', '', ''),
(2, 3, 0, 'EnglishAU', '', 'pkg_en-AU', 'package', '', 0, '3.3.1.1', '', 'http://update.joomla.org/language/details3/en-AU_details.xml', '', ''),
(3, 3, 0, 'EnglishUS', '', 'pkg_en-US', 'package', '', 0, '3.3.1.1', '', 'http://update.joomla.org/language/details3/en-US_details.xml', '', ''),
(4, 3, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '3.3.3.1', '', 'http://update.joomla.org/language/details3/hu-HU_details.xml', '', ''),
(5, 3, 0, 'Afrikaans', '', 'pkg_af-ZA', 'package', '', 0, '3.2.0.2', '', 'http://update.joomla.org/language/details3/af-ZA_details.xml', '', ''),
(6, 3, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '3.3.5.1', '', 'http://update.joomla.org/language/details3/ar-AA_details.xml', '', ''),
(7, 3, 0, 'Belarusian', '', 'pkg_be-BY', 'package', '', 0, '3.2.1.1', '', 'http://update.joomla.org/language/details3/be-BY_details.xml', '', ''),
(8, 3, 0, 'Bulgarian', '', 'pkg_bg-BG', 'package', '', 0, '3.3.0.1', '', 'http://update.joomla.org/language/details3/bg-BG_details.xml', '', ''),
(9, 3, 0, 'Catalan', '', 'pkg_ca-ES', 'package', '', 0, '3.3.4.1', '', 'http://update.joomla.org/language/details3/ca-ES_details.xml', '', ''),
(10, 3, 0, 'Chinese Simplified', '', 'pkg_zh-CN', 'package', '', 0, '3.3.1.1', '', 'http://update.joomla.org/language/details3/zh-CN_details.xml', '', ''),
(12, 3, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '3.3.5.1', '', 'http://update.joomla.org/language/details3/hr-HR_details.xml', '', ''),
(13, 3, 0, 'Czech', '', 'pkg_cs-CZ', 'package', '', 0, '3.3.6.1', '', 'http://update.joomla.org/language/details3/cs-CZ_details.xml', '', ''),
(14, 3, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '3.3.5.1', '', 'http://update.joomla.org/language/details3/da-DK_details.xml', '', ''),
(15, 3, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '3.3.6.1', '', 'http://update.joomla.org/language/details3/nl-NL_details.xml', '', ''),
(16, 3, 0, 'Estonian', '', 'pkg_et-EE', 'package', '', 0, '3.3.4.1', '', 'http://update.joomla.org/language/details3/et-EE_details.xml', '', ''),
(17, 3, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '3.3.6.1', '', 'http://update.joomla.org/language/details3/it-IT_details.xml', '', ''),
(18, 3, 0, 'Korean', '', 'pkg_ko-KR', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/ko-KR_details.xml', '', ''),
(19, 3, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '3.3.4.1', '', 'http://update.joomla.org/language/details3/lv-LV_details.xml', '', ''),
(20, 3, 0, 'Macedonian', '', 'pkg_mk-MK', 'package', '', 0, '3.3.5.1', '', 'http://update.joomla.org/language/details3/mk-MK_details.xml', '', ''),
(21, 3, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '3.2.2.1', '', 'http://update.joomla.org/language/details3/nb-NO_details.xml', '', ''),
(22, 3, 0, 'Persian', '', 'pkg_fa-IR', 'package', '', 0, '3.3.4.1', '', 'http://update.joomla.org/language/details3/fa-IR_details.xml', '', ''),
(23, 3, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '3.3.4.1', '', 'http://update.joomla.org/language/details3/pl-PL_details.xml', '', ''),
(24, 3, 0, 'Portuguese', '', 'pkg_pt-PT', 'package', '', 0, '3.3.3.1', '', 'http://update.joomla.org/language/details3/pt-PT_details.xml', '', ''),
(25, 3, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '3.3.3.1', '', 'http://update.joomla.org/language/details3/ru-RU_details.xml', '', ''),
(26, 3, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '3.3.5.1', '', 'http://update.joomla.org/language/details3/sk-SK_details.xml', '', ''),
(27, 3, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '3.3.3.3', '', 'http://update.joomla.org/language/details3/sv-SE_details.xml', '', ''),
(28, 3, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '3.3.4.1', '', 'http://update.joomla.org/language/details3/sy-IQ_details.xml', '', ''),
(29, 3, 0, 'Tamil', '', 'pkg_ta-IN', 'package', '', 0, '3.3.5.1', '', 'http://update.joomla.org/language/details3/ta-IN_details.xml', '', ''),
(30, 3, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '3.3.4.1', '', 'http://update.joomla.org/language/details3/th-TH_details.xml', '', ''),
(31, 3, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '3.3.5.1', '', 'http://update.joomla.org/language/details3/tr-TR_details.xml', '', ''),
(32, 3, 0, 'Ukrainian', '', 'pkg_uk-UA', 'package', '', 0, '3.3.3.15', '', 'http://update.joomla.org/language/details3/uk-UA_details.xml', '', ''),
(33, 3, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '3.3.0.1', '', 'http://update.joomla.org/language/details3/ug-CN_details.xml', '', ''),
(34, 3, 0, 'Albanian', '', 'pkg_sq-AL', 'package', '', 0, '3.1.1.1', '', 'http://update.joomla.org/language/details3/sq-AL_details.xml', '', '');
INSERT INTO `#__updates` (`update_id`, `update_site_id`, `extension_id`, `name`, `description`, `element`, `type`, `folder`, `client_id`, `version`, `data`, `detailsurl`, `infourl`, `extra_query`) VALUES
(35, 3, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '3.0.2.1', '', 'http://update.joomla.org/language/details3/pt-BR_details.xml', '', ''),
(36, 3, 0, 'Serbian Latin', '', 'pkg_sr-YU', 'package', '', 0, '3.3.4.1', '', 'http://update.joomla.org/language/details3/sr-YU_details.xml', '', ''),
(37, 3, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '3.3.4.1', '', 'http://update.joomla.org/language/details3/es-ES_details.xml', '', ''),
(38, 3, 0, 'Bosnian', '', 'pkg_bs-BA', 'package', '', 0, '3.3.3.1', '', 'http://update.joomla.org/language/details3/bs-BA_details.xml', '', ''),
(39, 3, 0, 'Serbian Cyrillic', '', 'pkg_sr-RS', 'package', '', 0, '3.3.4.1', '', 'http://update.joomla.org/language/details3/sr-RS_details.xml', '', ''),
(40, 3, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '3.2.1.1', '', 'http://update.joomla.org/language/details3/vi-VN_details.xml', '', ''),
(41, 3, 0, 'Bahasa Indonesia', '', 'pkg_id-ID', 'package', '', 0, '3.3.0.2', '', 'http://update.joomla.org/language/details3/id-ID_details.xml', '', ''),
(42, 3, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '3.3.4.1', '', 'http://update.joomla.org/language/details3/fi-FI_details.xml', '', ''),
(43, 3, 0, 'Swahili', '', 'pkg_sw-KE', 'package', '', 0, '3.3.5.1', '', 'http://update.joomla.org/language/details3/sw-KE_details.xml', '', ''),
(44, 3, 0, 'Montenegrin', '', 'pkg_srp-ME', 'package', '', 0, '3.3.1.1', '', 'http://update.joomla.org/language/details3/srp-ME_details.xml', '', ''),
(45, 3, 0, 'EnglishCA', '', 'pkg_en-CA', 'package', '', 0, '3.3.3.1', '', 'http://update.joomla.org/language/details3/en-CA_details.xml', '', ''),
(46, 3, 0, 'FrenchCA', '', 'pkg_fr-CA', 'package', '', 0, '3.3.3.1', '', 'http://update.joomla.org/language/details3/fr-CA_details.xml', '', ''),
(47, 3, 0, 'Welsh', '', 'pkg_cy-GB', 'package', '', 0, '3.3.0.1', '', 'http://update.joomla.org/language/details3/cy-GB_details.xml', '', ''),
(48, 3, 0, 'Sinhala', '', 'pkg_si-LK', 'package', '', 0, '3.3.1.1', '', 'http://update.joomla.org/language/details3/si-LK_details.xml', '', '');

DROP TABLE IF EXISTS `#__update_sites`;
CREATE TABLE IF NOT EXISTS `#__update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `location` text NOT NULL,
  `enabled` int(11) DEFAULT '0',
  `last_check_timestamp` bigint(20) DEFAULT '0',
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_site_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='Update Sites' AUTO_INCREMENT=5 ;

INSERT INTO `#__update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`, `extra_query`) VALUES
(1, 'Joomla Core', 'collection', 'http://update.joomla.org/core/list.xml', 1, 0, ''),
(2, 'Joomla Extension Directory', 'collection', 'http://update.joomla.org/jed/list.xml', 1, 1412221292, ''),
(3, 'Accredited Joomla! Translations', 'collection', 'http://update.joomla.org/language/translationlist_3.xml', 1, 1412221290, ''),
(4, 'K2 Updates', 'extension', 'http://getk2.org/update.xml', 1, 1412221290, '');

DROP TABLE IF EXISTS `#__update_sites_extensions`;
CREATE TABLE IF NOT EXISTS `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT '0',
  `extension_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`update_site_id`,`extension_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Links extensions to update sites';

INSERT INTO `#__update_sites_extensions` (`update_site_id`, `extension_id`) VALUES
(1, 700),
(2, 700),
(3, 600),
(4, 10000);

DROP TABLE IF EXISTS `#__usergroups`;
CREATE TABLE IF NOT EXISTS `#__usergroups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Adjacency List Reference Id',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `title` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_usergroup_parent_title_lookup` (`parent_id`,`title`),
  KEY `idx_usergroup_title_lookup` (`title`),
  KEY `idx_usergroup_adjacency_lookup` (`parent_id`),
  KEY `idx_usergroup_nested_set_lookup` (`lft`,`rgt`) USING BTREE
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13 ;

INSERT INTO `#__usergroups` (`id`, `parent_id`, `lft`, `rgt`, `title`) VALUES
(1, 0, 1, 20, 'Public'),
(2, 1, 6, 17, 'Registered'),
(3, 2, 7, 14, 'Author'),
(4, 3, 8, 11, 'Editor'),
(5, 4, 9, 10, 'Publisher'),
(6, 1, 2, 5, 'Manager'),
(7, 6, 3, 4, 'Administrator'),
(8, 1, 18, 19, 'Super Users'),
(10, 3, 12, 13, 'Shop Suppliers (Example)'),
(12, 2, 15, 16, 'Customer Group (Example)');

DROP TABLE IF EXISTS `#__users`;
CREATE TABLE IF NOT EXISTS `#__users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `username` varchar(150) NOT NULL DEFAULT '',
  `email` varchar(100) NOT NULL DEFAULT '',
  `password` varchar(100) NOT NULL DEFAULT '',
  `block` tinyint(4) NOT NULL DEFAULT '0',
  `sendEmail` tinyint(4) DEFAULT '0',
  `registerDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lastvisitDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `activation` varchar(100) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `lastResetTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'Date of last password reset',
  `resetCount` int(11) NOT NULL DEFAULT '0' COMMENT 'Count of password resets since lastResetTime',
  `otpKey` varchar(1000) NOT NULL DEFAULT '' COMMENT 'Two factor authentication encrypted keys',
  `otep` varchar(1000) NOT NULL DEFAULT '' COMMENT 'One time emergency passwords',
  `requireReset` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Require user to reset password on next login',
  PRIMARY KEY (`id`),
  KEY `idx_name` (`name`),
  KEY `idx_block` (`block`),
  KEY `username` (`username`),
  KEY `email` (`email`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=306 ;

INSERT INTO `#__users` (`id`, `name`, `username`, `email`, `password`, `block`, `sendEmail`, `registerDate`, `lastvisitDate`, `activation`, `params`, `lastResetTime`, `resetCount`, `otpKey`, `otep`, `requireReset`) VALUES
(305, 'Super User', 'admin', 'demo@demo.com', '$2y$10$tUqndRKl/MbWhnXtEgOd.OTWBRan1GjNRIJ9mmqZ.YKX2NXumong2', 0, 1, '2014-10-02 03:40:59', '2014-10-02 03:41:28', '0', '', '0000-00-00 00:00:00', 0, '', '', 0);

DROP TABLE IF EXISTS `#__user_keys`;
CREATE TABLE IF NOT EXISTS `#__user_keys` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` varchar(255) NOT NULL,
  `token` varchar(255) NOT NULL,
  `series` varchar(255) NOT NULL,
  `invalid` tinyint(4) NOT NULL,
  `time` varchar(200) NOT NULL,
  `uastring` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `series` (`series`),
  UNIQUE KEY `series_2` (`series`),
  UNIQUE KEY `series_3` (`series`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__user_notes`;
CREATE TABLE IF NOT EXISTS `#__user_notes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(100) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `review_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_category_id` (`catid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__user_profiles`;
CREATE TABLE IF NOT EXISTS `#__user_profiles` (
  `user_id` int(11) NOT NULL,
  `profile_key` varchar(100) NOT NULL,
  `profile_value` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `idx_user_id_profile_key` (`user_id`,`profile_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Simple user profile storage table';

DROP TABLE IF EXISTS `#__user_usergroup_map`;
CREATE TABLE IF NOT EXISTS `#__user_usergroup_map` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__users.id',
  `group_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__usergroups.id',
  PRIMARY KEY (`user_id`,`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__user_usergroup_map` (`user_id`, `group_id`) VALUES
(305, 8);

DROP TABLE IF EXISTS `#__viewlevels`;
CREATE TABLE IF NOT EXISTS `#__viewlevels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

INSERT INTO `#__viewlevels` (`id`, `title`, `ordering`, `rules`) VALUES
(1, 'Public', 0, '[1]'),
(2, 'Registered', 1, '[6,2,8]'),
(3, 'Special', 2, '[6,3,8]'),
(4, 'Customer Access Level (Example)', 3, '[6,3,12]');

DROP TABLE IF EXISTS `#__weblinks`;
CREATE TABLE IF NOT EXISTS `#__weblinks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(250) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `url` varchar(250) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `hits` int(11) NOT NULL DEFAULT '0',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if link is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `images` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

INSERT INTO `#__weblinks` (`id`, `catid`, `title`, `alias`, `url`, `description`, `hits`, `state`, `checked_out`, `checked_out_time`, `ordering`, `access`, `params`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `images`) VALUES
(1, 32, 'Joomla!', 'joomla', 'http://www.joomla.org', '<p>Home of Joomla!</p>', 3, 1, 0, '0000-00-00 00:00:00', 1, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 267, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, ''),
(2, 33, 'php.net', 'php', 'http://www.php.net', '<p>The language that Joomla! is developed in</p>', 6, 1, 0, '0000-00-00 00:00:00', 1, 1, '{"target":"","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 267, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, ''),
(3, 33, 'MySQL', 'mysql', 'http://www.mysql.com', '<p>The most commonly used database for Joomla!.</p>', 1, 1, 0, '0000-00-00 00:00:00', 2, 1, '{"target":"","width":"","height":"","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 267, '', '2012-01-17 16:19:43', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, ''),
(4, 32, 'OpenSourceMatters', 'opensourcematters', 'http://www.opensourcematters.org', '<p>Home of OSM</p>', 11, 1, 0, '0000-00-00 00:00:00', 3, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 267, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, ''),
(5, 32, 'Joomla! - Forums', 'joomla-forums', 'http://forum.joomla.org', '<p>Joomla! Forums</p>', 4, 1, 0, '0000-00-00 00:00:00', 2, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 267, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, ''),
(6, 33, 'Ohloh Tracking of Joomla!', 'ohloh-tracking-of-joomla', 'http://www.ohloh.net/projects/20', '<p>Objective reports from Ohloh about Joomla''s development activity. Joomla! has some star developers with serious kudos.</p>', 1, 1, 0, '0000-00-00 00:00:00', 3, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 267, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, ''),
(7, 31, 'Baw Baw National Park', 'baw-baw-national-park', 'http://www.parkweb.vic.gov.au/1park_display.cfm?park=44', '<p>Park of the Austalian Alps National Parks system, Baw Baw  features sub alpine vegetation, beautiful views, and opportunities for hiking, skiing and other outdoor activities.</p>', 0, 1, 0, '0000-00-00 00:00:00', 1, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 267, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, ''),
(8, 31, 'Kakadu', 'kakadu', 'http://www.environment.gov.au/parks/kakadu/index.html', '<p>Kakadu is known for both its cultural heritage and its natural features. It is one of a small number of places listed as World Heritage Places for both reasons. Extensive rock art is found there.</p>', 0, 1, 0, '0000-00-00 00:00:00', 2, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 267, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, ''),
(9, 31, 'Pulu Keeling', 'pulu-keeling', 'http://www.environment.gov.au/parks/cocos/index.html', '<p>Located on an atoll 2000 kilometers north of Perth, Pulu Keeling is Australia''s smallest national park.</p>', 0, 1, 0, '0000-00-00 00:00:00', 3, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 267, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '2010-07-10 23:44:03', '0000-00-00 00:00:00', 1, '');

TRUNCATE TABLE `#__session`;
TRUNCATE TABLE `#__users`;
TRUNCATE TABLE `#__user_usergroup_map`;
TRUNCATE TABLE `#__k2_users`;